<?php
/*******************************************************************************
 *   Datas Archiving
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : correction css
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'archive.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[7] == '') {
        $nomzone = $admin[577];
        include 'access.inc';
        exit();
    }
}

$archgo   = import('archgo', 'POST', 0);
$nextstep = import('nextstep');
$archdate = import('archdate');
$archbl   = import('archbl');
$archne   = import('archne');
$archag   = import('archag');
$archfr   = import('archfr');

$err_arch = $archbl != 'on' && $archne != 'on' && $archag != 'on' && $archfr != 'on' && $archgo == 1 ? true: false;
$err_date = 1 != preg_match('/[0-9]{8}/', $archdate) && $archgo == 1 ? true: false;

$erreur  = '';
$erreur .= $err_arch ? '<li>'.$admin[1297].'</li>': '';
$erreur .= $err_date ? '<li>'.$admin[591].'</li>': '';

if (!isset($nextstep)) $nextstep = 0;
if ($archgo == 1 && empty($erreur)) {
    if ($archbl == 'on' && ($archdate.'0000' <= ReadCounter(DBBLOGARCHDATE) || $archdate.'0000' > GetCurrentDateTime())) $archbl = 'off';
	if ($archne == 'on' && ($archdate.'0000' <= ReadCounter(DBNEWSARCHDATE) || $archdate.'0000' > GetCurrentDateTime())) $archne = 'off';
	if ($archag == 'on' && ($archdate.'0000' <= ReadCounter(DBAGENDAARCHDATE) || $archdate.'0000' > GetCurrentDateTime())) $archag = 'off';
	if ($archfr == 'on' && ($archdate.'0000' <= ReadCounter(DBFORUMARCHDATE) || $archdate.'0000' > GetCurrentDateTime())) $archfr = 'off';
    if ($archbl == 'on' || $archne == 'on' || $archag == 'on' || $archfr == 'on') $nextstep = 1;
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
	if (document.archiveit.archbl.checked != true &&
		document.archiveit.archne.checked != true &&
		document.archiveit.archag.checked != true &&
		document.archiveit.archfr.checked != true) {
        sto += "  - '.addslashes($admin[1297]).'\n";
        erreur = true;
	}
	regexp = /[0-9]{8}/;
	if (!regexp.test(document.archiveit.archdate.value)) {
		sto += "  - '.addslashes($admin[591]).'\n";
		document.archiveit.archdate.className = "errorInputText";
		erreur = true;
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1298]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[578]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[578], '100%');

if (!empty($erreur))
	echo displayErrorMsg($admin[1298], $erreur);
echo '
<p style="text-align:center;">'.ToHelp($lng, 'archive').$admin[579].' '.$admin[580].'<br />'.$admin[581].'</p>
<hr />
<div style="width:520px; margin:auto;">
';
if ($nextstep == 0) {
	echo '
<p class="forum" style="text-align:left; padding:5px 20px;">'.$admin[1296].'</p>
<form name="archiveit" id="archiveit" action="admin.php?lng='.$lng.'&amp;pg=archive" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden" name="archgo" value="1" />
  <fieldset>
  <table style="width:100%;">
    <tr>
	  <td style="text-align:right;width:50%;">&nbsp;</td>
	  <td style="text-align:left;width:20%;">&nbsp;</td>
      <td style="text-align:center;width:30%;font-size:x-small;padding-bottom:8px;">'.$admin[590].'</td>
    </tr>
    <tr>
      <td style="text-align:right;padding:3px 0;">'.$admin[770].' : </td>
      <td style="text-align:left;padding:3px 0;"><input name="archbl" type="checkbox"'.Checked($archbl == 'on').' /></td>
	  <td style="text-align:center;padding:3px 0;">'.(ReadCounter(DBBLOGARCHDATE) > 0 ? FormatDate(ReadCounter(DBBLOGARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;padding:3px 0;">'.$admin[13].' : </td>
      <td style="text-align:left;padding:3px 0;"><input name="archne" type="checkbox"'.Checked($archne == 'on').' /></td>
	  <td style="text-align:center;padding:3px 0;">'.(ReadCounter(DBNEWSARCHDATE) > 0 ? FormatDate(ReadCounter(DBNEWSARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;padding:3px 0;">'.$admin[624].' : </td>
      <td style="text-align:left;padding:3px 0;"><input name="archag" type="checkbox"'.Checked($archag == 'on').' /></td>
	  <td style="text-align:center;padding:3px 0;">'.(ReadCounter(DBAGENDAARCHDATE) > 0 ? FormatDate(ReadCounter(DBAGENDAARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;padding:3px 0;">'.$admin[9].' : </td>
      <td style="text-align:left;padding:3px 0;"><input name="archfr" type="checkbox"'.Checked($archfr == 'on').' /></td>
	  <td style="text-align:center;padding:3px 0;">'.(ReadCounter(DBFORUMARCHDATE) > 0 ? FormatDate(ReadCounter(DBFORUMARCHDATE)) : '-').'</td>
    </tr>
    <tr>
      <td style="text-align:right;padding:3px 0;">'.$admin[582].'</td>
      <td style="text-align:left;padding:3px 0;"><input name="archdate" class="'.($err_date ? 'errorInputText' : 'texte').'" type="text" size="10" value="'.$archdate.'" title="'.$archdate.'" /></td>
	  <td>&nbsp;</td>
    </tr>
  </table>
  </fieldset>
  <div class="quest" style="padding:2px 20px;">
    <div style="float:right">'.SubmitButton($admin[583], '', '', $imgdroite).'</div>
    <div style="clear:both"></div>
  </div>
</form>
';
} elseif ($nextstep == 1) {
	$archtyps  = trim(($archbl == 'on' ? TYP_BLOG.' ' : '').($archne == 'on' ? TYP_NEWS.' ' : '').($archag == 'on' ? TYP_AGENDA.' ' : '').($archfr == 'on' ? TYP_FORUM : ''));
	$firststep = 'PopupWindow(\'inc/archbatch.php?lng='.$lng.'&archdate='.$archdate.'&archtyps='.$archtyps.'\',\'archbatch\',480,360,\'no\',\'no\')';
	echo BeginJavascript().$firststep.EndJavascript();
}
echo '
</div>';
btable();
include CHEMIN.'admin/bpage.inc';
?>