<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : use of new accordion menus 
 ******************************************************************************/

if (stristr($_SERVER["SCRIPT_NAME"], "config1.inc")) {
    header("location:../index.php");
    die();
}

// FONCTIONS DE MISE EN PAGE /////////////////////////////////////////////////////////////////////////
function checkboxConfigGuppy($inputName, $inputValue, $libelle = '', $lang = 'fr', $flag = '') {
	return '
	<span style="float:left;width:260px;text-align:left;padding:4px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding:6px 0 0 235px;text-align:left;">
	  <input type="checkbox" name="'.$inputName.'" id="'.$inputName.'" '.Checked($inputValue).' />
	</div>
	<div style="clear:left;"></div>';
}

function inputConfigGuppy($inputName, $inputValue, $width, $libelle = '', $lang = 'fr', $flag = '') {
	global $charset;
	return '
	<span style="float:left;width:'.($inputName == 'siteMF' || $inputName == 'siteMD' ? '360' : '230').'px;text-align:left;padding:6px 0 0;margin-left:15px;">'.$libelle.'</span>
	<span style="float:left;width:auto;text-align:left;padding-top:6px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').'
	</span>
	<div style="margin-top:2px;padding-left:275px;text-align:left;">
	  <input class="texte" type="text" name="'.$inputName.'" id="'.$inputName.'" value="'.htmlentities($inputValue, ENT_QUOTES, $charset).'" style="vertical-align:middle;margin-top:4px;width:'.$width.';" />
	</div>
	<div style="clear:both;"></div>';
}

function inputURLConfigGuppy($inputName, $inputValue, $width, $libelle = '', $lang = 'fr', $flag = '') {
    global $realurl, $lng, $admin, $charset;
    if ($realurl == $inputValue) {
        $msg = '';
    } else {
        $msg = $admin[919].'
	<span style="font-weight:bold;">'.$realurl.'</span>
    <a href="admin.php?lng='.$lng.'&amp;pg=config1&amp;replace='.$inputName.'" title="'.$admin[920].'" style="display:inline;">&nbsp;
      <img src="inc/img/general/run.gif" alt="'.$admin[920].'" title="'.$admin[920].'" style="cursor:pointer;vertical-align:middle;" />&nbsp;
    </a>';
    }
	return '
	<span style="float:left;width:260px;text-align:left;padding:2px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:235px;text-align:left;">
	  <input class="texte" type="text" name="'.$inputName.'" id="'.$inputName.'" value="'.htmlentities($inputValue, NULL, $charset).'" style="vertical-align:middle;width:'.$width.';" />
	</div>
	<div style="clear:left;text-align:center;background-color:#F66;color:#ff0;margin:0 15px;">'.$msg.'</div>';
}

function textareaConfigGuppy($textareaName, $textareaValue, $width, $height, $libelle = '', $lang = 'fr', $flag = '') {
	return '
	<span style="float:left;width:260px;text-align:left;padding:5px 0px;margin-left:15px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:235px;text-align:left;">
	  <textarea name="'.$textareaName.'" id="'.$textareaName.'" style="vertical-align:middle;width:'.$width.';height:'.$height.';margin:4px 5px 0 0;" rows="6" cols="30">'.$textareaValue.'</textarea>
	</div>
	<div style="clear:left;"></div>';
}

function selectConfigGuppy($selectName,$options,$optionsValueSelect = '',$libelle = '', $lang = 'fr', $flag = '', $top = 0, $left = 0) {
	global $charset;
	$out = '
	<span style="float:left;width:'.(260 - $left).'px;text-align:left;padding:8px 0px;margin:'.$top.'px 0 0 '.($left + 15).'px;">'.
	  ($flag != '' ? '<img src="'.$flag.'" width="24" height="16" alt="'.$lang.'" title="'.$lang.'" style="vertical-align:middle;margin-right:5px;" />' : '').$libelle.'
	</span>
	<div style="padding-left:'.(235 - $left).'px;margin:'.($top + 4).'px 0 0;text-align:left;">
	  <select id="'.$selectName.'" name="'.$selectName.'" size="1" style="margin-left:10px;">';
	foreach($options as $optionsName => $optionsValue) {
		$optionsName = strip_tags(str_replace("<!--", "", str_replace("-->", " ", $optionsName)));
		$out .= '
		<option value="'.htmlentities($optionsValue, NULL, $charset).'" '.Selected($optionsValueSelect == stripslashes($optionsValue)).'>'.stripslashes($optionsName).'</option>';
	}
	return $out.'
	  </select>
	</div>
	<div style="clear:left;"></div>';
}

//////////////////////////////////////////////////////////////////////////////////////////////////////

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[0] == '') {
        $nomzone = $admin[7];
        include 'access.inc';
        exit();
    }
}

$proto   = is_ssl() ? 'https://' : 'http://';
$realurl = $proto.str_replace("/admin","/",$_SERVER['HTTP_HOST'].dirname($_SERVER['PHP_SELF'])); //real site url

function checkURL($actual) {
    global $realurl;
    if (empty($actual)) {
        /// URL vide => on change
        return $realurl;
    }
    $actual .= '/' != $actual[strlen($actual) - 1] ? '/' : '';
    if ($realurl == $actual) {
        return $actual;
    } else {
        if (strpos($realurl, 'http://localhost/') !== 0
        and
           (strpos($actual, 'http://127.0.0.1/') === 0
        or  strpos($actual, 'http://localhost/') === 0))
        {   /// Le site n'est pas en local, mais l'url est restée en local => on change
            return $realurl;
        } else {
            return $actual;
        }
    }
}

function replaceURLart() {
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
        $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2,
        $fieldweb, $fieldmail, $fieldmod;
	global $lang, $urlrw;
	$dbw = ReadDBFields(DBOPTMENU);
	foreach($dbw as $opt) {
		ReadDoc($opt[4]);
		if ($fieldc1 == '_SELF') {
			$urls    = explode('||', $fieldd1);
			$id      = substr($urls[0], strpos($urls[0], 'pg=') + 3);
			$pos     = strpos($id, '&');
			$id      = $pos === false ? $id : substr($id, 0, $pos);
            $afld    = explode('|', $fieldmail);
			$fielda1 = addslashes($fielda1);
			$fielda2 = addslashes($fielda2);
			$fieldb1 = addslashes($fieldb1);
			$fieldb2 = addslashes($fieldb2);
			$fieldd1 = 'articles.php?lng='.$lang[0].'&pg='.$id.'&mnuid='.$opt[5].'&tconfig='.$afld[0].'||'.$lang[0].'-'.$urlrw[20].'-103-'.$id.'-'.$opt[5].'-'.$afld[0];
			$fieldd2 = 'articles.php?lng='.$lang[1].'&pg='.$id.'&mnuid='.$opt[5].'&tconfig='.$afld[0].'||'.$lang[1].'-'.$urlrw[20].'-103-'.$id.'-'.$opt[5].'-'.$afld[0];
			WriteDoc();
			UpdateDocdates('mod', $opt[4]);
		}
	}
}

$regit = import('regit');
include CONFIG;

$siteMD = substr(sprintf('%o', fileperms(CHEMIN.'admin')), -4);
$siteMF = substr(sprintf('%o', fileperms(CHEMIN.'admin/admin.php')), -4);

$keyfile   = CHEMIN.'data/config/securekey.dtb';
$securekey = is_file($keyfile) ? ReadFullDB($keyfile) : 'qO_83;pwY9';

if ($regit == 1) {
	$ctrl1 = '';
	foreach($urlrw as $st) $ctrl1 .= $st;
	$old_u20 = $urlrw[20];
	
	$site[0] = import('site0'); // Titre du site pour l'Editorial langue principale
	$site[1] = RemoveBR(import('site1')); // Meta Description du site
	$site[2] = RemoveBR(import('site2')); // Meta Mots-clés du site
	$site[3] = checkURL(import('site3'));
	$site[6] = import('site6'); // Hébergement derière un proxy
	$site[7] = import('site7'); // Hébergement avec mise en cache
	$site[8] = max(1, import('site8')); // Temporisation en s de lecture du cache
	$site[9] = RemoveQuote(import('site9')); // Meta Auteur du site	
	$site[11] = addslashes(import('site11')); // Titre du site pour l'Editorial langue secondaire
	$site190  = import('site190'); // Format Dates langue 0
	$site191  = import('site191'); // Format Dates langue 1
	$site[19] = $site190.'|'.$site191; // Format Dates
	$site[22] = import('site22'); // Format Heure
	$site[23] = import('site23'); // Séparateur Date & Heure
	$site[24] = import('site24'); // Logo Copyright
	$site[25] = import('site25'); // Position Logo Copyright
	$site[26] = import('site26'); // Compression des Pages
	$site[35] = import('site35'); // Style de Copyright
	$site['TZ'] = import('siteTZ'); // Fuseau horaire
	$site['URLR'] = import('siteURLR'); // URL rewriting
	$site['MD'] = substr('0000'.import('siteMD', 'POST', true, $siteMD), -4); // Mode préconisé pour les dossiers
	$site['MF'] = substr('0000'.import('siteMF', 'POST', true, $siteMF), -4); // Mode préconisé pour les fichiers

	$urlrw[0] = import('urlrw0'); // Accueil / Admin / Error
	$urlrw[1] = import('urlrw1'); // Blog
	$urlrw[2] = import('urlrw2'); // Contact
	$urlrw[3] = import('urlrw3'); // Connexion / Compte
	$urlrw[4] = import('urlrw4'); // FAQ
	$urlrw[5] = import('urlrw5'); // Forum
	$urlrw[6] = import('urlrw6'); // Liens
	$urlrw[7] = import('urlrw7'); // Livre d'or
	$urlrw[8] = import('urlrw8'); // Nouvelles
	$urlrw[9] = import('urlrw9'); // Photos
	$urlrw[10] = import('urlrw10'); // Statistiques
	$urlrw[11] = import('urlrw11'); // Téléchargements
	$urlrw[12] = import('urlrw12'); // Recherches
	$urlrw[13] = import('urlrw13'); // Messages privés
	$urlrw[14] = import('urlrw14'); // Mesages publics
	$urlrw[15] = import('urlrw15'); // Utilisateurs
	$urlrw[16] = import('urlrw16'); // Sondage
	$urlrw[17] = import('urlrw17'); // Calendrier / Agenda
	$urlrw[18] = import('urlrw18'); // Lettre d'information
	$urlrw[19] = import('urlrw19'); // Documents RSS
	$urlrw[20] = import('urlrw20'); // Articles
	
	$ctrl2 = '';
	foreach($urlrw as $st) $ctrl2 .= $st;
	
	$lang[0] = import('lang0'); // Langue principale du site
	$lang[1] = import('lang1'); // Deuxième langue du site
	$user[0] = import('user0'); // Webmaster
    $user[0] = KeepGoodChars(RemoveConnector(RemoveQuote(stripslashes(CutLongWord($user[0], $serviz[148])))));
	$user[1] = import('user1'); // e-mail du responsable du site
	$user[3] = import('user3'); // formulaire mail PHP  ON / OFF
	
	include 'inc/confupdt.inc';
	if ($lng != $lang[0] && $lng != $lang[1]) {
  		$lng = $lang[0];
	}

	if ($ctrl1 != $ctrl2) setURLrewriting('');
	setURLrewriting($site['URLR']); // active/désactive l'URL rewriting
	if ($old_u20 != $urlrw[20]) replaceURLart();
    
    $keysecure = import('securekey');
    if (!empty($keysecure) && $keysecure != $securekey) {
        WriteFullDB($keyfile, $keysecure);
        setcookie(USER_COOKIE, '');
        setcookie(CNCT_COOKIE, '');
        setcookie('GuppYCrypt', '');
        $location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng.'&securekey=on');
        echo BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 1000);'
.EndJavascript();
        exit();
    }
    
    if ($site[7] == 'on' || PHP700) {
        @ob_flush();
        sleep(PHP700 ? 3 : $site[8]);
        echo BeginJavascript().'window.location="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=config1";'.EndJavascript();
    }
} else {
    $site[3] = checkURL($site[3]);
    if ('site3' == $replace) {
        $site[3] = $realurl;
    }
    include 'inc/confupdt.inc';
}

$adm = array($admin[1322], $admin[780], $admin[1323], $admin[1324], $admin[207], $admin[164], $admin[75], 
             $admin[76], $admin[72], $admin[74], $admin[213], $admin[73], $admin[1325], $admin[1326], $admin[1327],
			 $admin[1328], $admin[1329], $admin[1330], $admin[1331], $admin[1332], $admin[1333]);

$err_user0 = empty($user[0]) && $regit == 1;
$err_user1 = (empty($user[1]) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $user[1])) && $regit == 1;
for ($i = 0; $i < count($urlrw); $i++) {
	$err_urlrw[$i] = (empty($urlrw[$i]) || 1 != preg_match('/^[a-zA-Z0-9_-]{3,32}$/', $urlrw[$i])) && $regit == 1;
}
$erreur    = '';
$erreur   .= $err_user0 ? '<li>'.$admin[1585].$admin[63].$admin[1586].'</li>': '';
$erreur   .= $err_user1 ? '<li>'.$admin[1585].$admin[64].$admin[1587].'</li>': '';
if ($site['URLR'] == 'on') {
	for ($i = 0; $i < count($urlrw); $i++) {
		$erreur .= $err_urlrw[$i] ? '<li>'.$admin[1585].$adm[$i].$admin[1587].'</li>': '';
	}
}
$activateItem = 4;
$activateItem = $err_user0 || $err_user1 ? 6 : $activateItem;
if ($site['URLR'] == 'on') {
	for ($i = 0; $i < count($urlrw); $i++) {
		if ($err_urlrw[$i]) {
			$activateItem = 5;
			break;
		}
	}
}

$langue  = array();
$dossier = opendir(CHEMIN.'inc/lang/');
while ($fichier = readdir($dossier)) {
	if (is_file(CHEMIN."inc/lang/".$fichier)) {
  		$basefic = basename($fichier);
  		$path_parts = substr($basefic,strrpos($basefic,".")+1);
  		if ($path_parts == "inc") {
    		if (strpos($basefic, "-web") !== false) {
      			$langue[] = substr($basefic,0,strlen($basefic)-8);
    		}
  		}
	}
}
closedir($dossier);
@sort($langue);

if (is_file ($meskin.'confskin.inc')) {
    include $meskin.'confskin.inc';
} else {
    include CHEMIN.'skins/no_skin/confskin.inc';
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    if (document.conf1.user0.value == "") {
        sto += "  - '.addslashes($admin[1585].$admin[63].$admin[1586]).'\n";
		document.conf1.user0.className = "errorInputText";
        erreur = true;
    } else {
        regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
        if (!regexp.test(document.conf1.user0.value)) {
            sto += "  - '.str_replace('"', '\"', stripslashes($admin[1588])).'\n";
            document.conf1.user0.className = "errorInputText";
            erreur = true;
        }
    }
    if (document.conf1.siteMD.value == "") {
        sto += "  - '.addslashes($admin[1585].$admin[1453].$admin[1586]).'\n";
		document.conf1.siteMD.className = "errorInputText";
        erreur = true;
    }
    if (document.conf1.siteMF.value == "") {
        sto += "  - '.addslashes($admin[1585].$admin[1454].$admin[1586]).'\n";
		document.conf1.siteMF.className = "errorInputText";
        erreur = true;
    }
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.conf1.user1.value)) {
		sto += \'  - '.addslashes($admin[1585].$admin[64].$admin[1587]).'\n\';
		document.conf1.user1.className = "errorInputText";
        erreur = true;
    }';
for ($i = 0; $i < count($urlrw); $i++) {	
	$headinc .= '
	if (document.conf1.siteURLR.checked == true) {
		regexp = /^[-a-zA-Z0-9_]{3,32}$/;
		if (!regexp.test(document.conf1.urlrw'.$i.'.value)) {
			sto += "  - '.addslashes($admin[1585].$adm[$i].$admin[1587]).'\n";
			document.conf1.urlrw'.$i.'.className = "errorInputText";
			erreur = true;
		}
	}';
}
$headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($admin[1589]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}

function setMD(md) {
    document.conf1.siteMD.value = md;
    return false;
}

function setMF(mf) {
    document.conf1.siteMF.value = mf;
    return false;
}

function generate() {
    var chars = new Array( "abcdefghijklmnopqrstuvwxyz".split(""), 
                           "abcdefghijklmnopqrstuvwxyz".toUpperCase().split(""), 
                           "0123456789".split(""), 
                           "!#$%&()*+,-./:;<=>?@[]^_{}".split(""));
    var level = 4;
    var long = 10;
 
    var rep = new Array();
    myrand = new Date().getMilliseconds();
 
    while(level > 1) { 
        templong = Math.ceil(Math.random(myrand)*(long-(--level)));
        rep.push(templong);
        long = long-templong;
	}
	rep.push(long);
    var password = new Array();
    var i = -1;
    while(rep[++i]) {
        BaseL = chars[i].length;
        j = -1;
        while ((j++ < rep[i] - 1) && (password.push (chars[i][Math.floor(Math.random(Math.pow(new Date().getMilliseconds(),3))*BaseL)]))){}
	}
    document.getElementById("securekey").value = password.sort(sortRand).reverse().sort(sortRand).sort(sortRand).reverse().join("");
}

function sortRand() { return (Math.round(Math.random(myrand))-0.5); }

'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[46]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[46], "100%");
if (!empty($erreur))
	echo displayErrorMsg($admin[1589], $erreur);
echo '
<p style="text-align:center;">'.ToHelp($lng, 'config1').$admin[47].'<br /><br />'. $admin[318].'</p>
<hr style="margin-top:15px;" />
<form name="conf1" id="config1" action="admin.php?lng='.$lng.'&amp;pg=config1" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden" name="regit" value="1" />
  <div style="margin-right:auto;margin-left:auto;width:auto;">';
echo '
    <div class="marginAuto" id="accordion" style="max-width:580px;">
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>';
// OPTIMISATION VITESSE
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse1">'.$admin[506].'</a>
        <div class="collapse" data-parent="#accordion" id="collapse1">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            '.checkboxConfigGuppy('site26', $site[26], '&bull;&nbsp;'.$admin[505]).'
          </div>
        </div>
      </div>';
// FUSEAU HORAIRE
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse2">'.mb_strtoupper($admin[935]).'</a>
        <div class="collapse" data-parent="#accordion" id="collapse2">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            <div style="margin-top:10px;">
              <span style="float:left;width:230px;text-align:left;padding:2px 0px;margin-left:15px;">&bull;&nbsp;'.$admin[936].'</span>
              <div style="padding-left:235px;text-align:left;">'.SelectTimeZone($site['TZ'], 'siteTZ', 'siteTZ', 5).'</div>
              <div style="clear:left;"></div>
            </div>
          </div>
        </div>
      </div>';
// CLE DE SECURITE
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse3">'.mb_strtoupper($admin[1755]).'</a>
        <div class="collapse" data-parent="#accordion" id="collapse3">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">';
$btnSK = ' <button style="margin-top:-4px;padding:3px 6px;background:#FF0000;color:#FFFF00;" onclick="generate(); return false;"><b>'.$admin[1756].'  =></b></button>';
echo inputConfigGuppy('securekey', $securekey, '88px', '&bull;&nbsp;'.$admin[1755].' :<span style="padding-left:40px;float:right;">'.$btnSK.'</span>').'
          </div>
        </div>
      </div>';
// INFOS SUR LE SITE
$menuOptionsSelect1 = $menuOptionsSelect2 = array();
$menuOptionsSelect2['- '.$admin[57].' -'] = '';
for ($i = 0; $i < count($langue); $i++) {
	$menuOptionsSelect1[$langue[$i]] = $langue[$i];
	$menuOptionsSelect2[$langue[$i]] = $langue[$i];
}
$menuOptionsSelect3 = array($admin[490] => 'H1', $admin[491] => 'H2', $admin[492] => 'H3');
$menuOptionsSelect4 = array("&nbsp;" => " ","!" => "!","#" => "#","*" => "*","+" => "+","-" => "-","." => ".",":" => ":","&lt;" => "&lt;",
							"=" => "=","&gt;" => "&gt;","@" => "@","^" => "^","~" => "~","&deg;" => "&deg;","&curren;" => "&curren;",
							"&middot;" => "&middot;","&ordm;" => "&ordm;","&plusmn;" => "&plusmn;","&raquo;" => "&raquo;","&times;" => "&times;","&bull;" => "&bull;");
$menuOptionsSelectDate = array($admin[452] => 'E1', $admin[485] => 'E2', $admin[453] => 'U1', $admin[486] => 'U2', $admin[487] => 'C1', $admin[488] => 'C2');
$asite19 = explode('|', $site[19]);
$btnMD = ' <button style="margin-top:-3px;padding:3px 6px;background:#FFFF00;" onclick="setMD(\''.$siteMD.'\'); return false;"><b>'.$siteMD.'  =></b></button>';
$btnMF = ' <button style="margin-top:-3px;padding:3px 6px;background:#FFFF00;" onclick="setMF(\''.$siteMF.'\'); return false;"><b>'.$siteMF.'  =></b></button>';
echo '
      <div class="card">
        <a class="card-header card-link" data-toggle="collapse" href="#collapse4">'.$admin[49].'</a>
        <div class="collapse show" data-parent="#accordion" id="collapse4">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            '.inputConfigGuppy('site0', $site[0], '260px', '&bull;&nbsp;'.$admin[50], $lang[0], $flag1).'
            '.($lang[1] == '' ? '' : inputConfigGuppy('site11', $site[11], '260px', '', $lang[1], $flag2)).'
            '.inputURLConfigGuppy('site3', $site[3], '260px', '&bull;&nbsp;'.$admin[53]).'
            '.selectConfigGuppy('lang0', $menuOptionsSelect1, $lang[0], '&bull;&nbsp;'.$admin[54]).'
            '.selectConfigGuppy('site190', $menuOptionsSelectDate, $asite19[0], '&bull;&nbsp;'.$admin[451], $lang[0], '', -5, 32).'
            '.selectConfigGuppy('lang1', $menuOptionsSelect2, $lang[1], '&bull;&nbsp;'.$admin[56]).'
            '.selectConfigGuppy('site191', $menuOptionsSelectDate, $asite19[1], '&bull;&nbsp;'.$admin[451], $lang[1], '', -5, 32).'
            '.inputConfigGuppy('siteMD', $site['MD'], '48px', '&bull;&nbsp;'.$admin[1453].'<span style="padding-right:40px;float:right;">'.$btnMD.'</span>').'
            '.inputConfigGuppy('siteMF', $site['MF'], '48px', '&bull;&nbsp;'.$admin[1454].'<span style="padding-right:40px;float:right;">'.$btnMF.'</span>').'
            '.selectConfigGuppy('site22', $menuOptionsSelect3, $site[22], '&bull;&nbsp;'.$admin[489]).'
            '.selectConfigGuppy('site23', $menuOptionsSelect4, $site[23], '&bull;&nbsp;'.$admin[493]).'
            '.checkboxConfigGuppy('site6', $site[6], '&bull;&nbsp;'.$admin[1530]).'
            '.checkboxConfigGuppy('site7', $site[7], '&bull;&nbsp;'.$admin[1523]).'
            '.inputConfigGuppy('site8', $site[8], '20px', '&nbsp;&nbsp;&nbsp;&nbsp;&bull;&nbsp;'.$admin[1524]).'
          </div>
        </div>
      </div>';
// REECRITURE D'ADRESSES
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse5">'.$admin[1321].'</a>
        <div class="collapse" data-parent="#accordion" id="collapse5">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            '.checkboxConfigGuppy('siteURLR', $site['URLR'], $admin[1314]);
for ($i = 0; $i < count($urlrw); $i++) {
	echo inputConfigGuppy('urlrw'.$i, $urlrw[$i], '230px', '&bull;&nbsp;'.$adm[$i]);
}
echo '
          </div>
        </div>
      </div>';
//INFOS SUR LE Webmestre
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse6">'.$admin[62].'</a>
        <div class="collapse" data-parent="#accordion" id="collapse6">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            '.inputConfigGuppy('user0', $user[0], '230px', '&bull;&nbsp;'.$admin[63]).'
            '.inputConfigGuppy('user1', $user[1], '230px', '&bull;&nbsp;'.$admin[64]).'
            '.checkboxConfigGuppy('user3', $user[3], '&nbsp;&nbsp;&nbsp; -&nbsp;'.$admin[232]).'
          </div>
        </div>
      </div>';
//BALISES META
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse7">'.$admin[308].'</a>
        <div class="collapse" data-parent="#accordion" id="collapse7">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            '.textareaConfigGuppy('site1', $site[1], '260px', '150px', '&bull;&nbsp;'.$admin[51]).'
            '.textareaConfigGuppy('site2', $site[2], '260px', '150px', '&bull;&nbsp;'.$admin[52]).'
            '.inputConfigGuppy('site9', $site[9], '230px', '&bull;&nbsp;'.$admin[312]).'
          </div>
        </div>
      </div>';
//COPYRIGHT GUPPY
$menuOptionsSelect0 = array($admin[1487] => 'I', $admin[394] => 'T');
$menuOptionsSelect1 = array($admin[513] => 'N', $admin[512] => '', $admin[511] => 's', $admin[510] => 't');
$menuOptionsSelect2 = array($admin[508] => 'T', $admin[494] => 'L', $admin[495] => 'R', $admin[507] => 'B');
echo '
      <div class="card">
        <a class="card-header collapsed card-link" data-toggle="collapse" href="#collapse8">'.$admin[515].'</a>
        <div class="collapse" data-parent="#accordion" id="collapse8">
          <div class="card-body" style="max-width:560px; margin:4px auto auto auto; padding:0 0 5px 0;">
            <p style="text-align:center;">'.$help[20].'</p>
            '.selectConfigGuppy('site35', $menuOptionsSelect0, $site[35], '&bull;&nbsp;'.$admin[1486]).'
            '.selectConfigGuppy('site24', $menuOptionsSelect1, $site[24], '&bull;&nbsp;'.$admin[514]).'
            '.selectConfigGuppy('site25', $menuOptionsSelect2, $site[25], '&bull;&nbsp;'.$admin[509]).'
          </div>
        </div>
      </div>';
echo '
    <div class="quest" style="margin-top: 2px; padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
    </div>
  </div>
</form>';

btable();
include CHEMIN.'admin/bpage.inc';
?>