<?php
/*******************************************************************************
 *   Admin Configuration
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2018) : addition of two locations in the upper and lower zones
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'config3.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[2] == '') {
        $nomzone = $admin[469];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$xpb     = import('xpb', 'POST', FALSE);
$wpb     = import('wpb', 'POST', FALSE);
$skns    = import('skns', 'POST', FALSE);
$conf    = import('conf', '', FALSE, 0);
$messreg = '';

AddFreeBoxes();
AddDDMenuBoxes();

$admcookie = isset($_COOKIE[ADMP_COOKIE]) ? $_COOKIE[ADMP_COOKIE] : '00';
$positem   = 0;
for ($i = 0; $i < 9; $i++) {
    $posdata        = $positem + 2;
    $lendata        = intval(substr($admcookie, $positem, 2));
    $adminprefs[$i] = substr($admcookie, $posdata, $lendata);
    $positem        = $posdata + $lendata;
}

$confstruct    = import('confstruct');
$confstruct    = empty($confstruct) ? 'web' : $confstruct;
$adminprefs[8] = $confstruct;
$admdata       = '';
for ($i = 0; $i < count($adminprefs); $i++) {
    $strlen   = sprintf("%02d", strlen($adminprefs[$i]));
    $admdata .= $strlen.$adminprefs[$i];
}
setcookie(ADMP_COOKIE, $admdata);

$fileconf = $adminprefs[8] == 'web' ? 'confweb' : 'confmob';
$meskin   = CHEMIN.'skins/'.$selskin.'/';
if (is_file ($meskin.$fileconf.'.inc')) {
    include $meskin.$fileconf.'.inc';
} else {
    include CHEMIN.'skins/no_skin/'.$fileconf.'.inc';
}

if ($regit == 1) {
	$lst = '';
    foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[BOX_EDITO][$key] as $i => $value) {
			if (!empty($value) && empty($wpb[BOX_EDITO][$key][$i])) { 
				$lst .= ' - [ '.BOX_EDITO.' ] [ '.$key.' ] [ '.$i.' ] => '.getLabelBox($boxes, substr($value, 2)).'\n';
                $wpb[BOX_EDITO][$key][$i] = '';
            }
		}
	}
	if ($lst == '') {
		$messreg = ' : &nbsp;OK';
	} else {
		echo BeginJavascript().'alert("'.addslashes($admin[706]).'\n\n'.$lst.'");'.EndJavascript();
	}
	
	$meskin = CHEMIN.'skins/'.$selskin.'/';
	if (is_file ($meskin.$fileconf.'.inc')) {
		include $meskin.$fileconf.'.inc';
	} else {
		include CHEMIN.'skins/no_skin/'.$fileconf.'.inc';
	}
	
	$site[4]     = import('site4'); // Nouvelles sur la page d'accueil
	$site[20]    = import('site20'); // Messages Forum sur la page d'accueil
	$site[21]    = import('site21'); // ID du message Livre d'or préféré
	$site[29]    = import('site29'); // Hauteur en pixels des nouvelles en page d'accueil (0 = tous)
	$site[33]    = import('site33'); // Hauteur en pixels des billets du blog en page d'accueil (0 = tous)
	$site[34]    = import('site34'); // Nombre de caractères des posts forum en page d'accueil (0 = tous)
	$site[31]    = import('site31'); // Blogs sur la page d'accueil
    $serviz[74]  = import('serviz74'); // Cacher les boîtes en page d'accueil ON/OFF
	
	$xposbox[BOX_BLOG][BOX_LEFT]  = $xpb[BOX_BLOG][BOX_LEFT];
	$xposbox[BOX_BLOG][BOX_RIGHT] = $xpb[BOX_BLOG][BOX_RIGHT];
	foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
		foreach ($xpb[BOX_EDITO][$key] as $i => $value) {
			$args  = '';
			if (!empty($value)) {
				$wb   = intval($wpb[BOX_EDITO][$key][$i]);
				$pos  = strrpos($value, CONNECTOR, 2);
				$args = $wb == 0 ? '' : ($pos == 0 ? CONNECTOR : '').'W'.$wb;
			}
			$xpb[BOX_EDITO][$key][$i] = $value.$args;
		}
		$xposbox[BOX_EDITO][$key] = $xpb[BOX_EDITO][$key];
	}
	unset($xpb, $wpb);
	
	include 'inc/'.$fileconf.'.inc';
    if ($site[7] == 'on' || PHP700) {
        @ob_flush();
        sleep(PHP700 ? 3 : $site[8]);
        echo BeginJavascript().'window.location="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=config3&confstruct='.$confstruct.'";'.EndJavascript();
    }
}
elseif ($regit == 2) { // copie config dans les autres skins
	if (!empty($skns)) {
		foreach ($skns as $skin) {
            $src  = CHEMIN.'skins/'.$selskin.'/'.$fileconf.'.inc';
            $dest = CHEMIN.'skins/'.$skin.'/'.$fileconf.'.inc';
            copy($src, $dest);
		}
		unset($skns);
	}
} 

include CONFIG;
$conf = !isset($templates[$conf]) ? 0 : $conf;

TestPosBoxes($xposbox[BOX_EDITO][BOX_LEFT], 5, 2);
TestPosBoxes($xposbox[BOX_EDITO][BOX_CENTER], 5, 2);
TestPosBoxes($xposbox[BOX_EDITO][BOX_RIGHT], 5, 2);
TestSizeBoxes($xposbox[BOX_EDITO][BOX_LEFT], $xposbox[BOX_EDITO][BOX_CENTER], $xposbox[BOX_EDITO][BOX_RIGHT]);

TestPosBoxes($xposbox[BOX_BLOG][BOX_LEFT], 5, 2);
TestPosBoxes($xposbox[BOX_BLOG][BOX_RIGHT], 5, 2);
TestSizeBoxes($xposbox[BOX_BLOG][BOX_LEFT], $xposbox['B'][BOX_RIGHT]);

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[470]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[470], '100%');

include 'plugins/plugbox.inc';

$skn   = isset($selskin) ? '&amp;selskin='.$selskin : 'no_skin';
$skins = ExploreDir('skins/');

echo '
<div style="text-align:center">
  <p>'.ToHelp($lng, 'config3').$admin[471].'</p>
</div>

<div  style="text-align:center">';
        
if ($fctwri == 'admin') {
    $bkc = $confstruct == 'web' ? '#00D32D' : '#0007E8';
    $col = $confstruct == 'web' ? '#FFFFFF' : '#FFFF00';
    echo '
<fieldset style="text-align:center;margin:auto;width:300px;background:'.$bkc.';color:'.$col.';font-size:13px;font-weight:bold;">
  <form name="struct" method="post" action="#">  '.$admin[725].' :&nbsp;
    <select name="confstruct" onchange="submit();" style="font-size:16px;">
      <option value="web"'.Selected($confstruct == 'web').'>WEB</option>
      <option value="mob"'.Selected($confstruct == 'mob').'>MOBILE</option>
    </select>
  </form>
</fieldset>';
} else
    $confstruct = 'web';

echo '
  <hr />
  <table style="text-align:left;width:100%;">
    <tr>
      <td class="forum" style="vertical-align:top; text-align:left; width:50%; padding:5px 20px;">
	    '.$admin[725].' : <strong>'.$userprefs[10].$messreg.'</strong>
	  </td>
      <td class="forum" style="text-align:center;vertical-align:top;">
	    '.$admin[707].'
        <form name="selskns" action="admin.php?lng='.$lng.'&amp;pg=config3" method="post">
          <input type="hidden" name="confstruct" value="'.$confstruct.'" />
          <input type="hidden" name="regit" value="2" />
          <input type="hidden" name="selskin" value="'.$selskin.'" /><br />    
	      <select name="skns[]" style="width:150px;" size="6" multiple="multiple">';

foreach ($skins as $skn)
	if ($skn != $selskin) echo '
			<option value="'.$skn.'">'.$skn.'</option>>';

echo '
		  </select>
		  <br />'.SubmitButton($admin[708]).'
        </form>
	  </td>
	</tr>
  </table>
</div>
<div style="margin-right:auto;margin-left:auto;width:98%;">
  <form name="conf3" action="admin.php?lng='.$lng.'&amp;pg=config3" method="post">
    <input type="hidden" name="confstruct" value="'.$confstruct.'" />
    <input type="hidden" name="regit" value="1" />
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
    <fieldset>'.legend($admin[1077]).'
      <table style="text-align:center;width:100%;margin:auto;">
        <tr>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_LEFT.']', $xposbox[BOX_EDITO][BOX_LEFT], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_LEFT.']', $wposbox[BOX_EDITO][BOX_LEFT]);
echo '
          </td>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_CENTER.']', $xposbox[BOX_EDITO][BOX_CENTER], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_CENTER.']', $wposbox[BOX_EDITO][BOX_CENTER]);
echo '
          </td>
          <td style="padding: 4px;">';
WriteColumnSelectBoxes('xpb['.BOX_EDITO.']['.BOX_RIGHT.']', $xposbox[BOX_EDITO][BOX_RIGHT], SelectBoxes($boxes, BOX_EDITO), true, true, 'wpb['.BOX_EDITO.']['.BOX_RIGHT.']', $wposbox[BOX_EDITO][BOX_RIGHT]);
echo '
          </td>
        </tr>
      </table>
    </fieldset>
	
    <fieldset>'.legend($admin[770]).'
      <table style="text-align:center;width:100%;border:none">
        <tr>
          <td style="vertical-align:top;width:30%;">
            <fieldset>'.legend($admin[337]);
WriteColumnSelectBoxes('xpb['.BOX_BLOG.']['.BOX_LEFT.']', $xposbox[BOX_BLOG][BOX_LEFT], SelectBoxes($boxes, BOX_LEFT), true, true);
echo '
            </fieldset>
          </td>
          <td style="vertical-align:top;width:40%;">
            <p class="quest" style="text-align:center;line-height:75px;margin:92px 0 0;font-weight:bold;font-size:1.5em;">'.$admin[878].'</p>
          </td>
          <td style="vertical-align:top;width:30%;">
            <fieldset>'.legend($admin[338]);
WriteColumnSelectBoxes('xpb['.BOX_BLOG.']['.BOX_RIGHT.']', $xposbox[BOX_BLOG][BOX_RIGHT], SelectBoxes($boxes, BOX_RIGHT), true, true);
echo '
            </fieldset>
          </td>
        </tr>
      </table>
    </fieldset>
	
    <fieldset>
      <table style="width:100%;">';

echo '
        <tr style="text-align:left;">
          <td>&bull; '.$admin[1078].'</td><td><input class="checkbox" type="checkbox" name="serviz74"'.Checked($serviz[74]).' /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[58].'</td><td><input class="texte" type="text" name="site4" size="3" value="'.$site[4].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[778].'</td><td><input class="texte" type="text" name="site31" size="3" value="'.$site[31].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[684].'</td><td><input class="texte" type="text" name="site29" size="7" value="'.$site[29].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[1469].'</td><td><input class="texte" type="text" name="site33" size="7" value="'.$site[33].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[1470].'</td><td><input class="texte" type="text" name="site34" size="7" value="'.$site[34].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[463].'</td><td><input class="texte" type="text" name="site20" size="3" value="'.$site[20].'" /></td></tr>
        <tr style="text-align:left;">
          <td>&bull; '.$admin[465].'</td>
          <td>
            <select name="site21">';
$dbwork = SelectDBFields(TYP_GUESTBK, 'a', '');
for ($i = 0; $i < count($dbwork); $i++) {
    ReadDoc($dbwork[$i][1]);
    $txt = CutLongWord(strip_tags($fieldc1),40);
    echo '
              <option value="'.$fileid.'"'.Selected($site[21] == $fileid).'>'.$fileid.' : '.$txt.' ...</option>';
}
echo '
            </select>
          </td>
        </tr>
      </table>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[66], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';
btable();
include(CHEMIN.'admin/bpage.inc');
?>