<?php
/*******************************************************************************
 *   Supervise forum
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.09 (June 06, 2019)      : remove forum without category
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'frsurveille.inc')) {
    header('location:../index.php');
    die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[23] == '') {
        $nomzone = $admin[253];
        include 'access.inc';
        exit();
    }
}

$headinc .= '
<meta http-equiv="refresh" content="30" />
<style type="text/css">
.fsmain { width:98%; margin:8px auto 0; }
.fsbloc { width:100%; border:1px solid; padding: 2px; margin: 0; }
.fscateg  { float:left;  width:12%;}
.fstext  { width:74%; margin:0 10%; }
.fssujet { border-bottom: 1px solid; }
.fsauteur { float:right; width:14%; }
.fsclear { clear:both; }
.fspart { padding: 2px; text-align:center; }
.fsover { max-height:125px; overflow:auto; }
.fslink { float:left; padding: 2px 2px 0 0;}
</style>';

$widepage = 'on';
$topmess  = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1072]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1072],"100%");

echo '
<p style="text-align:center;">'.ToHelp($lng, 'frsurveille').'</p><br />
<hr />';

define('FS_NBBLOC', '12'); // Nb de messages en page d'accueil ???

$l = $lng == $lang[0] ? 0 : 1;

$thread = 0;
if (!empty($pg)) {
    $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM),$pg);
    if (count($dbwork) != 0) {
        $thread = $dbwork[0][1];
    }
} elseif (!empty($thrd)) {
    $dbwork = ReadDBFields(DBTHREAD);
    for ($i = 0; $i < count($dbwork); $i++) {
        if ($dbwork[$i][1] == $thrd && $dbwork[$i][2] == '0') {
            $thread = $thrd;
            $pg = $dbwork[$i][3];
        }
    }
}

$dbworkcat = ReadDBFields(DBFORUMCAT);
$dbwork    = ReadDBFields(DBTHREAD);
@sort($dbwork);
$dbfor = ReadDBFields(DBFORUM);
$dbmess = array();
$j = 0;
if (!empty($dbwork)) {
    $newdate = date('YmdHi', time()-(86400*$forum[8])); // délai pour nouveau
    $messtop = '<br /><img src="'.$reptheme.'/msg_t.gif" alt="'.$admin[1689].'" style="vertical-align:-5px" />';
    $messnew = '<br /><img src="'.$reptheme.'/msg_n.png" alt="'.$admin[1590].'" style="vertical-align:-5px" />';
    for ($i = count($dbwork)-1; $i >= max(0, count($dbwork) - FS_NBBLOC); $i--) {
        ReadDoc($dbwork[$i][3]);
        $dbmess[$j] = array_pad(array(), 13, '');
        if ($fielda2 == '0') {
            $dbmess[$j][0] = $fileid;
            $sujet = strip_tags($fieldb1);
        }
        else {
            for ($k = 0; $k < count($dbfor); $k++) {
                if ($fielda1 == $dbfor[$k][1]) {
                    $fieldb2 = $dbfor[$k][12];
                    $dbmess[$j][0] = $dbfor[$k][2];
                    $sujet = strip_tags($dbfor[$k][5]);
                    $nbrep = $dbfor[$k][7];
                    $dbmess[$j][7] = $dbwork[$i][2];
                    $dbmess[$j][8] = $dbfor[$k][3];
                }
            }
        }
        $dbmess[$j][10] = $fileid;
        $dbmess[$j][11] = $fielda1;
        if ($fieldweb != '') {
            $dbmess[$j][12] = $fieldweb;
        }
        $dbmess[$j][1] = $fieldb2;
        for ($k = 0; $k < count($dbworkcat); $k++) {
            if ($dbworkcat[$k][0] == $fieldb2) {
                $dbmess[$j][2] = $dbworkcat[$k][$l+1];
            }
        }
        $dbmess[$j][3] = PathToImage($fieldc1);
        $dbmess[$j][4] = FormatDate($creadate).' ';
        if ($newdate < $creadate || $newdate < $moddate) {
            $dbmess[$j][4] = FormatDate($creadate).' '.$messnew.' ';
        }
        if ($moddate != $creadate) {
            if ($moddate > date('YmdHi')) {
                $dbmess[$j][4] = FormatDate(date('YmdHi')).' '.$messtop.' ';
            } elseif ($fieldmod != '') {
                $datemod = explode('#', $fieldmod);
                $dbmess[$j][4] = FormatDate($datemod[2]).' ';
            } else {
                $dbmess[$j][4] = FormatDate($moddate).' ';
            }
        }
        $dbmess[$j][5] = $sujet;
        $dbmess[$j][6] = ceil((int)$dbmess[$j][7] / $serviz[20]);
        $dbmess[$j][9] = $author;
        $j++;
    }
}

if (!empty($dbmess)) {
    echo '
<br />
<div class="fsmain bord">';
    for ($i = 0; $i < count($dbmess); $i++) {
        $bgcol = $i %2 == 0 ? 'rep' : 'quest';

        echo '
  <div class="fsbloc '.$bgcol.'">';
        echo '
    <div class="fscateg">
      <div class="fspart">
        <a target="_blank" href="'.CHEMIN.$site['FR'].'.php?lng='.$lng.'&amp;cat='.getForumcatId($dbmess[$i][1]).'" title ="'.$admin[190].' ?"><b>'.$dbmess[$i][2].'</b></a>
      </div>
      <div class="fspart">
        <a target="_blank" href="'.CHEMIN.$site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$dbmess[$i][11].'&amp;pg='.$dbmess[$i][10].'">
          <img src="'.$reptheme.'/reponse.png" alt="'.$admin[1690].'" title="'.$admin[1690].'" />
        </a>
      </div>';
        echo '
      <div class="fspart">
        <a target="_blank" href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;form=2&amp;id='.$dbmess[$i][10].'">
          <img src="'.$reptheme.'/edit.png" alt="'.$admin[1691].'" title="'.$admin[1691].'" />
        </a>
        <a target="_blank" href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;act=i&amp;id='.$dbmess[$i][10].'">
          <img src="'.$reptheme.'/desact.png" alt="'.$admin[1021].'" title="'.$admin[1021].'" />
        </a>
        <a target="_blank" href="'.CHEMIN.'admin/admin.php?lng='.$lng.'&amp;pg=forum&amp;del='.$dbmess[$i][10].'">
          <img src="'.$reptheme.'/del.png" alt="'.$admin[186].'" title="'.$admin[186].'" />
        </a>
      </div>
    </div>';
        if (!empty($dbmess[$i][12])) {
            $siteweb = '
        <a target="_blank" href="'.$dbmess[$i][12].'" title="'.$dbmess[$i][12].'">
		  <img src="'.$reptheme.'/site.png" alt="" title="" />
		</a>';
        } else {
            $siteweb = '';
        }
        echo  '
    <div class="fsauteur"><br />
        '.$dbmess[$i][4].'
        <br />
        '.$admin[1601].' '.$dbmess[$i][9].'
        <br />'.$siteweb.'
    </div>';
        echo '
    <div class="fstext" >
      <div class="fssujet">
        <a target="_blank" href="'.CHEMIN.$site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbmess[$i][0].'&amp;cat='.getForumcatId($dbmess[$i][1]).'" title ="'.$admin[1601].' '.$dbmess[$i][8].' ... '.$admin[190].' ?">
          <img src="'.$reptheme.'/look.png" alt="'.$admin[1070].'" title="'.$admin[1070].'" />
          <b>'.$dbmess[$i][5].'</b>
        </a>
      </div>
      <div style="position:relative;">
        <div class="fslink">
        <a target="_blank" href="'.CHEMIN.$site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbmess[$i][0].'&amp;id='.$dbmess[$i][6].'&amp;cat='.getForumcatId($dbmess[$i][1]).'#R'.$dbmess[$i][7].'" title ="'.$admin[1601].' '.$dbmess[$i][9].' ... '.$admin[190].' ?">
          <img src="'.$reptheme.'/look.png" alt="'.$admin[1071].'" title="'.$admin[1071].'" />
        </a>
        </div>
        <div class="fsover">
        '.$dbmess[$i][3].'
        </div>
      </div>
    </div>
    <div class="fsclear"></div>
  </div>';
    }
    echo '
</div>';
}

btable();
include CHEMIN.'admin/bpage.inc';
?>
