<?php
/*******************************************************************************
 *   Admin Protect admin
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : adaptation css
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'],  'protect.inc')) {
	header('location:../index.php');
	die();
}

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[9] == '' && $userprefs[1] != $serviz[176]) {
        $nomzone = $admin[12];
        include 'access.inc';
        exit();
    }
}

$regit   = import('regit');
$upseudo = import('upseudo');
$uuid    = import('uuid');
$uuid2   = import('uuid2');
$unorm   = import('unorm');
$ufree   = import('ufree');
$uspec   = import('uspec');
$htspec  = import('htspec');

$erreur     = '';
$err_pseudo = empty($upseudo) && ($regit == 1 || $regit == 3 || $regit == 4) ? true: false;
$err_uid    = (empty($uuid) || !ctrlPasswordOK($uuid)) && $regit == 1 ? true: false;
$err_uid2   = $uuid != $uuid2 && $regit == 1 ? true: false;
$err_method = $unorm.$ufree.$uspec == '' && $regit == 1 ? true : false;
$erreur    .= $err_pseudo ? '<li>'.$admin[1588].'</li>': '';
$erreur    .= $err_uid ? '<li>'.$admin[1610].'</li>': '';
$erreur    .= $err_uid2 ? '<li>'.$admin[1611].'</li>': '';
$erreur    .= $err_method ? '<li>'.$admin[1736].'</li>': '';

$proot = dirname(__FILE__);
$proot = substr($proot, 0, strrpos($proot, '/admin/admin.php'));
@include $proot.'/data/config/testprotect.inc';
$upath = $testprotect == 'Success' ? true : false;
$path  = $upath ? $proot.'/data/config/.htpasswd' : '';
$mode  = '__FILE__';
if (empty($path)) {
    $proot = $_SERVER['SCRIPT_FILENAME'];
    $proot = substr($proot, 0, strrpos($proot, '/admin/admin.php'));
    @include $proot.'/data/config/testprotect.inc';
    $upath = $testprotect == 'Success' ? true : false;
    $path  = $upath ? $proot.'/data/config/.htpasswd' : '';
    $mode  = 'SCRIPT_FILENAME';
}
if (empty($path)) {
    $proot = $_SERVER['DOCUMENT_ROOT'];
    @include $proot.'/data/config/testprotect.inc';
    $upath = $testprotect == 'Success' ? true : false;
    $path  = $upath ? $proot.'/data/config/.htpasswd' : '';
    $mode  = 'DOCUMENT_ROOT';
}
if (empty($path)) {
    $proot = realpath(CHEMIN.'data/config/testprotect.inc');
    @include $proot;
    $upath = $testprotect == 'Success' ? true : false;
    $path  = realpath(CHEMIN.'data/config/.htpasswd');
    $mode  = 'realpath()';
}
if (empty($path)) $uspec == 'on';

if ($regit == 1 && !empty($path) && empty($erreur)) { // création et ajout 1er admin
    $htpass = '#:'.($unorm == 'on' ? '1-0-0' : ($ufree == 'on' ? '0-1-0' : '0-0-1')).chr(10).$upseudo.':'.($ufree == 'on' ? $uuid : crypt($uuid));
    WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpass);
    
    $htnormal = '
AuthName "'.$admin[1762].$site[0].'"
AuthType Basic
AuthUserFile '.$path.'
require valid-user
#method = '.$mode.'
    ';
    
    $htfree = '
AuthName "'.$admin[1762].$site[0].'"
PerlSetVar AuthFile /data/config/.htpasswd
AuthType Basic
require valid-user
#method = '.$mode.'
    ';
    
    $htaccess = $ufree == 'on' ? $htfree : ($uspec == 'on' ? $htspec : $htnormal);
    WriteFullDB(CHEMIN.'admin/.htaccess', $htaccess);
    $regit = 5;
}

if ($regit == 2 && empty($erreur)) { // suppression de la protection
    $htaccess = '
Options -Indexes';
    WriteFullDB(CHEMIN.'admin/.htaccess', $htaccess);
    @unlink(CHEMIN.'data/config/.htpasswd');
    $location = 'admin.php?lng='.$lng.'&pg=protect';
    header('location: '.$location);
    exit();
}

if ($regit == 3 && empty($erreur)) { // ajoute un collaborateur
    $addht   = true;
    $ahtpass = @file(CHEMIN.'data/config/.htpasswd');
    $ahts    = array();
    for ($i = 2; $i < count($ahtpass); $i++) {
        $aht = explode(':', $ahtpass[$i]);
        if ($upseudo != $aht[0] && !empty($ahtpass[$i])) $ahts[] = $ahtpass[$i];
    }
    $aht = explode(':', $ahtpass[1]);
    if ($aht[0] != $upseudo) $ahts[] = chr(10).$upseudo.':'.($ufree == 'on' ? $uuid : crypt($uuid));
    $htpass = $ahtpass[0].$ahtpass[1];
    foreach ($ahts as $ht) $htpass .= $ht;
    WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpass);
}

if ($regit == 4 && empty($erreur)) { // suppresion collaborateur
    DeleteMemberProtect($upseudo);
}

if ($regit == 5 && empty($erreur)) { // ajout ensemble collaborateurs
    $ahts     = array();
    $dbadmins = ReadDBFields(ADMINS);
    $ahtpass  = @file(CHEMIN.'data/config/.htpasswd');
    foreach ($dbadmins as $row) {
        if (is_file(REDACREP.$row[0].INCEXT)) {
            $addht = true;
            for ($i = 2; $i < count($ahtpass); $i++) {
                $aht = explode(':', $ahtpass[$i]);
                if ($row[0] == $aht[0]) {
                    $addht = false;
                    break;
                }
            }
            if ($addht) $ahts[] = $row[0];
        }
    }
    $ufree = substr($ahtpass[0], 0, 7) == '#:0-1-0' ? 'on' : '';
    foreach ($ahts as $ht) {
        include_once REDACREP.$ht.INCEXT;
        $userdb    = ReadDBFields(MSGREP.$ht.DBEXT);
        $htpass    = $ht.':'.(isset($userdb[0][1]) ? ($ufree == 'on' ? gy_decrypt(CRYPT_KEY, $userdb[0][1]) : $userdb[0][1]) : $drtuser[38]);
        $htpasswd  = ReadFullDB(CHEMIN.'data/config/.htpasswd');
        $htpasswd .= chr(10).$htpass;
        WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpasswd);
    }
    $ahts    = array();
    $ahtpass = @file(CHEMIN.'data/config/.htpasswd');
    foreach ($ahtpass as $ht) if (!empty($ht)) $ahts[] = $ht;
    $htpass = '';
    foreach ($ahts as $ht) $htpass .= $ht;
    WriteFullDB(CHEMIN.'data/config/.htpasswd', $htpass);
}

$headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var erreur = false;
    var pseudo = document.protect.upseudo.value;
	var uid = document.protect.uuid.value;
	var uid2 = document.protect.uuid2.value;
    regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
    if (pseudo == "" || !regexp.test(document.protect.upseudo.value)) {
        sto += \'  - '.addslashes($admin[1588]).'\n\';
		document.protect.upseudo.className = "errorInputText";
        erreur = true;
    }
    if (uid != "") {
        regexp = /^\\S{8,40}$/;
        if (!regexp.test(uid)) {
            sto += \'  - '.addslashes($admin[1610]).'\n\';
			document.protect.uuid.className = "errorInputText";
            erreur = true;
        }
    }
	if (uid != uid2) {
		sto += \'  - '.addslashes($admin[1611]).' !\n\';
		document.protect.uuid.className = "errorInputText";
		document.protect.uuid2.className = "errorInputText";
		erreur = true;
	}
    if (erreur == true) {
        sto = "'.addslashes($admin[1636]).'\n\n" + sto;
        alert(sto);
		return false;
    }
}
function displayht0(form) {
    if (form.unorm.checked) {
        form.uspec.checked = "";
        form.ufree.checked = "";
    }
}
function displayht1(form) {
    if (form.ufree.checked) {
        form.unorm.checked = "";
        form.uspec.checked = "";
    }
}
function displayht2(form) {
    if (form.uspec.checked) {
        form.unorm.checked = "";
        form.ufree.checked = "";
        montre(\'trht\');
    } else {        
        cache(\'trht\');
        form.unorm.checked = true;
    }
}
'.EndJavascript();

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[1554]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[1554], '100%');

$htpasswd = @file(CHEMIN.'data/config/.htpasswd');
echo '
<p style="text-align:center;">'.ToHelp($lng, 'protect').$admin[1555].'</p>
<hr />';
if (!empty($erreur)) echo displayErrorMsg($admin[1715], $erreur);
echo '
<style type="text/css">
.td-input-group div.input-group-append { margin-left: -5px; }
input.texte { font-size: 13px; }
</style>
<script text="javascript">
  $(document).ready(function(){
    $("#testuuid").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#uuid-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#uuid-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
<div style="width:520px; margin:auto;">
  <form name="protect" action="admin.php?lng='.$lng.'&amp;pg=protect" method="post" onsubmit="return VerifyForm(); return false;">';
if (is_file(CHEMIN.'data/config/.htpasswd')) echo '
    <input type="hidden" name="regit" value="3" />';
else echo '
    <input type="hidden" name="regit" value="1" />';
$method = '';
if (!empty($htpasswd)) {
    $method = trim(substr($htpasswd[0], 2));
    switch ($method) {
    case '1-0-0' : 
        echo '
    <input type="hidden" name="unorm" value="on" />';
        break;
    case '0-1-0' : 
        echo '
    <input type="hidden" name="ufree" value="on" />';
        break;
    case '0-0-1' : 
        echo '
    <input type="hidden" name="uspec" value="on" />';
        break;
    }
}
echo '
    <div class="quest" style="padding:2px 20px;">
      <div style="float:left;">
        '.$imggauche.'<button type="button" class="btn btn-info btn-lg" title="'.$admin[1411].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=2\'">'.$admin[1411].'</button>
      </div>';
if ($method != '0-0-1') echo '
      <div style="float:right;">
        <button type="button" class="btn btn-info btn-lg" title="'.$admin[1749].'" onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=5\'">'.$admin[1749].'</button>'.$imgdroite.'
      </div>';
echo '
      <div style="clear:both"></div>
	</div>
    <fieldset>
      <table>';
if (empty($htpasswd))
    echo '
        <tr>
          <td style="padding:4px;width:50%;"><b>'.$admin[1013].'</b></td>
          <td style="padding:4px;"><input type="text" class="'.($err_pseudo ? 'errorInputText' : 'texte').' form-control" name="upseudo" size="40"'.$userprefs[1].' /></td>
        </tr>
        <tr><td colspan="2" style="padding:4px;"><div class="" id="uuid-strength"></div></td></tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1634].'</b></td>
          <td style="padding:4px;" class="td-input-group">
            <input data-toggle="password" id="uuid" class="texte form-control" type="password" name="uuid" value="" data-message="" />
          </td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1645].'</b></td>
          <td style="padding:4px;" class="td-input-group">
            <input data-toggle="password" id="uuid2" class="texte form-control" type="password" name="uuid2" value="" data-message="" />
          </td>
        </tr>
        <tr><td colspan="2"><hr /></td></tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1735].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="unorm" name="unorm" onchange="displayht0(this.form); cache(\'trht\');" /></td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1568].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="ufree" name="ufree" onchange="displayht1(this.form); cache(\'trht\');" /></td>
        </tr>
        <tr>
          <td style="padding:4px;"><b>'.$admin[1734].'</b></td>
          <td style="padding:4px;"><input type="checkbox" id="uspec" name="uspec" onchange="displayht2(this.form);" /></td>
        </tr>';
echo '
      </table>
      <div id="trht" class="displayNone" style="width:472px;">
        <textarea name="htspec" rows="4" style="width:473px;"></textarea>
      </div>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
	  <div style="float:left">'
  	    .$imggauche.'<button type="button" class="btn btn-info btn-lg" title="'.$admin[22].'" onclick="self.location.href=\'admin.php?lng='.$lng.'\'">'.$admin[22].'</button>
	  </div>';
if (empty($htpasswd)) echo '
	  <div style="float:right">'.SubmitButton($admin[885], '', '', $imgdroite).'</div>';
echo '
	  <div style="clear:both"></div>
	</div>
  </form>';
if (!empty($htpasswd)) {
    echo '
    <fieldset style="margin-top: 24px; padding: 6px 24px; width: 60%; margin: auto;">';
    $countht = count($htpasswd);
    for ($i = 1; $i < $countht; $i++) {
        $aht = explode(':', $htpasswd[$i]);
        echo '
      <div style="line-height: 20px;">
        <b>'.$aht[0].'</b>';
        if($i > 1) echo '
        <span style="float:right;">
          <img src="'.CHEMIN.'admin/inc/img/files/sup.gif" alt="X" title="'.$admin[186].'"  style="cursor: pointer;" 
            onclick="self.location.href=\'admin.php?lng='.$lng.'&pg=protect&regit=4&upseudo='.$aht[0].'\'" />
        </span>';
        echo '
      </div><div style="clear: both;"></div>';
    }
    echo '
    </fieldset>';
}
    echo '
</div>
'.BeginJavascript().'document.newpwd.uuid.focus()'.EndJavascript();

btable();
include CHEMIN.'admin/bpage.inc' ;
?>