<?php
/*******************************************************************************
 *   Upload / Delete files
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 18, 2017)  : deleting the GuppYUser5 cookie
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'upload.inc')) {
    header('location:../index.php');
    die();
}

$rep    = import('rep');
$newrep = import('newrep');
$del    = import('del');

// Liste des répertoires où l'upload est autorisé
$list_baserep = array('file', 'img', 'pages', 'photo', 'save', 'skins');

if (is_file(REDACREP.$userprefs[1].INCEXT)) {
    include REDACREP.$userprefs[1].INCEXT;
    if ($drtuser[36] == '') {
        $nomzone = $admin[171];
        include 'access.inc';
        exit();
    }
}

// Fonctions d'exploration récursive des répertoires
function lister_sousrepertoires($dir){
    $r = $dir.' ';
    $h = opendir(CHEMIN.$dir);
    while ($f = readdir($h)) {
        if (is_dir(CHEMIN.$dir.'/'.$f) && ($f[0] != '.'))
            $r .= lister_sousrepertoires($dir.'/'.$f).' ';
    }
    closedir($h);
    return trim($r);
}
function lister_repertoires($list){
    $r = '';
    for($i=0; $i<count($list); $i++){
        if (is_dir(CHEMIN.$list[$i])) {
            $r .= ' '.lister_sousrepertoires($list[$i]);
        }
    }
    return explode(' ', trim($r));
}

if (empty($rep)) {
    $rep = 'file';
}

/// DELETE FILE
if (!empty($del)) {
    SetChmod(CHEMIN.$rep.'/'.$del);
    @unlink(CHEMIN.$rep.'/'.$del);
}

/// CREATE DIRECTORY
if (!empty($newrep)) {
    if (stristr($newrep, 'script') !== false) {
        echo BeginJavascript().'
alert("'.$admin[987].'");
history.back();'.EndJavascript();
    } else {
        $tmp = explode('/', $rep);
        if (in_array($tmp[0], $list_baserep)) {
            $subreps = explode('/', $newrep);
            if (!in_array('..', $tmp) && !in_array('..', $subreps)) {
                $path = CHEMIN.$rep.'/';
                foreach ($subreps as $subrep) {
                    if (!is_dir($path.$subrep)) {
                        if (Makedir($path.$subrep)) {
                            SetChmod($path.$subrep);
                            @copy(CHEMIN.'admin/inc/index.php', $path.$subrep.'/index.php');
                        } else {
                            $msg = $path.$subrep.' '.$admin[20];
                            break;
                        }
                    }
                    $path .= $subrep.'/';
                }
                if (empty($msg)) {
                    $rep .= '/'.$newrep;
                }
            }
        }
    }
}

/// DELETE DIRECTORY
if (isset($_GET['delrep'])) {
	$delrep = import('delrep');
    $tmp = explode('/', $delrep);
    if (count($tmp) > 1) {
        $last = array_pop($tmp);
        if ($dh = opendir(CHEMIN.$delrep)) {
            $empty = true;
            $notdel = true;
            while ($empty && ($file = readdir($dh)) !== false) {
                switch ($file) {
                case '.' :
                case '..' :
                    break;
                case 'index.php' :
                    SetChmod(CHEMIN.$delrep.'/index.php');
                    $empty = @unlink(CHEMIN.$delrep.'/index.php');
                    break;
                default :
                    $empty = false;
                }
            }
            closedir($dh);
            if ($empty) {
                SetChmod(CHEMIN.$delrep);
                if (@rmdir(CHEMIN.$delrep)) {
                    if (!is_dir(CHEMIN.$delrep)) {
                        $delrep = implode('/', $tmp);
                        $notdel = false;
                    }
                }
            }
            if ($notdel) {
                $msg = $delrep.' : '.$admin[20].'!! &nbsp;nb '.$admin[171].' > 0';
            }
        }
    }
    $rep = $delrep;
}

/// UPLOAD FILE
if (isset($_FILES['ficup']) && !empty($_FILES['ficup']['name'])) {
    if (is_uploaded_file($_FILES['ficup']['tmp_name'])) {
        move_uploaded_file($_FILES['ficup']['tmp_name'], CHEMIN.$rep.'/'.$_FILES['ficup']['name']);
    }
}

$newrep = '';
$candel = !in_array($rep, $list_baserep);
$list_rep = lister_repertoires($list_baserep);
$dbfiles = array();
$i = 0;
$dossier = opendir(CHEMIN.$rep);
while ($fichier = readdir($dossier)) {
    if (is_file(CHEMIN.$rep.'/'.$fichier) && $fichier != 'index.php' && $fichier != '.htaccess') {
        $dbfiles[$i][0] = $fichier;
        $path_parts = basename($fichier);
        $path_parts = substr($path_parts, strrpos($path_parts, '.') + 1);
        $dbfiles[$i][1] = 'inc/img/files/'.ExtImage($path_parts).'.gif';
        $dbfiles[$i][2] = FileSizeInKb(CHEMIN.$rep.'/'.$fichier);
        $i++;
    }
}
closedir($dossier);
sort($dbfiles);

$topmess = '<a href="admin.php?lng='.$lng.'">Admin</a> > '.str_replace('Admin - ', '', $admin[180]);
include CHEMIN.'admin/hpage.inc';
if ($wri == 'admin') include CHEMIN.'admin/administrateur.php';
if ($wri == $userprefs[1]) include CHEMIN.'admin/adminredac.php';
htable($admin[180], '100%');

echo '
<p style="text-align:center;">'.ToHelp($lng, 'upload').$admin[181].'</p>
<hr />
<div style="width:560px; margin:auto;">
  <fieldset>
  <form name="changedir" action="admin.php?lng='.$lng.'&amp;pg=upload" method="post">
    <table>
      <tr>
        <td style="padding:5px;">
	      <p style="text-align:left;margin-bottom:2px">
            <strong>'.$admin[182].'</strong>&nbsp;: <img src="inc/img/files/directory.gif" alt="'.$admin[182].'" style="vertical-align:middle;" /> '.'
            <select style="font-weight:bold;" name="rep" onchange="document.changedir.submit();">';
sort($list_rep);
for($i=0; $i<count($list_rep); $i++){
    echo '
              <option value="'.$list_rep[$i].'"'.Selected($list_rep[$i] == $rep).">".$list_rep[$i]."</option>";
}
echo '
		    </select>';
    if ($candel) {
        echo '
		    <a href="admin.php?lng='.$lng.'&amp;pg=upload&amp;delrep='.$rep.'" title="'.$admin[1724].' '.$rep.'"> 
		      <img src="'.CHEMIN.'admin/inc/img/files/delete.gif" title="'.$admin[1724].' '.$rep.'" alt="'.$admin[1724].' '.$rep.'" style="vertical-align:middle; border-style:none;padding-left:30px;" />
			</a>';
    }
    echo '
          </p>';
if (!empty($msg)) {
    echo '
		  <p style="text-align:center;">'.$msg.'</p>';
}
echo '
		  <p style="text-align:left; margin-top:2px; padding-left:76px;">
		    <img src="'.$reptheme.'/pluspg.png" title="" alt="" />
		    <img src="inc/img/files/directory.gif" style="vertical-align:middle;" title="'.$admin[182].'" alt="'.$admin[182].'" />
		    <input type="text" name="newrep" value="'.$newrep.'" size="25" />
			'.SubmitButton($admin[1590].mb_strtolower($admin[182], $charset), '', '', $imgdroite).'
		  </p>
        </td>
      </tr>
    </table>
  </form>
  <hr />
  <table style="width:80%;margin:auto;border:0 solid;">
    <tr>
      <td style="width:10%;text-align:center;"></td>
      <td style="width:50%"><strong>'.$admin[184].'</strong></td>
      <td style="width:20%;text-align:center;"><strong>'.$admin[185].'</strong></td>
      <td style="width:20%;text-align:center;"><strong>'.$admin[186].'</strong></td>
    </tr>';
for ($i = 0; $i < count($dbfiles); $i++) {
    echo '
    <tr>
      <td style="text-align:center"><img src="'.$dbfiles[$i][1].'" style="width:17px;height:17px;" title="" alt="" /></td>
	  <td>
		<div class="hover_img">
		  <a href="#">'.$dbfiles[$i][0].'<span><img src="'.CHEMIN.$rep.'/'.$dbfiles[$i][0].'" alt="" height="100px" /></span></a>
		</div>
	  </td>
      <td style="text-align:center">'.$dbfiles[$i][2].' '.$admin[1725].'</td>
      <td style="text-align:center">
	    <a href="admin.php?lng='.$lng.'&amp;pg=upload&amp;rep='.$rep.'&amp;del='.$dbfiles[$i][0].'" title="'.$admin[187].'">
		  <img src="inc/img/files/delete.gif" style="width:43px;height:19px;" title="'.$admin[187].'" alt="'.$admin[187].'" />
		</a>
	  </td>
    </tr>';
}
echo '
  </table>
  </fieldset>
  <form name="uploadit" enctype="multipart/form-data" action="admin.php?lng='.$lng.'&amp;pg=upload" method="post">
    <input type="hidden" name="rep" value="'.$rep.'" />
    <fieldset>
    <p style="text-align:center;"><img src="inc/img/files/upload.gif" style="width:17px;height:17px;" alt="'.$admin[188].'"/><strong>'.$admin[188].'</strong></p>
    <p>&nbsp;</p>
    <p style="text-align:center;"><input class="texte" type="file" name="ficup" size="64" /></p>
    </fieldset>
    <div class="quest" style="padding:2px 20px;">
      <div style="float:right">'.SubmitButton($admin[189], '', '', $imgdroite).'</div>
      <div style="clear:both"></div>
    </div>
  </form>
</div>';

btable();
include CHEMIN.'admin/bpage.inc';
?>