<?php
/*******************************************************************************
 *   Integrated calendar
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : correction of URLRW adresses
 ******************************************************************************/

header('Pragma: no-cache');
define('CHEMIN', '../');
define('NO_CRYPT', true);
include CHEMIN.'inc/includes.inc';
$annee   = htmlentities(import('annee'), ENT_QUOTES, $charset);
$annee   = empty($annee) ? date('Y') : $annee;
$mois    = htmlentities(import('mois'), ENT_QUOTES, $charset);
$mois    = empty($mois) ? date('m') : $mois;
$tconfig = import('tconfig', '', true, 0);
$pos     = htmlentities(import('pos', '', true, 'L'), ENT_QUOTES, $charset);
echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>Blog Calendar</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'" />
<meta name="Robots" content="None" />';

if (file_exists($meskin."style.css")) echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
else echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
if (file_exists($meskin."styleplus.css")) echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'styleplus.css">';
echo '
</head>
<body onload="parent.adjustMyFrameHeight();">';
include_once CHEMIN.'inc/lang/'.$lng.'-special.inc';
$sel    = import('sel');
$datej  = import('datej');
$jour        = date('d');
$joursmois   = date('t',mktime(0,0,0,intval($mois),1,intval($annee)));
$premierjour = date('w',mktime(0,0,0,intval($mois),1,intval($annee)));
$mois        = date('m',mktime(0,0,0,intval($mois),1,intval($annee)));
$annee       = date('Y',mktime(0,0,0,intval($mois),1,intval($annee)));
$jourj       = date('d',mktime(0,0,0,intval($mois),intval($jour),intval($annee)));
if ($premierjour == 0) $premierjour = 7;
$semainepays = $web[153];
$joursemaine = $semainepays == 0 ?
    array(1 => $web[147], $web[148], $web[149], $web[150], $web[151], $web[152], $web[146]) :
    array(1 => $web[146], $web[147], $web[148], $web[149], $web[150], $web[151], $web[152]);
$moispays = array(1 => $web[268], $web[269], $web[270], $web[271], $web[272], $web[273], $web[274], $web[275], $web[276], $web[277], $web[278], $web[279]);
$nommois  = $moispays[$mois*$mois/$mois];
$adate    = getdate(time());
$mois_ci  = $adate['mon'];
$ann_ci   = $adate['year'];
if ($mois == 1) {
    $mois_p = 12;
    $ann_p  = $annee - 1;
    $mois_ci = $mois_p;
    $ann_ci  = $ann_p;
}
else {
    $mois_p = $mois - 1;
    $ann_p  = $annee;
    $mois_ci = $mois_p;
    $ann_ci  = $ann_p;
}
if ($mois == 12) {
    $mois_s = 1;
    $ann_s  = $annee + 1;
    $mois_ci = $mois_s;
    $ann_ci  = $ann_s;
}
else {
    $mois_s = $mois + 1;
    $ann_s  = $annee;
    $mois_ci = $mois_s;
    $ann_ci  = $ann_s;
}
$mois_ci = sprintf('%02d', $mois_ci);
$mois_p  = sprintf('%02d', $mois_p);
$mois_s  = sprintf('%02d', $mois_s);
$nbjours = date('d',mktime(0,0,0,intval($mois_s),0,intval($annee)));
$l       = ($lng == $lang[0]) ? 0 : 1;
$asite19 = explode('|', $site[19]);
if (!function_exists('MyMonth')) {
    function MyMonth($month, $year, $separator = '-') {
        global $site;
        if (($asite19[$l] == 'E1') || ($asite19[$l] == 'E2')) {
            return $month . $separator . $year;
        } else {
            return $year . $separator . $month;
        }
    }
}
$dat_max = date('Y').date('m');
$dbwork  = ReadDBFields(DBBLOG);
$dat_min = count($dbwork) == 0 ? $dat_max : substr($dbwork[0][5], 0, 6);
$dat_p   = $ann_p.$mois_p;
$dat_s   = $ann_s.$mois_s;
$out     = '';
if ($dat_p >= $dat_min) $tdleft = '
        <a href="'.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-510-'.$ann_p.'-'.$mois_p : 'blogcal.php?lng='.$lng.'&amp;annee='.$ann_p.'&amp;mois='.$mois_p).'" title="'.MyMonth($mois_p, $ann_p).'">
          <img src="'.CHEMIN.'inc/img/bars/left.gif" alt="'.$mois_p.'-'.$ann_p.'" class="valignMiddle" />
        </a>';
if ($dat_s <= $dat_max) $tdright = '
        <a href="'.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-510-'.$ann_p.'-'.$mois_s : 'blogcal.php?lng='.$lng.'&amp;annee='.$ann_p.'&amp;mois='.$mois_s).'" title="'.MyMonth($mois_s, $ann_s).'">
          <img src="'.CHEMIN.'inc/img/bars/right.gif" alt="'.MyMonth($mois_s, $ann_s).'" class="valignMiddle" />
        </a>';
echo '
  <table class="cal textCenter marginAuto">
    <tr>
      <td class="cal3'.(TYP_SCREEN == 'MOB' ? ' cal3BlogM' : ' cal3BlogW').'">'.$tdleft.'</td>
      <td colspan="5" class="cal3 textCenter cal3Blog cal3Blog'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">
        <strong><a href="'.CHEMIN.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-5-mois-'.$ann_ci.$mois : $site['BLS'].'.php?lng='.$lng.'&amp;sel=mois&amp;date='.$annee.$mois).$z2.'" title="'.MyMonth($mois, $ann_ci).'">'.$nommois.' '.$annee.'</a></strong>
      </td>
      <td class="cal3'.(TYP_SCREEN == 'MOB' ? ' cal3BlogM' : ' cal3BlogW').'">'.$tdright.'</td>
    </tr>
    
    <tr class="cal">
      <td colspan="7" class="cal calBlog'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">
	    <form name="selmois" method="POST" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[1].'-510-'.$annee.'-'.$mois : 'blogcal.php?lng='.$lng.'&amp;date='.$annee.$mois).'">
	      <div class="f-left">
	        <select class="cal selMonthCal" name="mois" onchange="this.form.submit();">';
foreach($moispays as $key=>$mnth)
    echo '
	          <option value="'.$key.'"'.Selected($key == $mois).'>'.$mnth.'</option>';
echo '
		    </select>
		  </div>
	      <div class="f-right">
	        <select class="cal selYearCal" name="annee" onchange="this.form.submit();">';
$dbannee = array();
$datesin = array();
foreach ($dbwork as $work) {
    $dbannee[] = substr($work[5], 0, 4);
    $datesin[] = substr($work[5], 0, 6);
}
$dbannee[] = date('Y');
$dbannee   = array_unique($dbannee);
$datesin[] = date('Y').date('m');
$datesin   = array_unique($datesin);
foreach($dbannee as $an)
    echo '
	          <option value="'.$an.'"'.Selected($an == $annee).'>'.$an.'</option>';
    echo '
		    </select>
		  </div>
        </form>
	  </td>
    </tr>
    <tr>';
for ($nbrejours = 1; $nbrejours < 8; $nbrejours++) {
    echo '
      <td class="cals" class="textCenter"><strong>'.$joursemaine[$nbrejours].'</strong></td>';
}
echo '
    </tr>
    <tr>';
$max = (($joursmois + $premierjour + $semainepays - 1) % 7) == 0 ?
    7 * floor(($joursmois + $premierjour + $semainepays) / 7) :
    7 * ceil(($joursmois + $premierjour + $semainepays) / 7);
for ($i = 1; $i <= $max; $i++) {
    $a = $jour = $i - $premierjour + 1 - $semainepays;
    if ($i < $premierjour || $jour > $joursmois || $a == '') {
        if  (!($premierjour == 7 && $semainepays == 1)) echo '
      <td class="cal0 cal0Blog'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">&nbsp;</td>';
    }
    elseif ($jour > $nbjours) {
        echo '
      <td class="cal0 cal0Blog'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">&nbsp;</td>';
    }
    else {
        $a    = sprintf('%02d', $a);
        $jour = sprintf('%02d', $jour);
        if (cal_ferie($jour, $mois, $annee)) {
            $textecal = $a;
            $stylecal = ($mois == $mois_ci) && ($jourj == $a) ? 'cal4' : 'cal3';
        }
        else {
            $textecal = $a;
            if ($jourj == $a) {
                if (($i%7) == $semainepays) $stylecal = $mois == $mois_ci ? 'cal4' : 'cal3';
                else $stylecal = in_array($annee.$mois, $datesin) ? 'cal2' : (($i%7) == $semainepays ? 'cal3' : 'cal1');
            }
            else $stylecal = ($i%7) == $semainepays ? 'cal3' : 'cal1';
        }
        $jok = FALSE;
        for ($k = 0; $k < count($dbwork); $k++) {
            $datebi = substr($dbwork[$k][5], 0, 8);
            if ($datebi == $annee.$mois.$a) {
                if (isAccessGranted($dbwork[$k][6]) && isAuthorizedPublication($dbwork[$k][5])){
                    $jok = TRUE;
                    $datej = $datebi;
                }
                break;
            }
        }
        if ($jok) echo '
      <td class="calevt cal0Blog"'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">
        <a href="'.CHEMIN.($site['URLR'] =='on' ? $lng.'-'.$urlrw[1].'-6-jour-'.$datej : $site['BLS'].'.php?lng='.$lng.'&amp;sel=jour&amp;datej='.$datej).$z2.'" title="'.substr(formatDate($datej), 0, 10).'">'.$textecal.'</a>
      </td>';
        else echo '
      <td class="'.$stylecal.' cal0Blog'.(TYP_SCREEN == 'MOB' ? 'M' : 'W').'">'.$textecal.'</td>';
    }
    if (($i%7) == 0 and $i != $max) echo '
    </tr>
    <tr>';
}
echo '
    </tr>
  </table>
</body>
</html>';
?>