<?php
/*******************************************************************************
 *   Site Bottom & Right of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.01 (Juanary 17, 2020) : parallax enabled by default
 *                             : correction of display of boxes above and under
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'bpage.inc')) {
    header('location:../index.php');
    die();
}

$imgspe = $site[24] == 'N' ? '' : '
  <a href="https://www.freeguppy.org/" target="'.TYP_BLANK.'" title="GuppY site">
	<img src="'.$reptheme.'/gy'.$site[24].'logo.png" alt="GuppY site" class="valignMiddle" />
  </a>';
  
$txtspeC = '
  <span>&nbsp; '.html_entity_decode('© '.MP_COPYRIGHT, ENT_COMPAT, $charset).' &nbsp;</span>';

if ($lng == 'fr') {
	$txtspeL = '
  &nbsp;
  <a class="copyright" href="https://www.freeguppy.org/" title="freeguppy.org" target="'.TYP_BLANK.'">
	'.($site[35] == 'T' ? 'Propulsé par GuppY' : '<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" class="valignMiddle" />').'
  </a>';
    $txtspeR = '
  <a class="copyright" href="http://cecill.info/index.fr.html" title="En savoir plus ..." target="'.TYP_BLANK.'">
	'.($site[35] == 'T' ? 'Sous Licence Libre CeCILL' : '<img src="'.$reptheme.'/gycecill_f.png" alt="More info ..." class="valignMiddle" />').'
  </a>
  &nbsp;';
}
else {
	$txtspeL = '
  &nbsp;
  <a class="copyright" href="https://www.freeguppy.org/" title="freeguppy.org" target="'.TYP_BLANK.'">
	'.($site[35] == 'T' ? 'Powered by GuppY' : '<img src="'.$reptheme.'/gypower.png" alt="freeguppy.org" class="valignMiddle" />').'
  </a>';
    $txtspeR = '
  <a class="copyright" href="http://cecill.info/index.en.html" title="More info ..." target="'.TYP_BLANK.'">
	'.($site[35] == 'T' ? 'Under Free License CeCILL' : '<img src="'.$reptheme.'/gycecill_e.png" alt="More info ..." class="valignMiddle" />').'
  </a>
  &nbsp;';
}

$under_empty = array_reduce($xposbox[$tconfig][BOX_UNDER], 'EstNonVide', true);
if (!isBlogPage() && !$under_empty) {
    echo '
        <!-- Begin of UNDER BOXES -->
        <section id="UnderBoxes">';
        foreach ($xposbox[$tconfig][BOX_UNDER] as $item) {
            $bc = '';
            if (strpos($item, 'fbox_cita') > 0 || strpos($item, 'fbox_ban') > 0) { 
                $bccount++; $bc = '||'.$bccount; 
            }
            $item = ExecFunctionBox(BOX_UNDER, $item.$bc);
            if (FALSE !== $item.$bc) echo $item;
        }
        echo '
        </section> <!-- End of UNDER BOXES -->
        ';
    }

    echo '
      </div>
    </section> <!-- End of CENTER BOXES -->
';
    
if ($serviz[74] == '' || strip_tags($_SERVER['SCRIPT_NAME']) != '/index.php') {
    if (is_file($meskin.'rightside.inc')) {
        include($meskin.'rightside.inc');
    } else {

        $colconf = isBlogPage() ? 'B' : $tconfig;
        for ($ii=0; $ii < count($xposbox[$colconf][BOX_RIGHT]); $ii++) {
            $box  = $xposbox[$colconf][BOX_RIGHT][$ii];
            $temp = explode(CONNECTOR, $box);
            $fnct = isset($temp[1]) ? $temp[1] : '';
            $args = isset($temp[2]) ? $temp[2] : '';
            if (in_array($fnct, array('fbox_freebox', 'fbox_menubox', 'fbox_ddmenubox'))) {
                ReadDoc($args);
                $xposbox[$colconf][BOX_RIGHT][$ii] = isAccessGranted($fieldmod) ? $box : '';
            }
        }
        $right_empty = array_reduce($xposbox[$colconf][BOX_RIGHT], 'EstNonVide', true);
        $userprefs3  = isBlogPage() ? BOX_LEFT.BOX_RIGHT : $userprefs3;
        if ($widepage == '' && $userprefs3 != BOX_LEFT && !$right_empty) {
            echo '
        
    <!-- Begin of RIGHT BOXES -->
    <aside id="'.(isBlogPage() ? 'BlogRightBoxes' : 'RightBoxes').'">
      <div id="BoxesRight">';

            for ($ii=0; $ii < count($xposbox[$colconf][BOX_RIGHT]); $ii++) {
                $bc1 = $bc2 = '';
                if ($userprefs3 == BOX_RIGHT && $xposbox[$colconf][BOX_LEFT][$ii] != '') {
                    if (strpos($xposbox[$colconf][BOX_LEFT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$colconf][BOX_LEFT][$ii], 'fbox_ban') > 0) { 
                        $bccount++; $bc1 = '||'.$bccount; 
                    }
                    $item = ExecFunctionBox(BOX_RIGHT, $xposbox[$colconf][BOX_LEFT][$ii].$bc1);
                    if (FALSE !== $item) echo $item;
                }
                if ($userprefs3 != BOX_LEFT && $xposbox[$colconf][BOX_RIGHT][$ii] != '') {
                    if (strpos($xposbox[$colconf][BOX_RIGHT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$colconf][BOX_RIGHT][$ii], 'fbox_ban') > 0) { 
                        $bccount++; $bc2 = '||'.$bccount; 
                    }
                    $item =  ExecFunctionBox(BOX_RIGHT, $xposbox[$colconf][BOX_RIGHT][$ii].$bc2);
                    if (FALSE !== $item) echo $item;
                }
            }
            
            echo '
      </div>
    </aside> <!-- End of RIGHT BOXES -->
    ';
        }
    }
}
echo '
  <'.(empty($prt) ? '/section' : '/main').'>
  ';
if (empty($prt)) {
    echo '
  </div> <!--.slide_inside-->	 
</main> <!--#slide2-->  <!-- End of MAIN CONTENT -->
';
}

echo '
<a id="z3"></a>
  <!-- Begin of TOTAL FOOTER -->';
if (empty($prt)) echo '
<footer id="slide3">
  <div class="slide_inside">
  <section id="BottomBoxes">  <!-- Begin of BOTTOM BOXES -->';
else echo '
<footer id="slide3">
  <section id="BottomBoxes">  <!-- Begin of BOTTOM BOXES -->';

foreach ($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT] as $i => $aa) {
    $bc1 = $bc2 = $bc3 = $bc4 = $bc5 = '';
    if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_LSIDE][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LSIDE][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LSIDE][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc4 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc1 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc2 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc3 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_BOTTOM][BOX_RSIDE][$i]) && (strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RSIDE][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_BOTTOM][BOX_RSIDE][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc5 = '||'.$bccount;
    }
    $item4 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_LSIDE][$i].$bc4);
    $item1 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i].$bc1);
    $item2 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i].$bc2);
    $item3 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i].$bc3);
    $item5 = ExecFunctionBox(BOX_BOTTOM, $xposbox[$tconfig][BOX_BOTTOM][BOX_RSIDE][$i].$bc5);
    $nbitem = 0;
    if (FALSE !== $item4) $nbitem++;
    if (FALSE !== $item1) $nbitem++;
    if (FALSE !== $item2) $nbitem++;
    if (FALSE !== $item3) $nbitem++;
    if (FALSE !== $item5) $nbitem++;
    if ($nbitem > 0) {
        $w3    = (int)$wposbox[$tconfig][BOX_BOTTOM][BOX_LSIDE][$i];
        $w0    = (int)$wposbox[$tconfig][BOX_BOTTOM][BOX_LEFT][$i];
        $w1    = (int)$wposbox[$tconfig][BOX_BOTTOM][BOX_CENTER][$i];
        $w2    = (int)$wposbox[$tconfig][BOX_BOTTOM][BOX_RIGHT][$i];
        $w4    = (int)$wposbox[$tconfig][BOX_BOTTOM][BOX_RSIDE][$i];
        $wcols = $nbitem < 5 ? ceil((100 - $w3 - $w0 - $w1 - $w2 - $w4) / (5 - $nbitem)) : 100;
        $sfix  = BOX_BOTTOM.$tconfig.$i;
        echo '
<style>
.wcols'.$sfix.' { width: '.$wcols.'%; }
.wcol3'.$sfix.' { width: '.($w3 == '' ? '0' : $w3).'%; }
.wcol0'.$sfix.' { width: '.($w0 == '' ? '0' : $w0).'%; }
.wcol1'.$sfix.' { width: '.($w1 == '' ? '0' : $w1).'%; }
.wcol2'.$sfix.' { width: '.($w2 == '' ? '0' : $w2).'%; }
.wcol4'.$sfix.' { width: '.($w4 == '' ? '0' : $w4).'%; }
</style>
';
        $wcol3 = $item4 === false || $w3 == '' ? ($w0 == 100 || $w1 == 100 || $w2 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol3'.$sfix;
        $wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol0'.$sfix;
        $wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol1'.$sfix;
        $wcol2 = $item3 === false || $w2 == '' ? ($w0 == 100 || $w1 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol2'.$sfix;
        $wcol4 = $item5 === false || $w4 == '' ? ($w0 == 100 || $w1 == 100 || $w2 == 100 || $w3 == 100 ? '' : ' wcols'.$sfix) : ' wcol4'.$sfix;
        echo '
    <div id="Bentrow'.$i.'" class="B'.$tconfig.'entrow'.$i.'">
      <div class="row B'.$tconfig.'row'.$i.'">'.
        ($wcol3 != '' ? '<div class="col col0'.$wcol3.'">'.(FALSE !== $item4 ? $item4 : '&nbsp;').'</div>' : '').
        ($wcol0 != '' ? '<div class="col col0'.$wcol0.'">'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</div>' : '').
        ($wcol1 != '' ? '<div class="col col1'.$wcol1.'">'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</div>' : '').
        ($wcol2 != '' ? '<div class="col col2'.$wcol2.'">'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</div>' : '').
        ($wcol4 != '' ? '<div class="col col0'.$wcol4.'">'.(FALSE !== $item5 ? $item5 : '&nbsp;').'</div>' : '').'
      </div>
    </div>';
    }
}

echo '
    <a id="bottom"></a>
  </section> <!-- End of BOTTOM BOXES -->
  ';
if (empty($prt)) echo '
    </div> <!--.slide_inside-->
  </footer> <!--#slide3--> <!-- End TOTAL FOOTER -->';
else echo '
</footer> <!-- End TOTAL FOOTER -->
';
	
echo '
  <section id="footer" class="c-both"> <!-- begin of copyright/footer -->
    <div class="row">';

// php or html scripts located in directory inc/incfoot are automatically include at the bottom of the page
if (is_dir(CHEMIN.'inc/incfoot')) { 
    $hd = opendir(CHEMIN.'inc/incfoot');
    while ($file = readdir($hd)) { 
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
            include(CHEMIN.'inc/incfoot/'.$file);
        }
    }
}
  
// Haut
if ($body[7] != 'on' || TYP_SCREEN == 'MOB') echo '
      <div class="divtop">
        <a class="top fontBold" href="#top">
          <b><span>&#xe808;</span> '.$web[136].' <span>&#xe808;</span></b>
        </a>
      </div>';

///////////////////////////////////////////////////////////////////////////////////
//                                                                               //
//                GuppY is protected by the CeCILL FREE LICENSE.                 //
//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
//                                                                               //
///////////////////////////////////////////////////////////////////////////////////

if (TYP_SCREEN == 'WEB') {
    echo '
      <div class="txtspeG">';
    if ($site[25] == 'T') {
        echo 
        $imgspe.($site[24] == 'N' ? '' : '<br />').$txtspeL.$txtspeC.$txtspeR;
    }
    elseif ($site[25] == 'L') {
        echo 
        $imgspe.$txtspeL.$txtspeC.$txtspeR;
    }
    elseif ($site[25] == 'R') {
        echo 
        $txtspeL.$txtspeC.$txtspeR.$imgspe;
    }
    else {
        echo 
        $imgspe.$txtspeL.$txtspeC.$txtspeR.$imgspe;
    }
    echo '
      </div>';
    if (!empty($skinCopyright)) {
        echo '
      <div id="skinCopyright">'.html_entity_decode($skinCopyright, ENT_QUOTES, $charset).'</div>';
    }
} else {
    echo '
      <div class="txtspeC">'.$txtspeC.'</div>
      <div class="txtspeLR">'.$txtspeL.$txtspeR.'</div>';
    if (!empty($skinCopyright)) {
        echo '
      <div id="skinCopyright">'.html_entity_decode($skinCopyright, ENT_QUOTES, $charset).'</div>';
    }
}

///////////////////////////    END of COPYRIGHT NOTICE    /////////////////////////

if ($page[8] == 'on') {
    $timer = StopTimer();
    echo '
      <div class="timer">'.$web[116].' '.$timer.' '.($timer <= 1 ? $web[117] : $web[118]).'</div>';
}
echo '
    </div>
  </section> <!-- end copyright/footer -->
  ';

echo '
</div> <!-- End PAGE -->
';
echo '
</body>
</html>';
if ($obgo) {
    ob_end_flush();
}
?>