<?php
/*******************************************************************************
 *   Forum Topics
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019)  : correction of catégory id
 *                               : corrections to the forum address rewriting links
 ******************************************************************************/
if (stristr($_SERVER['SCRIPT_NAME'], 'faq.inc')) {
    header('location:../index.php');
    die();
}

class GY_forum {
    public $tconfig;
    public $topmess;
    public $frtyp;
    public $nom_frth;
    protected $pg;
    protected $id;
    protected $cat;
    protected $thrd;
    protected $fid;

    public function __construct() {
        global $menuico, $nom, $lang, $lng, $page, $pg, $id;
        $frcat          = explode(',', import('cat'));
        $topmess        = getLabel($nom[$lng == $lang[0] ? 22 : 23]);
        $this->nom_frth = strip_tags($topmess);
        $this->topmess  = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $this->tconfig  = $menuico[19] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[19];
        $this->pg       = $pg;
        $this->id       = import('id');
        $this->cat      = $frcat[0];
        $this->thrd     = import('thrd');
        $this->fid      = import('fid');
    }
    
    public function FR_ok($pseudo, $lng) {
        global $site, $urlrw, $serviz, $web, $z2, $members;
        $dbcat = ReadDBFields(DBFORUMCAT);
        $okfr  = false;
        if (!empty($dbcat)) foreach ($dbcat as $cat) if ($cat[5] == 'on') { $okfr = true; break; }
        $out = '';
        if ($serviz[13] != 'on' || !$okfr) {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out .= '
<div class="textCenter web342">'.$web[143].'
  <p class="textCenter">
    '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
  </p>
</div>';
            return array($this->frtyp, $out);
        }
        elseif ($members[0] == 'on' && !isAccessGranted($members[5])) {
            $out .= '
<div class="textCenter web342">'.$web[342];
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&tconfig='.$tconfig.$z2);
            $href2 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&tconfig='.$tconfig.$z2);
            if ($members[19] != '0' && $members[19] != '3') $out .= '
  <p class="textCenter">
    '.SubmitButton($web[630], 'self.location.href=\''.$href1.'\'').
      (empty($pseudo) ? '&nbsp;&nbsp;'.SubmitButton($web[160], 'self.location.href=\''.$href2.'\'') : '').'
  </p>';
            $out .= '
</div>';
            return array($this->frtyp, $out);
        }
        return array('');
    }
    
    public function FR_myposts() {
        global $userprefs, $web, $page, $meskin, $serviz, $forum, $urlrw, $site;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        $dbw    = ReadDBFields(DBTHREAD);
        $dbwork = array();
        for ($i = 0; $i < count($dbw); $i++) {
            if ($dbw[$i][4] == $userprefs[1]) {
                $cat = strtoupper(substr($dbw[$i][8], 0, 2)) == 'PR' ? substr($dbw[$i][8], 2) : $dbw[$i][8];
                $dbw[$i][6] = getThreadName($dbw[$i][1]);
                $dbw[$i][7] = getForumCatName($cat);
                $dbwork[] = $dbw[$i];
            }
        }
        sort($dbwork);
        $topmess       = $web[616];
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $out           = '<!DOCTYPE html>
<html>
<head>
<title>'.$web[616].'</title>
<meta http-equiv="Content-Type" content="text/html; charset='.$charset.'">';
        if (file_exists($meskin.'style.css')) $out .= '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css">';
        else $out .= '
<link type="text/css" rel="stylesheet" href="no_skin/style.css">';
        if (file_exists($meskin.'styleplus.css')) $out .= '
<link type="text/css" rel="stylesheet" href="'.$meskin.'styleplus.css">';
        else $out .= '
<link type="text/css" rel="stylesheet" href="no_skin/styleplus.css">';
        $out .= '
</head>
<body class="bodyfrposts tblbox">
<br />
<div class="bord textLeft mainfrposts">';
        if (empty($this->id)) $this->id = 1;
        if (!empty($dbwork)) {
            for ($i = $serviz[20] * ($this->id - 1); $i < Min($serviz[20] * $this->id, count($dbwork)); $i++) {
                ReadDoc($dbwork[$i][3]);
                $out .= '
<div class="tbldiv width100">
  <div class="trtbldiv">
    <div class="quest tdtbldiv">
      <b>'.$dbwork[$i][7].'</b><br />'.$dbwork[$i][6].($forum[3] == 'on' ? ' - ' : '<br />').$web[68].$fielda2;
                $out .= '
    '.$web[7].' '.FormatDate($creadate).'
    </div>
  </div>
  <div class="trtbldiv">
    <div class="rep tdtbldiv">'.$fieldc1.'</div>
  </div>
</div>';
            }
        }
        if (count($dbwork) > $serviz[20]) $out .= '
<hr />'.GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[5].'-8-': 'formyposts.php?lng='.$lng.'&amp;id='), count($dbwork), $this->id, $serviz[20]);
        $out .= '
<p class="textRight closefrpopup">'.SubmitButton($web[57], 'javascript:window.close();').'</p>';
        $out .= '
</div>
</body>
</html>';
        return array($this->frtyp, $out);
    }
    
    protected function topforum($forumname) {
        global $lng, $lang, $site, $serviz, $web, $prt, $urlrw, $reptheme, $z2, $members, 
               $forum, $userprefs;
        $out = '';
        if ($serviz[28] == 'on' || $serviz[24] == 'on') {
            $out .= '
        <div class="bord textLeft posRelative">';
            $dossier_users = MSGREP;
            $file_users    = opendir($dossier_users);
            $nbr_membres   = 0;
            while ($nomfichier = readdir($file_users)) {
                if (substr($nomfichier,-3) == "dtb") {
                    $nbr_membres++;
                }
            }
            closedir($file_users);
            if ($serviz[28] == 'on' && !empty($nbr_membres)) {
                if (!empty($userprefs[1])) {
                    if (TYP_SCREEN == 'WEB')
                        $out .= '
  <div class="displayInlineBlock postsBtnForum">
	<form name="myposts" action="" onsubmit="PopupWindow(\''.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-7' : 'formyposts.php?lng='.$lng).'\', \''.($site['URLR'] == 'on'? $lng.'067': 'myposts').'\', 1024, 768, \'yes\', \'yes\');" method="post">
	'.SubmitButton($web[616]).'
	</form>
  </div>';
                    $out .= '
  <div class="displayInlineBlock mailBtnForum'.($forum[3] == 'on' ? 'W' : 'T').(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
	<form name="usermsg" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'" method="post">
	  '.SubmitButton($web[318]).'
	</form>
  </div>';
                }
                else {
                    if ($members[19] != '0' && $members[19] != '3') {
                        $out .= '
  <div class="displayInlineBlock newmembBtnForum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
	<form name="userpref" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;uuser=new&amp;tconfig='.$this->tconfig.$z2).'" method="post">
	  '.SubmitButton($web[160]).'
	</form>
  </div>';
                    }
                    if ($nbr_membres > 0)
                        $out .= '
  <div class="displayInlineBlock connectBtnForum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
	<form name="userpref" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$this->tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
	  '.SubmitButton($web[373]).'
	</form>
  </div>';
                }
                if ($nbr_membres > 0) {
                    if ($forum[3] == 'on')
                        $out .= '
  <div class="displayInlineBlock textCenter membTopForumW'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
                    else
                        $out .= '
  <div class="displayInlineBlock textCenter membTopForumT'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
                    $nbrmsg = array();
                    if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
                        $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                        if ($dbmsg[0][0] == $userprefs[7]) {
                            for ($i = 2; $i < count($dbmsg); $i++) {
                                if ($dbmsg[$i][3] == "new") {
                                    $nbrmsg[] = $dbmsg[$i][3];
                                }
                            }
                        }
                        if (count($nbrmsg)!= 0 && $forum[3] == 'on') {
                            $out .= '
	<div class="posAbsolute displayBlock valignMiddle userWaveForum">
      <a class="box" href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&action=3&amp;tconfig='.$this->tconfig.$z2).'">
	    <img src="'.$reptheme.'/newmsg.gif" alt="'.$web[319].'" title="'.$web[319].'"/>
	  </a>
      <object type="audio/wave" data="'.CHEMIN.'inc/mail/mail.wav">
        <param name="src" value="'.CHEMIN.'inc/mail/mail.wav" />
        <param name="autoplay" value="true" />
		<param name="autoStart" value="1">
		<param name="controller" value="false">
		<param name="filename" value="'.CHEMIN.'inc/mail/mail.wav" />
		<param name="showcontrols" value="false" />
      </object>
	</div>';
                        }
                    }
                    if ($serviz[158] == '') {
                        $text_nbr_membres = $web[$nbr_membres > 1 ? 321: 322];
                        $out .= '
	<img src="'.$reptheme.'/nbrmembres.png" alt="'.$web[320].'" title="'.$web[320].'" />&nbsp;<b>'.$nbr_membres.' '.$text_nbr_membres.'</b>';
                    }
                    $out .= '
  </div>';
                    if ($serviz[159] == '') {
                        $regusers    = ReadDBFields(DBIPSTATS);
                        $usersonline = array();
                        for ($i = 0; $i < count($regusers); $i++) {
                            if (!empty($regusers[$i][2])) {
                                $usersonline[] = $regusers[$i][2];
                            }
                        }
                        @sort($usersonline);
                        if (empty($usersonline)) {
                            $out .= '
  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '25' : '100').' valignMiddle textCenter">
	<b>'.$web[175].'</b> '.sprintf($web[176], $reptheme).'
  </div>';
                        }
                        else {
                            $uniqueusers   = array();
                            $uniqueusers[] = $usersonline[0];
                            for ($i = 1; $i < count($usersonline); $i++) {
                                if ($usersonline[$i] != $usersonline[$i - 1]) {
                                    $uniqueusers[] = $usersonline[$i];
                                }
                            }
                            if ($forum[3] == 'on') {
                                $out .= '
  <div class="displayInlineBlock '.(TYP_SCREEN == 'WEB' ? 'width40' : 'width45').' textCenter valignMiddle">
    <b>'.$web[175].'</b> '.count($uniqueusers).'&nbsp;';
                                $from = $userprefs[1];
                                if ($userprefs[1] != "") {
                                    $out .= '
	  &nbsp;<img src="'.$reptheme.'/puce2.png" alt="'.$web[321].'" title="'.$web[321].'" />'.$userprefs[1].' &nbsp;';
                                }
                                $out .= '
    <form name="tinysend" method="post" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-1-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;tconfig='.$tconfig.$z2).'">
	  <input type="hidden" name="from" value="'.$from.'" />';
                                if (count($uniqueusers) > 1) {
                                    $out .= ' + 
	  <select name="to" onchange="this.form.submit" class="seluserTopForum valignMiddle">';
                                    for ($i = 0; $i < count($uniqueusers); $i++) {
                                        if ($uniqueusers[$i] != $userprefs[1]) {
                                            $out .= '
		<option value="'.$uniqueusers[$i].'">&nbsp;'.$uniqueusers[$i].'</option>';
                                        }
                                    }
                                    $out .= '
	  </select>';
                                }
                                if ($userprefs[1] != '' && count($uniqueusers) > 1) {
                                    $out .= '
	  <input type="image" class="valignMiddle mailsubmitTopForum" src="'.$reptheme.'/mail.png" alt="'.$web[214].'" title="'.$web[214].'" />';
                                }
                                $out .= '
	</form>';
                            }
                            else {
                                $out .= '
  <div class="displayInlineBlock '.(TYP_SCREEN == 'WEB' ? 'width25' : 'width50').' textCenter">
    <b>'.$web[175].'</b> '.count($uniqueusers).'&nbsp;';
                            }
                            $out .= '
  </div>';
                        }
                    }
                }
            }
            if ($serviz[24] == 'on') {
                $out .= '
  <div class="displayInlineBlock f-right '.(TYP_SCREEN == 'WEB' ? 'width22 textRight' : 'width100 textCenter').' searchTopForum">
	<form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[12].'-'.$this->tconfig.$z2 : 'search.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post" name="what">
	  <input name="searchin" type="hidden" value="'.TYP_FORUM.'" />
	  <input name="search" class="texte" type="text" size="15" placeholder="'.$web[58].'" value="" />
	  <input type="image" class="valignBottom" src="'.$reptheme.'/search.png" alt="'.$web[58]." ".$forumname.'" />&nbsp;
	</form>
  </div>';
            }
            $out .= '
</div>
<div class="c-both"></div>
<br />';
        }
        return $out;
    }
    
    public function FRT_content() {
        global $lng, $lang, $page, $site, $nom, $serviz, $web, $prt, $urlrw, $reptheme, $z2, $forum;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        $k             = $lng == $lang[0] ? 0 : 1;
        $nom_fr        = getLabel($nom[$k+22]);
        $topmess       = strip_tags($nom_fr);
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $out           = '';
        $dbw           = ReadDBFields(DBFORUMCAT);
        $dbwork        = array();
        foreach ($dbw as $db) if (isForumAccessGranted($db[0]) && 'on' == $db[5]) $dbwork[] = $db;
        $dbworkcat = ReadDBFields(DBFORUM);
        for ($i = 0; $i < count($dbwork); $i++) {
            $prcat = explode(',', $dbwork[$i][0]);
            $dbwork[$i][0] = $prcat[0];
            $dbcat0 = $dbwork[$i][3];
            $dbcat1 = $dbwork[$i][4];
            $dbwork[$i][3] = 0;
            $dbwork[$i][4] = 0;
            $dbwork[$i] = array_pad($dbwork[$i] , 15, '');
            $dbwork[$i][14] = $dbcat0;
            $dbwork[$i][15] = $dbcat1;
            for ($j = 0; $j < count($dbworkcat); $j++) {
                $frcat = explode(',', $dbworkcat[$j][12]);
                $cat   = $frcat[0];
                $grp   = isset($frcat[1]) ? $frcat[1] : '';
                if ($cat == $dbwork[$i][0] && isForumAccessGranted($cat)) {
                    $dbwork[$i][3]++;
                    $dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
                    if (empty($dbwork[$i][6])) { 
                        if (!empty($dbworkcat[$j][8])) {
                            $dbwork[$i][6] = $dbworkcat[$j][8]; 
                            if ($dbworkcat[$j][11] != 'on') 
                                $dbwork[$i][7] = $dbworkcat[$j][9]; 
                            else 
                                $dbwork[$i][7] = ''; 
                            $dbwork[$i][8] = $dbworkcat[$j][0]; 
                        } 
                        else {
                            $dbwork[$i][6] = $dbworkcat[$j][3]; 
                            if ($dbworkcat[$j][10] != 'on') 
                                $dbwork[$i][7] = $dbworkcat[$j][4]; 
                            else 
                                $dbwork[$i][7] = ''; 
                            $dbwork[$i][8] = $dbworkcat[$j][0]; 
                        }
                        $dbwork[$i][9]  = $dbworkcat[$j][1]; 
                        $dbwork[$i][10] = $dbworkcat[$j][7]; 
                        $dbwork[$i][11] = ceil($dbworkcat[$j][7] / $serviz[20]); 
                        $dbwork[$i][12] = $dbworkcat[$j][2]; 
                        $dbwork[$i][13] = $dbworkcat[$j][12];
                    }
                }
            }
        }
        unset($dbworkcat);
        $dbwork    = array_values($dbwork);
        $forumname = $nom_fr;
        $archdate  = ReadCounter(DBFORUMARCHDATE);
        if ($archdate > 0) {
            $out .= '
<p class="textCenter frtlnkarch">'.$web[228].' '.FormatDate($archdate).'
  <br />'.$web[227].' <a href="'.
    ($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6-'.$this->tconfig.$z2 : 'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[226].'
  <img src="'.$reptheme.'/ed_copy.png" alt="" /></a>
  <br />
</p>';
        }
        if (empty($prt)) $out .= $this->topforum($forumname);
        if ($forum[9] == 'on' && $forum[10] == 'on') {
            $out .= '
<div class="fontBold textLeft frtlnkrules">
  <a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
    <img src="'.$reptheme.'/charte.png" alt="'.$web[409].'" /> - '.$web[409].'
  </a>
</div>';
        }
        if (!empty($dbwork)) {
            $out .= '
<div class="textCenter marginAuto width98 titrefr">
  <br />
  <div class="bord tbldiv width100">
    <div class="trhtblfr">
      <div class="thtbldiv"></div>
      <div class="thtbldiv '.(TYP_SCREEN == 'WEB' ? 'width40' : 'width50').'">'.$web[130].'</div>';
            if (TYP_SCREEN == 'WEB') $out .= '
      <div class="thtbldiv width13">'.$web[131].'</div>
      <div class="thtbldiv width13">'.$web[132].'</div>';
            $out .= '
      <div class="thtbldiv '.(TYP_SCREEN == 'WEB' ? 'width30' : 'width40').'">'.$web[133].'</div>
    </div>';
            for ($i = 0; $i < count($dbwork); $i++) {
                $out .= '
    <div class="'.($i %2 == 0 ? 'rep' : 'quest').' trtbldiv">
      <div class="tdtblfr textCenter">
        <img src="'.$reptheme.'/msg_a.png" class="valignMiddle" alt="'.$web[367].'" title="'.$web[367].'" />
      </div>
      <div class="tdtblfr '.(TYP_SCREEN == 'WEB' ? 'width40' : 'width50').'">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-2-'.getForumCatId($dbwork[$i][0]).$z2 : $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0])).$z2).'" title="'.$dbwork[$i][1].'"><b>'.$dbwork[$i][1+$k].'</b></a>
        <br /><i>'.($lng == $lang[0] ? $dbwork[$i][14] : $dbwork[$i][15]).'</i>
      </div>';
                if (TYP_SCREEN == 'WEB') $out .= '
      <div class="tdtblfr textCenter width13">'.$dbwork[$i][3].'</div>
      <div class="tdtblfr textCenter width13">'.$dbwork[$i][4].'</div>';
                $out .= '
      <div class="tdtblfr '.(TYP_SCREEN == 'WEB' ? 'width30' : 'width40').'">';
                $url1 = $site['URLR'] == 'on'? 
                    $lng.'-'.$urlrw[5].'-5-'.$dbwork[$i][12].'-'.getForumCatId($dbwork[$i][13]).'-'.$dbwork[$i][10].'#R'.$dbwork[$i][10] : 
                    $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][12].GetOptionnalArg('cat', getForumCatId($dbwork[$i][13])).GetOptionnalArg('id'.$dbwork[$i][11]).'#R'.$dbwork[$i][10];
                if ($dbwork[$i][7] == "on") {
                    $em = BreakEMail($dbwork[$i][7]);
                    $out .= '
        '.$web[6].' '.displayWriteEmail('fortopic'.$i, $dbwork[$i][6], $dbwork[$i][7]).'
        <a href="'.$url1.'" title ="'.$web[297].'">&nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
                } elseif ($dbwork[$i][6] != "") {
                    $out .= '
        '.$web[6].' <b>'.$dbwork[$i][6].'</b>
        <a href="'.$url1.'" title ="'.$web[297].'">&nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>';
                }
                if ($dbwork[$i][8] != "") {
                    $top  = '';
                    $dbth = array();
                    $dbth = ReadDBFields(DBTHREAD);
                    for ($l = 0; $l < count($dbth); $l++) {
                        if ($dbth[$l][1] == $dbwork[$i][9] && $dbth[$l][2] == $dbwork[$i][10]) {
                            $idth = $dbth[$l][3];
                            break;
                        }
                    }
                    ReadDoc($idth);
                    $lastdate = $creadate;
                    $out .= '
        <br />'.$web[7].' '.FormatDate($lastdate);
                }
                $out .= '
      </div>
    </div>';
            }
            $out .='
  </div>
  <div class="bord bottomfrt width100">';
            if ($forum[9] == 'on' && $forum[10] == '') {
                $out .= '
    <br />
    <p class="titre textCenter textUpper"><u>'.$web[409].'</u></p>
    <br />
    <div class="frtrules">';
                include DBRULES;
                $out .= '
      '.($lng == $lang[0] ? $rule1 : $rule2).'
      <hr />
    </div>';
                if (empty($prt)) $out .= displayQuickConfig(NULL, false, 'rules', '', '', 24);
            }
            $out .= '
    <div class="infosfrt">
      <p class="titre textCenter textUnderline">'.$web[410].'</p>
      <p>
        <b>'.$web[411].'</b>
        <br />
        <img src="'.$reptheme.'/msg_a.png" class="valign-4" alt= "'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
        <img src="'.$reptheme.'/msg_c.png" class="valign-4" alt= "'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
        <img src="'.$reptheme.'/msg_t.gif" class="valign-4" alt= "'.$web[370].'" /> '.$web[370].' &nbsp;
        <img src="'.$reptheme.'/msg_n.png" class="valign-4" alt= "'.$web[371].'" /> '.$web[371].$web[334].'
        <br />
        <br />
        '.$web[412].'
        <br />
        <img src="'.$reptheme.'/edit.png" class="valign-1" alt= "'.$web[369].'" /> '.$web[369].' '.$web[334].' &nbsp;
        <img src="'.$reptheme.'/lock.png" class="valign-1" alt= "'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
        <img src="'.$reptheme.'/lockup.png" class="valign-1" alt= "'.$web[364].'" /> '.$web[364].$web[366].' &nbsp;'
        .($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] ? '
	    <img src="'.$reptheme.'/unlock.png" class="valign-1" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
		<img src="'.$reptheme.'/moveto.png" class="valign-1" alt="'.$web[632].'" /> '.$web[632].$web[366]
		: '').'
        <br />
      </p>
    </div>
  </div>
</div>';
        }
        return array($this->frtyp, $out);
    }
    
    public function FRTA_content() {
        global $lng, $lang, $site, $web, $prt, $urlrw, $reptheme, $z2;
        $k      = $lng == $lang[0] ? 0 : 1;
        $dbw    = ReadDBFields(DBFORUMCAT);
        $dbwork = array();
        foreach ($dbw as $db) {
            $acat = explode(',', $db[0]);
            if (isForumAccessGranted($acat[0])) $dbwork[] = $db;
        }
        $dbworkcat = ReadDBFields(DBFORUMARCH);
        for ($i = 0; $i < count($dbwork); $i++) {
            $prcat = explode(',', $dbwork[$i][0]);
            $dbwork[$i][0] = $prcat[0];
            $dbwork[$i][3] = 0;
            $dbwork[$i][4] = 0;
            for ($j = 0; $j < count($dbworkcat); $j++) {
                if ($dbworkcat[$j][12] == $dbwork[$i][0]) {
                    $dbwork[$i][3]++;
                    $dbwork[$i][4] = $dbwork[$i][4] + $dbworkcat[$j][7] + 1;
                    if (empty($dbwork[$i][6])) {
                        if (!empty($dbworkcat[$j][8])) {
                            $dbwork[$i][6] = $dbworkcat[$j][8];
                            if ($dbworkcat[$j][11] != 'on') 
                                $dbwork[$i][7] = $dbworkcat[$j][9];
                            else 
                                $dbwork[$i][7] = '';
                            $dbwork[$i][8] = $dbworkcat[$j][0];
                        }
                        else {
                            $dbwork[$i][6] = $dbworkcat[$j][3];
                            if ($dbworkcat[$j][10] != 'on') 
                                $dbwork[$i][7] = $dbworkcat[$j][4];
                            else 
                                $dbwork[$i][7] = '';
                            $dbwork[$i][8] = $dbworkcat[$j][0];
                        }
                    }
                }
            }
        }
        unset($dbworkcat);
        $dbwork        = array_values($dbwork);
        $topmess       = $web[226];
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $archdate      = ReadCounter(DBFORUMARCHDATE);
        if ($archdate > 0 && empty($prt)) {
            $out .= '
<p class="textCenter">'.$web[225].' '.FormatDate($archdate).'<br />'.$web[224].
' <a href="'.($site['URLR'] == 'on' ? 
  $lng.'-'.$urlrw[5].'-'.$this->tconfig.$z2 : 
  $site['FRT'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'"><b>'.$web[223].
'</b>&nbsp;<img src="'.$reptheme.'/ed_copy.png" class="valign-4" alt="" /></a>.<br /><br /></p>';
        }
        if (!empty($dbwork)) {
            $out .= '
<div class="bord tbldiv marginAuto width98">
  <div class="trhtblfr textCenter;">
    <div class="thtbldiv">'.$web[130].'</div>
    <div class="thtbldiv">'.$web[131].'</div>
    <div class="thtbldiv">'.$web[132].'</div>
    <div class="thtbldiv">'.$web[133].'</div>
  </div>';
            for ($i = 0; $i < count($dbwork); $i++) {
                if ($dbwork[$i][3] > 0) {
                    $acces = 'ok';
                    $prcat = explode(',', $dbwork[$i][0]);
                    if (isset($prcat[1])) {
                        $acces = 'no';
                        include_once CHEMIN.'inc/func_groups.php';
                        if (CheckGroup($prcat[1], $userprefs[1])) $acces = 'ok';
                    }
                    if ($acces == 'ok') {
                        $out .= '
  <div class="trtbldiv textCenter">
    <div class="quest tdtblfr"><a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-33-'.getForumCatId($dbwork[$i][0]).$z2 : 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', getForumCatId($dbwork[$i][0])).$z2).'"><b>'.$dbwork[$i][1+$k].'</b></a></div>
    <div class="quest tdtblfr">'.$dbwork[$i][3].'</div>
    <div class="quest tdtblfr">'.$dbwork[$i][4].'</div>
    <div class="quest tdtblfr">';
                        if (isset($dbwork[$i][7]) && $dbwork[$i][7] != "") 
                            $out .= $web[6].' '.displayWriteEmail('fortopicarch'.$i, $dbwork[$i][6], $dbwork[$i][7]);
                        elseif (isset($dbwork[$i][6]) && $dbwork[$i][6] != '') 
                            $out .= $web[6].' <b>'.$dbwork[$i][6].'</b>';
                        if (isset($dbwork[$i][8]) && $dbwork[$i][8] != '') 
                            $out .= '<br />'.$web[7].' '.FormatDate($dbwork[$i][8]);
                        $out .= '
    </div>
  </div>';
                    }
                }
            }
            $out .= '
</div>';
        }
        return array($this->frtyp, $out);
    }
    
    public function FR_content() {
        global $lng, $lang, $site, $nom, $serviz, $web, $prt, $urlrw, $reptheme, $z2, $forum;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        $l             = $lng == $lang[0] ? 0 : 1;
        $nom_fr        = getLabel($nom[$l + 22]);
        $topmess       = $nom_fr;
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $cats          = explode(',', $this->cat);
        $this->cat     = $cats[0];
        $dbwork1       = array();
        if (!empty($this->pg)) { 
            $dbwork1 = SelectDBForumByID(ReadDBFields(DBFORUM), $this->pg);
        }
        elseif (!empty($this->cat)) {
            $dbwork1 = SelectDBForumByCat(ReadDBFields(DBFORUM), $this->cat);
        }
        else {
            $dbwork1 = ReadDBFields(DBFORUM);
        }
        $dbworkcat = array();
        $dbwork    = ReadDBFields(DBFORUMCAT);
        foreach ($dbwork as $dbcat) if ($dbcat[5] != '') $dbworkcat[] = $dbcat;
        $dbwork = array();
        foreach ($dbwork1 as $db) if (isForumAccessGranted(getForumCatFull($db[12]))) $dbwork[] = $db;
        unset($dbwork1);
        if (!isForumAccessGranted(getForumCatFull($this->cat))) return array($this->frtyp, 1);
        $catxt   = '';
        $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$nom_fr.'</a>';
        if (!empty($this->cat)) {
            $catxt    = getForumCatName($this->cat);
            $topmess .= ' - '.$catxt;
        }
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $forumname = strip_tags($nom_fr);
        $archdate  = ReadCounter(DBFORUMARCHDATE);
        if ($archdate > 0) $out .= '
<p class="textCenter frtlnkarch">'.$web[228].' '.FormatDate($archdate).'
  <br />'.$web[227].' <a href="'.($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-6-'.$this->tconfig.$z2 : 'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[226].'
  <img src="'.$reptheme.'/ed_copy.png" alt="" /></a>
  <br />
</p>';
        if (empty($prt)) $out .= $this->topforum($forumname);
        $out .= '
<div class="tbldiv textCenter width100">
  <div class="trtbldiv">
    <div class="tdtblfr textLeft width50">';
        if ($forum[9] == 'on') $out .= '
      <div class="fontBold frtlnkrules">
		<a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
          <img src="'.$reptheme.'/charte.png" class="valignMiddle" alt="'.$web[409].'" /> - '.$web[409].'
        </a>
      </div>
      <br />';
        if ($catxt != '') $out .= '
      <div class="fontBold frlnkforum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-'.$this->tconfig.$z2 : $site['FRT'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$forumname.'">
          <img src="'.$reptheme.'/dir.png" class="valignMiddle" alt="'.$forumname.'" /> - '.$forumname.'
        </a>
      </div>
      <div class="fontBold frlnkcateg'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
        <img src="'.$reptheme.'/dir1.png" class="valignMiddle" alt="'.$catxt.'" title="'.$catxt.'" /> -
        <a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-2-'.$this->cat.$z2 : $site['FR'].'.php?lng='.$lng.'&amp;cat='.$this->cat.$z2).'" title="'.$catxt.'">'.$catxt.'</a>
      </div>
    </div>
    <div class="tdtblfr textRight width50">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-3-'.TYP_FORUM.'-'.$this->cat.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM.GetOptionnalArg('cat', $this->cat).$z2).'" method="post">
        <p class="textRight">
          '.SubmitButton($web[19]).'
        </p>
      </form>
    </div>';
        else $out .= '
    </div>
    <div class="tdtblfr width50">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-'.TYP_FORUM.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_FORUM.$z2).'" method="post">
        <p class="textRight">
          '.SubmitButton($web[19]).'
        </p>
      </form>
    </div>';
        $out .= '
  </div>
</div>';
        if (empty($this->id)) $this->id = 1;
        if (3 == abs($prt)) {
            $this->id   = 1;
            $serviz[17] = 99999;
        }
        $navbar = GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-22-'.$this->cat.'-' : $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $this->cat).'&amp;id='), count($dbwork), $this->id, $serviz[17], $z2);
        $out   .= $navbar;
        $out   .= '
<div class="textCenter marginAuto">
  <div class="bord tbldiv width98">
    <div class="trhtblfr">
      <div class="thtbldiv width30">'.$web[298].'</div>
      <div class="thtbldiv width10">'.$web[63].'</div>
      <div class="thtbldiv width20">'.$web[299].'</div>';
        if ($serviz[34] == 'on' && TYP_SCREEN == 'WEB') $out .= '
      <div class="thtbldiv width10">'.$web[217].'</div>';
        if (TYP_SCREEN == 'WEB') $out .= '
      <div class="thtbldiv width10">'.$web[67].'</div>';
        $out .= '
      <div class="thtbldiv width20">'.$web[66].'</div>
    </div>';
        if (!empty($dbwork)) {
            $newdate = date('YmdHi', time()-(86400*$forum[8]));
            for ($i = $serviz[17]*($this->id-1); $i < Min($serviz[17]*$this->id, count($dbwork)); $i++) {
                $color = $i %2 == 0 ? 'rep' : 'quest';
                if ($serviz[34] == 'on') $threadcounter = ReadDocCounter($dbwork[$i][2]);
                ReadDoc($dbwork[$i][2]);
                $img = getNewUpdateDoc($creadate, $moddate, $serviz[139]);
                $st  = explode('#',$fieldmod);
                if ($st[0] == 'c') {
                    $etat    = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
                    $img_msg = 'msg_'.$st[0].'.png';
                } 
                elseif ($st[0] == 's') {
                    $st[0]   = 'c';
                    $etat    = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
                    $img_msg = 'msg_'.$st[0].'.png';
                } 
                elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
                    $etat    = 'Top '.$web[6].' '.$st[1];
                    $img_msg = 'msg_'.$st[0].'.gif';
                } 
                elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
                    $st[0]   = 't';
                    $etat    = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
                    $img_msg = 'msg_'.$st[0].'.gif';
                } 
                elseif ($newdate < $creadate) {
                    $st[0]   = 'n';
                    $etat    = $web[371];
                    $img_msg = 'msg_'.$st[0].'.png';
                } 
                else {
                    $st[0]   = 'a';
                    $etat    = $web[367];
                    $img_msg = 'msg_'.$st[0].'.png';
                }
                $urw  = empty($this->cat) ? '-411-'.$dbwork[$i][2] : '-5-'.$dbwork[$i][2].'-'.$this->cat;
                $out .= '
    <div class="'.$color.' trtbldiv">
      <div class="tdtblfr width30">
        <img src="'.$reptheme.'/'.$img_msg.'" class="valignMiddle" alt="'.$etat.'" title="'.$etat.'" />
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$this->id.$z2 : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $this->cat).GetOptionnalArg('fid', $this->id).$z2).'"  title="'.$dbwork[$i][5].'">'.$img.'<b>'.$dbwork[$i][5].'</b></a>
      </div>
      <div class="tdtblfr textCenter width10">
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$this->id.$z2 : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $this->cat).GetOptionnalArg('fid', $this->id).$z2).'"><b>'.$dbwork[$i][1].'</b></a>
      </div>
      <div class="tdtblfr width20">';
            if ($dbwork[$i][10] == "on") $out .= displayWriteEmail('forum1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
            else $out .= '
        <b>'.$dbwork[$i][3].'</b>';
            ReadDoc($dbwork[$i][2]);
            $out .= '
        <br />'.FormatDate($creadate).'
      </div>';
            if ($serviz[34] == 'on' && TYP_SCREEN == 'WEB') {
                $txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
                $out .= '
      <div class="tdtblfr textCenter width10">'.$threadcounter.' '.$txtcount.'</div>';
            }
            if (TYP_SCREEN == 'WEB') $out .= '
      <div class="tdtblfr textCenter width10">'.$dbwork[$i][7].'</div>';
            $out .= '
      <div class="tdtblfr width20">';
            if ($dbwork[$i][7] != 0) {
                $idder = (ceil($dbwork[$i][7]/ $serviz[20]));
				$urw   = empty($this->cat) ? '-411-'.$fileid : '-5-'.$fileid.'-'.$this->cat;
                if ($dbwork[$i][11] == 'on') 
                    $out .= displayWriteEmail('forum2'.$i, $dbwork[$i][8], $dbwork[$i][9]).' 
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'#R'.$dbwork[$i][7] : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                else $out .= '
        <b>'.$dbwork[$i][8].'</b>
        <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$urw.'-'.$idder.'#R'.$dbwork[$i][7] : $site['TH'].'.php?lng='.$lng.'&amp;pg='.$fileid.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $idder).'#R'.$dbwork[$i][7]).'" title ="'.$web[297].'"> &nbsp;<img src="'.$reptheme.'/tolist.png" alt="'.$web[297].'" /></a>
        <br />';
                $dbth = array();
                $dbth = ReadDBFields(DBTHREAD);
                for ($j = 0; $j < count($dbth); $j++) {
                    if ($dbth[$j][1] == $dbwork[$i][1] && $dbth[$j][2] == $dbwork[$i][7]) {
                        $th_id = $dbth[$j][3];
                        break;
                    }
                }
				if (isset($th_id)) {
					ReadDoc($th_id);
					$out .= FormatDate($creadate);
				}
            }
            else {
                $out .= '&nbsp;';
            }
            $out .= '
      </div>
    </div>';
            }
        }
        $out .= '
  </div>';
        $out .= $navbar;
        $out .= '
  <div class="width100 frbottom">
    <div class="textLeft valignMiddle f-left frimgsbottom">
      <img src="'.$reptheme.'/msg_a.png" alt= "'.$web[367].'" class="valignMiddle" /> '.$web[366].$web[367].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_c.png" alt= "'.$web[368].'" class="valignMiddle" /> '.$web[366].$web[368].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_t.gif" alt= "'.$web[370].'" class="valignMiddle" /> '.$web[370].' &nbsp;&nbsp;
      <img src="'.$reptheme.'/msg_n.png" alt= "'.$web[371].'" class="valignMiddle" /> '.$web[371].$web[334].'
    </div>
    <div class="textRight f-right frretfrt">
      <form action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-'.$this->tconfig.$z2 : $site['FRT'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
        '.SubmitButton($web[134]).'
      </form>
    </div>
  </div>
</div>
<br />';
        return array($this->frtyp, $out);
    }
    
    public function FRA_content() {
        global $lng, $lang, $site, $nom, $serviz, $web, $prt, $urlrw, $reptheme, $z2, $forum, $userprefs;
        $l       = $lng == $lang[0] ? 0 : 1;
        $out     = '';
        $dbwork1 = array();
        if (!empty($this->pg)) $dbwork1 = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $this->pg);
        elseif (!empty($this->cat)) $dbwork1 = SelectDBForumByCat(ReadDBFields(DBFORUMARCH), $this->cat);
        else $dbwork1 = ReadDBFields(DBFORUMARCH);
        $dbworkcat = array();
        $dbwork    = ReadDBFields(DBFORUMCAT);
        foreach ($dbwork as $dbcat) {
            $acat = explode(',', $dbcat[0]);
            if ($dbcat[5] == 'on' && isForumAccessGranted($acat[0])) $dbworkcat[] = $dbcat;
        }
        $dbwork = array();
        foreach ($dbwork1 as $db) {
            $dbcat = array();
            if ($db[12] != '') $dbcat = SelectDBFieldsByField($dbworkcat, 0, $db[12]);
            if (isForumAccessGranted($db[12]) && !empty($dbcat)) $dbwork[] = $db;
        }
        unset($dbwork1);
        if (empty($dbwork) || !isForumAccessGranted(getForumCatFull($this->cat))) {
            return array($this->frtyp, 1);
        }
        $topmess = '<a href="'.($site['URLR'] == 'on' ? 
          $lng.'-'.$urlrw[5].'-6-'.$z2 : 'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[226].'</a>';
        if (!empty($this->cat)) {
            $catxt = '';
            for ($k = 0; $k < count($dbworkcat); $k++) {
                if ($dbworkcat[$k][0] == $this->cat) {
                    $catxt = $dbworkcat[$k][1 + $l];
                    break;
                }
            }
            $topmess .= ' - '.$catxt;
        }
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        include_once CHEMIN.'inc/func_groups.php';
        $acces = 'ok';
        if (!IsValidForumCat($this->cat)) $acces = 'no';
        if (IsPrivateForumCat($this->cat)) {
            $acces = 'no';
            if ($userprefs[1] != '') if (CheckGroup($this->cat, $userprefs[1])) $acces = 'ok';
        }
        if ($acces != 'ok') $out .= '
<p class="textCenter fontBold frnoaccess"><br />'.$web[443].'</strong><br /></p>';
        else {
            if (empty($prt)) {
                $archdate = ReadCounter(DBFORUMARCHDATE);
                if ($archdate > 0) $out .= '
<p class="textCenter">
  '.$web[225].' '.FormatDate($archdate).'.<br />
  '.$web[224].' <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-20'.$this->cat.$z2 : $site['FR'].'.php?lng='.$lng.'&amp;cat='.$this->cat.$z2).'"><b>'.$web[223].'</b>
  &nbsp;<img src="'.$reptheme.'/ed_copy.png" class="valign-4" alt="" /></a>.<br />
  <hr />
</p>';
            }
            if (empty($this->id)) $this->id = 1;
            if (!empty($dbwork)) {
                for ($i = $serviz[17]*($this->id-1); $i < Min($serviz[17]*$this->id, count($dbwork)); $i++) {
                    if ($serviz[34] == 'on') $threadcounter = ReadDocCounter($dbwork[$i][2], ARCHDBBASE);
                    $out .= '
<div class="tbldiv">
  <div class="trhtblfr">
	<div class="thtbldiv frarchsubject";>
	  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$this->cat.'-'.$this->id.$z2 : 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $this->cat).GetOptionnalArg('fid', $this->id).$z2).'">'.$web[63].$dbwork[$i][1].'</a>
	</div>
	<div class="quest thtbldiv width100 frarchbody">
	  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-51-'.$dbwork[$i][2].'-'.$this->cat.'-'.$this->id.$z2: 'threadarch.php?lng='.$lng.'&amp;pg='.$dbwork[$i][2].GetOptionnalArg('cat', $this->cat).GetOptionnalArg('fid', $this->id).$z2).'"><b>'.$dbwork[$i][5].'</b></a>
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[6].' ';
                    if ($dbwork[$i][10] != 'on') $out .= displayWriteEmail('forumarch1'.$i, $dbwork[$i][3], $dbwork[$i][4]);
                    else $out .= '
	  <b>'.$dbwork[$i][3].'</b>';
                    $out .= ' '.$web[7].' '.FormatDate($dbwork[$i][6]);
                    if ($dbwork[$i][7] != 0) {
                        if ($dbwork[$i][11] != 'on') 
                            $formail = displayWriteEmail('forumarch2'.$i, $dbwork[$i][8], $dbwork[$i][9]);
                        else $formail = '
	  <b>'.$dbwork[$i][8].'</b>';
                        if ($dbwork[$i][7] == 1) $out .= '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[93].' '.$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
                        else $out .= '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$dbwork[$i][7].' '.$web[66]." ".$formail.' '.$web[94].' '.FormatDate($dbwork[$i][0]).')';
                    }
                    else $out .= '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[67];
                    if ($serviz[34] == 'on') {
                        $txtcount = $threadcounter <= 1 ? $web[188] : $web[189];
                        $out .= '
	  <br />&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;'.$web[217].' '.$threadcounter.' '.$txtcount; 
                    }
                    $out .= '
	  <br />
	</div>
  </div>
</div>';
                    if ($i < Min($serviz[17]*$this->id, count($dbwork))-1) $out .= '
<hr />';
                }
            }
            if (count($dbwork)>$serviz[17]) $out .= '
<hr />'.GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-35-'.$this->cat.'-': 'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $this->cat).'&amp;id='), count($dbwork), $this->id, $serviz[17], $z2);
            if (count($dbwork) <= $serviz[17]) $out .= '
<hr />';
            $out .= '
<p class="textCenter">
  <a href="'.($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-6-'.$this->tconfig.$z2 : 'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[134].'</a>
</p>';
        }
        return array($this->frtyp, $out);
    }
    
    public function TH_content() {
        global $userprefs, $web, $page, $serviz, $forum, $urlrw, $site, $lng, $prt, $drtuser, $reptheme, $z2;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        $out     = '';
        $wysiwyg = $serviz[49] == 'on' ? true : false;
        $acats   = GetForumCat();
        $iscat   = false;
        foreach($acats as $acat) {
            if (getForumCatId($acat[0]) == $this->cat) {
                $iscat = true;
                break;
            }
        }
        if (!isForumAccessGranted(getForumCatFull($this->cat)) || !$iscat) {
            $href1 = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
            return array($this->frtyp, 1, $href1);
        }
        $thread = 0;
        if (!empty($this->pg)) {
            $dbwork = SelectDBForumByID(ReadDBFields(DBFORUM), $this->pg);
            if (count($dbwork) != 0) $thread = $dbwork[0][1];
            ReadDoc($this->pg);
            $frcat     = explode(',', $fieldb2);
            $this->cat = $frcat[0];
        } 
        elseif (!empty($this->thrd)) {
            $dbwork = ReadDBFields(DBTHREAD);
            foreach ($dbwork as $dbw) {
                if ($dbw[1] == $this->thrd && $dbw[2] == '0') {
                    $thread   = $this->thrd;
                    $this->pg = $dbw[3];
                    break;
                }
            }
        }
        $activeCat = true;
        if (!empty($this->cat)) {
            $dbcat = getForumCat();
            foreach ($dbcat as $db)
                if ($db[0] == $this->cat) {
                    $activeCat = $db[5] == 'on';
                    break;
                }
        }
        if ($thread === 0 || !$activeCat) {
            $threadarch = 0;
            $dbworkarch = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $this->pg);
            if (count($dbworkarch) != 0) $threadarch = $dbwork[0][1];
            if ($threadarch !== 0) {
                return array($this->frtyp, 1, ($site['URLR'] == 'on' ? 
                    $lng.'-'.$urlrw[5].'-51-'.$this->pg.'-'.$this->cat.'-'.$this->fid.$z2 : 
                    'threadarch.php?lng='.$lng.'&pg='.$this->pg.'&cat='.$this->cat.'&fid='.$this->fid.$z2));
            }
            if ($site[10] != '') 
                return array($this->frtyp, 1, $site[3].'error.php?lng='.$lng.'&err=404');
            else 
                return array($this->frtyp, 1, '', $web[36]);
        }
        if ($serviz[34] == 'on') $threadcounter = UpdateDocCounter($this->pg);
        $dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREAD), $thread);
        if (!isForumAccessGranted($fielda1)) {
            return array($this->frtyp, 1, 'HTTP/1.0 403 Forbidden');
        }
        $topmess = '<a href="'.($site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[5].'-21-'.$this->fid.$z2 : 
            $site['FR'].'.php?lng='.$lng.'&amp;id='.$this->fid.$z2).'">'.$this->nom_frth.'</a>';
        if (!empty($this->cat)) {
            $dbworkcat = array();
            $dbwcat    = ReadDBFields(DBFORUMCAT);
            foreach($dbwcat as $wcat) if ($wcat[5] == 'on') $dbworkcat[] = $wcat;
            $catxt   = getForumCatName($this->cat);
            $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$this->nom_frth.'</a>
            - <a href="'.($site['URLR'] == 'on' ? 
                $lng.'-'.$urlrw[5].'-22-'.$this->fid.'-'.getForumcatId($this->cat).$z2 : 
                $site['FR'].'.php?lng='.$lng.'&amp;id='.$this->fid.'&amp;cat='.getForumcatId($this->cat).$z2).'">'.$catxt.'</a> - ';
        }
        else {
            $dbworkcat     = array();
            $catxt         = 'unknown';
            $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].$z2 : $site['FRT'].'.php?lng='.$lng.$z2).'">'.$this->nom_frth.'</a> - ';
        }
        $topmess      .= $fieldb1;
        $this->topmess = $page[9] != '' ? 
            '<img src=\''.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif\' class="f-right img32x32 valignMiddle" alt="" />'.$topmess : 
            $topmess;
        ReadDoc($this->pg);
        $out .= '<br />';
        if (empty($prt)) $out .= $this->topforum($nom_frth);
        if ($forum[9] == 'on' && empty($prt)) {
            $out .= '
<div class="fontBold frtlnkrules">
  <a href="javascript:PopupWindow(\'rules.php?lng='.$lng.'\',\'rules\',800,500,\'yes\',\'yes\');" title="'.$web[409].'">
  <img src="'.$reptheme.'/charte.png" class="valignMiddle" alt="'.$web[409].'" /> - '.$web[409].'</a>
</div>';
        }
        $title = '
<div class="fontBold thlnkforum'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-'.$this->tconfig.$z2 : $site['FRT'].'.php?lng='.$lng.'&tconfig='.$this->tconfig.$z2).'" title="'.$this->nom_frth.'">
  <img src="'.$reptheme.'/dir.png" class="valignMiddle" alt="'.$this->nom_frth.'" /> - '.$this->nom_frth.'</a>
</div>
<div class="fontBold thlnkcateg">
  <a href="'.($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-2-'.getForumcatId($this->cat).$z2 : 
    $site['FR'].'.php?lng='.$lng.'&amp;cat='.getForumcatId($this->cat).$z2).'" title="'.$catxt.'">
  <img src="'.$reptheme.'/dir1.png" class="valignMiddle" alt="'.$catxt.'"/> - '.$catxt.'</a>
</div>';
        $out .= '
<p class="textLeft">'.$title.'</p>';
        $newdate = date('YmdHi', time() - (86400 * $forum[8]));
        $st = explode('#',$fieldmod);
        if ($st[0] == 'c') {
            $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
            $img_msg = 'msg_'.$st[0].'.png';
        } elseif ($st[0] == 's') {
            $st[0] = 'c';
            $etat = $web[368].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
            $img_msg = 'msg_'.$st[0].'.png';
        } elseif ($st[0] == 't' && $moddate > date('YmdHi')) {
            $etat = $web[370].' '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
            $img_msg = 'msg_'.$st[0].'.gif';
        } elseif ($st[0] == 'u' && $moddate > date('YmdHi')) {
            $st[0] = 't';
            $etat = 'Up '.$web[6].' '.$st[1].' '.$web[7].' '.FormatDate($st[2]);
            $img_msg = 'msg_'.$st[0].'.gif';
        } elseif ($newdate < $creadate) {
            $st[0] = 'n';
            $etat = $web[371];
            $img_msg = 'msg_'.$st[0].'.png';
        } else {
            $st[0] = 'a';
            $etat = $web[367];
            $img_msg = 'msg_'.$st[0].'.png';
        }
        $out .= '
<div class="textCenter thmain'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
<div class="bord tbldiv width100 thhead">
  <div class="trhtblfr">
    <div class="thtbldiv textCenter width20 thheadsubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
	  <img src="'.$reptheme.'/'.$img_msg.'" class="valignMiddle" alt="'.$etat.'" title="'.$etat.'" />&nbsp;&nbsp;<b>'.$web[63].' '.$thread.'</b>
	</div>
    <div class="thtbldiv textLeft thheadbody'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">&nbsp;
      <a href="'.$site[3].($site['URLR'] == 'on' ? 
        $lng.'-'.$urlrw[5].'-4-'.$pg.'-'.$this->cat.$z2 : 
        $site['TH'].'.php?lng='.$lng.'&amp;pg='.$pg.GetOptionnalArg('cat', $this->cat).$z2).'" title="'.$web[511].'"><b>'.$fieldb1.'</b></a>
	</div>
  </div>
</div>
<div class="bord tbldiv width100 thbody">
  <div class="trtbldiv">
    <div class="rep tdtblfr textCenter width20 thbodysubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
        if ($fieldd2 != 'v' && $fieldd2 != '') 
            $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
        else 
            $nbrpostmsg = '';
        $max = explode('-', $forum[7]);
        if ($fieldd2 == 'v') {
            $inscrit = $web[15];
        } elseif($forum[7] == '') {
            $inscrit = '';
        } elseif($fieldd2 >= $max[3]) {
            $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
        } elseif($fieldd2 >= $max[2]) {
            $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
        } elseif($fieldd2 >= $max[1]) {
            $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
        } elseif($fieldd2 >= $max[0]) {
            $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
        } else {
            $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
        }
        if ($page[23] != 'none') {
            if($fieldc2 == '') {
                $fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
            } else {
                if ($fieldc2 == 'unknow.png' && is_file(MSGREP.$author.DBEXT)) {
                    $userdb  = ReadDBFields(MSGREP.$author.DBEXT);
                    if ($userdb[1][9] == 'unknow.png' && $userdb[1][16] != '')
                        $fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
                    else
                        $fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$author.'" title="'.$author.'" />';
                } 
                else 
                    $fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
            }
        }
        $out .= '
          <br />'.$web[7].' '.FormatDate($creadate).'
          <br />'.$web[6].' <b>'.addslashes($author).'</b>
          <br />
          <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
          <br />
          <br />';
        $rank     = ReadDBFields(ADMINS);
        $modadmin = '';
        for ($y = 0; $y < count($rank); $y++) {
            if ($rank[$y][0] == $userprefs[1] && $rank[$y][2] == 'on') {
                $modadmin = 'yes';
                break;
            }
        }
        if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) $modadmin = 'yes';
        if ($author == $serviz[31] || $author == $serviz[176]) 
            $out .= $web[418].'<br />';
        elseif (is_file(CHEMIN.'admin/redac/'.$author.'.inc')) {
            include CHEMIN.'admin/redac/'.$author.'.inc';
            if (!empty($drtuser[30])) $out .= $drtuser[30].'<br />';
        } 
        else {
            for ($y = 0; $y < count($rank); $y++) {
                if ($rank[$y][0] == $author) {
                    switch ($rank[$y][1]) {
                    case 'admin' :
                        $out .= (empty($rank[$y][3]) ? $web[418] : $rank[$y][3]).'<br />';
                        break;
                    case 'modo' :
                        $out .= (empty($rank[$y][3]) ? $web[420] : $rank[$y][3]).'<br />';
                        break;
                    case 'redac' :
                        $out .= (empty($rank[$y][3]) ? $web[419] : $rank[$y][3]).'<br />';
                        break;
                    case 'webm' :
                        $out .= (empty($rank[$y][3]) ? $web[11] : $rank[$y][3]).'<br />';
                        break;
                    }
                }
            }
        }
        $out .= $inscrit;
        $url1 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'maj'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid;
        $url2 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'stop'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=stop&amp;num='.$thread.'&amp;pg='.$fileid;
        $url3 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'raz'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=raz&amp;num='.$thread.'&amp;pg='.$fileid;
        $url4 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'lock'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=lock&amp;num='.$thread.'&amp;pg='.$fileid;
        $url5 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'top'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=top&amp;num='.$thread.'&amp;pg='.$fileid;
        $url6 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'up'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=up&amp;num='.$thread.'&amp;pg='.$fileid;
        $url7 = $site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-'.'move'.'-'.$thread.'-'.$fileid : 
            $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=move&amp;num='.$thread.'&amp;pg='.$fileid;
        switch ($st[0]) {
        case 'c':
        case 's':
            if ($wysiwyg && $modadmin == 'yes') {
                $out .= '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url3.$z2.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>' : '');
            }
            break;
        case 't':
        case 'u':
            if ($modadmin == 'yes') {
                if ($wysiwyg) {
                    $out .= '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url2.$z2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>' : '').'
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url3.$z2.'" title="'.$web[621].'"><img src="'.$reptheme.'/unlock.png" alt="'.$web[621].'" /></a>' : '');
                }
            }
            elseif ($userprefs[1] == $author) {
                if ($wysiwyg) {
                    $out .= '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
                }
                $out .= '
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url4.$z2.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>' : '');
            }
            break;
        default:
            if ($modadmin == 'yes') {
                if ($wysiwyg) {
                    $out .= '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>
      '.(TYP_SCREEN == 'WEB' ? '&nbsp;<a href="'.$url2.$z2.'" title="'.$web[390].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[390].'" /></a>' : '');
                }
                if ($forum[6] != '' && TYP_SCREEN == 'WEB') {
                    $out .= '
	  &nbsp;<img src="'.$reptheme.'/lockup.png" class="clsCursor" alt="'.$web[364].'" title="'.$web[364].'" onmouseup="cache(\'moveto\'); montre(\'timetop\');" />
	  <div id="timetop" class="quest posAbsolute displayNone textCenter thtimetop">
	    <form name="topval" action="'.$url5.$z2.'" method="post">
	      '.$web[622].' 
		  <input class="texte" type="text" name="forum6" size="2" value="'.$forum[6].'" />
		  <div class="textCenter">'.SubmitButton($web[52]).'</div>
		  <div class="f-right closethtimetop"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'timetop\')" /></div>
		  <div class="c-both"></div>
	    </form>
	  </div>';
                }
                if (TYP_SCREEN == 'WEB') {
                    $out .= '
	  &nbsp;<img src="'.$reptheme.'/moveto.png" class="clsCursor" alt="'.$web[632].'" title="'.$web[632].'" onmouseup="cache(\'timetop\'); montre(\'moveto\');" />
	  <div id="moveto" class="quest posAbsolute displayNone textCenter thmoveto">
	    <form name="movetoform" action="'.$url7.$z2.'" method="post">
	    '.$web[633].' 
          <select name="tocat" onchange="this.form.submit();" class="valignMiddle thtocat">';
                    for ($k = 0; $k < count($dbworkcat); $k++) {
                        $out .= '
            <option value="'.$dbworkcat[$k][0].'"'.Selected($dbworkcat[$k][0] == $this->cat).'>'.$dbworkcat[$k][1].'</option>';
                    }
                    $out .= '
          </select>
		  <div class="f-right closethtocat"><img src="'.$reptheme.'/close.png" alt="'.$web[57].'" title="'.$web[57].'" onmouseup="cache(\'moveto\')" /></div>
		  <div class="c-both"></div>
	    </form>
	  </div>';
                }
            }
            elseif ($userprefs[1] == $author) {
                if ($wysiwyg) {
                    $out .= '
      &nbsp;<a href="'.$url1.$z2.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
                }
                $out .= '
      &nbsp;<a href="'.$url4.$z2.'" title="'.$web[363].'"><img src="'.$reptheme.'/lock.png" alt="'.$web[363].'" /></a>';
                if ($forum[5] != '') {
                    $out .= '
      &nbsp;<a href="'.$url6.$z2.'" title="'.$web[364].'"><img src="'.$reptheme.'/lockup.png" alt="'.$web[364].'" /></a>';
                }
            }
        }
        $out .= '
      <br />
    </div>
    <div class="tdtblfr">
      <div class="rep textLeft thbodycontent'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"><br />'.$fieldc1.'</div>
      <div class="textLeft thbodybottom">';
        if ($prt == 0 && $serviz[107] == 'on' && empty($prt)) {
            include CONFIGREP.'sncode.inc';
            if (!empty($coders))
                $out .= '
	    <div class="thcoders">'.$coders.'</div>';
        }
        $out .= '
	    <div class="width100">';
        if ($fieldd1 == 'on') $out .= 
		    displayWriteEmail(TYP_THREAD, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" class="valignMiddle themail" />');
        if ($fieldweb != '') $out .= '
          <a href="'.$fieldweb.'" target="'.TYP_BLANK.'">
            <img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" class="valignMiddle thimgsite'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
          </a>';
        if (empty($prt)) $out .= 
            displayQuickConfig(NULL, $fileid, 'forum&amp;form=2&amp;id='.$fileid, 'forum&amp;act=i&amp;id='.$fileid, 'forum&amp;del='.$fileid, 23);
        $out .= '
	      <div class="f-right">';
        if ($st[0] != 'c') $out .= '
            <a href="'.($site['URLR'] == 'on' ? 
                $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid.$z2 : 
                $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid.$z2).'">
              <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
		    </a>';
        else $out .= '
            <img src="'.$reptheme.'/rep_lock.png" alt="'.$web[366].$web[368].'" title="'.$web[366].$web[368].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />';
        $out .= '
            <a href="#top"><img src="'.$reptheme.'/haut.png"  class="img11x11" alt="'.$web[136].'" title="'.$web[136].'" /></a>&nbsp;&nbsp;
	      </div>
          <div class="c-both"> </div>
	    </div>';
        $out .= '
      </div>
    </div>
  </div>
</div>';
        $dbder = ReadDBFields(DBFORUM);
        for ($i = 0; $i < count($dbder); $i++) {
            if($fielda1 == $dbder[$i][1] && $dbder[$i][7] > 3 && empty($prt)) {
                $idder = ceil(count($dbthrd) / intval($serviz[20]));
                $out  .= '
<form action="'.($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-5-'.$this->pg.'-'.$this->cat.'-'.$idder.'#R'.$dbder[$i][7] : 
    $site['TH'].'.php?lng='.$lng.'&amp;pg='.$this->pg.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $idder).'#R'.$dbder[$i][7]).'" method="post">
  <p class="textRight">
    '.SubmitButton($web[283]).'
  </p>
</form>';
                break;
            }
        }
        if (empty($this->id)) $this->id = 1;
        if (!empty($dbthrd)) {
            if (3 == abs($prt)) {
                $this->id = 1;
                $serviz[20] = 99999;
            }
            $out .= GetNavBar(($site['URLR'] == 'on' ? 
                $lng.'-'.$urlrw[5].'-5-'.$this->pg.'-'.$this->cat.'-' : 
                $site['TH'].'.php?lng='.$lng.'&amp;pg='.$this->pg.GetOptionnalArg('cat', $this->cat).'&amp;id='), count($dbthrd), $this->id, $serviz[20], $z2);
            for ($i = $serviz[20]*($this->id-1); $i < Min($serviz[20]*$this->id, count($dbthrd)); $i++) {
                ReadDoc($dbthrd[$i][3]);
                if ($fieldd2 != 'v' && $fieldd2 != '') {
                    $nbrpostmsg = $fieldd2.' '.($fieldd2 > 1 ? $web[335] : $web[334]);
                } else {
                    $nbrpostmsg='';
                }
                if ($fieldd2=='v' || !FileDBExist(MSGREP.$author.DBEXT)) {
                    $inscrit = $web[15];
                } elseif($forum[7] == '') {
                    $inscrit = '';
                } elseif($fieldd2 >= $max[3]) {
                    $inscrit = '<img src="'.$reptheme.'/rank5.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
                } elseif($fieldd2 >= $max[2]) {
                    $inscrit = '<img src="'.$reptheme.'/rank4.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
                } elseif($fieldd2 >= $max[1]) {
                    $inscrit = '<img src="'.$reptheme.'/rank3.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
                } elseif($fieldd2 >= $max[0]) {
                $inscrit = '<img src="'.$reptheme.'/rank2.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
                } else {
                    $inscrit = '<img src="'.$reptheme.'/rank1.png" alt="'.$nbrpostmsg.'" title="'.$nbrpostmsg.'" />';
                }
                if ($page[23] != 'none') {
                    if($fieldc2 == '') {
                        $fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
                    } 
                    else {
                        if ($fieldc2 == 'unknow.png' && is_file(MSGREP.$author.DBEXT)) {
                            $userdb  = ReadDBFields(MSGREP.$author.DBEXT);
                            if ($userdb[1][9] == 'unknow.png' && $userdb[1][16] != '')
                                $fieldc2 = '<img src="'.$userdb[1][16].'" alt="'.$author.'" title="'.$author.'" />';
                            else
                                $fieldc2 = '<img src="inc/img/avatars/unknow.png" alt="'.$author.'" title="'.$author.'" />';
                        } 
                        else 
                            $fieldc2 = '<img src="inc/img/avatars/'.$page[23].'/'.$fieldc2.'" alt="'.$author.'" title="'.$author.'" />';
                    }
                }
                $out .= '
<a id="R'.$fielda2.'"></a>
<div class="bord tbldiv width100 thbody">
  <div class="trtbldiv">
    <div class="rep tdtblfr textCenter width20 thbodysubject'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
                $newdate = date('YmdHi', time() - (86400 * $forum[8]));
                if ($newdate < $creadate) $out .= '
      <img src="'.$reptheme.'/msg_n.png" class="valignMiddle" alt="'.$web[371].'" title="'.$web[171].'" /> ';
                $out .= '
      <b>'.$web[68].' '.$fielda2.'</b>
      <br />--------
      <br /> '.$web[7].' '.FormatDate($creadate).'
      <br />'.$web[6].' <b>'.addslashes($author).'</b>
      <br />
      <br />'.($page[23] != 'none' ? $fieldc2 : '&nbsp;').'
      <br />
      <br />';
                if ($author == $serviz[31] || $author == $serviz[176]) 
                    $out .= $web[418].'<br />';
                elseif (is_file(CHEMIN.'admin/redac/'.$author.'.inc')) {
                    include CHEMIN.'admin/redac/'.$author.'.inc';
                    if (!empty($drtuser[30])) $out .= $drtuser[30].'<br />';
                } 
                else {
                    for ($y = 0; $y < count($rank); $y++) {
                        if ($rank[$y][0] == $author) {
                            switch ($rank[$y][1]) {
                            case 'admin' :
                                $out .= $web[418].'<br />';
                                break;
                            case 'modo' :
                                $out .= $web[420].'<br />';
                                break;
                            case 'redac' :
                                $out .= $web[419].'<br />';
                                break;
                            case 'webm' :
                                $out .= $web[11].'<br />';
                                break;
                            }
                        }
                    }
                }
                $out .= $inscrit;
                if ($wysiwyg && $st[0] != 'c' && $st[0] != 's') {
                    if ($author == $userprefs[1] || $modadmin == 'yes' || $serviz[31] == $userprefs[1] || $serviz[176] == $userprefs[1]) {
                        if ($st[0] != 'c' && $st[0] != 's') {
                            $url = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-1-'.TYP_THREAD.'-maj-'.$thread.'-'.$fileid.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;mod=maj&amp;num='.$thread.'&amp;pg='.$fileid.$z2;
                            $out .= '
      &nbsp;<a href="'.$url.'" title="'.$web[369].'"><img src="'.$reptheme.'/edit.png" alt="'.$web[369].'" /></a>';
                        }
                    }
                }
                $out .= '
      <br />';
                $fieldc1 = stripslashes($fieldc1);
                $out .= '
    </div>
    <div class="tdtblfr">
      <div class="rep textLeft thbodycontent'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"><br />'.$fieldc1.'</div>
      <div class="textLeft thbodybottom">';
                if ($fieldd1 == 'on') $out .= 
                    displayWriteEmail('thread'.$i, $author, $email, ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$author.'" title="'.$web[173].' '.$author.'" class="valignMiddle themail" />');
                if ($fieldweb != '') $out .= '
        <a href="'.$fieldweb.'" target="'.TYP_BLANK.'">
          <img src="'.$reptheme.'/site.png" alt="'.$web[304].' '.$author.'" title="'.$web[304].' '.$author.'" class="valignMiddle thimgsite'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
        </a>';
                if (empty($prt)) $out .= 
                    displayQuickConfig(NULL, $fileid, 'forum&amp;form=2'.GetOptionnalArg('id', $fileid), 'forum&amp;act=i'.GetOptionnalArg('id', $fileid), 'forum'.GetOptionnalArg('del', $fileid), 23);
                $out .= '
        <div class="f-right">';
                if ($st[0] != 'c') $out .= '
          <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-2-'.TYP_THREAD.'-'.$thread.'-'.$fileid.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_THREAD.'&amp;num='.$thread.'&amp;pg='.$fileid.$z2).'">
            <img src="'.$reptheme.'/reponse.png" alt="'.$web[65].'" title="'.$web[65].'" class="thimgrep'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'" />
          </a>';
                else $out .= '
          <img src="'.$reptheme.'/rep_lock.png" alt="'.$etat.'" title="'.$etat.'" />';
                $out .= '
          <a href="#top"><img src="'.$reptheme.'/haut.png"  class="img11x11" alt="'.$web[136].'" title="'.$web[136].'" /></a>&nbsp;&nbsp;
        </div>
        <div class="c-both"></div>
      </div>
    </div>
  </div>
</div>';
            }
        }
        $out .= GetNavBar(($site['URLR'] == 'on' ? 
            $lng.'-'.$urlrw[5].'-5-'.$this->pg.'-'.$this->cat.'-' : 
            $site['TH'].'.php?lng='.$lng.'&amp;pg='.$this->pg.GetOptionnalArg('cat', $this->cat).'&amp;id='), count($dbthrd), $this->id, $serviz[20], $z2);
        if (empty($this->fid)) $this->fid = 1;
        $out .= '
<div class="width100 textLeft thmsgicons">
  <img src="'.$reptheme.'/msg_a.png" class="valignMiddle" alt="'.$web[367].'" /> '.$web[366].$web[367].' &nbsp;
  <img src="'.$reptheme.'/msg_c.png" class="valignMiddle" alt="'.$web[368].'" /> '.$web[366].$web[368].' &nbsp;
  <img src="'.$reptheme.'/msg_t.gif" class="valignMiddle" alt="'.$web[370].'" /> '.$web[370].' &nbsp;
  <img src="'.$reptheme.'/msg_n.png" class="valignMiddle" alt="'.$web[371].'" />'.$web[371].$web[334].'<br />
  <img src="'.$reptheme.'/edit.png" class="valignMiddle" alt="'.$web[369].'" /> '.$web[369]." ".$web[334].' &nbsp;
  <img src="'.$reptheme.'/lock.png" class="valignMiddle" alt="'.$web[363].'" /> '.$web[363].$web[366].' &nbsp;
  <img src="'.$reptheme.'/lockup.png" class="valignMiddle" alt="'.$web[364].'" /> '.$web[364].' &nbsp;'
  .($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] ? '
	<img src="'.$reptheme.'/unlock.png" class="valign-1" alt="'.$web[621].'" /> '.$web[621].$web[366].' &nbsp;
	<img src="'.$reptheme.'/moveto.png" class="valign-1" alt="'.$web[632].'" /> '.$web[632].$web[366]
	: '').'
</div>';
        if (empty($prt)) {
            $out .= '
<div class="width100">
  <div class="f-right textRight thretbutton">
    <form action="'.($site['URLR'] == 'on' ? 
        $lng.'-'.$urlrw[5].'-22-'.$this->cat.'-'.$this->fid.$z2 : 
        $site['FR'].'.php?lng='.$lng.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $this->fid).$z2).'" method="post">
      '.SubmitButton($web[70]).'
    </form>
  </div>';
            if (!empty($dbworkcat)) {
                $out .= '
  <div class="f-right textRight thselcat">
    <form method="post" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-31'.$z2 : $site['FR'].'.php?lng='.$lng.$z2).'">
      <a href="'.($site['URLR'] == 'on' ? 
        $lng.'-'.$urlrw[5].'-31-'.$this->tconfig.$z2 : 
        $site['FR'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$web[130].'">
        <img src="'.$reptheme.'/dir.png"  class="valignMiddle" alt="'.$web[130].'" /> &nbsp;<b>'.$this->nom_frth.'</b>
      </a>&nbsp;
      <select name="cat" onchange="this.form.submit();" class="valignMiddle">';
                foreach ($dbworkcat as $dbw) {
                    $out .= '
        <option value="'.$dbw[0].'" '.Selected($dbw[0] == $this->cat).'>'.$dbw[1].'</option>';
                }
                $out .= '
      </select>
    </form>
  </div>';
            }
            $out .= '
</div>';
        }
        $out .= '
<br />
</div>
<br />
<br />';
        return array($this->frtyp, $out);
    }
    
    public function THA_content() {
        global $userprefs, $web, $page, $serviz, $urlrw, $site, $lng, $prt, $z2;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        $out    = '';
        $thread = 0;
        if (!empty($this->pg)) {
            $dbwork = SelectDBForumByID(ReadDBFields(DBFORUMARCH), $this->pg);
            if (count($dbwork) != 0) {
                $thread    = $dbwork[0][1];
                $this->cat = $dbwork[0][12];
            }
        }
        elseif (!empty($this->thrd)) {
            $dbwork = ReadDBFields(DBTHREADARCH);
            foreach ($dbwork as $dbw) {
                if ($dbw[1] == $thrd && $dbw[2] == '0') {
                    $thread    = $this->thrd;
                    $this->pg  = $dbw[3];
                    $this->cat = $dbw[8];
                }
            }
        }
        if ($serviz[34] == 'on') $threadcounter = UpdateDocCounterArch($this->pg);
        $dbthrd = SelectDBThreadByThread(ReadDBFields(DBTHREADARCH),$thread);
        @sort($dbthrd);
        ReadDoc($this->pg, ARCHDBBASE);
        if ((CheckGroup($this->cat, $userprefs[1]) != 1 && !is_numeric($this->cat)) ||
            (preg_match('/^pr/i', $fieldb2) && (CheckGroup($fieldb2, $userprefs[1]) != 1))) {
            $href1 = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
            return array($this->frtyp, 1, $href1);
        }
        if (!empty($this->cat)) {
            $catxt   = getForumCatName($this->cat);
            $topmess = '<a href="'.($site['URLR'] == 'on' ? 
                $lng.'-'.$urlrw[5].'-6-'.$this->tconfig.$z2 : 
                'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[226].'</a> - <a href="'.($site['URLR'] == 'on' ? 
                    $lng.'-'.$urlrw[5].'-35-'.$this->cat.$this->fid.$z2 : 
                    'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $this->fid).$z2).'">'.$catxt.'</a> - '.$web[63].$fielda1;
        }
        else 
            $topmess = '<a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[5].'-6-'.$this->tconfig.$z2 : 
                'fortopicarch.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'">'.$web[226].'</a> - '.$web[63].$fielda1;
        $this->topmess = $page[9] != '' ? 
            '<img src="'.CHEMIN.'inc/img/icons/'.$page[9].'/forum.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess : 
            $topmess;
        $out .= '
<div class="bord tharchmain">
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="forum tdtblfr width25 tharchsubject">'.$web[63].$fielda1.'</div>
      <div class="forum2 tdtblfr width75">
        <b>'.$fieldb1.'</b>
        <br />
        &nbsp;&nbsp;&nbsp;'.$web[6].' ';
        if ($fieldd1 != 'on') $out .= 
            displayWriteEmail('threadarch1', $author, $email);
        else $out .= '
        <b>'.$author.'</b>';
        $out .= '
      '.$web[7].' '.FormatDate($creadate).'
      </div>
    </div>
  </div>
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="quest tdtblfr width100">'.$fieldc1.'</div>
    </div>
  </div>
</div>';
        if (empty($this->id)) $this->id = 1;
        if (!empty($dbthrd)) {
            if (3 == abs($prt)) {
                $this->id = 1;
                $serviz[20] = 99999;
            }
            for ($i = $serviz[20]*($this->id-1); $i < Min($serviz[20]*$this->id, count($dbthrd)); $i++) {
                ReadDoc($dbthrd[$i][3], ARCHDBBASE);
                $out .= '
<div class="bord trarchmain">
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="quest tdtblfr textCenter">'.$web[68].$fielda2.'</div>
      <div class="quest tdtblfr width85">'.$web[6].' ';
                if ($fieldd1 != "on") {
                    $out .= displayWriteEmail('threadarch2'.$i, $author, $email);
                }
                else {
                    $out .= '<b>'.$author.'</b>';
                }
                $out .= '
      '.$web[7].' '.FormatDate($creadate).'
      </div>
    </div>
  </div>
  <div class="tbldiv width100">
    <div class="trtbldiv">
      <div class="rep tdtblfr" colspan="2">'.$fieldc1.'</div>
    </div>
  </div>
</div>';
            }
        }
        if (count($dbthrd)>$serviz[20]) $out .= '
<hr />'.GetNavBar(($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-52-'.$this->pg.'-'.$this->cat.'-' : 
    'threadarch.php?lng='.$lng.'&amp;pg='.$this->pg.GetOptionnalArg('cat', $this->cat).'&amp;id='), count($dbthrd), $this->id, $serviz[20], $z2);
        $out .= '
<p class="textCenter">
  <a href="'.($site['URLR'] == 'on' ? 
    $lng.'-'.$urlrw[5].'-35-'.$this->cat.'-'.$this->fid.$z2 : 
    'forumarch.php?lng='.$lng.GetOptionnalArg('cat', $this->cat).GetOptionnalArg('id', $this->fid).$z2).'">'.$web[70].'</a>
</p>';
        return array($this->frtyp, $out);
    }
}
?>