<?php
/*******************************************************************************
 *   Guestbook
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.09 (June 06, 2019)      : improve object-oriented programming
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'guestbk.inc')) {
    header('location:../index.php');
    die();
}

class GY_guestbk {
    public $tconfig;
    public $topmess;
    protected $pg;
    protected $id;

    public function __construct() {
        global $menuico, $nom, $lang, $lng, $page, $pg, $id;
        $topmess       = getLabel($nom[$lng == $lang[0] ? 9 : 19]);
        $this->topmess = $page[9] == '' ? $topmess : '<img src="inc/img/icons/'.$page[9].'/guestbook.gif" class="f-right img32x32 valignMiddle" alt="" />'.$topmess;
        $this->tconfig = $menuico[18] == 'ALL' ? import('tconfig', '', true, 0) : $menuico[18];
        $this->pg      = $pg;
        $this->id      = $id;
    }
    
    public function GBK_ok($pseudo, $lng) {
        global $site, $urlrw, $serviz, $web, $z2, $members;
        $out = '';
        if ($serviz[12] != 'on') {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out .= '
<div class="textCenter web342">'.$web[143].'
  <p class="textCenter">
    '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
  </p>
</div>';
            return array('GBK', $out);
        }
        elseif ($members[0] == 'on' && !isAccessGranted($members[4])) {
            $out .= '
<div class="textCenter web342">'.$web[342];
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$tconfig.$z2 : 'connect.php?lng='.$lng.'&tconfig='.$tconfig.$z2);
            $href2 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&tconfig='.$tconfig.$z2);
            if ($members[19] != '0' && $members[19] != '3') $out .= '
  <p class="textCenter">
    '.SubmitButton($web[630], 'self.location.href=\''.$href1.'\'').
      (empty($pseudo) ? '&nbsp;&nbsp;'.SubmitButton($web[160], 'self.location.href=\''.$href2.'\'') : '').'
  </p>';
            $out .= '
</div>';
            return array('GBK', $out);
        }
        elseif (!empty($this->pg)) {
            $dbwork = SelectDBFields(TYP_GUESTBK, 'a', $this->pg);
            $isdoc  = (count($dbwork) > 0);
            if (!$isdoc) {
                if ($site[10] != '') return array('h1', '');
                else return array('h2', '');
            }
        }
        return array('');
    }
    
    public function GBK_content() {
        global $lng, $site, $serviz, $web, $prt, $urlrw, $reptheme, $z2;
        global $type, $fileid, $status, $creadate, $moddate, $author, $email, $fielda1, $fielda2, $fieldb1, 
               $fieldb2, $fieldc1, $fieldc2, $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
        if (!empty($this->pg)) {
            if (count(SelectDBFields(TYP_GUESTBK, 'a', $this->pg)) != 0) {
                $dbwork = SelectDBFields(TYP_GUESTBK, 'a', $this->pg);
            } else {
                $dbwork = array();
            }
        } else {
            $dbwork = SelectDBFields(TYP_GUESTBK, 'a', '');
        }
        @rsort($dbwork);
        $out = '';
        if (empty($prt)) $out .= '
<form action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[14].'-'.TYP_GUESTBK.$z2 : $site['PG'].'.php?lng='.$lng.'&amp;typ='.TYP_GUESTBK.$z2).'" method="post">
  <p class="textCenter">'.SubmitButton($web[41]).'</p>
</form>
<hr />';
        if (empty($this->id)) $this->id = 1;
        if (!empty($dbwork)) {
            if (3 == abs($prt)) {
                $this->id  = 1;
                $serviz[7] = 99999;
            }
            for ($i = $serviz[7]*($this->id-1); $i < Min($serviz[7]*$this->id, count($dbwork)); $i++) {
                ReadDoc($dbwork[$i][1]);
                $img = getNewUpdateDoc($creadate, $moddate, $serviz[141]);
                $out .= '
<div class="bord textCenter width98">
  <div class="tbldiv textCenter width100">
    <div class="trtbldiv">
      <div class="forum tdtbldiv width12">'.$web[39].$fielda1.'</div>
      <div class="quest tdtbldiv">'.$web[6].' ';
                if ($fieldd1 == 'on') $out .= displayWriteEmail('guest'.$i, $author, $email);
                else $out .= '
        <b>'.$author.'</b>';
                $out .= '
        '.$web[7].' '.FormatDate($creadate).'
        <div class="gbkb1'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">';
                if ($fieldb1 != '') $out .= '
          <a href="'.$fieldb1.'" target="'.TYP_BLANK.'">
            <img class="width17 valignMiddle" src="'.$reptheme.'/gbkurl.png" alt="" />&nbsp;&nbsp;'.$fieldb1.'
          </a>&nbsp;';
                $out .= $img.'
        </div>
      </div>
    </div>
  </div>
  <div class="rep width98 marginAuto gbkc1">'.$fieldc1;
            if (empty($prt)) $out .= 
  displayQuickConfig(NULL, $dbwork[$i][1], 'guestbk&amp;form=2&amp;id='.$dbwork[$i][1], 'guestbk&amp;act=i&amp;id='.$dbwork[$i][1], 'guestbk&amp;del='.$dbwork[$i][1], 22);
            $out .= '
  </div>
</div>';
                if ($i < min($serviz[7]*$this->id, count($dbwork))-1) $out .= '
<hr />';
            }
        } else if (!empty($this->pg)) {
            $out .= '
<p>'.$web[36].'</p>';
        }
        $out .= GetNavBar(($site['URLR'] == 'on'? $lng.'-'.$urlrw[7].'-2'.'-': $site['GB'].'.php?lng='.$lng.'&amp;id='), count($dbwork), $this->id, $serviz[7], $z2);
        return array('GBK', $out);
   }
}
?>