<?php
/*******************************************************************************
 *   Site Index Top of Page
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = https://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.01 (Juanary 17, 2020) : parallax enabled by default
 *                             : correction of display of boxes above and under
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hpage.inc')) {
    header('location:../index.php');
    die();
}

$obgo = FALSE;
if (($site[26] == 'on')) {
    if (!strstr($endurl, 'admin/') && !strstr($endurl, $site['PG'].'.php')) {
        if (extension_loaded('zlib') > 0) {
            if (strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
                $obgo = ob_start();
            }
        }
    }
}

$toppage = stripslashes($site[($lang[0] == $lng ? 0 : 11)]);
if (($page[22]) && (!empty($topmess))) {
    $toppage .= ' - '.strip_tags($topmess);
}
if ($serviz[32] == 'on' && $serviz[42] == 'on' && $userprefs[1] != '' && FileDBExist(CHEMIN.'admin/redac/'.$userprefs[1].INCEXT)) {
    include CHEMIN.'admin/redac/'.$userprefs[1].INCEXT;
}

if (!empty($userprefs[1]) && substr($_COOKIE[COOKIE_COOKIE], 0, 1) == '1' && !OK_RGPD_date($userprefs[1])) {
    $userdb  = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
    $acdtreg = mktime(0,0,0,(int)substr($userdb[1][28], 4, 2),(int)substr($userdb[1][28], -2),(int)substr($userdb[1][28], 0, 4));
    $acdtout = time() - $acdtreg > 31536000 ? true : false;
    if ($acdtout) {
        $userdb[1][28] = date('Ymd');
        WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
        $userprefs[27] = date('Ymd');
        $userdata = '';
        for ($i = 0; $i < count($userprefs); $i++) {
            $stri      = sprintf("%02d", $i);
            $strlen    = empty($userprefs[$i]) ? '03' : sprintf("%02d", strlen($userprefs[$i]));
            $userdata .= $stri.$strlen.(empty($userprefs[$i]) ? 'off' : $userprefs[$i]);
        }
        $usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
        $expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
        setcookie(USER_COOKIE, gy_crypt(CRYPT_KEY, $userdata), time() + $expires, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
    }
}

echo '<!DOCTYPE html>
<html lang="'.$lng.'">';

	///////////////////////////////////////////////////////////////////////////////////
	//                                                                               //
	//                GuppY is protected by the CeCILL FREE LICENSE.                 //
	//  REMOVING OR MODIFYING THE FOLLOWING COPYRIGHT NOTICE IS STRICTLY FORBIDDEN.  //
	//                                                                               //
	///////////////////////////////////////////////////////////////////////////////////

echo '

  <!--[  GuppY v'.MP_VERSION.' CeCILL Copyright (C) '.MP_COPYRIGHT.' by Laurent Duveau - https://www.freeguppy.org/  ]-->
  
<head>
<meta http-equiv="content-type" content="text/html; charset='.$charset.'" />
<meta name="application-name" content="'.$toppage.'" />

<title>'.$toppage.'</title>

<meta name="description" content="'.$site[1].'" />
<meta name="generator" content="GuppY CMS" />
<meta name="author" content="'.$site[9].'" />
<meta name="keywords" content="'.$site[2].'" />
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-status-bar-style" content="black">';

if (is_dir(CHEMIN.'inc/incpage')) {
    $hd = opendir(CHEMIN.'inc/incpage');
    while ($file = readdir($hd)) {
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include CHEMIN.'inc/incpage/'.$file;
        }
    }
	closedir($hd);
}

if (!defined('NO_CRYPT') && $serviz[100] > 0 && empty($_COOKIE['GuppYCrypt'])) echo '
<script>window.location.reload();</script>';

echo '
<link rel="shortcut icon" href="'.$site[3].'favicon.ico">';
if (TYP_SCREEN == 'WEB') {
    if ($serviz[16] == 'on') echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.(($lng == $lang[0])? strip_tags(getLabel($nom[7])): strip_tags(getLabel($nom[17]))).'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSNEWS, $lng).'">';
    if ($serviz[54] == 'on') echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.(($lng == $lang[0])? strip_tags(getLabel($nom[42])): strip_tags(getLabel($nom[43]))).'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSBLOG, $lng).'">';
    if ($serviz[60] == "on") echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.$web[169].'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSART, $lng).'">';
    if ($serviz[103] == "on") echo '
<link rel="alternate" type="application/rss+xml" title="'.$site[($lang[0] == $lng ? 0 : 11)].' : '.$web[591].'" hreflang="'.$lng.'" href="'.$site[3].sprintf(RSSALL, $lng).'">';
}

echo '
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.11.2/css/all.min.css" 
  integrity="sha256-+N4/V/SbAFiW1MPBCXnfnP9QSN3+Keu+NlB+0ev/YKQ=" crossorigin="anonymous" />
<link href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" rel="stylesheet" 
  integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/styles/default.min.css" 
  integrity="sha256-zcunqSn1llgADaIPFyzrQ8USIjX2VpuxHzUwYisOwo8=" crossorigin="anonymous" />
<link type="text/css" rel="stylesheet" href="'.CHEMIN.'inc/unitegallery/css/unite-gallery.css">
';

if (file_exists($meskin."style.css")) echo '
<link rel="stylesheet" href="'.$meskin.'style.css">';
else echo '
<link rel="stylesheet" href="no_skin/style.css">';
if (file_exists($meskin."bs4style.css")) echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'bs4style.css">';
if (file_exists($meskin."styleplus.css")) echo '
<link rel="stylesheet" href="'.$meskin.'styleplus.css">';
if ($tconfig > 0 && file_exists($meskin.'stylepage'.$tconfig.'.css')) echo '
<link rel="stylesheet" href="'.$meskin.'stylepage'.$tconfig.'.css">';
if (TYP_SCREEN == 'MOB' && file_exists($meskin."mobstyle.css")) echo '
<link rel="stylesheet" href="'.$meskin.'mobstyle.css">';

echo '
<style media="print"> @import url('.CHEMIN.'inc/print.css); </style>';

$dir = CHEMIN.'inc/csshead';
if (is_dir($dir)) {
    $allcss = scandir($dir);
    if (FALSE !== $allcss) {
        sort($allcss);
        foreach ($allcss as $onecss) {
            $info = pathinfo($onecss);
            if (isset($info['extension']) && $info['extension'] == 'css') echo '
<link rel="stylesheet" href="'.$dir.'/'.$onecss.'" />';
        }
        unset($allcss, $onecss);
    }
}

if ($page[20] != '') echo '
'.JavascriptFile(CHEMIN.'inc/rollover.js');

echo BeginJavascript().'
var charset = "'.$charset.'";
var site0 = "'.htmlspecialchars($site[($lang[0] == $lng ? 0 : 11)]).'";
var site3 = "'.$site[3].'";
'.EndJavascript();
if (empty($_COOKIE[SCREEN_COOKIE])) {
    echo BeginJavascript().'
if (window.innerWidth) var wNav = window.innerWidth;
 else if (document.body && document.body.offsetWidth) var wNav = document.body.offsetWidth;
var w = window.innerWidth || document.documentElement.clientWidth || window.innerWidth;
var h = window.innerHeight || document.documentElement.clientHeight || document.body.clientHeight;
var sValue = "w" + screen.width + "h" + screen.height + "aw" + screen.availWidth + "ah" + screen.availHeight + "cw" + w + "ch" + h + "n" + wNav;
var today = new Date(), expires = new Date();
expires.setTime(today.getTime() + 31536000000);
document.cookie = "'.SCREEN_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=" + expires.toGMTString();
'.EndJavascript();
}
$scrWidth = $scrHeight = $scrAWidth = $scrAHeight = $cbWidth = $cbHeight = $navWidth = 0;
$scrValues = $_COOKIE[SCREEN_COOKIE];
if (!empty($scrValues)) {
    $next       = strpos($scrValues, 'h');
    $scrWidth   = substr($scrValues, 1, $next - 1);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'aw');
    $scrHeight  = substr($scrValues, 1, $next - 1);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'ah');
    $scrAWidth  = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'cw');
    $scrAHeight = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'ch');
    $cbWidth    = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $next       = strpos($scrValues, 'n');
    $cbHeight   = substr($scrValues, 2, $next - 2);
    $scrValues  = substr($scrValues, $next);
    $navWidth   = substr($scrValues, 1);
}
// ordre de chargement : jquery, popper, bootstrap
echo 
  JavascriptFile(CHEMIN.'inc/hpage.js').'
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.4.1/jquery.min.js" 
  integrity="sha256-CSXorXvZcTkaix6Yvo6HppcZGetbYMGWSFlBw8HfCJo=" crossorigin="anonymous">
</script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.bundle.min.js" 
  integrity="sha384-6khuMg9gaYr5AxOqhkVIODVIvm9ynTT5J4V1cfthmT+emCG6yVmEZsRHdxlotUnm" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-migrate/3.1.0/jquery-migrate.min.js" 
  integrity="sha256-91c9XEM8yFH2Mn9fn8yQaNRvJsEruL7Hctr6JiIY7Uw=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-easing/1.4.1/jquery.easing.js" 
  integrity="sha256-tw5/wId1F+4LyUF2ZJnpRoHNXJ66jrK3IGhfq4LhLjY=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/highlight.js/9.15.10/highlight.min.js" 
  integrity="sha256-1zu+3BnLYV9LdiY85uXMzii3bdrkelyp37e0ZyTAQh0=" crossorigin="anonymous">
</script>
<script src="https://unpkg.com/bootstrap-show-password@1.2.1/dist/bootstrap-show-password.min.js"></script>
'.JavascriptFile(CHEMIN.'inc/unitegallery/js/unitegallery.min.js');

$dir = CHEMIN.'inc/jshead';
if (is_dir($dir)) {
    $alljs = scandir($dir);
    if (FALSE !== $alljs) { 
        sort($alljs);
        foreach ($alljs as $onejs) {
            $info = pathinfo($onejs);
            if (isset($info['extension']) && $info['extension'] == 'js')
				echo '
<script src="'.$dir.'/'.$onejs.'"></script>
';
        }
        unset($alljs, $onejs);
    }
}

if (is_dir(CHEMIN.'inc/jqhead')) {
    $hd = opendir(CHEMIN.'inc/jqhead');
    while ($file = readdir($hd)) {
        if (1 == preg_match('!^[^_].*(\.js|\.js\.php)$!', $file)) {
			include CHEMIN.'inc/jqhead/'.$file;
        }
    }
	closedir($hd);
}

echo '
<script>
  $(document).ready(function() {
    $("pre").each(function(i, block) {
      hljs.highlightBlock(block);
    });
    $("pre code").each(function(i, block) {
      hljs.highlightBlock(block);
    });
  });
</script>';

$tconfig = isset($tconfig) ? $tconfig : import('tconfig', '', true, 0);
$tconfig = !isset($templates[$tconfig]) ? 0 : $tconfig;

$pages55 = explode(',', $page[55]);
$nscript = strip_tags($_SERVER['SCRIPT_NAME']);
$posscr  = strrpos($nscript, '/');
$nscript = $posscr !== false ? substr($nscript, $posscr + 1) : $nscript;
$okindex = $nscript == 'index.php' ? true : false;
$okprllx = true;

if (empty($prt)) echo '
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-parallax/1.1.3/jquery-parallax-min.js" 
  integrity="sha256-+r9MHvpJMAqVrQNi6Qu29BYePHsoPhwt/FGxeaNkY7I=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-scrollTo/2.1.2/jquery.scrollTo.min.js" 
  integrity="sha256-7QS1cHsH75h3IFgrFKsdhmKHHpWqF82sb/9vNLqcqs0=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-localScroll/2.0.0/jquery.localScroll.min.js" 
  integrity="sha256-zoyjWR3p+8NNjyzhgNJyDn46HhrXVYVT4qRHR8E69jU=" crossorigin="anonymous">
</script>
';

if (empty($prt)) echo '
<script>
  $(document).ready(function(){		
    $("#paranav").localScroll(800);
    $("#slide1").parallax("50%", 0.2, true);
    $("#slide2").parallax("50%", 0.2, true);
    $("#slide3").parallax("50%", 0.2, true);
  })
</script>
';

if (TYP_SCREEN == 'WEB') {
    $colconf     = isBlogPage() ? 'B' : $tconfig;
    $left_empty  = array_reduce($xposbox[$colconf][BOX_LEFT], 'EstNonVide', true);
    $right_empty = array_reduce($xposbox[$colconf][BOX_RIGHT], 'EstNonVide', true);
    $no_left     = isBlogPage() ? $other[33] != 'on' : $other[31] != 'on';
    $no_right    = isBlogPage() ? $other[34] != 'on' : $other[32] != 'on';
    $top_lr      = explode(',', $page[62])[$tconfig];
    $top_lr      = empty($top_lr) ? '0' : $top_lr;
    echo '
<style>
.fixedtop {
  position: fixed;
  top: '.$top_lr.'px;
}
</style>
';
    echo "
<script>
  $(document).ready(function() {
    lef = '".($left_empty || $no_left ? '' : (isBlogPage() ? '#BlogLeftBoxes' : '#LeftBoxes'))."';
    rig = '".($right_empty || $no_right ? '' : (isBlogPage() ? '#BlogRightBoxes' : '#RightBoxes'))."';
    if (lef != '' || rig != '') {
      ptl = lef == '' ? 0 : Math.round($(lef).css('padding-top').substring(0, $(lef).css('padding-top').length - 2));
      ptr = rig == '' ? 0 : Math.round($(rig).css('padding-top').substring(0, $(rig).css('padding-top').length - 2));
      plc = Math.round($('#CenterBoxes').css('margin-left').substring(0, $('#CenterBoxes').css('margin-left').length - 2));
      prc = Math.round($('#CenterBoxes').css('margin-right').substring(0, $('#CenterBoxes').css('margin-right').length - 2));
      $(window).scroll(function() {
        pos = $(this).scrollTop();
        hcb = Math.round($('#CenterBoxes').css('height').substring(0, $('#CenterBoxes').css('height').length - 2));
        tbh = Math.round($('#slide1').css('height').substring(0, $('#slide1').css('height').length - 2));
        $('#MainContent').css('min-height', hcb + 'px');
        $('#MainContent').css('height', 'auto');
        $('#CenterBoxes').css('min-height', hcb + 'px');
        if (lef != '') {
          hbc = Math.round($('#BoxesCenter').css('height').substring(0, $('#BoxesCenter').css('height').length - 2));
          hbl = Math.round($('#BoxesLeft').css('height').substring(0, $('#BoxesLeft').css('height').length - 2));
          if (pos >= tbh + 10 && hbc >= hbl) {
            $(lef).addClass('fixedtop');
            wlc = Math.round($(lef).css('width').substring(0, $(lef).css('width').length - 2));
            mlc = Math.round($(lef).css('margin-right').substring(0, $(lef).css('margin-right').length - 2));
            mrc = Math.round($(lef).css('margin-left').substring(0, $(lef).css('margin-left').length - 2));
            $('#CenterBoxes').css('margin-left', wlc + mlc + mrc + 'px');
            if (pos >= tbh + Math.round((hcb - hbl) / 3)) {
              $(lef).removeClass('fixedtop');
              $('#CenterBoxes').css('margin-left', plc + 'px');
              $(lef).css('padding-top', hbc - hbl + 'px');
            }
          } else {
            $(lef).removeClass('fixedtop');
            $('#CenterBoxes').css('margin-left', plc + 'px');
            $(lef).css('padding-top', ptl + 'px');
          }
        }
        if (rig != '') {
          hbc = Math.round($('#BoxesCenter').css('height').substring(0, $('#BoxesCenter').css('height').length - 2));
          hbr = Math.round($('#BoxesRight').css('height').substring(0, $('#BoxesRight').css('height').length - 2));
          brm = Math.round($('#MainContent').css('border-right-width').substring(0, $('#MainContent').css('border-right-width').length - 2));
          if (pos >= tbh + 10 && hbc > hbr) {
            $(rig).addClass('fixedtop');
            rbl = Math.round($('#MainContent').css('width').substring(0, $('#MainContent').css('width').length - 2));
            lft = Math.round((document.body.offsetWidth - rbl) / 2);
            $(rig).css('right', lft + brm + 'px');
            wrc = Math.round($(rig).css('width').substring(0, $(rig).css('width').length - 2));
            mlc = Math.round($(rig).css('margin-left').substring(0, $(rig).css('margin-left').length - 2));
            mrc = Math.round($(rig).css('margin-right').substring(0, $(rig).css('margin-right').length - 2));
            $('#CenterBoxes').css('margin-right', wrc + mlc + mrc + 'px');
            $(window).resize(function() {
              rbl = Math.round($('#MainContent').css('width').substring(0, $('#MainContent').css('width').length - 2));
              lft = Math.round((document.body.offsetWidth - rbl) / 2);
              $(rig).css('right', lft + brm + 'px');
            });
            if (pos >= tbh + Math.round((hcb - hbr) / 3)) {
              $(rig).removeClass('fixedtop');
              $(rig).css('left', 'auto');
              $('#CenterBoxes').css('margin-right', prc + 'px');
              $(rig).css('padding-top', hbc - hbr + ptr + 'px');
            }
          } else {
            $(rig).removeClass('fixedtop');
            $(rig).css('left', 'auto');
            $('#CenterBoxes').css('margin-right', prc + 'px');
            $(rig).css('padding-top', ptr + 'px');
          }
        }
      });
    }
  });
</script>
";
}

$numlines = explode(',', $page[54]);
if (TYP_SCREEN == 'WEB' && $numlines[$tconfig] != '') {
    echo '
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery.sticky/1.0.4/jquery.sticky.min.js" 
  integrity="sha256-9p9wUORIjnIRp9PAyZGxql6KgJRNiH04y+8V4JjUhn0=" crossorigin="anonymous">
</script>
';
    echo "
<script>
  $(document).ready(function(){
    $('#Tentrow".$numlines[$tconfig]."').sticky({topSpacing:0});
  });
  $(window).scroll(function() {
    if ($('#Tentrow".$numlines[$tconfig]."').css('top') == '0px') {
      $('#Tentrow".$numlines[$tconfig]."').css('z-index', '9999');
      if ($('.menu_connect').css('position') == 'absolute' || $('.menu_connect').css('position') == 'fixed')
        $('.menu_connect').css('display', 'none');
      if ($('.menu_admin').css('position') == 'absolute' || $('.menu_admin').css('position') == 'fixed')
        $('.menu_admin').css('display', 'none');
    }
    else {
      $('.menu_connect').css('display', 'block');
      $('.menu_admin').css('display', 'block');
    }
    if ($('#MainContent').css('top') == '0px') {
      $('#footer').css('position', 'fixed');
      $('#footer').css('bottom', '0px');
      $('#footer').css('z-index', '9999');
    }
  });
</script>
";
}

echo $headinc;

if (isset($prt)) {
    switch ($prt) {
    case -1 :
    case -2 :
    case -3 :
		echo '
<style media="screen">
  @import url('.CHEMIN.'inc/preview.css);
</style>';
        break;
    case 1 :
    case 2 :
    case 3 :
		echo '
<style media="screen">
  @import url('.CHEMIN.'inc/preview.css);
</style>';
        echo '
<script>
  window.print();
</script>
';
        break;
    }
}

if (TYP_SCREEN == 'WEB' && $body[7] == 'on' && empty($prt))
    echo '
<style>
#returnOnTop {
  bottom: '.$body[5].';
  opacity: '.$opacity[20].';
}
</style>
';
    echo "
<script>
  $(document).ready( function () {
    $('body').append('<div id=\"returnOnTop\" title=\"".$web[136]."\">&nbsp;</div>');
    $('#returnOnTop').click( function() {
    $('html,body').animate({scrollTop: 0}, 'slow');
    });
  });
  $(window).scroll(function() {
    if ($(window).scrollTop() < ".$body[6].")
      $('#returnOnTop').fadeOut();
    else
      $('#returnOnTop').fadeIn();
  });
</script>
";

echo '
<!--[if lte IE 9]>
<script src="https://cdnjs.cloudflare.com/ajax/libs/html5shiv/3.7.3/html5shiv.min.js" 
  integrity="sha256-3Jy/GbSLrg0o9y5Z5n1uw0qxZECH7C6OQpVBgNFYa0g=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/respond.js/1.4.2/respond.min.js" 
  integrity="sha256-g6iAfvZp+nDQ2TdTR/VVKJf3bGro4ub5fvWSWVRi2NE=" crossorigin="anonymous">
</script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/selectivizr/1.0.2/selectivizr-min.js" 
  integrity="sha256-8fF/6nzuSprnSYGykwsQo6r9cT9FZAgN7yTl+4NCozg=" crossorigin="anonymous">
</script>
<![endif]-->

</head>

<body class="body">';

$cookies = intval(substr($_COOKIE[COOKIE_COOKIE], 1));
if (!empty($cookies) && time() > $cookies) {
    echo BeginJavascript().'
var sValue = "";
document.cookie = "'.COOKIE_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=0";
'.EndJavascript();
    $cookies = 0;
}
if (empty($cookies) && !OK_RGPD_date($userprefs[1])) {
    echo BeginJavascript().'
function setCookiesAccept() {
  var sValue = "'.(empty($userprefs[1]) ? '0'.strval(time() + 86400) : '1'.strval(time() + 31536000)).'";
  var today = new Date(), expires = new Date();
  expires.setTime(today.getTime() + '.(empty($userprefs[1]) ? 86400000 : 31536000000).');
  document.cookie = "'.COOKIE_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=" + expires.toGMTString();
  window.location.reload();
}
'.EndJavascript();
}
if (substr($_COOKIE[COOKIE_COOKIE], 0, 1) == '0' && !empty($userprefs[1])) {
    echo BeginJavascript().'
var sValue = "'.('1'.strval(time() + 31536000)).'";
var today = new Date(), expires = new Date();
expires.setTime(today.getTime() + 31536000000);
document.cookie = "'.COOKIE_COOKIE.'" + "=" + encodeURIComponent(sValue) + ";expires=" + expires.toGMTString();
'.EndJavascript();
}

echo '
<div id="page" class="container"> <!-- Begin PAGE -->';

$bccount = 0;
$wposbox = array();
foreach ($templates as $keyconf=>$valueconf) {
	foreach (array(BOX_LSIDE, BOX_LEFT, BOX_CENTER, BOX_RIGHT, BOX_RSIDE) as $key) {
		foreach ($xposbox[$keyconf][BOX_TOP][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;			
			}
			$xposbox[$keyconf][BOX_TOP][$key][$i] = $value;
			$wposbox[$keyconf][BOX_TOP][$key][$i] = $args;
		}
		foreach ($xposbox[$keyconf][BOX_BOTTOM][$key] as $i=>$value) {
			$args  = '';
			if (!empty($value)) {
				$pos   = strrpos($value, 'W');
				$args  = $pos === false ? '' : substr($value, $pos + 1);
				$value = $pos === false ? $value : substr($value, 0, $pos);
				$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
			}
			$xposbox[$keyconf][BOX_BOTTOM][$key][$i] = $value;
			$wposbox[$keyconf][BOX_BOTTOM][$key][$i] = $args;
		}
	}
}
foreach (array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $key) {
	foreach ($xposbox[BOX_EDITO][$key] as $i=>$value) {
		$args  = '';
		if (!empty($value)) {
			$pos   = strrpos($value, 'W');
			$args  = $pos === false ? '' : substr($value, $pos + 1);
			$value = $pos === false ? $value : substr($value, 0, $pos);
			$value = substr($value, -1) == '|' ? substr($value, 0, -2) : $value;
		}
		$xposbox[BOX_EDITO][$key][$i] = $value;
		$wposbox[BOX_EDITO][$key][$i] = $args;
	}
}

if (!isset($userprefs3)) $userprefs3 = $userprefs[3];
if (($scrWidth > 0 && $scrWidth <= 800)) $userprefs3 = BOX_LEFT.BOX_RIGHT;

echo '
<a id="z1"></a>';

if (empty($prt) && $page[50] != 'no') {
    echo '
<script>
  $(document).ready(function(){		
    $("#paranav").localScroll(800);
  })
</script>
';
    echo '
<ul id="paranav"> <!-- parallax navigator -->
  <li><a href="#z1" title="'.$web[136].'"></a></li>
  <li><a href="#z2" title="'.$web[695].'"></a></li>
  <li><a href="#z3" title="'.$web[696].'"></a></li>
</ul>
';
}

if (empty($cookies) && !OK_RGPD_date($userprefs[1])) {
    echo '
  <header class="textCenter accookie">
    '.$web[91].' '.SubmitButton($web[629], 'setCookiesAccept();', '', '', 'button').'
  </header>';
}

if (empty($prt)) echo '
<header id="slide1"> <!-- Begin of Total HEADER -->
  <div class="slide_inside">
';
else echo '
<header id="slide1"> <!-- Begin of Total HEADER -->
';

echo '
  <section id="header">
    <div class="row">';

// php or html scripts located in directory inc/inchead are automatically include at the top of the page
if (is_dir(CHEMIN.'inc/inchead')) { 
	$hd = opendir(CHEMIN.'inc/inchead');
	while ($file = readdir($hd)) { 
        if (1 == preg_match('!^[^_].*(\.inc|\.inc\.php)$!', $file)) {
			include CHEMIN.'inc/inchead/'.$file;
		}
	}
}

if ($serviz[44] == "on") {
    // Site en travaux
    echo '
      <div id="work" class="notice textCenter fontBold workprogress">
        ATTENTION : site en travaux - CAUTION: work in progress
      </div>';
}

echo '
    </div>
  </section>
  <a id="top"></a>
';

if (TYP_SCREEN == 'MOB') echo '
<style>
#TopBoxes, #MainContent, #CenterBoxes, #EditoBoxes, #BottomBoxes, #footer, #LeftBoxes, #RightBoxes { 
  max-width: 100% !important;
  max-height: 100% !important;
  min-height: 0px !important;
  height: 100% !important;
  box-sizing: content-box !important;
}
</style>';

echo '
  <!-- Begin of TOP BOXES -->
  <div id="TopBoxes">';
  
foreach ($xposbox[$tconfig][BOX_TOP][BOX_LEFT] as $i => $aa) {
    $bc1 = $bc2 = $bc3 = $bc4 = $bc5 = '';
    if (!empty($xposbox[$tconfig][BOX_TOP][BOX_LSIDE][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_LSIDE][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_LSIDE][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc4 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc1 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc2 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc3 = '||'.$bccount;
    }
    if (!empty($xposbox[$tconfig][BOX_TOP][BOX_RSIDE][$i]) && (strpos($xposbox[$tconfig][BOX_TOP][BOX_RSIDE][$i], 'fbox_cita') > 0 || strpos($xposbox[$tconfig][BOX_TOP][BOX_RSIDE][$i], 'fbox_ban') > 0)) { 
        $bccount++; $bc5 = '||'.$bccount;
    }
    $item4 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_LSIDE][$i].$bc4);
    $item1 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_LEFT][$i].$bc1);
    $item2 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_CENTER][$i].$bc2);
    $item3 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i].$bc3);
    $item5 = ExecFunctionBox(BOX_TOP, $xposbox[$tconfig][BOX_TOP][BOX_RSIDE][$i].$bc5);
    $nbitem = 0;
    if (FALSE !== $item4) $nbitem++;
    if (FALSE !== $item1) $nbitem++;
    if (FALSE !== $item2) $nbitem++;
    if (FALSE !== $item3) $nbitem++;
    if (FALSE !== $item5) $nbitem++;
    if ($nbitem > 0) {
        $w3    = (int)$wposbox[$tconfig][BOX_TOP][BOX_LSIDE][$i];
        $w0    = (int)$wposbox[$tconfig][BOX_TOP][BOX_LEFT][$i];
        $w1    = (int)$wposbox[$tconfig][BOX_TOP][BOX_CENTER][$i];
        $w2    = (int)$wposbox[$tconfig][BOX_TOP][BOX_RIGHT][$i];
        $w4    = (int)$wposbox[$tconfig][BOX_TOP][BOX_RSIDE][$i];
        $wcols = $nbitem < 5 ? floor((100 - $w3 - $w0 - $w1 - $w2 - $w4) / (5 - $nbitem)) : 100;
        $sfix  = BOX_TOP.$tconfig.$i;
        echo '
<style>
.wcols'.$sfix.' { width: '.$wcols.'%; }
.wcol3'.$sfix.' { width: '.($w3 == '' ? '0' : $w3).'%; }
.wcol0'.$sfix.' { width: '.($w0 == '' ? '0' : $w0).'%; }
.wcol1'.$sfix.' { width: '.($w1 == '' ? '0' : $w1).'%; }
.wcol2'.$sfix.' { width: '.($w2 == '' ? '0' : $w2).'%; }
.wcol4'.$sfix.' { width: '.($w4 == '' ? '0' : $w4).'%; }
</style>
';
        $wcol3 = $item4 === false || $w3 == '' ? ($w0 == 100 || $w1 == 100 || $w2 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol3'.$sfix;
        $wcol0 = $item1 === false || $w0 == '' ? ($w1 == 100 || $w2 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol0'.$sfix;
        $wcol1 = $item2 === false || $w1 == '' ? ($w0 == 100 || $w2 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol1'.$sfix;
        $wcol2 = $item3 === false || $w2 == '' ? ($w0 == 100 || $w1 == 100 || $w3 == 100 || $w4 == 100 ? '' : ' wcols'.$sfix) : ' wcol2'.$sfix;
        $wcol4 = $item5 === false || $w4 == '' ? ($w0 == 100 || $w1 == 100 || $w2 == 100 || $w3 == 100 ? '' : ' wcols'.$sfix) : ' wcol4'.$sfix;
        echo '
    <div id="Tentrow'.$i.'" class="T'.$tconfig.'entrow'.$i.'">
      <div class="row T'.$tconfig.'row'.$i.'">'.
        ($wcol3 != '' ? '<div class="col col0'.$wcol3.'">'.(FALSE !== $item4 ? $item4 : '&nbsp;').'</div>' : '').
        ($wcol0 != '' ? '<div class="col col0'.$wcol0.'">'.(FALSE !== $item1 ? $item1 : '&nbsp;').'</div>' : '').
        ($wcol1 != '' ? '<div class="col col1'.$wcol1.'">'.(FALSE !== $item2 ? $item2 : '&nbsp;').'</div>' : '').
        ($wcol2 != '' ? '<div class="col col2'.$wcol2.'">'.(FALSE !== $item3 ? $item3 : '&nbsp;').'</div>' : '').
        ($wcol4 != '' ? '<div class="col col0'.$wcol4.'">'.(FALSE !== $item5 ? $item5 : '&nbsp;').'</div>' : '').'
      </div>
    </div>';
    }
}

echo '
  </div> <!-- End of TOP BOXES -->
  ';
if (empty($prt)) echo '
  </div> <!--.slide_inside-->	 
</header> <!--#slide1--> <!-- end of Total HEADER -->
';
else echo '
</header> <!-- end of Total HEADER -->
';

echo '
<a id="z2"></a>
 <!-- Begin of MAIN CONTENT -->';

if ($serviz[74] == '' || strip_tags($_SERVER['SCRIPT_NAME']) != '/index.php') {  
    $pages62 = explode(',', $page[62]);
    $pages62[$tconfig] = empty($pages62[$tconfig]) ? 0 : $pages62[$tconfig];
    echo '
<style> .mainoffset'.$tconfig.' { margin-top: '.$pages62[$tconfig].'px !important; } </style>
';
}

if (empty($prt)) echo '
<main id="slide2">
  <div class="slide_inside">
    <section id="MainContent" class="mainoffset'.$tconfig.'">
';
else echo '
<main id="MainContent" class="mainoffset'.$tconfig.'">
';

if ($serviz[74] == '' || strip_tags($_SERVER['SCRIPT_NAME']) != '/index.php') {
    if (is_file($meskin.'leftside.inc')) {
        include($meskin.'leftside.inc');
    } else {
        $colconf = isBlogPage() ? 'B' : $tconfig;
        for ($ii=0; $ii < count($xposbox[$colconf][BOX_LEFT]); $ii++) {
            $box  = $xposbox[$colconf][BOX_LEFT][$ii];
            $temp = explode(CONNECTOR, $box);
            $fnct = isset($temp[1]) ? $temp[1] : '';
            $args = isset($temp[2]) ? $temp[2] : '';
            if (in_array($fnct, array('fbox_freebox', 'fbox_menubox', 'fbox_ddmenubox'))) {
                ReadDoc($args);
                $xposbox[$colconf][BOX_LEFT][$ii] = isAccessGranted($fieldmod) ? $box : '';
            }
        }
        $left_empty = array_reduce($xposbox[$colconf][BOX_LEFT], 'EstNonVide', true);
        $userprefs3 = isBlogPage() ? BOX_LEFT.BOX_RIGHT : $userprefs3;
        if ($widepage == "" && $userprefs3 != BOX_RIGHT && !$left_empty) {
            echo '
    <!-- Begin of LEFT BOXES -->
    <aside id="'.(isBlogPage() ? 'BlogLeftBoxes' : 'LeftBoxes').'">
      <div id="BoxesLeft">';

            for ($ii=0; $ii < count($xposbox[$colconf][BOX_LEFT]); $ii++) {
                $bc1 = $bc2 = '';
                if ($userprefs3 != BOX_RIGHT && $xposbox[$colconf][BOX_LEFT][$ii] != '') {
                    if (strpos($xposbox[$colconf][BOX_LEFT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$colconf][BOX_LEFT][$ii], 'fbox_ban') > 0) { 
                        $bccount++; $bc1 = '||'.$bccount; 
                    }
                    $item = ExecFunctionBox(BOX_LEFT, $xposbox[$colconf][BOX_LEFT][$ii].$bc1);
                    if (FALSE !== $item) echo $item;
                }
                if ($userprefs3 == BOX_LEFT && $xposbox[$colconf][BOX_RIGHT][$ii] != '') {
                    if (strpos($xposbox[$colconf][BOX_RIGHT][$ii], 'fbox_cita') > 0 || strpos($xposbox[$colconf][BOX_RIGHT][$ii], 'fbox_ban') > 0) { 
                        $bccount++; $bc2 = '||'.$bccount; 
                    }
                    $item = ExecFunctionBox(BOX_LEFT, $xposbox[$colconf][BOX_RIGHT][$ii].$bc2);
                    if (FALSE !== $item) echo $item;
                }
            }
            echo '
      </div>
    </aside> <!-- End of LEFT_BOXES -->
        ';
        }
    }
}
echo '
    <!-- Begin CENTER BOXES -->
    <section id="CenterBoxes">
      <div id="BoxesCenter">';

$above_empty = array_reduce($xposbox[$tconfig][BOX_ABOVE], 'EstNonVide', true);
if (!isBlogPage() && !$above_empty) {
    echo '
      <!-- Begin of ABOVE BOXES -->
      <section id="AboveBoxes">';
    foreach ($xposbox[$tconfig][BOX_ABOVE] as $item) {
        $bc = '';
        if ($item != '') {
            if (strpos($item, 'fbox_cita') > 0 || strpos($item, 'fbox_ban') > 0) { 
                $bccount++; $bc = '||'.$bccount; 
            }
            $item = ExecFunctionBox(BOX_ABOVE, $item.$bc);
            if (FALSE !== $item) echo $item;
        }
    }
    echo '
      </section> <!-- End of ABOVE BOXES -->
    ';
}
?>