<?php
/*******************************************************************************
 *   Registered Plugins Management
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.00 (May 09, 2017)       : adding anchor at top of content
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'hplugins.inc')) {
    header('location:../index.php');
    die();
}

$PluginsDB = ReadDBFields(DBPLUGIN);

for ($i = 0; $i < count($PluginsDB); $i++) {
	unset($plugin_bar_name, $plugin_bar_icon, $plugin_bar_url, $plugin_bar_alturls, $plugin_bar_anchor);

	if (is_file(CHEMIN.'plugins/'.$PluginsDB[$i][0].'/plugin.inc')) {
		include CHEMIN.'plugins/'.$PluginsDB[$i][0].'/plugin.inc';
	}

	if ($plugin_bar_name != '') {
        $PluginsDB[$i][1] = empty($PluginsDB[$i][1]) ? 'ALL' : $PluginsDB[$i][1];
        $PluginsDB[$i][2] = empty($PluginsDB[$i][2]) ? 'ALL' : $PluginsDB[$i][2];
		$menu[$plugin_bar_name.'_'.$PluginsDB[$i][0]] = array(
			'id'       => $PluginsDB[$i][0],
            'z2'       => isset($plugin_bar_anchor) && $z2 ? $plugin_bar_anchor : $z2,
			'name'     => strip_tags($plugin_bar_name),
			'title'    => $plugin_bar_name,
			'icon'     => 'plugins/'.$PluginsDB[$i][0].'/'.$plugin_bar_icon,
            'pageexec' => $PluginsDB[$i][1] == 'ALL' ? $tconfig : $PluginsDB[$i][1],
            'pagedisp' => $PluginsDB[$i][2] == 'ALL' ? $tconfig : $PluginsDB[$i][2],
			'url'      => ($site['URLR'] == 'on') ? $plugin_bar_url : 'plugins/'.$PluginsDB[$i][0].'/'.$plugin_bar_url,
			'alturls'  => isset($plugin_bar_alturls) && is_array($plugin_bar_alturls) ? $plugin_bar_alturls : array(),
			'base'     => parse_url($plugin_bar_url, PHP_URL_PATH),
			'target'   => '_SELF'
		);
	}
}
?>