<?php
/*******************************************************************************
 *   Confirm User preferencies
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.01 (June 03, 2020) : correction display of smileys
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'user.inc')) {
    header('location:../index.php');
    die();
}

class GY_user {
    public $tconfig;
    public $topmess;
    protected $modif;
    protected $uuser;
    protected $modif_ok;
    
    public function __construct() {
        global $nom, $menuico, $serviz, $page, $charset, $userprefs;
        $this->tconfig  = $serviz[172] == 'ALL' ? import('tconfig', '', true, 0) : $serviz[172];
        $this->modif    = import('modif');
        $this->uuser    = import('uuser');
        $this->modif_ok = ($this->uuser == 'old' && $this->modif == 1 && $userprefs[1] != '');
    }
    
    public function USR_ok($pseudo, $lng) {
        global $site, $urlrw, $serviz, $web, $z2, $members;
        $out = '';
        if ($serviz[28] != 'on') {
            $out = '
    <div class="textCenter web342">'.$web[143];
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out .= '
      <p class="textCenter">
        '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
      </p>
    </div>';
            return array('USR', $out);
        }
        elseif ($members[19] == '0' || ($members[19] == '3' && ($pseudo != $serviz[31] || $pseudo != $serviz[176])) && !$this->modif_ok) {
            $out .= BeginJavascript().'
alert("'.addslashes($web[512]).'");
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'";
'.EndJavascript();
            return array('USR', $out);
        }
        return array('');
    }
    
    public function USR_content() {
        global $lang, $lng, $web, $nom, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, 
               $members, $drtuser, $supervision, $_DOMAIN, $_SECURE, $_HTTPONLY, $page, $meskin, 
               $skn_logo, $help, $charset;
        $topmess       = getLabel($nom[($lng == $lang[0] ? 34 : 35)]);
        $this->topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
        $crypt         = isset($_POST['crypt']) ? strip_tags($_POST['crypt']) : NULL;
        $cryptok       = (!$crypt) ? false : chk_crypt($crypt);
        $setusercookie = import('setusercookie');
        $REMOTE_ADDR   = getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']);
        $out           = '';
        switch ($setusercookie) {
        case NULL :
            $token      = uniqid(rand(), true);
            $token_time = time();
            setcookie(PREF_COOKIE, $token.CONNECTOR.$token_time, time() + (30 * 60), '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
            break;
        case 1 :
            $tokens     = explode(CONNECTOR, $_COOKIE[PREF_COOKIE]);
            $token_time = time() - (15 * 60);
            $msg = $REMOTE_ADDR.'<br />'.(empty($tokens[0]) ? 'NULL' : $tokens[0]).' => '.intval(($token_time - $tokens[0]) / 60);
            if (empty($tokens[0]) || $tokens[1] < time() - (30 * 60)) {
                $out .= BeginJavascript().'
        var sto = "'.str_replace('<br />', '\n', stripslashes($web[681])).'";
        alert(sto);
        '.EndJavascript();
                $setusercookie = NULL;
                $token         = uniqid(rand(), true);
                $token_time    = time();
                setcookie(PREF_COOKIE, $token.CONNECTOR.$token_time, time() + (30 * 60), '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
            }
            elseif ($tokens[1] + 2 > time()) {
                $out .= BeginJavascript().'
        var sto = "'.str_replace('<br />', '\n', stripslashes($web[682])).'";
        alert(sto);
        '.EndJavascript();
                $setusercookie = NULL;
                $token         = uniqid(rand(), true);
                $token_time    = time();
                setcookie(PREF_COOKIE, $token.CONNECTOR.$token_time, time() + (30 * 60), '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
            }
            break;
        }
        $ctrl_spam  = import('code_pseudo', 'POST');
        $unreg      = import('unreg');
        $ulang      = import('ulang');
        $upseudo    = trim(import('upseudo'));
        $upseudo    = 1 == preg_match('/^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/', $upseudo) ? $upseudo : '';
        $uemail     = checkEmail(CutLongWord(import('uemail')));
        $uboxes     = import('uboxes');
        $ushow      = import('ushow');
        $usign      = WrapLongWords(stripslashes(import('usign')));
        $uuid       = import('uuid');
        $uuid2      = import('uuid2');
        $udesign    = import('udesign');
        $avatar     = import('avatar');
        $avatar     = IsImage(substr($avatar, -3)) ? trim($avatar) : 'unknow.png';
        $uwebsite   = import('uwebsite');
        $uimgsign   = import('uimgsign');
        $uextavatar = import('uextavatar');
        $suite      = import('suite');
        $umailct    = import('umailct');
        $umpct      = import('umpct');
        $usendmail  = import('usendmail');
        $usendct    = import('usendct');
        $uredir     = import('uredir');
        $rgpd       = import('rgpd', 'POST', true, '');
        $ishttps    = 1 != preg_match('!^https!', $site[3]) ? false : true;
        $preprot    = $ishttps ? 'https://' : 'http://';
        $uwebsite   = empty($uwebsite) ? 'http://' : $uwebsite;
        $uimgsign   = empty($uimgsign) ? $preprot : $uimgsign;
        $uextavatar = empty($uextavatar) ? $preprot : $uextavatar;
        $err_pseudo = (empty($upseudo) || $upseudo != import('upseudo')) && $setusercookie == 1 ? true: false;
        $notPassOK  = !empty($uuid) && (!ctrlPasswordOK($uuid) || ($this->uuser == 'new' && 1 == preg_match('/\//', $uuid)));
        $err_uid    = ((empty($uuid) && $this->modif != '1') || $notPassOK) && $setusercookie == 1 ? true: false;
        $err_uid2   = $uuid != $uuid2 && $setusercookie == 1 ? true: false;
        $err_uemail = empty($uemail) && $setusercookie == 1 ? true: false;
        $err_uweb   = 'http://' != $uwebsite && 'https://' != $uwebsite && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uwebsite) && $setusercookie == 1 ? true : false;
        $err_uimg   = 'http://' != $uimgsign && 'https://' != $uimgsign && 1 != preg_match('/(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uimgsign) && $setusercookie == 1 ? true : false;
        $err_uext   = 'http://' != $uextavatar && 'https://' != $uextavatar && 1 != preg_match('/(http|https|inc\/img\/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/', $uextavatar) && $setusercookie == 1 ? true : false;
        $err_uimg   = $err_uimg && !IsImage(substr($uimgsign, -3));
        $err_uext   = $err_uext && !IsImage(substr($uextavatar, -3));
        $err_crypt  = $serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $setusercookie == 1 ? true: false;
        $err_rgpd   = !empty($serviz[177]) && empty($rgpd) && !OK_RGPD_date($userprefs[1]) && $setusercookie == 1 ? true: false;
        $erreur     = '';
        $erreur    .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
        $erreur    .= $err_uid    ? '<li>'.$web[302].'</li>': '';
        $erreur    .= $err_uid2   ? '<li>'.$web[466].'</li>': '';
        $erreur    .= $err_uemail ? '<li>'.$web[42].'</li>': '';
        $erreur    .= $err_uweb   ? '<li>'.$web[545].$web[51].$web[554].'</li>': '';
        $erreur    .= $err_uimg   ? '<li>'.$web[545].$web[623].$web[554].'</li>': '';
        $erreur    .= $err_uext   ? '<li>'.$web[545].$web[627].$web[554].'</li>': '';
        $erreur    .= $err_crypt  ? '<li>'.$web[529].'</li>': '';
        $erreur    .= $err_rgpd   ? '<li>'.$web[405].'</li>': '';
        $uwebsite   = $err_uweb ? 'http://' : $uwebsite;
        $uimgsign   = $err_uimg ? $preprot : $uimgsign;
        $uextavatar = $err_uext ? $preprot : $uextavatar;
        $usermess   = '';
        // contrôle en attente déjà inscrit
        if (is_file(MSGREP.$upseudo.DBEXT)) {
            $dbmsg = ReadDBFields(MSGREP.$upseudo.DBEXT);
            $dbmsg[1][31] = empty($dbmsg[1][31]) ? '0' : $dbmsg[1][31];
            if ($dbmsg[1][31] == '1' || $dbmsg[1][31] == '2') {
                switch($suite) {
                    case '' : // inscription en attente
                        $out = '
<br />
<p class="textCenter"><strong>'.$web[577].'</strong></p>';
                        break;
                    case 'ok' : // confirmation mail
                        $md5 = md5(gy_decrypt(CRYPT_KEY, $dbmsg[0][0]));
                        if ($md5 == $dbmsg[1][8] && $uuid == $dbmsg[1][8]) {
                            $dbmsg[0][0]  = $md5;
                            $dbmsg[1][31] = 'ok';
                            WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
                            unset($dbmsg);
                            $out = BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$this->tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'"'.EndJavascript();
                        } 
                        else {
                            $out = 'STOP : bad password';
                        }
                        break;
                    case 'go' : // confirmation webmaster
                        if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] || $drtuser[42] == 'admin') {
                            $uuid         = gy_decrypt(CRYPT_KEY, $dbmsg[0][0]);
                            $dbmsg[0][0]  = md5($uuid);
                            $dbmsg[1][31] = 'ok';
                            WriteDBFields(MSGREP.$upseudo.DBEXT, $dbmsg);
                            $out   .= sprintf($web[558], $upseudo);
                            $uemail = $dbmsg[1][3];
                            $to     = $uemail;
                            $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[515];
                            $body   = $web[245].sprintf($web[516], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                            $body  .= $web[49].' '.$upseudo.'<br />'.$web[300].' : '.$uuid.'<br />'.$web[517];
                            $body  .= '<a href="'.$site[3].'index.php?lng='.$lng.'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
                            $body  .= $web[235].'<br />'.$user[0].'<br />';
                            eMailHtmlTo($sujet,$body,$to);
                        } 
                        else {
                            $out = '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';                    
                        }
                        break;
                    case 'no' : // refus
                        if ($userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176] || $drtuser[42] == 'admin') {
                            DestroyDBFile(MSGREP.$upseudo.DBEXT);
                            $uemail = $dbmsg[1][3];
                            $to     = $uemail;
                            $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[518];
                            $body   = $web[240].sprintf($web[519], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                            $body  .= $web[235].'<br />'.$user[0].'<br />';
                            eMailHtmlTo($sujet,$body,$to);                    
                            $out = '
<br />
<p class="textCenter"><strong>'.$web[518].'<br />'.$upseudo.'</strong></p>';                    
                        } 
                        else {
                            $out = BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-0'.$z2 : 'connect.php?lng='.$lng.'&tconfig=0'.$z2).'"'.EndJavascript();                    
                        }
                        break;
                    default: /// attente de confirmation
                        switch($members[19]) {
                        case 1 :
                            $out = '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';
                            break;
                        case 2 :
                            $out = '
<br />
<p class="textCenter"><strong>'.$web[514].'</strong></p>';
                            break;
                        }
                        break;
                }
                return array('USR', $out);
            }
        }
        if ($suite != '') {
            switch($suite) {
                case 'ok' : // confirmation mail
                    $out = BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$this->tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'"'.EndJavascript();
                    break;
                case 'no' : // refus
                    $out = '
<br />
<p class="textCenter"><strong>'.$web[518].'</strong></p>';
                    break;
                default :
                    $out = BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng).'"'.EndJavascript();
            }
            return array('USR', $out);
        }
        // enregistrement nouveau ou modif
        if ($setusercookie == 1 && empty($ctrl_spam)) {
            $aconnect  = isset($_COOKIE[CNCT_COOKIE]) ? explode(CONNECTOR, gy_decrypt(CRYPT_KEY, $_COOKIE[CNCT_COOKIE])) : array(0, '');
            $is_pseudo = !empty($aconnect[1]);
            $pseudok   = ($this->uuser == 'old' && $userprefs[1] == $upseudo && $is_pseudo) || $this->uuser == 'new' ? true : false;
            if ($pseudok) {
                $msg    = '';
                $dbmail = array();
                $bad    = array('.', '..', 'index.php');
                $files  = scandir(MSGREP);
                $files  = array_diff($files, $bad);
                foreach ($files as $file) {
                    if ($file == $upseudo.DBEXT) {
                        if ($this->uuser == 'new') {
                            $pseudok = false;
                            $msg     = $web[231];
                            break;                
                        }
                    }
                    else {
                        $userdb = ReadDBFields(MSGREP.$file);
                        if (!empty($userdb[1][3])) $dbmail[] = $userdb[1][3];
                    }
                }
            } 
            else $msg = $web[404];        
            if ($pseudok && ($this->uuser == 'new' || ($this->modif == 1 && $userprefs[2] != $uemail)) && in_array($uemail, $dbmail)) {
                $pseudok    = false;
                $msg       .= ' - '.$web[557];
                $err_uemail = true;
                $err_uid    = $uuid != $uuid2 ? true: false;
                $err_uid2   = $uuid != $uuid2 ? true: false;
            }
            if ($pseudok) {
                $continue = true;
                if (($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) && $err_crypt) {
                    $msg     .= ' - '.$web[529];
                    $continue = false;			
                }
                if ($continue && empty($erreur)) {
                    $imghttps = 1 != preg_match('!^https!', $uimgsign) ? false : true;
                    if ($uimgsign != $preprot) {
                        $uimgsign = $ishttps && !$imghttps ? $site[3].'data/users/frsigns/'.basename($uimgsign) : $uimgsign;
                        if (file_exists($uimgsign)) {
                            list($wimg, $himg, $timg, $aimg) = getimagesize($uimgsign);
                            if ($wimg == 0 || $himg == 0 || $wimg > 468 || $himg > 60) {
                                $msg .= ' - '.$web[624];
                                $continue = false;
                            }
                            else {
                                $frcode  = 'fr_'.$upseudo;
                                $frsigns = ReadFrSigns();
                                if (isset($frsigns[$frcode])) {
                                    $frsigns[$frcode]['image'] = $uimgsign;
                                    $frsigns[$frcode]['status']  = 'a';
                                }
                                else {
                                    $frsigns[$frcode]['image']   = $uimgsign;
                                    $frsigns[$frcode]['status']  = 'a';
                                    $frsigns[$frcode]['origine'] = 'e';
                                }
                                WriteFrSigns($frsigns);
                            }
                        }
                        else $uimgsign = '';
                    }
                    if (empty($uimgsign) || $uimgsign == $preprot) {
                        $frcode  = 'fr_'.$upseudo;
                        $frsigns = ReadFrSigns();
                        if (isset($frsigns[$frcode])) unset($frsigns[$frcode]);
                        WriteFrSigns($frsigns);
                    }
                }
                if ($continue) {
                    if ($uextavatar != $preprot) {
                        $imghttps   = 1 != preg_match('!^https!', $uextavatar) ? false : true;
                        $uextavatar = $ishttps && !$imghttps ? 'inc/img/avatars/'.basename($uextavatar) : $uextavatar;
                        $avaexist   = $ishttps && !$imghttps ? CHEMIN.$uextavatar : $uextavatar;
                        if (file_exists($avaexist)) {
                            list($wimg, $himg, $timg, $aimg) = getimagesize($avaexist);
                            if ($wimg == 0 || $himg == 0 || $wimg > 64 || $himg > 64) {
                                $msg .= ' - '.$web[628];
                                $continue = false;
                            }
                        }
                    }
                }
                if ($continue && empty($erreur)) {
                    $uuid    = empty($uuid) && $this->uuser == 'new' ? GenerateUID() : $uuid;
                    $userdb  = is_file(MSGREP.$upseudo.DBEXT) ? ReadDBFields(MSGREP.$upseudo.DBEXT) : array();
                    $lng     = $ulang;
                    $uavaext = !empty($userdb[1][22]) ? $userdb[1][22] : 'user21';
                    $uimgext = !empty($userdb[1][23]) ? $userdb[1][23] : 'user22';
                    if ($uimgext == 'on') {
                        $frcode  = 'fr_'.$upseudo;
                        $frsigns = ReadFrSigns();
                        if (isset($frsigns[$frcode])) {
                            unset($frsigns[$frcode]);
                            WriteFrSigns($frsigns);
                        }
                    }
                    $usign     = str_replace(chr(10), '<br />', RemoveConnector(stripslashes($usign)));
                    $cryptpass = crypt($uuid);
                    if (is_file(CHEMIN.'data/config/.htpasswd')) {
                        $htpasswd = @file(CHEMIN.'data/config/.htpasswd');
                        $protoht  = trim($htpasswd[0]);
                        if (!empty($protoht)) $cryptpass = $protoht == '#:0-1-0' ? gy_crypt(CRYPT_KEY, $uuid) : crypt($uuid);
                    }
                    $userdb[0][0] = $this->uuser == 'new' 
                      ? (in_array($members[19], array('1', '2')) ? gy_crypt(CRYPT_KEY, $uuid) : md5($uuid)) 
                      : ($this->modif == '1' && empty($uuid) ? $userdb[0][0] : md5($uuid));
                    $userdb[0][1]  = $cryptpass;
                    $userdb[1][0]  = '0';
                    $userdb[1][1]  = $ulang;    // langue
                    $userdb[1][2]  = $upseudo;  // pseudo
                    $userdb[1][3]  = $uemail;   // email
                    $userdb[1][4]  = $uboxes;   // position boîtes
                    $userdb[1][5]  = $ulang;    // langue
                    $userdb[1][6]  = $ushow;    // afficher pseudo dans connectés
                    $userdb[1][7]  = $usign;    // signature forum
                    $userdb[1][8]  = $this->modif == '1' && empty($uuid) ? $userdb[0][0] : md5($uuid);   // pass
                    $userdb[1][9]  = $avatar;                                                            // avatar
                    $userdb[1][10] = $uwebsite == 'https://' || $uwebsite == 'http://' ? '' : $uwebsite; // site web
                    $userdb[1][11] = $serviz[146] == 'on' ? '' : $udesign;                               // skin
                    $userdb[1][12] = '';    // éditeur
                    $userdb[1][13] = 'on';  // 'on' par défaut
                    $userdb[1][14] = is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[13]) ? $userprefs[13] : GetCurrentDateTime(); // date enregistrement
                    $userdb[1][15] = is_file(MSGREP.$upseudo.DBEXT) && !empty($userprefs[14]) ? $userprefs[14] : GetCurrentDateTime(); // date dernière connexion
                    $userdb[1][16] = $uextavatar == $preprot || $avatar != 'unknow.png' || $uavaext == 'on' ? '' : $uextavatar;        // avatar externe
                    $userdb[1][17] = is_file(MSGREP.$upseudo.DBEXT) ? $userprefs[14] : GetCurrentDateTime();                           // date déconnexion
                    $userdb[1][18] = $userdb[1][18];   // pas autorisé MP
                    $userdb[1][19] = $userdb[1][19];   // pas autorisé email
                    $userdb[1][20] = $userdb[1][20];   // pas autorisé profils membres
                    $userdb[1][21] = $userdb[1][21];   // pas autorisé liste des membres
                    $userdb[1][22] = $uavaext;         // interdire avatar externe
                    $userdb[1][23] = $uimgext;         // interdire image signature externe
                    $userdb[1][24] = $umailct;         // membres peuvent envoyer email
                    $userdb[1][25] = $umpct;           // membres peuvent envoyer MP
                    $userdb[1][26] = $usendmail;       // avertir par email arrivée MP
                    $userdb[1][27] = $usendct;         // accusé lecture MP
                    $userdb[1][28] = $this->uuser == 'new' || $rgpd == 'on' ? date('Ymd') : $userdb[1][28]; // acceptation RGPD
                    $userdb[1][29] = $userdb[1][29];   // pas autorisé change boîtes
                    $userdb[1][30] = $uredir;          // redirection vers l'accueil
                    $userdb[1][31] = $members[19] == '' ? 'ok' : ($this->uuser == 'new' ? $members[19] : $userdb[1][31]);   // flag inscription 
                    
                    if ($this->uuser == 'new') {
                        $padmin = trim($serviz[31]) == '' ? (trim($serviz[176]) == '' ? $user[0] : $serviz[176]) : $serviz[31];
                        if ($serviz[31] != '') {
                            $userdb[2][0] = $padmin.CONNECTOR.GetCurrentDateTime().CONNECTOR.'&nbsp; '.
                            $web[253].' '.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), $upseudo).CONNECTOR.'new'.CONNECTOR.
                                CONNECTOR.CONNECTOR.CONNECTOR.$serviz[43].CONNECTOR.substr($page[23], 4);
                        }
                        if (!empty($upseudo) && $ushow == 'on' && $serviz[111] == 'on') {
                            $regusers    = ReadDBFields(DBIPSTATS);
                            $usersonline = array();
                            $myIP        = '';
                            foreach ($regusers as $reg) {
                                if (!empty($reg[2])) {
                                    if ($upseudo == $reg[2]) $myIP = $reg[0];
                                    $usersonline[] = array($reg[2], $reg[0]);
                                }
                            }
                            @usort($usersonline,'AsciiCompare');
                            $uniqueusers   = array();
                            $uniqueusers[] = $usersonline[0];
                            for ($i = 1; $i < count($usersonline); $i++) {
                                if ($usersonline[$i][0] != $usersonline[$i-1][0]) {
                                    $uniqueusers[] = $usersonline[$i];
                                }
                            }
                            $visits  = ReadDBFields(USERREP.'visitsofday.dtb');
                            $today   = date('Ymd');
                            $visits1 = array();
                            foreach ($visits as $visit) if ($visit[1] == $today) $visits1[] = $visit;
                            $found = false;
                            foreach ($uniqueusers as $unuser) {
                                foreach ($visits1 as $visit) if ($visit[0] == $unuser[0]) $found = true;
                                if (!$found && !empty($unuser[0])) $visits1[] = array($unuser[0], $today);
                            }
                            WriteDBFields(USERREP.'visitsofday.dtb', $visits1);
                        }
                    }
                    if (!empty($userprefs[4])) include CHEMIN.'inc/lang/'.$userprefs[4].'-web'.INCEXT;
                    else include CHEMIN.'inc/lang/'.$lng.'-web'.INCEXT;
                    if ($this->uuser == 'new' && $supervision[11] == 'on') {
                        $sujet = $web[608];
                        $body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[609], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                        $body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
                        $to    = $user[1];
                        eMailHtmlTo($sujet, $body, $to);
                    }
                    if ($members[19] == '' || $this->modif == '1') {
                        WriteDBFields(MSGREP.$upseudo.DBEXT, $userdb);
                        $userdata = '';
                        for ($i = 1; $i < 32; $i++) {
                            $stri      = sprintf("%02d", $i - 1);
                            $strlen    = empty($userdb[1][$i]) ? '03' : sprintf("%02d", strlen($userdb[1][$i]));
                            $userdata .= $stri.$strlen.(empty($userdb[1][$i]) ? 'off' : $userdb[1][$i]);
                        }
                        $usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
                        $expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
                        setcookie(USER_COOKIE, gy_crypt(CRYPT_KEY, $userdata), time() + $expires, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                        $userconnect = gy_crypt(CRYPT_KEY, time().CONNECTOR.$userprefs[1].CONNECTOR.date('Ymdhi'));
                        setcookie(CNCT_COOKIE, $userconnect, time() + $expires, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                        $usermess = $web[161];
                        if ($this->uuser == 'old' && !empty($uuid)) {
                            UpdateCollaboratorPass($upseudo, md5($uuid));
                            UpdateProtectMember($upseudo, $cryptpass);
                        }
                        $out .= '
<br />
<p class="textCenter"><b>'.$usermess.'</b></p>';
                        $out .= '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$this->tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'"\', 3000);
'.EndJavascript();
                        return array('USR', $out);
                    }
                    WriteDBFields(MSGREP.$upseudo.DBEXT, $userdb);
                    if ($members[19] == '1') { // confirmation par mail
                        $to    = $uemail;
                        $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[523];
                        $img   = explode('|', $page[4]);
                        $urli  = substr($img[0], 0, 1) == 'I' ? CHEMIN.'img/' : $meskin.'img/';
                        $logo  = $skn_logo != '' && empty($page[4]) ? $skn_logo : $urli.$img[1];
                        $body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
                        $body .= '<p style="text-align:center;"><img src="'.$site[3].$logo.'" style="max-width:580px;" /></p><hr />';
                        $body .= '<p style="text-align:left;font:12pt Arial;">';
                        $body .= $web[245].sprintf($web[524], $upseudo, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                        $body .= $web[49].' <b>'.$upseudo.'</b><br />'.$web[300].' : <b>'.$uuid.'</b><br /><br />';
                        $body .= $web[525];
                        $body .= '<a href="'.$site[3].($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-1-ok-'.$upseudo.'-'.md5($uuid).'-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&suite=ok&upseudo='.$upseudo.'&uuid='.md5($uuid).'&amp;tconfig='.$this->tconfig.$z2).'">'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'</a><br />';
                        $body .= $web[235].'<br />'.$user[0].'<br />';
                        $body .= '</p></div>';
                        eMailHtmlTo($sujet, $body, $to);
                        $response = '<br /><p style="text-align:center;"><strong>'.$web[513].'</strong></p>';
                    }
                    elseif ($members[19] == '2') { // confirmation webmaster
                        $sujet = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.ucfirst($web[321]);
                        $img   = explode('|', $page[4]);
                        $urli  = substr($img[0], 0, 1) == 'I' ? CHEMIN.'img/' : $meskin.'img/';
                        $logo  = $skn_logo != '' && empty($page[4]) ? $skn_logo : $urli.$img[1];
                        $body  = '<div style="margin:auto;padding:8px;width:600px;border: solid 1px #000000;border-radius:4px;">';
                        $body .= '<p style="text-align:center;"><img src="'.$site[3].$logo.'" style="max-width:580px;" /></p><hr />';
                        $body .= '<p style="text-align:left;font:12pt Arial;">';
                        $body .= sprintf($web[520], $upseudo, $uemail, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<hr />';
                        $body .= $web[521].' : ';
                        $body .= '<a href="'.$site[3].($site['URLR'] == 'on'
                            ? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo.'-'.$this->tconfig.$z2 
                            : $site['USR'].'.php?lng='.$lng.'&suite=go&upseudo='.$upseudo.'&amp;tconfig='.$this->tconfig.$z2).'">'
                            .$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-go-'.$upseudo: 'user.php?lng='.$lng.'&suite=go&upseudo='.$upseudo).'</a><br />';
                        $body .= $web[522].' : ';
                        $body .= '<a href="'.$site[3].($site['URLR'] == 'on' 
                            ? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo.'-'.$this->tconfig.$z2 
                            : $site['USR'].'.php?lng='.$lng.'&suite=no&upseudo='.$upseudo.'&amp;tconfig='.$this->tconfig.$z2).'">'
                            .$site[3].($site['URLR'] == 'on'? $lng.'-'.$urlrw[15].'-2-no-'.$upseudo: 'user.php?lng='.$lng.'&suite=no&upseudo='.$upseudo).'</a>';
                        eMailHtmlTo($sujet, $body);
                        $response = '<br /><p style="text-align:center;"><strong>'.$web[514].'</strong></p>';
                    }
                    $out .= $response;
                    return array('USR', $out);
                }
            }
            if (!empty($msg)) $out .= BeginJavascript().'alert("'.addslashes($msg).'");'.EndJavascript();
        }
        // suppression des préférences
        if ($unreg == 1) {
            $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
            if ($userprefs[1] == $dbmsg[1][2]) {
                $username = $userprefs[1];
                DeleteMemberProtect($username);
                DestroyMemberCol($username);
                DestroyMember($username);
                DestroyDBFile(CHEMIN.'admin/'.REDACREP.$username.INCEXT);
                DestroyDBFile(MSGREP.$username.DBEXT);
                DestroyDBFile(COUNTMSGREP.$username.DBEXT);
                DeleteAdmin($username);
                if ($supervision[11] == 'on') {
                    $sujet = $web[610];
                    $body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[611], $username, stripslashes($site[($lang[0] == $lng ? 0 : 11)])).'<br /><br />';
                    $body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
                    $to    = $user[1];
                    eMailHtmlTo($sujet, $body, $to);
                }
                $userprefs = array_fill(0, 31, '');
                if (isset($_COOKIE[USER_COOKIE])) @setcookie(USER_COOKIE, '', -1, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                if (isset($_COOKIE[PREF_COOKIE])) @setcookie(PREF_COOKIE, '', -1, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                if (isset($_COOKIE[CNCT_COOKIE])) @setcookie(CNCT_COOKIE, '', '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                if (isset($_COOKIE[COOKIE_COOKIE])) @setcookie(COOKIE_COOKIE, '', -1, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                $usermess = $web[163];
                $out .= '
<br />
<p class="textCenter"><b>'.$username.' '.$usermess.'...!</b></p>
<br />';
                $out .= BeginJavascript().'
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 3000);
'.EndJavascript();
            }
            return array('USR', $out);
        }
        // cas normal inscription ou modif
        if (empty($userprefs[7])) $userprefs[7] = GenerateUID();
        else $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
        $headinc .= BeginJavascript().'
function VerifyForm() {
	var sto = "";
	var erreur = false;
	var modif = "'.$this->modif.'";
	var uid   = document.userprefnow.uuid.value;
	var uid2  = document.userprefnow.uuid2.value;
	var uweb  = document.userprefnow.uwebsite.value;
	var uimg  = document.userprefnow.uimgsign.value;
	var uext  = document.userprefnow.uextavatar.value;
	regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
	if (!regexp.test(document.userprefnow.upseudo.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[266])).'\n";
		document.userprefnow.upseudo.className = "errorInputText";
		erreur = true;
	}
	if (modif == "1" && uid != "") {
        regexp = /^\S{5,40}$/;
		if (!regexp.test(uid)) {
			sto += "  - '.str_replace('"', '\"', stripslashes($web[302])).'\n";
			document.userprefnow.uuid.className = "errorInputText";
			erreur = true;
		}
	}
	if (uid != uid2) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[466])).'\n";
		document.userprefnow.uuid.className = "errorInputText";
		document.userprefnow.uuid2.className = "errorInputText";
		erreur = true;
	}
	regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
	if (!regexp.test(document.userprefnow.uemail.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[42])).'\n";
		document.userprefnow.uemail.className = "errorInputText";
		erreur = true;
	}';
        $headinc .= '
	regexp = /(http|https):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uweb != "http://" && uweb != "https://" && !regexp.test(uweb)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[51].$web[554])).'\n";
		document.userprefnow.uwebsite.className = "errorInputText";
		document.userprefnow.uwebsite.value = "http://";
        erreur = true;
    }
    if (uimg != "'.$preprot.'" && !regexp.test(uimg)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[623].$web[554])).'\n";
		document.userprefnow.uimgsign.className = "errorInputText";
		document.userprefnow.uimgsign.value = "'.$preprot.'";
        erreur = true;
    }';
        if ($page[23] != 'none') {
            $headinc .= '
	regexp = /(http|https|inc/img/avatars):\/\/(\w+:{0,1}\w*@)?(\S+)(:[0-9]+)?(\/|\/([\w#!:.?+=&%@!\-\/]))?/;
    if (uext != "'.$preprot.'" && !regexp.test(uext)) {
        sto += "  - '.str_replace('"', '\"', stripslashes($web[545].$web[627].$web[554])).'\n";
		document.userprefnow.uextavatar.className = "errorInputText";
		document.userprefnow.uextavatar.value = "'.$preprot.'";
        erreur = true;
    }';
        }
        if ($serviz[100] != '0' && ($serviz[98] == '' || $userprefs[1] == '') && $crypt) {
            $headinc .= '
    regexp = /^[a-zA-Z0-9_]{2,20}$/;
	if (!regexp.test(document.userprefnow.crypt.value)) {
		sto += "  - '.str_replace('"', '\"', stripslashes($web[529])).'\n";
		document.userprefnow.crypt.className = "errorInputText";
		erreur = true;
	}';
        }
        $headinc .= '
	if (erreur) {
        sto = "'.str_replace('"', '\"', stripslashes($web[265])).'\n\n" + sto;
		alert(sto);
		return false;
	}
}
'.EndJavascript();
        if (!empty($erreur)) $out .= displayErrorMsg($web[638], $erreur);
        $out .= '
<div class="textCenter width100 marginAuto">
  <div class="textLeft divheaduser">
	<p class="textCenter">'.$web[156].'</p>
	<p class="textCenter">'.$web[157].'</p>
	<hr />';
        if (!empty($usermess)) {
            $out .= '
	<p class="textCenter"><b>'.$usermess.'</b></p>
	<br />';
        }
        if ($userprefs[1] != '') $value_pseudo = 'value="'.$userprefs[1].'" readonly="readonly"';
        else $value_pseudo = 'value="'.$upseudo.'"';
        $out .= '
<style>
.testuid .input-group-text, .confirmuid .input-group-text { margin-top: 0.4rem; height: 3.1rem; }
.testuid .input-group-text i, .confirmuid .input-group-text i { font-size: 1.4rem; }
.testuid .popuserpwd { padding-right: 14px; }
.userselect { background-color: inherit; }
</style>
<script>
    $("#testuid").on("keyup", function(e) {
      var strongRegex = new RegExp("^(?=.{8,})(?=.*[A-Z])(?=.*[a-z])(?=.*[0-9])(?=.*\\\\W).*$", "ig");
      var mediumRegex = new RegExp("^(?=.{8,})(((?=.*[A-Z])(?=.*[a-z]))|((?=.*[A-Z])(?=.*[0-9]))|((?=.*[a-z])(?=.*[0-9]))).*$", "g");
      var okRegex = new RegExp("(?=.{8,}).*", "g");
      if (okRegex.test($(this).val()) === false) {
        $("#testuid-strength").removeClass().addClass("alert alert-error").html("'.$help[21].'");
      } else if (strongRegex.test($(this).val())) {
        $("#testuid-strength").removeClass().addClass("alert alert-success").html("'.$help[22].'");
      } else if (mediumRegex.test($(this).val())) {
        $("#testuid-strength").removeClass().addClass("alert alert-info").html("'.$help[23].'");
      } else {
        $("#testuid-strength").removeClass().addClass("alert alert-error").html("'.$help[24].'");
      }
      return true;
    });
  });
</script>
	<form name="userprefnow" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post" onsubmit="return VerifyForm(); return false;">
	  <input type="hidden" name="setusercookie" value="1" />';
        if ($this->modif == '1') {
            $out .= '
	  <input type="hidden" name="modif" value="1" />
	  <input type="hidden" name="uuser" value="old" />';
        } 
        else
            $out .= '
	  <input type="hidden" name="uuser" value="'.$this->uuser.'" />';
        $out .= '
	  <br />
	  <fieldset class="width'.(TYP_SCREEN == 'WEB' ? '90' : '100').' marginAuto"><legend>'.$web[377].'</legend>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">
            &bull; '.$web[49].'<span class="displayNone"><input type="text" name="code_pseudo" value="" /></span>
          </div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' valignMiddle divuseritem">
            <input type="text"  class="'.($err_pseudo ? 'errorInputText' : 'texte').' form-control" name="upseudo" size="32" '.$value_pseudo.' />
          </div>
        </div>
        <div class="width100">
		  <div class="" id="testuid-strength"></div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuserpwd">&bull; '.$web[300].' :</div>
          <div class="displayInlineBlock '.(TYP_SCREEN == 'WEB' ? 'width50' : 'width100').' marginAuto">
            <div class="displayInlineBlock testuid input-group mb-3 '.(TYP_SCREEN == 'WEB' ? 'width70' : 'width100').'">
              <input 
                id="testuid" 
                type="password" 
                class="'.($err_uid ? 'errorInputText' : 'texte').' form-control width'.(TYP_SCREEN == 'WEB' ? '90' : '75').' f-left" 
                name="uuid" 
                value="'.($this->modif == '1' ? '' : ($userprefs[1] != '' ? $userprefs[7] : $uuid)).'" 
              />
              <div id="testuid-eye" class="input-group-append clsCursor">
                <span class="input-group-text"><i id="testuid-i" class="far fa-eye"></i></span>
              </div>
<script>
  document.getElementById("testuid-eye").addEventListener("click", function(e){
    var pwd = document.getElementById("testuid");
    var eye = document.getElementById("testuid-i");
    if(pwd.getAttribute("type") == "password") {
      pwd.setAttribute("type", "text");
      eye.setAttribute("class", "far fa-eye-slash");
    } else {
      pwd.setAttribute("type", "password");
      eye.setAttribute("class", "far fa-eye");
    }
  });
</script>
            </div>
            <div class="displayInlineBlock width25">
              '.($this->modif == '1' ? '
              <script>
                $(document).ready(function(){
                  $(\'.popuserpwd\').popover({
                    title:"",
                    content:"'.$help[3].'",
                    trigger:"hover",
                    placement:"auto",
                    html:true
                  });
                });
              </script>
              <span class="overpop f-left">&nbsp;
                <a class="popuserpwd" title="'.$web[300].'">
                  <i class="far fa-comment-dots"></i>
                </a>
              </span>
              ' : '').'
            </div>
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuserpwd">&bull; '.$web[467].' :</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <div class="confirmuid input-group mb-3 '.(TYP_SCREEN == 'WEB' ? 'width70' : 'width85').'">
              <input 
                id="confirmuid" 
                type="password" 
                class="'.($err_uid ? 'errorInputText' : 'texte').' form-control inputuid f-left" 
                name="uuid2" 
                value="'.($this->modif == '1' ? '' : ($userprefs[1] != '' ? $userprefs[7] : $uuid2)).'" 
              />
              <div id="confirmuid-eye" class="input-group-append clsCursor">
                <span class="input-group-text"><i id="confirmuid-i" class="far fa-eye"></i></span>
              </div>
<script>
  document.getElementById("confirmuid-eye").addEventListener("click", function(e){
    var pwd = document.getElementById("confirmuid");
    var eye = document.getElementById("confirmuid-i");
    if(pwd.getAttribute("type") == "password") {
      pwd.setAttribute("type", "text");
      eye.setAttribute("class", "far fa-eye-slash");
    } else {
      pwd.setAttribute("type", "password");
      eye.setAttribute("class", "far fa-eye");
    }
  });
</script>
            </div>
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[50].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <input type="text" class="'.($err_uemail ? 'errorInputText' : 'texte').' form-control" name="uemail" size="32" value="'.(empty($userprefs[2]) ? $uemail : $userprefs[2]).'" />
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[51].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <input type="text" class="'.($err_uweb ? 'errorInputText' : 'texte').' form-control" name="uwebsite" size="32" value="'.(empty($userprefs[9]) ? $preprot : $userprefs[9]).'" />
          </div>
        </div>
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignTop divuseritem">&bull; '.$web[219].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').' divuseritem">
            <textarea name="usign" class="form-control">'.(empty($userprefs[6]) ? $usign : stripslashes($userprefs[6])).'</textarea>
          </div>
	    </div>';
        if ($userprefs[22] != 'on') {
            $out .= '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '45' : '100').' valignMiddle divuseritem">&bull; '.$web[623].'</div>';
            $frsigns = ReadFrSigns();
            $imgsign = $preprot;
            foreach ($frsigns as $code => $frsign) {
                if ('fr_'.$userprefs[1] == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
                    $imgsign = $frsign['image'];
                    break;
                }
            }
            $out .= '
          <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '50' : '100').'">
            <div class="displayInlineBlock '.(TYP_SCREEN == 'WEB' ? 'width90' : 'width100').' divuseritem">
              <input type="text" class="'.($err_uimg ? 'errorInputText' : 'texte').' form-control" name="uimgsign" size="52" value="'.$imgsign.'" />
            </div>
            <div class="displayInlineBlock">
              <script>
                $(document).ready(function(){
                  $(\'.popusersign\').popover({
                    title:"",
                    content:"'.$help[6].'",
                    trigger:"hover",
                    placement:"auto",
                    html:true
                  });
                });
              </script>
              <span class="overpop f-left">
                <a class="popusersign f-left" title="'.$web[623].'">&nbsp;
                  <i class="far fa-comment-dots"></i>
                </a>
              </span>
            </div>
		  </div>
        </div>
          ';
        } 
        $out .= '
        <div class="width100">
          <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '55' : '100').' valignTop divuseritem">&bull; '.$web[213].' :</div>
          <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem form-check">
            <input type="checkbox" class="form-check-input" name="ushow"'.Checked($userprefs[5] == 'on').' />
          </div>
        </div>
          ';
        $out .= '
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '55' : '100').' valignTop divuseritem">&bull; '.$web[654].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem form-check">
              <input type="checkbox" class="form-check-input" name="umailct"'.Checked($userprefs[23] == 'on').' />
            </div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '55' : '100').' valignTop divuseritem">&bull; '.$web[655].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem form-check">
              <input type="checkbox" class="form-check-input" name="umpct"'.Checked($userprefs[24] == 'on').' />
            </div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '55' : '100').' valignTop divuseritem">&bull; '.$web[656].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem form-check">
              <input type="checkbox" class="form-check-input" name="usendmail"'.Checked($userprefs[25] == 'on').' />
            </div>
        </div>
        <div class="width100">
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '55' : '100').' valignTop divuseritem">&bull; '.$web[657].'</div>
			<div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '35' : '100').' valignTop divuseritem form-check">
              <input type="checkbox" class="form-check-input" name="usendct"'.Checked($userprefs[26] == 'on').' />
            </div>
	    </div>
		<br />
	  </fieldset>
	  <br />
	  <fieldset class="width90 marginAuto"><legend>'.$web[378].'</legend>';
        if ($lang[1] != '') $out .= '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[155].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select class="userselect custom-select-sm form-control-lg" name="ulang">
			  <option value="'.$lang[0].'"'.Selected($userprefs[0] == $lang[0]).'>'.$lang[0].'</option>
			  <option value="'.$lang[1].'"'.Selected($userprefs[0] == $lang[1]).'>'.$lang[1].'</option>
			</select>
		  </div>
	    </div>
          ';
        else $out .= '
		  <input type="hidden" name="ulang" value="'.$lang[0].'" />';
        if ($serviz[146] != 'on') {
            $uskintheme = ExploreDir('skins/');
            $out .= '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[307].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select class="userselect custom-select-sm form-control-lg" name="udesign">
			  <option value="">'.$web[315].'</option>';
            for ($i = 0; $i < count($uskintheme); $i++) {
                $out .= '
			  <option value="'.$uskintheme[$i].'"'.Selected($userprefs[10] == $uskintheme[$i]).'>'.$uskintheme[$i].'</option>';
            }
            $out .= '
			</select>
		  </div>
		</div>';
        }
        else $out .= '
		  <input type="hidden" name="udesign" value="" />';
        if ($userprefs[28] != 'on' && $serviz[174] != 'on') $out .= '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">&bull; '.$web[164].'</div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
			<select class="userselect custom-select-sm form-control-lg" name="uboxes">
			  <option value="'.BOX_LEFT.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_LEFT.BOX_RIGHT).'>'.$web[165].'</option>
			  <option value="'.BOX_LEFT.'"'.Selected($userprefs[3] == BOX_LEFT).'>'.$web[166].'</option>
			  <option value="'.BOX_RIGHT.'"'.Selected($userprefs[3] == BOX_RIGHT).'>'.$web[232].'</option>
			</select>
		  </div>
		</div>';
        else $out .= '
		  <input type="hidden" name="uboxes" value="'.BOX_LEFT.BOX_RIGHT.'" />';
        $out .= '
        <div class="width100">
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'" style="padding-top: 12px;">
            &bull; '.$web[475].'
          </div>
		  <div class="displayInlineBlock width'.(TYP_SCREEN == 'WEB' ? '48' : '100').'">
            <input type="checkbox" class="form-check-input" style="margin: -12px 0 0;" name="uredir"'.Checked($userprefs[29]).' />
          </div>
		</div>
        <div class="widthAuto">';
        if ($page[23] != 'none') {
            $imgavatars = array();
            $dossier    = opendir(CHEMIN.'inc/img/avatars/'.$page[23].'/');
            while ($fichier = readdir($dossier)) {
                if (is_file(CHEMIN.'inc/img/avatars/'.$page[23].'/'.$fichier)) {
                    $path_parts = basename($fichier);
                    $path_parts = substr($path_parts,strrpos($path_parts,'.')+1);
                    if (Isimage($path_parts)) $imgavatars[] = $fichier;
                }
            }
            closedir($dossier);
            @sort($imgavatars);
            $out .= '
              <fieldset class="width75 marginAuto usermainava"><legend>'.$web[303].'</legend>
                <div class="divuserava">
                  <div class="tbl tbldiv marginAuto tbluserava'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
                    <div class="trtbldiv">
            ';
            $nbrimgavatar = 0; $j = count($imgavatars);
            for ($i = 0; $i < count($imgavatars); $i++) {
                $styleimg = ' class="imgavaitem'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'"';
                $out .= '
			          <div class="tdtbldiv textCenter divavaitem"><label>
			            <img src="'.CHEMIN.'inc/img/avatars/'.$page[23].'/'.$imgavatars[$i].'" alt="'.$imgavatars[$i].'" title="'.$imgavatars[$i].'"'.$styleimg.' />
			            <br />
			            <input type="radio" value="'.$imgavatars[$i].'" name="avatar"'.Checked($userprefs[8] == $imgavatars[$i]).' /></label>
			          </div>';
                $nbrimgavatar++; $j--;
                if ($nbrimgavatar == 5 && $j != 0) {
                    $nbrimgavatar = 0;
                    $out .= '
                    </div>
		            <div class="trtbldiv">
            ';
                }
            }
            $vid = 5 - count($imgavatars)%5 ;
            if ($vid != 5) {
                for ($i = 0; $i < $vid; $i++)
                    $out .= '
			          <div class="tdtbldiv textCenter divavaitem">&nbsp;</div>';
            }
            $out .= '
		            </div>
		          </div>
		        </div>';
            $out .= '
              </fieldset>';
            if ($userprefs[21] != 'on') {
                $out .= '
                <div class="textCenter divuseravaext'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').'">
                  <label>
                    <input type="radio" value="unknow.png" name="avatar"'.Checked($userprefs[8] == 'unknow.png' || (!empty($userprefs[15]) && $userprefs[15] != $preprot)).' />
                    &nbsp;'.$web[627].' :
                  </label>
                  <script>
                    $(document).ready(function(){
                      $(\'.popavaext\').popover({
                        title:"",
                        content:"'.$help[8].'",
                        trigger:"hover",
                        placement:"auto",
                        html:true
                      });
                    });
                  </script>
                  <span class="overpop">&nbsp;
                    <a class="popavaext" title="'.$web[627].'">
                      <i class="far fa-comment-dots"></i>
                    </a>
                  </span>
                  <div class="width100">
                    <input 
                      type="text" 
                      class="'.($err_uext ? 'errorInputText' : 'texte').' userextava'.(TYP_SCREEN == 'WEB' ? 'W' : 'M').' form-control" 
                      name="uextavatar" 
                      value="'.(empty($userprefs[15]) ? $preprot : $userprefs[15]).'" 
                    />
                  </div>
                </div>
                <div style="clear:both;"></div>';
                if ($userprefs[8] == 'unknow.png' && !empty($userprefs[15]))
                    $out .= '
                <div class="textCenter width100 marginAuto">
                  <img src="'.$userprefs[15].'" alt="" title="'.$userprefs[1].'" style="max-width:60px; max-height:60px;" />
                </div>';
            }
        }
        $out .= '
		</div>
	  </fieldset>';
        if (!empty($serviz[177]) && !OK_RGPD_date($userprefs[1])) $out .= '
	  <br />
	  <fieldset class="width90 marginAuto"><legend>'.$web[14].'</legend>
        <p><strong>'.$web[646].'</strong></p>
        <p>'.$web[684].'</p>
        <div>'.$web[415].$fix.' : <input type="checkbox" name="rgpd"'.Checked($rgpd).' /></div>
      </fieldset>
	  <br />';
        if ($serviz[100] != '0' && $serviz[88] == 'on' && ($userprefs[1] == '' || $serviz[98] == '')) {
            $lbl = $serviz[100] == '3' ? $web[642] : '';
            $out .= '
              <div class="textCenter">'.dsp_crypt(0, 1, 3, 2, $lbl, $serviz[115] == 'on' ? $web[643] : '').'<div>';
            if ($serviz[100] == '1') $out .= '<br />';
            $out .= '
              <div class="textCenter">'.($serviz[100] == '3' ? '' : $web[530]).'
                <input class="'.($err_crypt ? 'errorInputText' : 'texte').' inputcrypt" type="text" name="crypt" onpaste="return false;");" />
              </div>';
        }
        $out .= '
	  <p class="textCenter">'.SubmitButton($web[154]).'</p>
	</form>
  </div>
</div>';
        if ($userprefs[1] != '') { // suppression des préférences
            $out .= '
<hr />
<div class="textCenter">
  <form name="userbye" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
	<input type="hidden" name="unreg" value="1" />
'.SubmitButton($web[162]).'
  </form>
</div>';
        }
        return array('USR', $out);
    }
    
    public function CMPT_ok($pseudo, $lng) {
        global $site, $urlrw, $serviz, $web, $z2, $members;
        $out = '';
        if ($serviz[28] != 'on') {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out = '
    <div class="textCenter web342">'.$web[143].'
      <p class="textCenter">
        '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
      </p>
    </div>';
            $this->topmess = $web[317];
            return array('CMPT', $out);
        }
        elseif (empty($pseudo)) {
            $href2 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&tconfig='.$this->tconfig.$z2);
            $out .= '
        <div class="textCenter web342">'.$web[342];
            if ($members[19] != '0' && $members[19] != '3') {
                $out .= '
          <p class="textCenter">
            '.SubmitButton($web[160], 'self.location.href=\''.$href2.'\'').'
          </p>';
            }
            $out .= '
        </div>';
            $this->topmess = $web[317];
            return array('CMPT', $out);
        }
        return array('');
    }
    
    public function CMPT_content() {        
        global $lang, $lng, $web, $help, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, 
               $page, $members, $templates, $xposbox;
        $usermess = import('usermess');
        $action   = import('action', 'POST');
        if ($action == 1) {
            $list = ReadDBFields(NEWSLET_LIST);
            for ($i = 0; $i < count($list); $i++) {
                if ($list[$i][0] == $userprefs[1]) {
                    $list[$i][1] = $userprefs[2];
                    break;
                }
            }
            WriteDBFields(NEWSLET_LIST, $list);
        }
        $out = '
<br />';
        if (!empty($usermess)) $out .= '
<p class="textCenter"><b>'.$usermess.'</b></p>
<br />';
        $out .= '
<div class="bord tbldiv textCenter width98 marginAuto">
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[49].'</div>
    <div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[1].'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[50].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[2].'</b>';
        $list = ReadDBFields(NEWSLET_LIST);
        for ($i = 0; $i < count($list); $i++) {
            if ($list[$i][0] == $userprefs[1] && $list[$i][1] != $userprefs[2]) {
                $out .= '
      <script>
        $(document).ready(function(){
          $(\'.popsyncmail\').popover({
            title:"'.$web[50].'",
            content:"'.$help[9].'",
            trigger:"hover",
            placement:"auto",
            html:true
          });
        });
      </script>
      <span class="overpop f-right">&nbsp;
        <a class="popsyncmail">&nbsp;
          <i class="far fa-comment-dots"></i>
        </a>
      </span>
	  <div class="f-right cmptsyncmail">
		<form name="syncmail" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$this->tconfig.$z2 : 'compte.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
		  <input type="hidden" name="action" value="1" />
		  '.SubmitButton($web[631]).'
	    </form>
      </div>
      <div class="c-both"></div>';
                break;
            }
        }
        $out .= '
    </div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[51].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[9] == '' ? $web[316] : $userprefs[9]).'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[219].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[6] != '' ? stripslashes($userprefs[6]) : $web[309]).'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[155].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$userprefs[0].'</b></div>
  </div>';
        if ($userprefs[27] != 'on') $out .= '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[310].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.($userprefs[10] != '' ? $userprefs[10] : $web[315]).'</b></div>
  </div>';
        if ($userprefs[28] != 'on' && $serviz[174] != 'on') {
            $textpos = '';
            if ($userprefs[3] == BOX_LEFT) $textpos = $web[166];
            if ($userprefs[3] == BOX_RIGHT) $textpos = $web[232];
            if ($userprefs[3] == BOX_LEFT.BOX_RIGHT) $textpos = $web[165];
            foreach ($templates as $keyconf=>$valueconf) {
                if (array_reduce($xposbox[$keyconf][BOX_LEFT],  'EstNonVide', TRUE))
                    $textpos .= ' ('.BOX_RIGHT.' '.$valueconf.')';
                if (array_reduce($xposbox[$keyconf][BOX_RIGHT], 'EstNonVide', TRUE) )
                    $textpos .= ' ('.BOX_LEFT.' '.$valueconf.')';
            }
            $out .= '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 cmptlbl">'.$web[164].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$textpos.'</b></div>
  </div>';
        }
        if ($page[23] != 'none') {
                $out .= '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv width45 valignMiddle cmptlbl">'.$web[311].'</div>
    <div class="rep tdtbldiv valignMiddle cmptlbl">';
            if (!empty($userprefs[15]) || $userprefs[8] != 'unknow.png') {
                $src  = $userprefs[8] == 'unknow.png' && !empty($userprefs[15]) ? $userprefs[15] : CHEMIN.'inc/img/avatars/'.$page[23].'/'.$userprefs[8];
                $out .= '
      <img src="'.$src.'" alt="'.$userprefs[1].'" title="'.$userprefs[1].'" />';
            }
            elseif ($userprefs[8] == 'unknow.png') {
                $out .= '
	  <img src="'.CHEMIN.'inc/img/avatars/unknow.png" alt="'.$web[305].'" title="'.$web[305].'" />';
            }
            $out .= '
	</div>
  </div>';
        }
        $frsigns = ReadFrSigns();
        $imgsign = '';
        foreach ($frsigns as $code => $frsign) {
            if ('fr_'.$userprefs[1] == $code && 'a' == $frsign['status'] && 'e' ==  $frsign['origine']) {
                $imgsign = $frsign['image'];
                break;
            }
        }
        if ($imgsign != '') $out .= '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[623].' :</div>
	<div class="rep tdtbldiv cmptlbl"><img src="'.$imgsign.'" alt="" title="'.$imgsign.'" /></div>
  </div>';
        $out .= '
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[312].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[5] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[654].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[23] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[655].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[24] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[656].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[25] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[657].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[26] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
	<div class="forum2 tdtbldiv cmptlbl">'.$web[475].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.$web[$userprefs[29] != '' ? 313 : 314].'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[625].'</div>
	<div class="rep tdtbldiv cmptlbl"><b>'.(isset($userprefs[13]) ? FormatDate($userprefs[13]) : '???').'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[626].'</div>
    <div class="rep tdtbldiv cmptlbl"><b>'.(isset($userprefs[14]) ? FormatDate($userprefs[14]) : '???').'</b></div>
  </div>
  <div class="trtbldiv">
    <div class="forum2 tdtbldiv cmptlbl">'.$web[694].'</div>
    <div class="rep tdtbldiv cmptlbl"><b>'.(isset($userprefs[27]) ? FormatDate($userprefs[27]) : '???').'</b></div>
  </div>
</div>
<div class="textCenter">
  <form name="userpref2" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-6-1-old-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;modif=1&amp;uuser=old&amp;tconfig='.$this->tconfig.$z2).'" method="post">
    '.SubmitButton($web[308]).'
  </form>
  <hr />
  <form name="userbye" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-7-1-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&amp;unreg=1&amp;tconfig='.$this->tconfig.$z2).'" method="post">
    '.SubmitButton($web[162]).'
  </form>
</div>';
        $this->topmess = $web[317].' - '.$userprefs[1];
        return array('CMPT', $out);
    }
    
    public function CNCT_ok($pseudo, $lng) {
        global $site, $urlrw, $serviz, $web;
        if (is_file(MSGREP.'.dtb')) @unlink(MSGREP.'.dtb');
        $out = '';
        if ($serviz[28] != 'on') {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out = '
    <div class="textCenter web342">'.$web[143].'
      <p class="textCenter">
        '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
      </p>
    </div>';
            $this->topmess = $web[630];
            return array('CNCT', $out);
        }
        return array('');
    }
    
    public function CNCT_content() {
        global $lang, $lng, $web, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, $members, 
               $drtuser, $supervision, $_DOMAIN, $_SECURE, $_HTTPONLY, $page, $charset, $cryptos;
        $connect    = import('connect');
        $pseudo     = import('pseudo');
        $pseudo     = 1 == preg_match('/^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/', $pseudo) ? $pseudo : '';
        $uid        = import('uid');
        $uuser      = import('uuser');
        $err_pseudo = empty($pseudo) && $connect == 'on' && $uuser == 'old' ? true: false;
        $err_uid    = (empty($uid) || !ctrlPasswordOK($uid)) && $connect == 'on' && $uuser == 'old' ? true: false;
        $err_crypt  = $serviz[100] != '0' && ($userprefs[1] == '' || $serviz[98] == '') && !$cryptok && $connect == 'on' && $uuser == 'old' ? true: false;
        $erreur     = '';
        $erreur    .= $err_pseudo ? '<li>'.$web[266].'</li>': '';
        $erreur    .= $err_uid ? '<li>'.$web[302].'</li>': '';
        $erreur    .= $err_crypt ? '<li>'.$web[529].'</li>': '';
        $out        = '';
        $this->topmess = $web[630];
        switch ($connect) {
        case 'on':
            if ($connect == 'on' && $uuser == 'new') {
                $userdest = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-5-new-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&uuser=new&tconfig='.$this->tconfig.$z2;
                $out = BeginJavascript().'
setTimeout(\'window.location="'.CHEMIN.$userdest.'"\', 300);'
.EndJavascript();
                return array('CNCT', $out, $web[630]);
            }
            if ($members[19] == '0' && !FileDBExist(MSGREP.$pseudo.DBEXT)) {
                $out = BeginJavascript().'
alert("'.addslashes($web[512]).'");
history.back();
'.EndJavascript();
                return array('CNCT', $out);
            }
            if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
                $dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
                $dt  = GetCurrentDateTime() - $dbw[0][2];
                if ($dt > 60) {
                    unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
                } 
                else {
                    $ntc = $site['NTC'];
                    $nt  = $dbw[0][0];
                    if ($nt == $ntc) {
                        $location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-16-'.$this->tconfig.$z2 : 'lostpass.php?lng='.$lng.'&tconfig='.$this->tconfig.$z2);
                        $out = BeginJavascript().'
alert("'.sprintf($web[614].$web[615], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
                        $out .= '<br /><p class="textCenter"><strong>'.sprintf($web[614], $pseudo, $site['NTC']).'</strong>';
                        return array('CNCT', $out);
                    }
                }
            }
            if (is_file(TEMPREP.$pseudo.DBEXT)) {
                switch($members[19]) {
                case 1 :
                    $out = '
<br />
<p class="textCenter"><strong>'.$web[513].'</strong></p>';
                    break;
                case 2 :
                    $out = '
<br />
<p class="textCenter"><strong>'.$web[514].'</strong></p>';
                    break;
                }
                return array('CNCT', $out);
            }
            else {
                if (!empty($pseudo) && FileDBExist(MSGREP.$pseudo.DBEXT) && $uuser != 'new') {
                    $userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
                    if (isset($userdb[1][31]) && 'ok' != $userdb[1][31] && $pseudo != '') {
                        $out = BeginJavascript().'
alert("'.addslashes($web[679]).'");
history.back();
'.EndJavascript();
                        $out .= '<p class="textCenter"><br />'.$web[679].'</p>';
                        return array('CNCT', $out);
                    } 
                    elseif (isset($userdb[1][13]) && 'off' == $userdb[1][13] && $pseudo != '') {
                        $out = BeginJavascript().'
alert("'.addslashes($web[620]).'");
history.back();
'.EndJavascript();
                        $out .= '<p class="textCenter"><br />'.$web[620].'</p>';
                        return array('CNCT', $out);
                    } 
                    elseif (empty($userdb[1][3])) {
                        $location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser.'-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser.'&tconfig='.$this->tconfig.$z2);
                        $out = BeginJavascript().'
alert("'.addslashes($pseudo.stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
                        $out .= '<p class="textCenter"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong></p>';
                        return array('CNCT', $out);
                    }
                    elseif (isset($userdb[1][8]) && md5($uid) == $userdb[1][8] && $pseudo != '') {
                        $userprefs[0]  = $userdb[1][1];
                        $userprefs[1]  = $userdb[1][2];
                        $userprefs[2]  = $userdb[1][3];
                        $userprefs[3]  = $userdb[1][4];
                        $userprefs[4]  = $userdb[1][5];
                        $userprefs[5]  = $userdb[1][6];
                        $userprefs[6]  = $userdb[1][7];
                        $userprefs[7]  = $userdb[1][8];
                        $userprefs[8]  = $userdb[1][9];
                        $userprefs[9]  = $userdb[1][10];
                        $userprefs[10] = $serviz[146] == 'on' ? '' : $userdb[1][11];
                        $userprefs[11] = $userdb[1][12];
                        $userprefs[12] = $userdb[1][13];
                        $userprefs[13] = $userdb[1][14];
                        $userprefs[14] = GetCurrentDateTime();
                        $userprefs[15] = $userdb[1][16];
                        $userprefs[16] = $userdb[1][17];
                        $userprefs[17] = $userdb[1][18];
                        $userprefs[18] = $userdb[1][19];
                        $userprefs[19] = $userdb[1][20];
                        $userprefs[20] = $userdb[1][21];
                        $userprefs[21] = $userdb[1][22];
                        $userprefs[22] = $userdb[1][23];
                        $userprefs[23] = $userdb[1][24];
                        $userprefs[24] = $userdb[1][25];
                        $userprefs[25] = $userdb[1][26];
                        $userprefs[26] = $userdb[1][27];
                        $userprefs[27] = $userdb[1][28];
                        $userprefs[28] = $userdb[1][29];
                        $userprefs[29] = $userdb[1][30];
                        $userprefs[30] = $userdb[1][31];
                        $userdata      = '';
                        for ($i = 0; $i < count($userprefs); $i++) {
                            $stri      = sprintf("%02d", $i);
                            $strlen    = empty($userprefs[$i]) ? '03' : sprintf("%02d", strlen($userprefs[$i]));
                            $userdata .= $stri.$strlen.(empty($userprefs[$i]) ? 'off' : $userprefs[$i]);
                        }
                        $usertime = !empty($members[21]) ? intval($members[21]) : 157680000;
                        $expires  = (is_file(CHEMIN.'admin/'.REDACREP.$userprefs[1].INCEXT) || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176]) ? 157680000 : $usertime;
                        setcookie(USER_COOKIE, gy_crypt(CRYPT_KEY, $userdata), time() + $expires, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                        $userconnect = gy_crypt(CRYPT_KEY, time().CONNECTOR.$userprefs[1].CONNECTOR.date('Ymdhi'));
                        setcookie(CNCT_COOKIE, $userconnect, time() + $expires, '/', $_DOMAIN, $_SECURE, $_HTTPONLY);
                        DejaVote(DBIPSTATS);
                        $userdb[0][0]  = $userprefs[7];
                        $userdb[1][15] = $userprefs[14];
                        WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
                        if (!defined('NO_CRYPT') && $serviz[100] > 0) include CRYPTREP.$cryptos[$serviz[100]].'.php';
                        if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
                        $out .= '
<br />
<p class="textCenter"><b>'.sprintf($web[167], stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'...!', $userprefs[1]).'</b></p>';
                        $location = CHEMIN.($userprefs[29] == 'on' ? ($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng) : ($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-14-'.$this->tconfig.$z2 : 'compte.php?lng='.$lng.'&tconfig='.$this->tconfig.$z2));
                        $out .= '
<br />'.BeginJavascript().'
window.setTimeout(\'window.location="'.$location.'"\', 2000);'.EndJavascript();
                        return array('CNCT', $out);
                    }
                    elseif (md5($uid) == $userdb[0][0] && $pseudo != '' && $uuser == 'old') {
                        $location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-3-'.$pseudo.'-'.$uuser.'-'.$this->tconfig.$z2 : $site['USR'].'.php?lng='.$lng.'&upseudo='.$pseudo.'&uuser='.$uuser.'&tconfig='.$this->tconfig.$z2);
                        $out .= BeginJavascript().'
alert("'.$pseudo.addslashes(stripslashes($web[374])).'");
window.location="'.$location.'"'.EndJavascript();
                        $out .= '<p class="textCenter"><br /><strong>'.$pseudo.stripslashes($web[374]).'</strong>';
                        return array('CNCT', $out);
                    }
                    elseif ($pseudo != '') {
                        if ($supervision[12] == 'on') {
                            $uuid  = strlen($uid) > 3 ? substr($uid, 0, strlen($uid) - 3).'***' : '***';
                            $sujet = $web[606];
                            $body  = $web[253].' '.$user[0].'<br /><br />'.sprintf($web[607], $pseudo, $uuid).'<br /><br />';
                            $body .= $web[455].getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']).'<br /><br />';
                            eMailHtmlTo($sujet, $body);
                        }
                        $ntc = $site['NTC'];
                        if ($ntc > 0) { // contrôle du nombre de tentatives
                            if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) {
                                $dbw = ReadDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT);
                                $nt  = $dbw[0][0];
                            }
                            else {
                                $dbw = array();
                                $nt  = 0;
                            }
                            $nt++;
                            $dbw[0][0] = $nt;
                            $dbw[0][1] = getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']);
                            $dbw[0][2] = GetCurrentDateTime();
                            WriteDBFields(TEMPREP.'cnt-'.$pseudo.DBEXT, $dbw);
                            if ($nt == $ntc - 1) {
                                $location = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
                                $out .= BeginJavascript().'
alert("'.sprintf($web[613], $pseudo, $ntc).'");
history.back();
'.EndJavascript();
                                $out .= '<p class="textCenter"><br />'.sprintf($web[613], $pseudo, $ntc).'</p>';
                                return array('CNCT', $out);
                            }
                            if ($nt == $ntc) {
                                $location = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-16-'.$this->tconfig.$z2 : 'lostpass.php?lng='.$lng.'&tconfig='.$this->tconfig.$z2);
                                $out .= BeginJavascript().'
alert("'.sprintf($web[614], $pseudo).'");
window.location="'.$location.'";
'.EndJavascript();
                                $out .= '<p class="textCenter"><br />'.sprintf($web[614], $pseudo).'</p>';
                                return array('CNCT', $out);
                            }
                        }
                        $location = ($site['URLR'] == 'on') ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
                        $out .= BeginJavascript().'
alert("'.addslashes($web[231]).'");
history.back();
'.EndJavascript();
                        $out .= '<p class="textCenter"><br />'.$web[231].'</p>';
                        return array('CNCT', $out);
                    }
                }
                else {
                    if ($members[19] == '3' || ($pseudo != '' && $uid != '')) {
                        $userdest = $site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng;
                        $out .= BeginJavascript().'
setTimeout(\'window.location="'.CHEMIN.$userdest.'"\', 300);'
.EndJavascript();
                    }
                }
            }
            return array('CNCT', $out);
            break;
        case 'off':
            $dbuser        = $userprefs[1];
            $userdb        = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
            $userdb[1][17] = GetCurrentDateTime();
            WriteDBFields(MSGREP.$userprefs[1].DBEXT, $userdb);
            $userprefs = array_fill(0, 31, '');
            ClearCookies();
            DejaVote(DBIPSTATS);
            $topmess = getLabel($nom[$lng == $lang[0] ? 34 : 35]);
            $topmess = mb_substr($topmess, 0, 1, $charset) == '§' ? mb_substr($topmess, 1, mb_strlen($topmess ,$charset) ,$charset) : $topmess;
            $out .= '
<br />
<p class="textCenter"><b>'.$web[376].$dbuser.'...!</b></p>
<br />';
            $location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
            $out .= BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 3000);'
.EndJavascript();
            return array('CNCT', $out);
            break;	
        case 'no' ;
            if (!empty($userprefs[1])) {
                $out .= '
<div class="textCenter marginAuto mainConnect">
  <fieldset>'.
    fbox_user().'
  </fieldset>
</div>';
                return array('CNCT', $out);
                break;
            }
            else {
                $location = CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng);
                $out .= BeginJavascript().'
setTimeout(\'window.location="'.$location.'"\', 3000);'
.EndJavascript();
                return array('CNCT', $out);
                break;
            }
        }
        $headinc .= BeginJavascript().'
function VerifyForm() {
    var sto = "";
    var messok = "";
    var erreur = false;
    var largeur = 300;
	var uid = document.userin.uid.value;

    regexp = /^[-a-zA-Z0-9_]{2,'.$serviz[148].'}$/;
    if (!regexp.test(document.userin.pseudo.value)) {
        sto += "  - '.addslashes($web[266]).'\n";
		document.userin.pseudo.className = "errorInputText";
        erreur = true;
    }
	/*regexp = /^(?=.*[a-z])(?=.*[A-Z])(?=.*[0-9])(?=.*\W).{8,40}$/;*/
    regexp = /^\S{5,40}$/;
	if (!regexp.test(uid)) {
		sto += \'  - '.addslashes($web[302]).'\n\';
		document.userin.uid.className = "errorInputText";
		erreur = true;
	}
	';
        $headinc .= '
    if (erreur == true) {
        sto = "'.addslashes($web[638]).'\n\n" + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();
        if (!empty($erreur))
            $out .= displayErrorMsg($web[638], $erreur);
        if ($members[19] != "0" && $members[19] != "3") {
            $out .= '
<div class="textCenter">
  <form name="usernew" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$this->tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
    <input type="hidden" name="connect" value="on"/>
    <input type="hidden" name="uuser" value="new"/>
    '.SubmitButton($web[160]).'
  </form>
</div>
<hr />';
        }
        $out .= '
<style>
#uid-eye, #pseudo-user { margin-top: 0.4rem; height: 3.1rem; }
#uid-eye i, #pseudo-user i { font-size: 1.4rem; }
</style>
';
        $out .= '
<form name="userin" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[3].'-0-'.$this->tconfig.$z2 : 'connect.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="post" onsubmit="return VerifyForm(); return false;">
  <input type="hidden"  name="connect" value="on" />
  <input type="hidden" name="uuser" value="old"/>
  <div class="marginAuto width'.(TYP_SCREEN == 'WEB' ? '35' : '98').'">
    <div class="textCenter">'.$web[49].'</div>
    <div class="input-group mb-3">
      <div id="pseudo-user" class="input-group-prepend">
        <span class="input-group-text"><i class="fas fa-user"></i></span>
      </div>
      <input class="'.($err_pseudo ? 'errorInputText' : 'texte').' form-control" type="text" name="pseudo" size="32" value="'.$pseudo.'" />
    </div>
    <div class="textCenter">'.$web[300].'</div>
    <div class="input-group mb-3">
      <input 
        id="uid" 
        type="password" 
        class="uid '.($err_uid ? 'errorInputText' : 'texte').' form-control f-left" 
        name="uid" 
        value="'.$uid.'" 
      />
      <div id="uid-eye" class="input-group-append clsCursor" title="'.$web[473].'">
        <span class="input-group-text"><i id="uid-i" class="far fa-eye"></i></span>
      </div>
<script>
  document.getElementById("uid-eye").addEventListener("click", function(e){
    var pwd = document.getElementById("uid");
    var eye = document.getElementById("uid-i");
    if(pwd.getAttribute("type") == "password") {
      pwd.setAttribute("type", "text");
      eye.setAttribute("class", "far fa-eye-slash");
    } else {
      pwd.setAttribute("type", "password");
      eye.setAttribute("class", "far fa-eye");
    }
  });
</script>
    </div>';
$out .= '
    <div class="textCenter">'.SubmitButton($web[52]).'</div>
  </div>
</form>
<div class="textCenter">
  <a href="'.CHEMIN.($site['URLR'] == 'on'
    ? $lng.'-'.$urlrw[3].'-16-'.$this->tconfig.$z2 
    : 'lostpass.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" class="lostconnect">'.sprintf($web[592], $reptheme).'
  </a>
</div>';
        return array('CNCT', $out);
    }
    
    public function LOST_content() {
        global $lang, $lng, $web, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, $members, 
               $drtuser, $supervision, $_DOMAIN, $_SECURE, $_HTTPONLY, $page, $charset;
        $action    = import('action');
        $pseudo    = import('pseudo');
        $email     = import('email');
        $ask       = import('ask');
        $err_email = (empty($email) || 1 != preg_match('/^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/', $email)) && $ask == 1;
        $erreur    = '';
        $erreur   .= $err_email ? '<li>'.$web[42].'</li>': '';
        if ($action != 'lost' && !empty($action)) {
            $out .= BeginJavascript().'
alert("'.addslashes($web[599]).'");
window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'";
'.EndJavascript();
            $this->topmess = $web[594];
            return array('LOST', $out);
        }
        if ($action == 'lost') {
            if (is_file(MSGREP.$pseudo.DBEXT)) {
                $userdb = ReadDBFields(MSGREP.$pseudo.DBEXT);
                if (isset($userdb[1][3]) && $userdb[1][3] != $email) {
                    $out .= BeginJavascript().'
alert("'.addslashes($web[599]).'");
window.setTimeout(\'window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'"\', 1000);
'.EndJavascript();
                    $this->topmess = $web[594];
                    return array('LOST', $out);
                }
            }
            $newpass   = GenerateUID();
            $cryptpass = crypt($newpass);
            $decrypt   = crypt($newpass);
            if (is_file(CHEMIN.'data/config/.htpasswd')) {
                $htpasswd = @file(CHEMIN.'data/config/.htpasswd');
                $protoht  = trim($htpasswd[0]);
                if (!empty($protoht)) {
                    $cryptpass = $protoht == '#:0-1-0' ? gy_crypt(CRYPT_KEY, $newpass) : crypt($newpass);
                    $decrypt   = $protoht == '#:0-1-0' ? $newpass : crypt($newpass);
                }
            }
            $userdb[0][0] = md5($newpass);
            $userdb[0][1] = $cryptpass;
            $userdb[1][8] = md5($newpass);
            WriteDBFields(MSGREP.$pseudo.DBEXT, $userdb);
            $numava = isset($userdb[2][8]) ? $userdb[2][8] : substr($page[23], 4);
            $padmin = trim($serviz[31]) == '' ? (trim($serviz[176]) == '' ? $user[0] : $serviz[176]) : $serviz[31];
            $msg = array(
                $padmin,
                GetCurrentDateTime(),
                $web[253].' '.sprintf($web[612], $pseudo),
                'new',
                '',
                '',
                '',
                $serviz[43],
                $numava);
            AppendDBFields(MSGREP.$pseudo.DBEXT, $msg);
            UpdateCollaboratorPass($pseudo, md5($newpass));
            UpdateProtectMember($pseudo, $decrypt);
            $sujet = $web[600];
            $body  = $web[601];
            $body .= $web[457].'<b>'.$pseudo.'</b><br /><br />';
            $body .= $web[602].'<b>'.$newpass.'</b><br /><br />';
            $body .= $web[603].'<br /><br /><a href="'.$site[3].'">'.$site[3].'</a>';
            eMailHtmlTo($sujet, $body, $email);
            if (is_file(TEMPREP.'cnt-'.$pseudo.DBEXT)) unlink(TEMPREP.'cnt-'.$pseudo.DBEXT);
            $email = import('email');
            $out .= '<div class="textCenter afterlost">'.$web[604].'<br />'.$email.'</div>';
            $this->topmess = $web[594];
            return array('LOST', $out);
        }
        if ($ask == 1 && empty($erreur)) {
            $continue = true;
            $bad      = array('.', '..', 'index.php');
            $files    = scandir(TEMPREP);
            $files    = array_diff($files, $bad);
            foreach ($files as $file) {
                if (is_file(TEMPREP.$file) && substr($file, -3) == 'dtb') {
                    $userdb = ReadDBFields(TEMPREP.$file);
                    if (isset($userdb[1][3])) {
                        if ($email == $userdb[1][3]) {
                            $out .= BeginJavascript().'
alert("'.addslashes($web[596]).'");
                            '.EndJavascript();
                            $continue = false;
                            $erreur  .= '<li>'.$web[596].'</li>';
                        }
                    }
                }
            }
            if ($continue) {
                $pseudo = '';
                $files  = scandir(MSGREP);
                $files  = array_diff($files, $bad);
                foreach ($files as $file) {
                    if (is_file(MSGREP.$file) && substr($file, -3) == 'dtb') {
                        $userdb = ReadDBFields(MSGREP.$file);
                        if (isset($userdb[1][3])) {
                            if ($email == $userdb[1][3]) {
                                $pseudo = $userdb[1][2];
                                break;
                            }
                        }
                    }
                }
            }
            if ($continue) {
                if ($pseudo == '') {
                    $out .= BeginJavascript().'
alert("'.addslashes($web[595]).'");
'.EndJavascript();
                    $continue = false;
                    $erreur  .= '<li>'.$web[595].'</li>';
                }
            }
            if ($continue) {
                $sujet = $web[597];
                $body  = $web[253].' '.$pseudo.',<br /><br />';
                $body .= sprintf($web[598], stripslashes($site[($lang[0] == $lng ? 0 : 11)]), getIPadress($_SERVER[$site[6] == 'on' ? 'HTTP_X_FORWARDED_FOR' : 'REMOTE_ADDR']));
                $body .= '<a href="'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&amp;email='.$email.'&amp;action=lost&amp;tconfig='.$this->tconfig.$z2.'">'.$site[3].'lostpass.php?lng='.$lng.'&amp;pseudo='.$pseudo.'&email='.$email.'&action=lost</a>';
                eMailHtmlTo($sujet, $body, $email);
                $email = import('email');
                $out .= '<div class="textCenter afterlost">'.$web[605].'<br />'.$email.'</div>';
                $this->topmess = $web[594];
                return array('LOST', $out);
            } 
            else {
                $out .= BeginJavascript().'
window.location="'.CHEMIN.($site['URLR'] == 'on'? $lng.'-'.$urlrw[0]: 'index.php?lng='.$lng).'";
'.EndJavascript();
                $this->topmess = $web[594];
                return array('LOST', $out);
            }
        }
        $headinc .= BeginJavascript().'
function VerifyForm() {
    var sto    = "";
    var erreur = false;
    regexp = /^[^\.\s]+(\.[^\.\s]+)*@[^\.\s]+(\.[^\.\s]+)+$/;
    if (!regexp.test(document.userlostpass.email.value)) {
		sto += \'  - '.addslashes($web[42]).'\n\';
		document.userlostpass.email.className = "errorInputText";
        erreur = true;
    }
    if (erreur == true) {
		sto = \''.addslashes($web[638]).'\n\n\' + sto;
        alert(sto);
        return false;
    }
}'.EndJavascript();
        if (empty($action) && empty($ask)) {
            if (!empty($erreur)) $out .= displayErrorMsg($web[638], $erreur);
            $out .= '
<p class="textCenter">'.sprintf($web[593], $reptheme).'</p>
<div class="textCenter marginAuto">
  <form 
    name="userlostpass" 
    action="'.($site['URLR'] == 'on'
      ? $lng.'-'.$urlrw[3].'-161-1-'.$this->tconfig.$z2 
      : 'lostpass.php?lng='.$lng.'&amp;ask=1&amp;tconfig='.$this->tconfig.$z2).'" 
    method="POST" 
    onsubmit="return VerifyForm(); return false;"
  >
	'.$web[13].' :&nbsp;&nbsp;
	<input class="'.(!empty($erreur) ? 'errorInputText' : 'texte').'" type="text" name="email" size="30" value=""><br />'
	.SubmitButton($web[52]).'
  </form>
</div><br />';
            $this->topmess = $web[594];
            return array('LOST', $out);
        }
    }
    
    public function MEMB_ok($pseudo, $lng) {
        global $serviz, $userprefs, $web;
        if ($serviz[28] != 'on' || $userprefs[19] == 'on' || $userprefs[20] == 'on' || !isAccessGranted($serviz[179], $pseudo)) {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out = '
    <div class="textCenter web342">'.$web[143].'
      <p class="textCenter">
        '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
      </p>
    </div>';
            $this->topmess = $web[673];
            return array('MEMB', $out);
        }
        return array('');
    }

    protected function GetStatus($pseudo) {
        global $web, $serviz;
        if ($pseudo == $serviz[31] || $pseudo == $serviz[176]) return strtoupper($web[144]);
        $status = '';
        if (is_file(CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT)) {
            include CHEMIN.'admin/'.REDACREP.$pseudo.INCEXT;
            $status = ' / '.$drtuser[30];
        }
        $admins = ReadDBFields(ADMINS);
        foreach ($admins as $adm)
            if ($pseudo == $adm[0]) {
                return ucfirst($adm[1]).$status;
            }
        return ucfirst($web[322]);
    }
    
    public function MEMB_content() {
        global $lng, $web, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, $drtuser, $page;
        $upseudo = import('upseudo');
        $mb      = array();
        if (is_file(MSGREP.$upseudo.DBEXT)) {
            $userdb = ReadDBFields(MSGREP.$upseudo.DBEXT);
            $avatar = CHEMIN.'inc/img/avatars/'.($userdb[1][9] == 'unknow.png' ? 'unknow.png' : $page[23].'/'.$userdb[1][9]);
            $avatar = $userdb[1][16] != '' ? $userdb[1][16] : $avatar;
            $mb     = array(
              'pseudo' => $upseudo,
              'status' => $this->GetStatus($upseudo),
              'avatar' => $avatar, 
              'web'    => $userdb[1][10],
              'mail'   => $userdb[1][3],
              'reg'    => substr(FormatDate($userdb[1][14]), 0, 10), 
              'date'   => substr(FormatDate($userdb[1][15]), 0, 10),
              'okmail' => $userdb[1][24],
              'okmp'   => $userdb[1][25]
            );
        }
        if (!empty($mb)) {
            $out .= '
<div class="marginAuto prfAdmButton">';
            if ($drtuser[10] == 'on' || $serviz[31] == $userprefs[1] || $serviz[176] == $userprefs[1]) $out .= '
  <div class="f-right">
    <form name="compte" action="'.CHEMIN.'admin/admin.php?lng='.$lng.'&pg=compte&edit='.$upseudo.'" target="_blank" method="POST">
      '.SubmitButton($web[144]).'
    </form>
  </div>
  <div class="c-right"></div>
  <br />';
            $out .= '
  <div class="tbldiv width100 prftblborder">
    <div class="rep trtbldiv">
	  <div class="tdtbldiv textCenter prftblborder prfheadtbl">
	    '.$web[673].' '.$web[208].' <b>'.$upseudo.'</b>
	  </div>
    </div>
  </div>
  <div class="tbldiv width100 prftblborder">
	<div class="trtbldiv">
	  <div class="tdtbldiv width45 textCenter prftblborder">
	    '.$web[108].'<br /><b>'.$mb['status'].'</b><br /><br />'.$web[667].'
	  </div>
	  <div class="tdtbldiv textCenter valignBottom prftblborder">'.$web[515].' '.$web[208].' '.$upseudo.'</div>
	</div>
	<div class="trtbldiv">
	  <div class="tdtbldiv textCenter valignMiddle prftblborder prfheadtbl">
	    <img src="'.$mb['avatar'].'" alt="'.$mb['avatar'].'" title="" class="prfava" />
	  </div>
	  <div class="tdtbldiv textCenter valignTop prftblborder">
	    <div class="tbldiv marginAuto">
		  <div class="trtbldiv">
            <div class="tdtbldiv textRight">'.$web[669].' </div>
            <div class="tdtbldiv">'.$mb['reg'].'</div>
          </div>
		  <div class="trtbldiv">
            <div class="tdtbldiv textRight">'.$web[674].' </div>
            <div class="tdtbldiv">'.$mb['date'].'</div>
          </div>
		</div>
	    <div class="tbldiv marginAuto">
          <div class="trtbldiv">
			<div class="tdtbldiv textCenter prfwebsite">
			  '.$web[304].' : '.(empty($mb['web']) ? '&nbsp;' : 
			  '<a href="'.$mb['web'].'" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" class="valignMiddle prfimgmail" /></a>').'
			</div>
		  </div>
		</div>
	  </div>
	</div>
	<div class="rep trtbldiv">
	  <div class="tdtbldiv textCenter prftblborder prfwebsite">'.$web[13].' ';
            if ($mb['okmail'] == 'on' && $userprefs[18] != 'on') $out .= 
              displayWriteEmail('mbprf', $mb['pseudo'], $mb['mail'], ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$mb['pseudo'].'" title="'.$web[173].' '.$mb['pseudo'].'" class="valignMiddle prfimgmail" />');
            $out .= '
	  </div>
	  <div class="tdtbldiv textCenter prftblborder prfwebsite">'.$web[668].' ';
            if ($mb['okmp'] == 'on' && $userprefs[17] != 'on') $out .= '
		<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-1-'.$mb['pseudo'].'-'.$userprefs[1].'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;to='.$mb['pseudo'].'&amp;from='.$userprefs[1].'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$web[214].'">
	      <img src="'.$reptheme.'/mail.png" alt="'.$web[214].' '.$mb['pseudo'].'" title="'.$web[214].' '.$mb['pseudo'].'" class="valignMiddle prfimgmail" />
		</a>';
            $out .= '
	  </div>
	</div>
  </div>
</div>
<br />
<div class="textCenter">
  '.SubmitButton($web[135].' '.$web[664], 'self.location.href=\''.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-9-'.$this->tconfig.$z2 : 'memberlist.php?lng='.$lng.'&tconfig='.$this->tconfig.$z2).'\'').'
</div>';
            $this->topmess = $web[673];
            return array('MEMB', $out);
        }
    }
    
    public function LSTMB_ok($pseudo, $lng) {
        global $serviz, $userprefs, $web;
        if ($serviz[28] != 'on' || $userprefs[19] == 'on' || $userprefs[20] == 'on' || !isAccessGranted($serviz[179], $pseudo)) {
            $href1 = CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[0] : 'index.php?lng='.$lng);
            $out = '
    <div class="textCenter web342">'.$web[143].'
      <p class="textCenter">
        '.SubmitButton($web[135], 'self.location.href=\''.$href1.'\'').'
      </p>
    </div>';
            $this->topmess = $web[664];
            return array('LSTMB', $out);
        }
        return array('');
    }
    
    public function LSTMB_content() {
        global $lng, $web, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, $page, $xposbox;
        $dbusers    = array();
        $file_users = opendir(MSGREP);
        while ($nomfichier = readdir($file_users)) {
            if (substr($nomfichier, -3) == 'dtb') {
                $pseudo = str_replace(substr($nomfichier, -4), '', $nomfichier);
                $userdb = ReadDBFields(MSGREP.$nomfichier);
                $okgrp  = $serviz[180] == 'on' ? true : isAccessGranted($serviz[179], $pseudo);
                if (($okgrp || $userprefs[1] == $serviz[31] || $userprefs[1] == $serviz[176])
                    && $userdb[1][13] == 'on' 
                    && (empty($userdb[1][31]) || (!empty($userdb[1][31]) 
                    && $userdb[1][31] != '1' 
                    && $userdb[1][31] != 2))) {
                    $avatar    = CHEMIN.'inc/img/avatars/'.($userdb[1][9] == 'unknow.png' ? 'unknow.png' : $page[23].'/'.$userdb[1][9]);
                    $avatar    = $userdb[1][16] != '' ? $userdb[1][16] : $avatar;
                    $dbusers[] = array(
                      'tri'    => strtoupper(substr($pseudo, 0, 1)),
                      'pseudo' => $pseudo, 
                      'status' => $this->GetStatus($pseudo),
                      'avatar' => $avatar, 
                      'web'    => $userdb[1][10], 
                      'mail'   => $userdb[1][3],
                      'reg'    => substr(FormatDate($userdb[1][14]), 0, 10), 
                      'date'   => substr(FormatDate($userdb[1][15]), 0, 10),
                      'okprf'  => $userdb[1][20],
                      'okmail' => $userdb[1][24],
                      'okmp'   => $userdb[1][25]
                    );
                    if ($userprefs[1] == $pseudo) {
                        $userprefs[17] = $userdb[1][18];
                        $userprefs[18] = $userdb[1][19];
                    }
                }
            }
        }
        closedir($file_users);
        sort($dbusers);
        $mblist = array();
        $scope  = import('scope');
        $search = import('search');
        $idpg   = import('idpg');
        if (!empty($scope)) {
            switch ($scope) {
            case 'ALL' :
                $mblist = $dbusers;
                break;
            case 'SEARCH' :
                $mblist = $dbusers;
                $nbdb   = count($mblist);
                $key    = 0;
                for ($i = 0; $i < $nbdb; $i++)
                    if (false !== stripos($mblist[$i]['pseudo'], $search) || false !== stripos($mblist[$i]['mail'], $search)) {
                        $key     = $i;
                        $spseudo = $mblist[$i]['pseudo'];
                        break;
                    }
                $idpg = floor($key / $serviz[75]) + 1;
                break;
            default :
                foreach ($dbusers as $user) if ($user['tri'] == $scope) $mblist[] = $user;
            }
        }
        else {
            $mblist = $dbusers;
            $scope  = 'ALL';
        }
        $nbdb = count($mblist);
        if (empty($idpg)) $idpg = 1;
        else while ($nbdb <= ($idpg - 1) * $serviz[75]) $idpg--;
        $navbar = GetNavBar(($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-910-'.$scope.'-'.$this->tconfig.'-' : 'memberlist.php?lng='.$lng.'&amp;scope='.$scope.'&amp;tconfig='.$this->tconfig.'&amp;idpg='), $nbdb, $idpg, $serviz[75], $z2);
        $out .= '
<div class="mbrlistmain">
  <form name="frmsearch" action="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-9-'.$this->tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;tconfig='.$this->tconfig.$z2).'" method="POST">
    <input type="hidden" name="scope" value="SEARCH" />
    <div class="tbldiv width100">
      <div class="forum trtbldiv">
        <div class="tdtbldiv">'.$web[665].'</div>
	    <div class="tdtbldiv"><input type="text" class="texte" name="search" size="40" /></div>
	    <div class="tdtbldiv">'.SubmitButton($web[58]).'</div>
      </div>
    </div>
  </form>
  <div class="rep textCenter">|';
        for ($i=65; $i<91; $i++) $out .= '
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-91-'.chr($i).'-'.$this->tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;scope='.chr($i).'&amp;tconfig='.$this->tconfig.$z2).'" title="'.chr($i).'"><b><i>'.chr($i).'</i></b></a>|';
        $out .= '
    <a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-91-ALL-'.$this->tconfig.$z2 : 'memberlist.php?lng='.$lng.'&amp;scope=ALL&amp;tconfig='.$this->tconfig.$z2).'" title="'.$web[666].'"><b><i>'.$web[666].'</i></b></a>|
  </div>';
        if ($navbar != '')
            $out .= '
  <br />
  '.$navbar.'
  <br />';
        $out .= '
  <div class="tbldiv width100">
    <div class="forum2 trtbldiv">
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[667].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[172].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.trim(substr($web[292], 0, -1)).'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[304].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[13].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[668].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$web[669].'<br />'.$web[674].'</div>
	</div>';
        for ($i = $serviz[75]*($idpg-1); $i < Min($serviz[75]*$idpg, $nbdb); $i++) {
            $mb = $mblist[$i];
            $out .= '
    <a id="'.$mb['pseudo'].'"></a>
	<div class="'.($i%2 ? 'rep' : 'quest').' trtbldiv">
	  <div class="tdtbldiv valignMiddle textCenter">
	    <img src="'.$mb['avatar'].'" alt="" title="" class="mbrlistimgava" />
	  </div>
	  <div '.($spseudo == $mb['pseudo'] ? 'class="forum"' : '').' class="tdtbldiv valignMiddle textCenter">
	    '.($mb['okprf'] == '' ? '<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[15].'-92-'.$mb['pseudo'].'-'.$this->tconfig.$z2 : 'memberprf.php?lng='.$lng.'&amp;upseudo='.$mb['pseudo'].'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$mb['pseudo'].'">' : '').
		'<b>'.$mb['pseudo'].'</b>'.($mb['okprf'] == '' ? '</a>' : '').'
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$mb['status'].'</div>
	  <div class="tdtbldiv valignMiddle textCenter">
	    '.(empty($mb['web']) ? '<a href="#">&nbsp;</a>' : '<a href="'.$mb['web'].'" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" alt="'.$web[304].'" class="valignMiddle mbrlistimg" /></a>').'
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">';
            if ($mb['okmail'] == 'on' && $userprefs[18] != 'on')
                $out .= displayWriteEmail('mblst'.$i, $mb['pseudo'], $mb['mail'], 
		  ' <img src="'.$reptheme.'/email.png" alt="'.$web[173].' '.$mb['pseudo'].'" title="'.$web[173].' '.$mb['pseudo'].'" class="valignMiddle mbrlistimg" />');
            $out .= '
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">';
            if ($mb['okmp'] == 'on' && $userprefs[17] != 'on') $out .= '
		<a href="'.CHEMIN.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-1-'.$mb['pseudo'].'-'.$userprefs[1].'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;to='.$mb['pseudo'].'&amp;from='.$userprefs[1].'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$web[214].'">
	      <img src="'.$reptheme.'/mail.png" alt="'.$web[214].' '.$mb['pseudo'].'" title="'.$web[214].' '.$mb['pseudo'].'" class="valignMiddle mbrlistimg" />
		</a>';
            $out .= '
	  </div>
	  <div class="tdtbldiv valignMiddle textCenter">'.$mb['reg'].'<br />'.$mb['date'].'</div>
	</div>';
        }
        $out .= '
  </div>';
        if ($navbar != '')
            $out .= '
  <br />
  '.$navbar.'
  <br />';
        $out .= '
</div>';
        $this->topmess = $web[664];
        return array('LSTMB', $out);
    }
    
    protected function UpdateFicForm($fic, $form, $id) {
        $array      = explode("\n", fread(fopen($fic, "r"), filesize($fic)));
        $delete     = array_pop($array);
        $new        = $form;
        $array[$id] = $new;
        $fhandle    = fopen($fic,"w");
        for($a=0; $a< count($array); $a++) {
            fwrite($fhandle,stripslashes($array[$a])."\n");
        }
        fclose($fhandle);
    }
    
    public function TMSG_content() {
        global $lng, $web, $serviz, $urlrw, $site, $reptheme, $z2, $userprefs, $page, $souriez;
        $action     = import('action');
        $fic        = import('fic');
        $form       = import('form');
        $ancienmsg  = addslashes(import('ancienmsg'));
        $anciendate = import('anciendate');
        $msg        = addslashes(import('msg'));
        $maxcar     = '1500'; // max length of tiny messages in chr
        $from       = KeepGoodChars(CutLongWord(import('from'),20));
        $to         = KeepGoodChars(CutLongWord(import('to'),20));
        $id         = import('id');
        $out        = '';
        $this->topmess = $web[215].' - '.$userprefs[1];
        if (empty($userprefs[1])) {
            $out = '<strong>'.$web[357].'</strong><br /><br />'.$web[358].'<br />';
            return array('TMSG', $out);
        }
        if ($action == 1) {  // Envoyer un tiny
            $from = $userprefs[1];
            if (empty($to)) {
                $out = '<strong>'.$web[357].'</strong><br /><br />'.$web[359].'<br />';
                return array('TMSG', $out);
            }
            $out .= JavaScriptfile(CHEMIN.'inc/tinymsg.js').'
  <div class="tbldiv textCenter marginAuto tbltinysend">
    <div class="trtbldiv textLeft">
	  <div class="tdtbldiv">
        <form name="nmsgr" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-2-2-'.$to.'-'.$from.'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=2&amp;to='.$to.'&amp;from='.$from.'&amp;tconfig='.$this->tconfig.$z2).'" method="post">
          <p class="textLeft">'.$web[208].'&nbsp;&nbsp;<strong>'.$from.'</strong><br />'.$web[204].'&nbsp;&nbsp;<strong>'.$to.'</strong></p>
          <div class="tbldiv width80 marginAuto">';
            if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
                $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                if ($id != '') {
                    if ($dbmsg[0][0] == $userprefs[7]) {
                        if ($dbmsg[$id][3] == 'new') {
                            $dbmsg[$id][3] = 'lu';
                            $this->UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
                        }
                    }
                    $out .= '
            <div class="trtbldiv textLeft"><div class="tdtbldiv"><input type="hidden" name="anciendate" value="'.$dbmsg[$id][1].'" /></div></div>
            <div class="trtbldiv textLeft">
			  <div class="tdtbldiv textCenter">
			    <p class="textCenter">'.$web[216].'</p>
                <input type="hidden" name="ancienmsg" value="'.stripslashes($dbmsg[$id][2]).'" />
                <div class="rep marginAuto tdrepmsg">'.stripslashes(souriez($dbmsg[$id][2])).'</div>
              </div>
			</div>';
                }
            }
            $out .= '
            <div class="trtbldiv textLeft"><div class="tdtbldiv textCenter"><p class="textCenter">'.$web[56].'</p></div></div>
            <div class="trtbldiv textLeft"><div class="tdtbldiv"><textarea name="msg" rows="8" class="msgtinysend"></textarea></div></div>
            <div class="trtbldiv textLeft">
			  <div class="tdtbldiv textCenter valignMiddle">
                <a href="javascript:format(\'b\')"><img class="clsCursor" src="inc/img/images/bold.gif" alt="'.$web[98].'" title="'.$web[98].'" /></a>&nbsp;
                <a href="javascript:format(\'i\')"><img class="clsCursor" src="inc/img/images/italic.gif" alt="'.$web[100].'" title="'.$web[100].'" /></a>&nbsp;
                <a href="javascript:format(\'u\')"><img class="clsCursor" src="inc/img/images/underline.gif" alt="'.$web[99].'" title="'.$web[99].'" /></a>&nbsp;
                <a href="javascript:dolink(\'href=http://\')"><img class="clsCursor" src="inc/img/images/link.gif" alt="'.$web[170].'" title="'.$web[170].'" /></a>&nbsp;  &nbsp;';
            $dsm = '';
            for ($i = 0; $i < count($souriez); $i++) 
                $dsm .= '<a href="JavaScript:AddSmiley'.$num.'(\''.$souriez[$i][0].'\')"><img src="'.CHEMIN.$souriez[$i][1].'" class="clsCursor" title="'.$souriez[$i][0].'" alt="'.$souriez[$i][0].'" /></a>&nbsp;';
            $out .= ($page[12] != 'none' ? $dsm : '').'
	          </div>
			</div>
          </div>
          <p class="textCenter">'.SubmitButton($web[52]).'&nbsp;'.SubmitButton($web[205], '', '', '', 'reset').'</p>
        </form>
      </div>
    </div>
  </div>
  <script>
  document.nmsgr.msg.focus();
  </script>
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'">'.$web[135].'
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
    </a>
  </p>';
        }
        elseif ($action == 2) { // Voir un tiny
            $from = $userprefs[1];
            if (empty($to)) {
                $out = '<p><strong>'.$web[357].'</strong><br /><br />'.$web[359].'</p>';
                return array('TMSG', $out);
            }
            if (strlen($msg) > $maxcar) {
                $out = '
  <script>
  alert("'.strlen($msg).' '.$web[408].' '.$maxcar.')");
  history.back();
  </script>
  ';
                return array('TMSG', $out);
            }
            $msg   = str_replace(chr(10), '<br />', $msg);
            $msg   = str_replace(chr(13), '', $msg);
            $msg   = str_replace('[b]',   '<b>', $msg);
            $msg   = str_replace('[/b]',  '</b>', $msg);
            $msg   = str_replace('[i]',   '<i>', $msg);
            $msg   = str_replace('[/i]',  '</i>', $msg);
            $msg   = str_replace('[u]',   '<u>', $msg);
            $msg   = str_replace('[/u]',  '</u>', $msg);
            $msg   = str_replace('[l]href=','<a href="', $msg);
            $msg   = str_replace('[/l]',  '" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/site.png" border="0" alt="'.$web[304].'" /></a>', $msg);
            $msg   = str_replace('"',     "'", $msg);
            $dbmsg = array();
            if (!empty($to) && FileDBExist(MSGREP.$to.DBEXT)) {
                $dbmsg[0] = $from;
                $dbmsg[1] = GetCurrentDateTime();
                $dbmsg[2] = RemoveConnector(stripslashes($msg));
                $dbmsg[3] = 'new';
                $dbmsg[4] = '';
                $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
                $dbmsg[6] = $anciendate;
                $dbmsg[7] = $userprefs[8];
                AppendDBFields(MSGREP.$to.DBEXT, $dbmsg);
                $dbmsg[0] = $to;
                $dbmsg[1] = GetCurrentDateTime();
                $dbmsg[2] = RemoveConnector(stripslashes($msg));
                $dbmsg[3] = 'lu';
                $dbmsg[4] = 'send';
                $dbmsg[5] = RemoveConnector(stripslashes($ancienmsg));
                $dbmsg[6] = $anciendate;
                $dbmsg[7] = $userprefs[8];
                AppendDBFields(MSGREP.$from.DBEXT, $dbmsg);
                $dbmsg2 = ReadDBFields(MSGREP.$to.DBEXT);
                $eto    = $dbmsg2[1][3];
                $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[670];
                $body   = '<div style="margin:auto;padding:8px;width:440px;border: solid 1px #000000;border-radius:4px;">';
                $body  .= '<p style="text-align:left;font:12pt Arial;">';
                $body  .= $web[245].sprintf($web[672], $to, $from).'<a href="'.$site[3].'" title="'.$site[3].'">'.$site[3].'</a>';
                $body  .= '</p></div>';
                eMailHtmlTo($sujet, $body, $eto);
                $out .= '
    <br />
	<div class="marginAuto textCenter">
	  <p>'.$web[332].'<br /><br />
	    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'">'.$web[135].'
	      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	    </a>
	  </p>
    </div>
    <form name="suit2" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit2.submit();",4000);'.EndJavascript();
            }
            else {
                $out .= '
    <br /><p class="textCenter">'.$web[230].'</p>';
            }
        }
        elseif ($action == 3) { // Gérer les tiny
            $nbrtinymsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
            if(count($nbrtinymsg) > ($serviz[48]+2)) {
                DeleteDBFieldById(MSGREP.$userprefs[1].DBEXT, 2);
            }
            $dbmsg = Array();
            if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
                $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                if ($dbmsg[0][0] == $userprefs[7]) {
                    $out .= BeginJavascript().'
function selectAllMsg(opt) {
	var option = opt.name;
	var allSelected = opt.checked;
	switch (option) {
	case "delRecu_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		break;
	case "delSend_all" :
		var allMsg = document.forms["boxtinymsg"].elements["delSend_id[]"];
		break;
	default :
		return false;
	}
	if (allMsg.length != undefined) {
		for (i = 0; i < allMsg.length; i++) {
			allMsg[i].checked = (allSelected)? true : false;
		}
	} else {
		allMsg.checked = (allSelected)? true : false;
	}
	return false;
}
function verifyTinyMsgChecked() {
	var error = true;
	var message = "'.$web[428].'";

	if (document.forms["boxtinymsg"].elements["delRecu_id[]"]) {
		var allMsgRecu = document.forms["boxtinymsg"].elements["delRecu_id[]"];
		if (allMsgRecu.length != undefined) {
			for (i = 0; i < allMsgRecu.length; i++) {
				if (allMsgRecu[i].checked) { error = false; }
			}
		} else {
			if (allMsgRecu.checked) { error = false; }
		}
	}
	if (document.forms["boxtinymsg"].elements["delSend_id[]"]) {
		var allMsgSend = document.forms["boxtinymsg"].elements["delSend_id[]"];
		if (allMsgSend.length != undefined) {
			for (i = 0; i < allMsgSend.length; i++) {
				if (allMsgSend[i].checked) { error = false; }
			}
		} else {
			if (allMsgSend.checked) { error = false; }
		}
	}
	if (error) {
		alert(message);
		return false;
	} else {
		return true;
	}
}
'.EndJavascript().'
<p class="textCenter">'.$web[291].' '.$serviz[48].' '.$web[335].'</p>
<p class="textCenter">
  <img src="'.$reptheme.'/new.gif" alt="'.$web[211].'" title="'.$web[211].'" /> '.$web[211].'&nbsp;&nbsp;&nbsp;&nbsp;
  <img src="'.$reptheme.'/lu.gif" alt="'.$web[209].'" title="'.$web[209].'" /> '.$web[209].'
</p>
<hr />
<form name="boxtinymsg" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-5-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=5&amp;tconfig='.$this->tconfig.$z2).'" method="post" onsubmit="return verifyTinyMsgChecked(); return false;">
  <div class="textCenter marginAuto"><strong>'.$web[207].'</strong></div>
  <div class="tbldiv marginAuto tbltinymain">
    <div class="forum trtbldiv textCenter">
      <div class="tdtbldiv width10"><strong>'.$web[206].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[210].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[325].'</strong></div>
      <div class="tdtbldiv width20">
        <div class="tbldiv marginAuto">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter"><strong>'.$web[323].'</strong></div>
          </div>
        </div>
      </div>
    </div>';
                    $nbMsgRecu = 0;
                    for ($i = 2; $i < count($dbmsg); $i++) {
                        if (isset($dbmsg[$i][4]) && $dbmsg[$i][4] != 'send') {
                            $trcolor = $dbmsg[$i][3] == 'new' ? 'quest trtbldiv ' : ($dbmsg[$i][3] == 'lu' ? 'rep trtbldiv ' : '');
                            $out .= '
    <div class="'.$trcolor.'textCenter trmsgtiny">
      <div class="tdtbldiv width10"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></div>
      <div class="tdtbldiv width35 textLeft tdmsglnk">
	    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-4-1-'.$i.'-'.$dbmsg[$i][0].'-'.$userprefs[1].'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$i.'&amp;to='.$dbmsg[$i][0].'&amp;from='.$userprefs[1].'&amp;tconfig='.$this->tconfig.$z2).'" title="'.$web[140].'"><strong>'.$dbmsg[$i][0].'</strong></a>
	  </div>
      <div class="tdtbldiv width35">'.FormatDate($dbmsg[$i][1]).'</div>
      <div class="tdtbldiv width20 textCenter">
        <div class="tbldiv marginAuto width100">
          <div class="trtbldiv">
            <div class="tdtbldiv width40 textCenter">
              <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-5-4'.$i.'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=4&amp;id='.$i.'&amp;tconfig='.$this->tconfig.$z2).'">
                <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
              </a>
            </div>
            <div class="tdtbldiv width60 textCenter">
              <input type="checkbox" name="delRecu_id[]" value="'.$i.'" />
              <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
            </div>
          </div>
        </div>
      </div>
    </div>';
                            $nbMsgRecu++;
                        }
                    }
                    $out .= '
  </div>';
                    if ($nbMsgRecu > 0) { //Case Tout supprimer
                        $out .= '
  <div class="tbldiv marginAuto tbltinymain">
	<div class="trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv textRight">'.$web[425].'</div>
      <div class="tdtbldiv width12">
        <input title="'.$web[426].'" type="checkbox" name="delRecu_all" value="" onclick="selectAllMsg(this)" />
        <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
      </div>
    </div>
  </div>';
                    }
                    $out .= '
  <br />
  <div class="marginAuto textCenter"><strong>'.$web[327].'</strong></div>
  <div class="tbldiv marginAuto tbltinymain">
    <div class="forum trtbldiv textCenter">
      <div class="tdtbldiv width10"><strong>'.$web[206].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[328].'</strong></div>
      <div class="tdtbldiv width35"><strong>'.$web[325].'</strong></div>
      <div class="tdtbldiv width20">
        <div class="tbldiv marginAuto">
          <div class="trtbldiv">
            <div class="tdtbldiv textCenter"><strong>'.$web[323].'</strong></div>
          </div>
        </div>
      </div>
    </div>';
                    $nbMsgSend = 0;
                    for ($i = 2; $i < count($dbmsg); $i++) {
                        if ($dbmsg[$i][4] == 'send') {
                            $out .= '
    <div class="rep trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv width10"><img src="'.$reptheme.'/'.$dbmsg[$i][3].'.gif" alt="'.$dbmsg[$i][3].'" title="'.$dbmsg[$i][3].'" /></div>
      <div class="tdtbldiv width35 textLeft tdmsglnk"><strong>'.$dbmsg[$i][0].'</strong></div>
      <div class="tdtbldiv width35">'.FormatDate($dbmsg[$i][1]).'</div>
      <div class="tdtbldiv width20 textCenter">
        <div class="tbldiv marginAuto width100">
          <div class="trtbldiv">
            <div class="tdtbldiv width40">
              <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-5-6'.$i.'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=6&amp;id='.$i.'&amp;tconfig='.$this->tconfig.$z2).'">
                <img src="'.$reptheme.'/look.png" alt="'.$web[326].'" title="'.$web[326].'" />
              </a>
            </div>
            <div class="tdtbldiv width60">
              <input type="checkbox" name="delSend_id[]" value="'.$i.'" />
              <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
            </div>
          </div>
        </div>
      </div>
    </div>';
                            $nbMsgSend++;
                        }
                    }
                    $out .= '
  </div>';
                    if ($nbMsgSend > 0) { //Case Tout supprimer
                        $out .= '
  <div class="tbldiv marginAuto tbltinymain">
	<div class="trtbldiv textCenter trmsgtiny">
      <div class="tdtbldiv textRight">'.$web[425].'</div>
      <div class="tdtbldiv width12">
        <input title="'.$web[427].'" type="checkbox" name="delSend_all" value="" onclick="selectAllMsg(this)" />
        <img src="'.$reptheme.'/del.png" alt="'.$web[324].'" title="'.$web[324].'" />
      </div>
    </div>
  </div>';
                    }
                    if ($nbMsgSend + $nbMsgRecu > 0) { //Case Tout supprimer
                        $out .= '
  <div class="marginAuto textRight btntinymain">'.SubmitButton($web[424]).' <img src="'.$reptheme.'/up1.png" alt=" " /></div>';
                    }
                    $out .= '
</form>';
                }
            }
        }
        elseif ($action == 4) { // Répondre à  ou Supprimer un tiny
            if (empty($id)) {
                $out = 'tinymsg.php : action=4 empty id';
                return array('TMSG', $out);
            }
            $dbmsg = array();
            if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
                $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                if ($dbmsg[0][0] == $userprefs[7]) {
                    $sendRR = $dbmsg[$id][3] == 'lu' ? true : false;
                    $dbmsg[$id][3] = 'lu';
                    $this->UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
                    $out .= '
    <p class="textCenter"><b>'.$web[330]." ".$dbmsg[$id][0].'</b> '.$web[7]." ".FormatDate($dbmsg[$id][1]).'</p>';
			$imgavexp = $page[23] != 'none' ? $dbmsg[$id][7] != '' ? $page[23].'/'.$dbmsg[$id][7] : 'unknow.png' : '';
			$out .= '
    <br />
	<fieldset>
      <div class="tbldiv width98 marginAuto">
        <div class="rep trtbldiv">
          <div class="tdtbldiv width10 textCenter">
            '.($page[23] != 'none' ?  '<img src="'.CHEMIN.'inc/img/avatars/'.$imgavexp.'" alt="'.$dbmsg[$id][0].'" title="'.$dbmsg[$id][0].'" />' : '&nbsp;').'
          </div>
          <div class="tdtbldiv width90"><p>'.stripslashes(souriez($dbmsg[$id][2])).'</p></div>
        </div>
      </div>';
                    if($dbmsg[$id][5] != '') {
                        $imgavdest = $page[23] != 'none' ? $userprefs[8] != '' ? $page[23].'/'.$userprefs[8] : 'unknow.png' : '';
                        $out .= '
      <div class="tbldiv width98 marginAuto">
        <div class="forum trtbldiv textCenter">
          <div class="tdtbldiv"><p>'.$web[329]." ".FormatDate($dbmsg[$id][6]).'</p></div>
        </div>
      </div>
      <div class="tbldiv width98 marginAuto">
        <div class="rep trtbldiv">
          <div class="tdtbldiv width10 textCenter">
            '.($page[23] != 'none' ?  '<img src="inc/img/avatars/'.($page[23] != 'none' ? $imgavdest : '&nbsp;').'" alt="Avatar '.$dbmsg[$id][0].'" />' : '&nbsp;').'
          </div>
          <div class="tdtbldiv width90"><p>'.stripslashes(souriez($dbmsg[$id][5])).'</p></div>
        </div>
      </div>';
                    }
                    $out .= '
	</fieldset>
	<div class="textCenter divcmdtiny">
	  <div class="f-left">
	    <form name="msg_answer" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-4-1-'.$id.'-'.$dbmsg[$id][0].'-'.$userprefs[1].'-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=1&amp;id='.$id.'&amp;to='.$dbmsg[$id][0].'&amp;from='.$userprefs[1].'&amp;tconfig='.$this->tconfig.$z2).'" method="post" class="frmcmdtiny">
		  '.SubmitButton($web[140]).'
	    </form>
	  </div>
	  <div>
	    <form name="msg_del" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-5-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=5&amp;tconfig='.$this->tconfig.$z2).'" method="post" class="frmcmdtiny">
	      <input type="hidden" name="delRecu_id[]" value="'.$id.'" />
		  '.SubmitButton($web[324]).'
	    </form>
	  </div>
	</div>';
                    if ($dbmsg[1][27] == 'on' && $sendRR) {
                        $dbmsg2 = ReadDBFields(MSGREP.$dbmsg[$id][0].DBEXT);
                        $to     = $dbmsg2[1][3];
                        $sujet  = stripslashes($site[($lang[0] == $lng ? 0 : 11)]).' - '.$web[670];
                        $body   = '<div style="margin:auto;padding:8px;width:440px;border: solid 1px #000000;border-radius:4px;">';
                        $body  .= '<p style="text-align:left;font:12pt Arial;">';
                        $body  .= $web[245].sprintf($web[671], $dbmsg2[1][2], $userprefs[1]).'<a href="'.$site[3].'" title="'.$site[3].'">'.$site[3].'</a><br /><br />';
                        $body  .= $web[56].'<br /><br />'.$dbmsg[$id][2].'<br /><br />';
                        $body  .= '</p></div>';
                        eMailHtmlTo($sujet, $body, $to);
                    }
                }
            }
            $out .= '
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'" title="">'.$web[135].'
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>';
        }
        elseif ($action == 5) { // Supprimer des tiny
            $id      = array();
            $id_recu = (isset($_POST['delRecu_id']) && is_array($_POST['delRecu_id']))? $_POST['delRecu_id'] : array();
            $id_send = (isset($_POST['delSend_id']) && is_array($_POST['delSend_id']))? $_POST['delSend_id'] : array();
            $id      = array_merge($id_recu, $id_send);
            if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT) && !empty($id)) { //Vérification de l'existence du membre
                $dbmsg = array();
                $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                if ($dbmsg[0][0] == $userprefs[7]) { //Vérification du mot de passe
                    for ($i = 0; $i < count($id); $i++) {
                        unset($dbmsg[$id[$i]]);
                    }
                    $dbmsg = array_values($dbmsg);
                    WriteDBFields(MSGREP.$userprefs[1].DBEXT, $dbmsg);
                }
            }
            $out .= '
  <p class="textCenter">'.$web[331].'</p>
  <br />
  <p class="textCenter">
    <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'" title="">'.$web[135].'
	  <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </p>
  <form name="suit5" action="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'" method="post"></form>'.BeginJavascript().'
setTimeout("document.suit5.submit();",2400);'.EndJavascript();
        }
        elseif ($action == 6) {
            if (empty($id)) {
                $out = 'tinymsg.php : action=6 empty id';
                return array('TMSG', $out);
            }
            $dbmsg = Array();
            if (!empty($userprefs[1]) && FileDBExist(MSGREP.$userprefs[1].DBEXT)) {
                $dbmsg = ReadDBFields(MSGREP.$userprefs[1].DBEXT);
                if ($dbmsg[0][0] == $userprefs[7]) {
                    $dbmsg[$id][3] = 'lu';
                    $this->UpdateFicForm(MSGREP.$userprefs[1].DBEXT, implode(CONNECTOR, $dbmsg[$id]), $id);
                    $out .= '
      <p class="textCenter">'.$web[328]." : &nbsp;" .' <strong>'.$dbmsg[$id][0].'</strong> '." &nbsp;".$web[7]." &nbsp;".FormatDate($dbmsg[$id][1]).'</p>
      <div class="rep width98 divreptiny">'.stripslashes(souriez($dbmsg[$id][2])).'</div>';
                }
            }
            $out .= '
  <div class="textCenter">
  <hr />
  <a href="'.($site['URLR'] == 'on' ? $lng.'-'.$urlrw[13].'-3-3-'.$this->tconfig.$z2 : 'tinymsg.php?lng='.$lng.'&amp;action=3&amp;tconfig='.$this->tconfig.$z2).'">'.$web[135].'
      <img src="'.$reptheme.'/back.png" alt="'.$web[135].'" title="'.$web[135].'" />
	</a>
  </div>';
        }
        return array('TMSG', $out);
    }
}
?>