<?php
/*******************************************************************************
 *   Functions Install
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.03.00 (December 03, 2019) : correction of member zone variables
 ******************************************************************************/

if (stristr($_SERVER['SCRIPT_NAME'], 'func_install.php')) {
  header('location:../index.php');
  die();
}

include_once 'func_jmmis.php';

function DisplayHeader($refreshUrl = NULL) {
	global $meskin, $clean, $charset;
	echo '
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>'.$clean[1].'</title>
<meta http-equiv="content-type" content="text/html; charset='.$charset.'" />';
    if (isset($refreshUrl) && '' != $refreshUrl) {
        echo '
<meta http-equiv="Refresh" content="2;URL='.str_replace('&', '&amp;', $refreshUrl).'">';
    }
	if (file_exists($meskin."style.css")) {
		echo '
<link type="text/css" rel="stylesheet" href="'.$meskin.'style.css" />';
	}
	else {
		echo '
<link type="text/css" rel="stylesheet" href="no_skin/style.css" />';
	}
	echo '
</head>
<body bgcolor="#FFFFFF">
<p style="text-align:center;"><img src="gylogo.png" alt="gylogo.png"/></p>';
}

function DisplayFooter() {
	echo '
<p style="text-align:center;">&nbsp;</p>
<p style="text-align:center;"><img src="gyslogo.png" style="width:104px;height:39px;" alt="gyslogo.png"/></p>
<p style="text-align:center;">GuppY v'.MP_VERSION.'<br />CeCILL free Licence - © '.MP_COPYRIGHT.'</p>
</body>
</html>';
}

function DisplayTitre($titre, $texte) {
	echo '
<div style="text-align:center;"><h3>'.$titre.'</h3></div>
<div style="width:1024px;margin:auto;">
  <table style="width:90%;margin:auto;">
    <tr>
	  <td class="quest"><br />'.$texte.'<br /></td>
	</tr>
  </table>
</div>
<br />';
}

function DisplayProcess($titre, $processus, $resultat) {
	DisplayTitre($titre, $processus);
	echo '
<p style="text-align:center;">&nbsp;</p>
<table style="width:480px;margin:auto;">
  <tr><td bgcolor="#FF9933"><br />'.$resultat.'<br /></td></tr>
</table>';
}

function EraseInstall() {
	$dossier = opendir(CHEMIN.'install/');
	while ($fichier = readdir($dossier)) {
		if (is_file(CHEMIN.'install/'.$fichier)) {
			SetChmod(CHEMIN.'install/'.$fichier);
			@unlink(CHEMIN.'install/'.$fichier);
		}
	}
	closedir($dossier);
	SetChmod(CHEMIN.'install');
	SetChmod(CHEMIN.'install');
	@rmdir(CHEMIN.'install');
	if (file_exists(CHEMIN.'data/chk_install.dtb')) {
		SetChmod(CHEMIN.'data/chk_install.dtb');
		@unlink(CHEMIN.'data/chk_install.dtb');
	}
	if (file_exists(CHEMIN.'data/config/chk_install.dtb')) {
		SetChmod(CHEMIN.'data/config/chk_install.dtb');
		@unlink(CHEMIN.'data/config/chk_install.dtb');
	}
}

function DeleteOldFiles() {
	$liste = CHEMIN.'install/delete46.dtb';
	$filesToDelete = file_exists($liste) ? file($liste) : array();
	foreach ($filesToDelete as $file) {
		$file = trim($file);
		if (file_exists(CHEMIN.$file)) {
			SetChmod(CHEMIN.$file);
			@unlink(CHEMIN.$file);
		}
	}
}

function CleanDataRep($typ) {
	set_time_limit(0);
	
	RecursiveDeleteDir(CACHEREP);
	RecursiveDeleteDir(DOCSREP);
	RecursiveDeleteDir(STATSREP);
	$files = scandir(PHOTOREP);
	foreach ($files as $file) {
		if (substr($file, 0, 4) == 'gal_') {
			RecursiveRemoteDir(PHOTOREP.$file); 
		}
	}
}

function PrepareDataRep() {
	set_time_limit(0);
	
	$index = array(ADMNOTES, NEWSLET_LIST, NEWSLET_WAIT, GROUPS, MEMBERS, GROUPSNWL, MEMBERSNWL, GROUPSCOL, MEMBERSCOL, 
                   DOCID, DOCDATES, CHILDREN, DBAGENDA, DBART, DBBLOG, DBNEWS, DBDNLOAD, DBFAQ, DBFORUMCAT, 
                   DBFORUM, DBTHREAD, DBLINKS, DBPHOTO, DBREACT, DBREBLOG, DBRSS, DBBSS, DBFREEBOX, DBMENUBOX, DBOPTMENU, 
				   DBMENUICO, DBSOCNET, DOCIDARCH, DBAGENDAARCHDATE, DBAGENDAARCH, DBBLOGARCHDATE, DBBLOGARCH, 
				   DBREBLOGARCH, DBNEWSARCHDATE, DBNEWSARCH, DBFORUMARCHDATE, DBFORUMARCH, DBTHREADARCH, 
				   DBPOLL, DBIPPOLL, DBIPSTATS, DBLOGBOOK, DBKEYWORDS, DBDDMENUBOX, DBOPTDDMENU);

	foreach($index as $idx) WriteFullDB($idx, '');
	
	WriteFullDB(DBLOGDATE, date('d/m/y'));
	WriteFullDB(DBLOGSTATS, date('d/m/y').';0;');
	
	WriteCounter(NEXTID, 0);
	WriteCounter(NEXTIDBK, 0);
	WriteCounter(DBFORUMCOUNTER, 0);
	WriteCounter(DBCOUNTER, 0);
	WriteCounter(DBSTATS, 1);
	WriteCounter(DBSTATSBK, 1);

	$dbt = array();
	$dbt = InitDBlog(1);
	$dbt[0][0] = (integer) date("H");
	WriteDBFields(DBLOGH,$dbt);
	$dbt = array();
	$dbt = InitDBlog(24);
	$dbt[0][0] = (integer) date("d");
	WriteDBFields(DBLOGD,$dbt);
	$dbt = array();
	$dbt = InitDBlog(31);
	$dbt[0][0] = (integer) date("m");
	WriteDBFields(DBLOGM,$dbt);
	$dbt = array();
	$dbt = InitDBlog(12);
	$dbt[0][0] = (integer) date("Y");
	WriteDBFields(DBLOGY,$dbt);
}

function MigrateUsers46($deb, $fin) {
	set_time_limit(0);
	
	global $lang, $charset;
	
	include CHEMIN.DATAREP.'config.inc';
	$numava = substr($page[23], 4);
	
	$users    = scandir(CHEMIN.DATAREP.'usermsg');
	$allusers = array();
	for ($i = $deb; $i < $fin; $i++) $allusers[] = $users[$i];
	if (!empty($allusers)) {
		foreach ($allusers as $userfile) {
			if (in_array($userfile, array('.', '..', 'index.php'))) continue;
			$pseudo = substr($userfile, 0, -4);
			$userdb = ReadDBFields(CHEMIN.DATAREP.'usermsg/'.$userfile);
			if (!empty($userdb[0][0])) {
				$usertemp = array();
				if (empty($userdb[1][1])) { // cas des comptes restés ouverts
					$usertemp[0]  = $lang[0];
					$usertemp[1]  = $pseudo;
					$usertemp[3]  = 'LR';
					$usertemp[4]  = $lang[0];
					$usertemp[5]  = '';
					$usertemp[6]  = '';
					$usertemp[7]  = $userdb[0][0];
					$usertemp[8]  = 'unknow.png';
					$usertemp[9]  = '';
					$usertemp[10] = 'no_skin';
					$usertemp[11] = '';
					$usertemp[15] = '';
				} else { // sinon on récupère les valeurs 
					for ($i = 1; $i < 12; $i++) $usertemp[$i - 1] = $userdb[1][$i];
					$usertemp[8]  = str_replace('.gif', '.png', $usertemp[8]);
					$usertemp[15] = isset($userdb[1][21]) ? $userdb[1][21] : '';
				}
				$usertemp[12] = 'on';
				$usertemp[13] = isset($userdb[1][40]) ? trim($userdb[1][40]) : isset($userdb[2][1]) ? $userdb[2][1] : date('YmdHi');
				$usertemp[14] = isset($userdb[1][41]) ? trim($userdb[1][41]) : isset($userdb[2][1]) ? $userdb[2][1] : date('YmdHi');
				$usertemp[16] = $usertemp[14];
				$ctrl = isset($userdb[1][46]) ? explode('*', $userdb[1][46]) : array();
				$ctrl = array_pad($ctrl, 8, '');
				$usertemp[17] = $ctrl[3];
				$usertemp[18] = $ctrl[5];
				$usertemp[19] = $ctrl[7];
				$usertemp[20] = $ctrl[6];
				$usertemp[21] = $ctrl[2];
				$usertemp[22] = $ctrl[0];
				$usertemp[23] = isset($userdb[1][30]) ? trim($userdb[1][30]) : 'on';
				$usertemp[24] = isset($userdb[1][31]) ? trim($userdb[1][31]) : 'on';
				$usertemp[25] = isset($userdb[1][32]) ? trim($userdb[1][32]) : '';
				$usertemp[26] = isset($userdb[1][33]) ? trim($userdb[1][33]) : '';
				$dbuser[0][0] = strlen($usertemp[7]) < 20 ? md5($usertemp[7]) : $usertemp[7];
				$dbuser[1][0] = '0';
				$dbuser[1][1] = $usertemp[0].CONNECTOR.$usertemp[1].CONNECTOR.$usertemp[2].CONNECTOR.$usertemp[3].CONNECTOR.$usertemp[4].CONNECTOR.$usertemp[5].CONNECTOR.
				  utf8_encode($usertemp[6]).CONNECTOR.$dbuser[0][0].CONNECTOR.$usertemp[8].CONNECTOR.$usertemp[9].CONNECTOR.$usertemp[10].CONNECTOR.$usertemp[11].CONNECTOR.
				  $usertemp[12].CONNECTOR.$usertemp[13].CONNECTOR.$usertemp[14].CONNECTOR.$usertemp[15].CONNECTOR.$usertemp[16].CONNECTOR.$usertemp[17].CONNECTOR.$usertemp[18].
				  CONNECTOR.$usertemp[19].CONNECTOR.$usertemp[20].CONNECTOR.$usertemp[21].CONNECTOR.$usertemp[22].CONNECTOR.$usertemp[23].CONNECTOR.$usertemp[24].
				  CONNECTOR.$usertemp[25].CONNECTOR.$usertemp[26].CONNECTOR.CONNECTOR.CONNECTOR.CONNECTOR.'ok';
				for ($i = 2; $i < count($userdb); $i++) {
					$dbuser[$i][0] = $userdb[$i][0];
					$dbuser[$i][1] = $userdb[$i][1];
					$dbuser[$i][2] = isset($userdb[$i][2]) ? utf8_encode($userdb[$i][2]) : '';
					$dbuser[$i][3] = $userdb[$i][3];
					$dbuser[$i][4] = $userdb[$i][4];
					$dbuser[$i][5] = isset($userdb[$i][5]) ? utf8_encode($userdb[$i][5]) : '';
					$dbuser[$i][6] = isset($userdb[$i][6]) ? str_replace('.gif', '.png', $userdb[$i][6]) : 'unknow.png';
					$dbuser[$i][7] = isset($userdb[$i][7]) ? str_replace('.gif', '.png', $userdb[$i][7]) : '';
					$dbuser[$i][8] = $numava;
				}
				WriteDBFields(MSGREP.$pseudo.DBEXT, $dbuser);
				if (is_file(CHEMIN.DATAREP.'countmsg/'.$usertemp[1].DBEXT))
					copy(CHEMIN.DATAREP.'countmsg/'.$usertemp[1].DBEXT, COUNTMSGREP.$usertemp[1].DBEXT);
				$redacfile = CHEMIN.'admin/'.REDACREP.$usertemp[1].INCEXT;
				if (is_file($redacfile)) {
					include $redacfile;
					$drtuser     = array_pad($drtuser, 51, '');
					$drtuser[38] = $dbuser[0][0];
                    $drtuser[42] = $drtuser[42] == 'redac' ? 'redac1' : $drtuser[42];
					$drtuser[50] = $drtuser[44];
					$drtuser[44] = '';
					$mettre      = "<?php
if (stristr(\$_SERVER['SCRIPT_NAME'], '".$usertemp[1].".inc')) {
    header('location:../index.php');
    die();
}

\$drtuser[0]  = \"".$drtuser[0]."\";  // Accès à config générale
\$drtuser[1]  = \"".$drtuser[1]."\";  // Accès à config site
\$drtuser[2]  = \"".$drtuser[2]."\";  // Accès à config accueil
\$drtuser[3]  = \"".$drtuser[3]."\";  // Accès à config section
\$drtuser[4]  = \"".$drtuser[4]."\";  // Accès à Config services
\$drtuser[5]  = \"".$drtuser[5]."\";  // Accès à Config boites
\$drtuser[6]  = \"".$drtuser[6]."\";  // Accès à Maintenance
\$drtuser[7]  = \"".$drtuser[7]."\";  // Accès à Archivage Forum
\$drtuser[8]  = \"".$drtuser[8]."\";  // Accès à Contrôle d intégrité DB
\$drtuser[9]  = \"".$drtuser[9]."\";  // Accès à Mot de passe Collaborateur
\$drtuser[10] = \"".$drtuser[10]."\"; // Accès à Config zone membres
\$drtuser[11] = \"".$drtuser[11]."\"; // Accès à Travaux
\$drtuser[12] = \"".$drtuser[12]."\"; // Accès à Droits
\$drtuser[13] = \"".$drtuser[13]."\"; // Accès à Contact avancé
\$drtuser[14] = \"".$drtuser[14]."\"; // Accès à Nouvelles
\$drtuser[15] = \"".$drtuser[15]."\"; // Accès à Articles
\$drtuser[16] = \"".$drtuser[16]."\"; // Accès à Réactions Articles
\$drtuser[17] = \"".$drtuser[17]."\"; // Accès à Boîtes menus
\$drtuser[18] = \"".$drtuser[18]."\"; // Accès à Photos
\$drtuser[19] = \"".$drtuser[19]."\"; // Accès à Téléchargements
\$drtuser[20] = \"".$drtuser[20]."\"; // Accès à Liens
\$drtuser[21] = \"".$drtuser[21]."\"; // Accès à FAQ
\$drtuser[22] = \"".$drtuser[22]."\"; // Accès à Livre d or
\$drtuser[23] = \"".$drtuser[23]."\"; // Accès à Forum
\$drtuser[24] = \"".$drtuser[24]."\"; // Accès à Config Forum
\$drtuser[25] = \"".$drtuser[25]."\"; // Accès à Sondage
\$drtuser[26] = \"".$drtuser[26]."\"; // Accès à Boites libres
\$drtuser[27] = \"".$drtuser[27]."\"; // Accès à Bannières
\$drtuser[28] = \"".$drtuser[28]."\"; // Accès à Citations
\$drtuser[29] = \"".$drtuser[29]."\"; // Accès à Menu icônes
\$drtuser[30] = \"\"; // Statut à afficher
\$drtuser[31] = \"".$drtuser[31]."\"; // Accès à Compteur
\$drtuser[32] = \"".$drtuser[32]."\"; // Accès à Statistiques
\$drtuser[33] = \"".$drtuser[33]."\"; // Accès à Newsletter
\$drtuser[34] = \"".$drtuser[34]."\"; // Accès à Nouvelles RSS
\$drtuser[35] = \"".$drtuser[35]."\"; // Accès à Logs
\$drtuser[36] = \"".$drtuser[36]."\"; // Accès à Fichiers
\$drtuser[37] = \"".$drtuser[37]."\"; // Accès à Agenda
\$drtuser[38] = \"".$drtuser[38]."\"; // Password
\$drtuser[39] = \"".$drtuser[39]."\"; // Accès à Blogs
\$drtuser[40] = \"".$drtuser[40]."\"; // Accès à Réactions Blogs
\$drtuser[41] = \"".$drtuser[41]."\"; // Accès à Blog RSS
\$drtuser[42] = \"".$drtuser[42]."\"; // Fonction
\$drtuser[43] = \"".$drtuser[43]."\"; // Accès à Config Style
\$drtuser[44] = \"".$drtuser[44]."\"; // Accès à Import
\$drtuser[45] = \"".$drtuser[45]."\"; // Accès à Sécurité
\$drtuser[46] = \"".$drtuser[46]."\"; // Accès à Mise à jour / Extension
\$drtuser[47] = \"".$drtuser[47]."\"; // Accès à Sauvegarde du site
\$drtuser[48] = \"".$drtuser[48]."\"; // Accès à Version de GuppY
\$drtuser[49] = \"".$drtuser[49]."\"; // Accès à Config Recherche
\$drtuser[50] = \"".$drtuser[50]."\"; // Accès à Réseaux sociaux
\$drtusersv[0] = \"\"; // e-mail publication article
\$drtusersv[1] = \"\"; // e-mail publication réaction article
\$drtusersv[2] = \"\"; // e-mail publication nouvelle
\$drtusersv[3] = \"\"; // e-mail publication blog
\$drtusersv[4] = \"\"; // e-mail publication commentaire blog
\$drtusersv[5] = \"\"; // e-mail publication livre d or
\$drtusersv[6] = \"\"; // e-mail publication forum";
					WriteFullDB($redacfile, $mettre);
				}
				unset($userdb, $dbuser);
			}
		}
	}
	if (is_file(CHEMIN.DATAREP.'admins.dtb')) {
		copy(CHEMIN.DATAREP.'admins.dtb', ADMINS);
        $dbadmins = ReadDBFields(ADMINS);
        for ($i = 0; $i < count($dbadmins); $i++)
            if ($dbadmins[$i][1] == 'redac') $dbadmins[$i][1] = 'redac1';
        WriteDBFields(ADMINS, $dbadmins);
    }
	if (is_file(CHEMIN.DATAREP.'groups.dtb'))
		copy(CHEMIN.DATAREP.'groups.dtb', GROUPS);
	if (is_file(CHEMIN.DATAREP.'members.dtb'))
		copy(CHEMIN.DATAREP.'members.dtb', MEMBERS);
	if (is_file(CHEMIN.DATAREP.'antispam.dtb'))
		copy(CHEMIN.DATAREP.'antispam.dtb', DBANTISPAM);
	if (is_file(CHEMIN.DATAREP.'nwlist.dtb'))
		copy(CHEMIN.DATAREP.'nwlist.dtb', NEWSLET_LIST);
	if (is_file(CHEMIN.DATAREP.'nwlist.tmp'))
		copy(CHEMIN.DATAREP.'nwlist.tmp', NEWSLET_WAIT);
}

function MigrateDatas146($deb, $fin) {
	set_time_limit(0);

    global $user, $site, $lang, $urlrw, $lng, $admin;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	
	$pats = array(chr(146), chr(128), chr(140), chr(156), chr(138), chr(154), '&#8230;', '&#x2026;', '&#133;'); 
	$patr = array('&rsquo;', '&euro;', '&OElig;', '&oelig;', '&Scaron;', '&scaron;', '&hellip;', '&hellip;', '&hellip;');
	
	include CHEMIN.DATAREP.'config.inc';
	$sp0 = $nom[5]; 
	$sp1 = $nom[15];
	$s19 = $site[19];
	include CONFIG;
	include CHEMIN.INCREP.'lang/'.$lang[0].'-admin.inc';
	$fb0 = utf8_decode($admin[275]);
    $ed0 = utf8_decode($admin[8]);
    $ft0 = utf8_decode($admin[14]);
	$fb1 = $ed1 = $ft1 = '';
	if (!empty($lang[1])) {
		include CHEMIN.INCREP.'lang/'.$lang[1].'-admin.inc';
		$fb1 = utf8_decode($admin[275]);
		$ed1 = utf8_decode($admin[8]);
		$ft1 = utf8_decode($admin[14]);
	}
	include CHEMIN.INCREP.'lang/'.$lng.'-admin.inc';
	$docra   = ReadDBFields(CHEMIN.DATAREP.'ra.dtb');
	$docrb   = ReadDBFields(CHEMIN.DATAREP.'rb.dtb');
	$ids     = ReadDBFields(CHEMIN.DATAREP.'docid.dtb');
	$docsids = array();
	for ($i = $deb; $i < $fin; $i++) $docids[] = $ids[$i];
    $to_reindex = array(); // liste des types de documents à reindexer
	$lst_box    = array(); // correspondance type||id||titre des boîtes créées
	if (is_file(TEMPREP.'boxes.dtb')) $lst_box = ReadDBFields(TEMPREP.'boxes.dtb');
	foreach($docids as $doc) {
		$docfile = CHEMIN.DATAREP.'doc'.$doc[1].'.inc';
		if ($doc[2] != 'd' && is_file($docfile)) {
			$fieldweb = $fieldmail = $fieldmod = '';
			include $docfile;
			$bpos = NULL;
			// pour mémoriser les types de documents à reindexer
			if (in_array($type, array('ed', 'sp', 'f1', 'f2', 'f3', 'f4', 'ft'))) 
				$to_reindex[$type] = 'fb';
            else
				$to_reindex[$type] = $type; 
			if (in_array($type, array('ed', 'sp', 'f1', 'f2', 'f3', 'f4', 'ft'))) {
                if ('' == $fieldc1.$fieldc2) continue; // contenu vide -> pas de boîte
				if (in_array($type, array('f1', 'f2', 'f3', 'f4'))) {
                    $fieldb1 = '' == $fieldb1 ? $fb0.' '.substr($type, 1) : $fieldb1;
                    $fieldb2 = '' == $fieldb2 ? $fb1.' '.substr($type, 1) : $fieldb2;
                    $fielda1 = 'LR';
					$bpos    = 'boxfree'.substr($type, 1);
                } elseif ($type == 'ed') {
					$fieldb1 = utf8_decode('§§').$ed0;
					$fieldb2 = utf8_decode('§§').$ed1;
                    $fielda1 = 'E';
					$bpos    = 'boxhome';
				} elseif ($type == 'ft') {
					$fieldb1 = utf8_decode('§§').$ft0;
					$fieldb2 = utf8_decode('§§').$ft1;
                    $fielda1 = 'B';
					$bpos    = 'boxfoot';
				} elseif ($type == 'sp') {
					$fieldb1 = $sp0;
					$fieldb2 = $sp1;					
                    $fielda1 = 'E';
					$bpos    = 'boxspec';
				}
				$type = 'fb';
				if ($bpos !== NULL) $lst_box[] = array($type, $fileid, $bpos);
			} elseif ($type == TYP_ART && !empty($fieldd1) && $fieldd1 != 'left' && $fieldd1 != 'right') {
                $am = explode('.', $fieldd1);
				$fieldd1 = 'extra';
                if ('am' == $am[0]) {
                    $fieldd1 = 'am.'.$am[1].'.'.$am[2];
                    $amdata = AjouteMenu_getOption($am[1], $am[2]);
                    if (FALSE !== $amdata) {
                        $fielda1 = '***' == $amdata[0] ? '' : $amdata[0]; // catégories
                        $fielda2 = '***' == $amdata[1] ? '' : $amdata[1];
                        $fieldb1 = $amdata[2]; // titres
                        $fieldb2 = $amdata[3];
                    } else {
                        $am = explode(' - ', $fieldb1);
                        if (2 == count($am)) {
                            $fieldb1 = $am[1];
                            $fielda1 = $am[0] == '***' ? '' : $am[0];
                        }
                        if (' - ' == $fieldb2) $fieldb2 = '';
                        $am = explode(' - ', $fieldb2);
                        if (2 == count($am)) {
                            $fieldb2 = $am[1];
                            $fielda2 = $am[0] == '***' ? '' : $am[0];
                        }
                    }
                    unset($am, $amdata);
                }
            } elseif ($type == TYP_ART && empty($fieldd1))
				$fieldd1 = 'left';
			if ($type == TYP_DNLOAD) {
				if (is_file(CHEMIN.$fieldd1)) {
					$checksum = md5(@file_get_contents(CHEMIN.$fieldd1));
					$fieldd1 .= CONNECTOR.$checksum;
				} else
					$fieldd1 .= CONNECTOR.'-1';
				if (is_file(CHEMIN.$fieldd2)) {
					$checksum = md5(@file_get_contents(CHEMIN.$fieldd2));
					$fieldd2 .= CONNECTOR.$checksum;
				} else
					$fieldd2 .= CONNECTOR.'-1';
			}
			if ($type == TYP_REACT) {
				for($i = 0; $i < count($docra); $i++)
					if ($docra[$i][0] == $fileid) {
						$fielda2 = $docra[$i][1];
						break;
					}
			}
			if ($type == TYP_REBLOG) {
				for($i = 0; $i < count($docrb); $i++)
					if ($docrb[$i][0] == $fileid) {
						$fielda2 = $docrb[$i][1];
						break;
					}
			}
			if ($type == TYP_AGENDA) {	
				$frm = substr($s19, 0, 1) != '' ? substr($s19, 0, 1) : 'E';
				switch ($frm) {
				case 'E' :
					$an   = substr($fielda1, 6, 4);
					$mois = substr($fielda1, 3, 2);
					$jour = substr($fielda1, 0, 2);
					break;
				case 'U' :
					$an   = substr($fielda1, 6, 4);
					$mois = substr($fielda1, 0, 2);
					$jour = substr($fielda1, 3, 2);
					break;
				case 'C' :
					$an   = substr($fielda1, 0, 4);
					$mois = substr($fielda1, 5, 2);
					$jour = substr($fielda1, 8, 2);
					break;
				}
				$fielda1 = date('YmdHi', mktime(0, 0, 0, intval($mois), intval($jour), intval($an)));
			}
            if (in_array($type, array(TYP_NEWS, TYP_BLOG, TYP_GUESTBK, TYP_FORUM, TYP_THREAD, TYP_REACT, TYP_REBLOG))) {
                $fieldd1 = $fieldd1 == 'on' ? '' : 'on';
            }
			if ($type !== NULL) {
				$data     = array_fill(0, 18, '');
				$data[0]  = $type;
				$data[2]  = $status;
				$data[3]  = $creadate;
				$data[4]  = $moddate;
				$data[5]  = (isset($author) && '' != $author) ? KeepGoodChars($author) : 'webmaster';
				$data[6]  = (isset($email) && '' != $email) ? $email : 'webmaster@guppy.cms';
				$data[7]  = utf8_encode(str_replace($pats, $patr, $fielda1));
				$data[8]  = utf8_encode(str_replace($pats, $patr, $fielda2));
				$data[9]  = utf8_encode(str_replace($pats, $patr, $fieldb1));
				$data[10] = utf8_encode(str_replace($pats, $patr, $fieldb2));
				$data[11] = utf8_encode(str_replace($pats, $patr, $fieldc1));
				$data[12] = utf8_encode(str_replace($pats, $patr, $fieldc2));
				$data[13] = utf8_encode($fieldd1);
				$data[14] = addslashes(utf8_encode($fieldd2));
				$data[15] = $fieldweb;
				$data[16] = $fieldmail;
				$data[17] = $fieldmod;
				WriteCounter(NEXTID, $fileid -1);
				$id = ActionOnFields('migr', $data, FALSE);
				unset($data);
				if ($type == TYP_ART) {
					for($i = 0; $i < count($docra); $i++)
						if ($docra[$i][1] == $fileid) {
							$docra[$i][1] = $id;
							break;
						}
				}
				if ($type == TYP_BLOG) {
					for($i = 0; $i < count($docrb); $i++)
						if ($docrb[$i][1] == $fileid) {
							$docrb[$i][1] = $id;
							break;
						}
				}
				if (is_file(CHEMIN.DATAREP.'doc'.$doc[1].'.dtb'))
					copy(CHEMIN.DATAREP.'doc'.$doc[1].'.dtb', DBCOUNT.TestFileId($doc[1]).DBEXT);
				if (is_file(CHEMIN.DATAREP.'ipdoc'.$doc[1].'.dtb'))
					copy(CHEMIN.DATAREP.'ipdoc'.$doc[1].'.dtb', DBIPBASE.TestFileId($doc[1]).DBEXT);
			}
		}
	}

    // reindexation des types de documents
    foreach ($to_reindex as $type)
        ActionOnfields('reindex', array(0 => $type));

	WriteDBFields(TEMPREP.'boxes.dtb', $lst_box);
}

function MigrateDatas246() {
	set_time_limit(0);
	
    global $user, $site, $lang, $urlrw, $lng;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	
	$pats = array(chr(146), chr(128), chr(140), chr(156), chr(138), chr(154), '&#8230;', '&#x2026;', '&#133;'); 
	$patr = array('&rsquo;', '&euro;', '&OElig;', '&oelig;', '&Scaron;', '&scaron;', '&hellip;', '&hellip;', '&hellip;');
	
	include CHEMIN.DATAREP.'config.inc';
	$left0  = utf8_encode($nom[4]);
	$left1  = utf8_encode($nom[14]);
	$right0 = utf8_encode($nom[30]);
	$right1 = utf8_encode($nom[31]);
	include CONFIG;
	include CHEMIN.INCREP.'lang/'.$lng.'-admin.inc';
	$lst_box = array(); // correspondance type||id||titre des boîtes créées
	if (is_file(TEMPREP.'boxes.dtb')) $lst_box = ReadDBFields(TEMPREP.'boxes.dtb');
	
	if (is_file(CHEMIN.DATAREP.'frcat.dtb')) {
		copy(CHEMIN.DATAREP.'frcat.dtb', DBFORUMCAT);
		$frcat = ReadDbFields(DBFORUMCAT);
		for ($i = 0; $i < count($frcat); $i++) {
			$cat = strtolower($frcat[$i][0]);
			if (substr($cat, 0, 2) == 'pr') $cat = substr($cat, 2).',all_members';
			$frcat[$i][0] = $cat;
			$frcat[$i][1] = utf8_encode(str_replace($pats, $patr, $frcat[$i][1]));
			$frcat[$i][2] = utf8_encode(str_replace($pats, $patr, $frcat[$i][2]));
			$frcat[$i][3] = utf8_encode(str_replace($pats, $patr, $frcat[$i][3]));
			$frcat[$i][4] = utf8_encode(str_replace($pats, $patr, $frcat[$i][4]));
		}
		WriteDBFields(DBFORUMCAT, $frcat);
	}
	if (is_file(CHEMIN.DATAREP.'fr.dtb')) {
		@unlink(DBFORUM);
		copy(CHEMIN.DATAREP.'fr.dtb', DBFORUM);
		$fr = ReadDbFields(DBFORUM);
		for ($i = 0; $i < count($fr); $i++) {
			$fr[$i][5]  = utf8_encode(str_replace($pats, $patr, $fr[$i][5]));
			$fr[$i][13] = 'fr';
		}
		WriteDBFields(DBFORUM, $fr);
	}
	if (is_file(CHEMIN.DATAREP.'frcount.dtb'))
		copy(CHEMIN.DATAREP.'frcount.dtb', DBFORUMCOUNTER);
	if (is_file(CHEMIN.DATAREP.'ru.inc')) {
		include CHEMIN.DATAREP.'ru.inc';
		$rules1 = addslashes(utf8_encode(ReplaceDolar(str_replace($pats, $patr, $rules1))));
		$rules2 = addslashes(utf8_encode(ReplaceDolar(str_replace($pats, $patr, $rules2))));
        $txt    = "<?php
\$rule1 = stripslashes(\"$rules1\");
\$rule2 = stripslashes(\"$rules2\");
";
        WriteFullDB(DBRULES,$txt);
	}
		
    $to_reindex = array(); // liste des types de documents à reindexer
    
	// création des menus d'après l'index des articles
	$docids = ReadDBFields(DBART);
	$mnuids = array();
	$mnus   = array();
	$nmnu   = 0;
	foreach($docids as $doc) {
        $am  = explode('.', $doc[5]);
        $am1 = 'am.'.$am[1];
		if (!empty($doc[5]) && !in_array($am1, $mnus)) {			
			$mnus[] = $am1;
			$nmnu++;
			$name0 = 'Menu extra';
			$name1 = 'Extra menu';
            $note0 = $note1 = '';
			$bpos  = NULL;
            $typemenu = 3;
			if ($doc[5] == 'left') {
				$name0 = $left0;
				$name1 = $left1;
				$bpos  = 'boxartg';
			}
            elseif ($doc[5] == 'right') {
				$name0 = $right0;
				$name1 = $right1;
				$bpos  = 'boxartd';
			}
            else {
                if ('am' == $am[0]) {
					$bpos     = 'sidebox'.$am[1];
                    $amdata   = AjouteMenu_getBox($am[1]);
                    $name0    = utf8_encode(str_replace($pats, $patr, ('' == $amdata['name0']) ? $name0.' '.$am[1] :  $amdata['name0']));
                    $name1    = utf8_encode(str_replace($pats, $patr, ('' == $amdata['name1']) ? $name1.' '.$am[1] :  $amdata['name1']));
                    $note0    = utf8_encode(str_replace($pats, $patr, $amdata['note0']));
                    $note1    = utf8_encode(str_replace($pats, $patr, $amdata['note1']));
                    $typemenu = $amdata['typemenu'];
                }
            }
			$data     = array_fill(0, 18, '');
			$data[0]  = 'mb';
			$data[2]  = 'a';
			$data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
			$data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
			$data[7]  = 'LR';
			$data[9]  = $name0;
			$data[10] = $name1;
			$data[11] = $note0;
			$data[12] = $note1;
			$data[15] = $typemenu;
			$id       = ActionOnFields('migr', $data);
			unset($data);
			$mnuids[] = $am1.CONNECTOR.$id;
			if ($bpos !== NULL) $lst_box[] = array('mb', $id, $bpos);
            $to_reindex['mb'] = 'mb';
		}
	}
    // création options de menu pour les articles
    $amdir = CHEMIN.'data/plugins/ajoutemenu';
	for($i = 0; $i < count($docids); $i++) {
        $am  = explode('.', $docids[$i][5]);
        $am1 = 'am.'.$am[1];
		if (in_array($am1, $mnus)) {
			$id  = 0;
			foreach($mnuids as $mnu) {
				$art = explode(CONNECTOR, $mnu);
				if ($art[0] == $am1) {
					$id = $art[1];
					break;
				}
			}
            $ok = true;
            if (is_file($amdir.'/menu'.$am[1].'.dtb')) {
                $items = ReadDBFields($amdir.'/menu'.$am[1].'.dtb');
                $ok = false;
                foreach($items as $item) {
                    if ($item[4] == $am[2]) {
                        $ok = true;
                        break;
                    }
                }
            }
			if ($id > 0 && $ok) {
				$data     = array_fill(0, 18, '');
				$data[0]  = 'om';
				$data[2]  = 'a';
    			$data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
    			$data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
				$data[7]  = $docids[$i][0];
				$data[8]  = $docids[$i][1];
				$data[9]  = $docids[$i][2];
				$data[10] = $docids[$i][3];
				$data[11] = '_self';
				$data[13] = 'articles.php?lng='.$lang[0].'&pg='.$docids[$i][4].'&mnuid='.$id.'&tconfig=0||'.$lang[0].'-'.$urlrw[20].'-103-'.$docids[$i][4].'-'.$id.'-0';
				$data[14] = 'articles.php?lng='.$lang[1].'&pg='.$docids[$i][4].'&mnuid='.$id.'&tconfig=0||'.$lang[1].'-'.$urlrw[20].'-103-'.$docids[$i][4].'-'.$id.'-0';
				$data[15] = $id;
				$data[16] = '0';
				$opt      = ActionOnFields('migr', $data);
				unset($data);
                $to_reindex['om'] = 'om';
				// maj article
				include DBBASE.TestFileId($docids[$i][4]).INCEXT;
                $fielda1 = addslashes($fielda1);
                $fielda2 = addslashes($fielda2);
                $fieldb1 = addslashes($fieldb1);
                $fieldb2 = addslashes($fieldb2);
                $fieldc1 = addslashes($fieldc1);
                $fieldc2 = addslashes($fieldc2);
				$fieldd1 = 'MNU '.$id;
                $fieldd2 = addslashes($fieldd2);
				WriteDoc();
				// maj index articles
				$docids[$i][5] = 'MNU '.$id;
                $to_reindex['ar'] = 'ar';
			}
		}
	}
	WriteDBFields(DBART, $docids);
    // menus et options pour les liens non-articles
    if (is_dir($amdir)) {
        $amboxes = scandir($amdir);
        foreach($amboxes as $ambox) {
            if (substr($ambox, 0, 4) == 'menu') {
                $mnu = substr($ambox, 4, -4);
                $id  = 0;
                foreach($mnuids as $mnuid) {
                    $art = explode(CONNECTOR, $mnuid);
                    $opt = explode('.', $art[0]);
                    if ($opt[1] == $mnu) {
                        $id = $art[1];
                        break;
                    }
                }
                if ($id == 0) {
                    $bpos     = 'sidebox'.$mnu;
                    $amdata   = AjouteMenu_getBox($mnu);
                    $name0    = utf8_encode(str_replace($pats, $patr, ('' == $amdata['name0']) ? $name0.' '.$mnu :  $amdata['name0']));
                    $name1    = utf8_encode(str_replace($pats, $patr, ('' == $amdata['name1']) ? $name1.' '.$mnu :  $amdata['name1']));
                    $note0    = utf8_encode(str_replace($pats, $patr, $amdata['note0']));
                    $note1    = utf8_encode(str_replace($pats, $patr, $amdata['note1']));
                    $typemenu = $amdata['typemenu'];
                    $data     = array_fill(0, 18, '');
                    $data[0]  = 'mb';
                    $data[2]  = 'a';
                    $data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
                    $data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
                    $data[7]  = 'LR';
                    $data[9]  = $name0;
                    $data[10] = $name1;
                    $data[11] = $note0;
                    $data[12] = $note1;
                    $data[15] = $typemenu;
                    $id       = ActionOnFields('migr', $data);
                    unset($data);
                    $mnuids[] = 'am'.$mnu.'0'.CONNECTOR.$id;
                    if ($bpos !== NULL) $lst_box[] = array('mb', $id, $bpos);
                    $to_reindex['mb'] = 'mb';
                }
                // création option de menu non articles
                $items = ReadDBFields($amdir.'/'.$ambox);
                foreach($items as $item) {
                    if ('a' == $item[5] && false === strpos($item[6], 'articles')) {
                        $data     = array_fill(0, 18, '');
                        $data[0]  = 'om';
                        $data[2]  = 'a';
                        $data[3]  = $item[10];
                        $data[4]  = $item[10];
                        $data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
                        $data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
                        $data[7]  = utf8_encode(str_replace($pats, $patr, $item[0]));
                        $data[8]  = utf8_encode(str_replace($pats, $patr, $item[1]));
                        $data[9]  = utf8_encode(str_replace($pats, $patr, $item[2]));
                        $data[10] = utf8_encode(str_replace($pats, $patr, $item[3]));
                        $data[11] = $item[8] == 0 ? '_self' : '_blank';
                        $data[12] = $item[11];
                        $data[13] = $item[6];
                        $data[14] = $item[7];
                        $data[15] = $id;
                        $data[16] = '0';
                        $optmnu   = ActionOnFields('migr', $data);
                        unset($data);
                        $to_reindex['om'] = 'om';
                    }
                }
                unset($items);
            }
        }
    }
    // mise à jour de l'index arom.dtb
    $aom = SelectDBFieldsByNotStatus(SelectDBFieldsByType(ReadDBFields(DOCID), TYP_OPTMENU), 'd');
    $dbw = array();
    foreach($aom as $om) {
        $fid = TestFileID($om[1]);
        if (FileDBExist(DBBASE.$fid.INCEXT)) {
            include DBBASE.$fid.INCEXT;
            $flds = explode(CONNECTOR, $lng == $lang[0] ? $fieldd1 : $fieldd2);
            $fld  = $flds[0];
            if (strpos($fld, 'articles.php') !== false) {
                $pg    = substr($fld, strpos($fld, 'pg=') + 3);
                $pos   = strpos($pg, '&');
                $pg    = $pos === false ? $pg : substr($pg, 0, $pos);
                $menus = SelectDBFieldsByField(ReadDBFields(DBMENUBOX), 4, $fieldweb);
                $pos   = strpos($fielda1, '-->');
                $flda1 = substr($fielda1, ($pos !== false ? $pos + 3 : 0));
                $pos   = strpos($fielda2, '-->');
                $flda2 = substr($fielda2, ($pos !== false ? $pos + 3 : 0));
                $pos   = strpos($menus[0][2], '-->');
                $mnus2 = substr($menus[0][2], ($pos !== false ? $pos + 3 : 0));
                $pos   = strpos($menus[0][3], '-->');
                $mnus3 = substr($menus[0][3], ($pos !== false ? $pos + 3 : 0));
                $dbw[] = array($pg, $om[1], $fieldweb, $mnus2, $mnus3, $flda1, $flda2);
            }
        }
    }
    WriteDBFields(DBARTMENU, $dbw);
    
    // Récupération des boîtes AjouteFreeBox
    if (is_dir(CHEMIN.'data/plugins/ajoutefreebox')) {
        for ($ibox = 0; $ibox < 1000; $ibox++) {
            $afb = AjouteFreebox_getBox($ibox);
            if (FALSE !== $afb) {
				$afb[9]  = utf8_encode(str_replace($pats, $patr, $afb[9]));
				$afb[10] = utf8_encode(str_replace($pats, $patr, $afb[10]));
				$afb[11] = utf8_encode(str_replace($pats, $patr, $afb[11]));
				$afb[12] = utf8_encode(str_replace($pats, $patr, $afb[12]));
				$id = ActionOnFields('migr', $afb);
                $to_reindex['fb'] = 'fb';
				unset($afb);
				$lst_box[] = array('fb', $id, 'sidebox'.$ibox);
            }
        }
    }
	WriteDBFields(TEMPREP.'boxes.dtb', $lst_box);
    
    // reindexation des types de documents
    foreach ($to_reindex as $type)
        ActionOnfields('reindex', array(0 => $type));
}

function MigrateDatas346() {	
	set_time_limit(0);
	
    global $user, $site, $lang, $urlrw, $lng;
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
	
	$pats = array(chr(146), chr(128), chr(140), chr(156), chr(138), chr(154), '&#8230;'); 
	$patr = array('&rsquo;', '&euro;', '&OElig;', '&oelig;', '&Scaron;', '&scaron;', '&hellip;');
		
    $to_reindex = array(); // liste des types de documents à reindexer
		
	// récupération des diaporamas
    if (is_dir(CHEMIN.'data/plugins/diaporama')) {
		$gals = Diaporama_getDiaporamas();
		if ($gals !== false) {
			foreach ($gals as $gal) {
				$dir = CHEMIN.$gal[5];
				if (is_dir($dir)) {					
					$data     = array_fill(0, 18, '');
					$data[0]  = 'ph';
					$data[2]  = 'a';
					$data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
					$data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
					$data[7]  = utf8_encode(str_replace($pats, $patr, $gal[1]));
					$data[8]  = utf8_encode(str_replace($pats, $patr, $gal[2]));
					$data[9]  = utf8_encode(str_replace($pats, $patr, $gal[3]));
					$data[10] = utf8_encode(str_replace($pats, $patr, $gal[4]));
					$data[11] = utf8_encode(str_replace($pats, $patr, $gal[3]));
					$data[12] = utf8_encode(str_replace($pats, $patr, $gal[4]));
					$id = ActionOnFields('migr', $data);
                    $to_reindex['ph'] = 'ph';
					
					SetChmod($dir);
					@rename($dir, PHOTOREP.'gal_'.$id);
                    $dir = CHEMIN.$gal[6];
					if (is_dir($dir)) {
						SetChmod($dir);
						@rename($dir, PHOTOREP.'gal_'.$id.'/vgnt');
					} else {
						Makedir(PHOTOREP.'gal_'.$id.'/vgnt');
						@copy(PHOTOREP.'gal_'.$id.'/index.php', $dir.'/index.php');
					}
								
					if (is_file(CHEMIN.'data/plugins/diaporama/comment'.$gal[0].'.dtb')) {
						$imgs = ReadDBFields(CHEMIN.'data/plugins/diaporama/comment'.$gal[0].'.dtb');
						for ($i=0; $i<count($imgs); $i++) {
							$imgs[$i][1] = utf8_encode(str_replace($pats, $patr, $imgs[$i][1]));
							$imgs[$i][2] = utf8_encode(str_replace($pats, $patr, $imgs[$i][2]));
						}
					} else {
						$bad   = array('.', '..', 'vgnt', 'index.php');
						$nimgs = scandir(PHOTOREP.'gal_'.$id);
						$nimgs = array_diff($nimgs, $bad);
						$imgs  = array();
						foreach ($nimgs as $img) $imgs[] = array($img, '-', '-', '');
					}
					$n      = 0;
					$wmax   = intval($gal[7]);
					$hmax   = intval($gal[8]);
					$wmax   = $vmax > 0 ? $vmax : 100;
					$hmax   = $hmax > 0 ? $hmax : 100;
					$galimg = array();
					foreach ($imgs as $img) {
						list($wimg, $himg, $typimg) = @getimagesize(PHOTOREP.'gal_'.$id.'/'.$img[0]);
						if (intval($vimg) <= 0) $vimg = $vmax;
						if (intval($himg) <= 0) $himg = $hmax;
						if ($wimg > $himg) {
							$wmin = $wmax;
							$hmin = $wimg > 0 ? ceil($himg * $wmax / $wimg) : 100;
							if ($hmin > $hmax) {
								$wmin = $hmin > 0 ? ceil($wmin * $hmax / $hmin) : 100;
								$hmin = $hmax;
							}
						} else {
							$hmin = $hmax;        
							$wmin = $himg > 0 ? ceil($wimg * $hmax / $himg) : 100;
							if ($wmin > $wmax) {
								$hmin = $wmin > 0 ? ceil($hmin * $wmax / $wmin) : 100;
								$wmin = $wmax;
							}
						}
						$n++;
                        /// ajout des stripslashes
						$galimg[] = array($n, 'a', $img[0], $wmin, $hmin, stripslashes($img[1]), stripslashes($img[2]), $wimg, $himg);
					}
					WriteDBFields(PHOTOREP.'gal_'.$id.'/gal_'.$id.'.dtb', $galimg);
					$mettre = "<?php
if (stristr(\$_SERVER[\"SCRIPT_NAME\"], \"params_".$id.".inc\")) {
    header(\"location:../index.php\");
    die();
}

\$param1 = stripslashes(\"10\"); // Nombre maximum de miniatures par galerie
\$param2 = stripslashes(\"".$gal[7]."\"); // Largeur maximum d'une miniature
\$param3 = stripslashes(\"".$gal[8]."\"); // Hauteur maximum d'une miniature
\$param4 = stripslashes(\"".(strpos($gal[13], 'lytebox') !== false ? 'lytebox' : 'lightbox')."\"); // Choix effet pour le phototrama
\$param5 = stripslashes(\"4\"); // Intervalle entre diapos en secondes
\$param6 = stripslashes(\"".$gal[10]."\"); // Nombre maximum de miniatures par ligne
\$param7 = stripslashes(\"".($gal[11]+$gal[12]+$gal[12])."\"); // Espace en pixels entre les miniatures
\$param8 = stripslashes(\"C\"); // Position des miniatures L / C / R
\$param9 = stripslashes(\"\"); // Inclure dans le slishow on/off
\$param10 = stripslashes(\"\"); // Galerie indépendante on/off

?>";
					WriteFullDB(PHOTOREP.'gal_'.$id.'/params_'.$id.INCEXT, $mettre);
				}
			}
		}
	}
    
	// récupération des iconframes
    if (is_dir(CHEMIN.'data/plugins/iconeframe')) {
        $icons = IFrame_getIcons();
        if ($icons !== false) {
            foreach ($icons as $key => $icon) {
                if ($icon['withiframe'] == 0) {
                    $border   = $icon['noborder'] == 'on' ? ' frameborder="0"' : '';
                    $txtav1   = empty($icon['txtav1']) ? '' : '<div>'.nl2br(ForceToAbsolute(utf8_encode($icon['txtav1']))).'</div>';
                    $txtav2   = empty($icon['txtav2']) ? '' : '<div>'.nl2br(ForceToAbsolute(utf8_encode($icon['txtav2']))).'</div>';
                    $txtap1   = empty($icon['txtap1']) ? '' : '<div>'.nl2br(ForceToAbsolute(utf8_encode($icon['txtap1']))).'</div>';
                    $txtap2   = empty($icon['txtap2']) ? '' : '<div>'.nl2br(ForceToAbsolute(utf8_encode($icon['txtap2']))).'</div>';
                    $data     = array_fill(0, 18, '');
                    $data[0]  = 'ar';
                    $data[2]  = 'a';
                    $data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
                    $data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
                    $data[9]  = utf8_encode($icon['titre1']);
                    $data[10] = utf8_encode($icon['titre2']);
                    $data[11] = $txtav1.'<iframe src="'.$icon['url1'].'" width="'.$icon['larg'].'" height="'.$icon['haut'].$border.'"></iframe>'.$txtap1;
                    $data[12] = $txtav2.'<iframe src="'.$icon['url2'].'" width="'.$icon['larg'].'" height="'.$icon['haut'].$border.'"></iframe>'.$txtap2;
                    $data[13] = 'none';
                    $data[15] = $icon['norightcol'].$icon['noleftcol'] == 'onon' ? 'W' : ($icon['noleftcol'] == 'on' ? 'R' : ($icon['norightcol'] == 'on' ? 'L' : 'S'));
                    $data[16] = '0';
                    $data[17] = $icon['prvgrp'] == 'on' ? 'all_members' : '';
                    $id = ActionOnFields('migr', $data);
                    $icon['url1'] = 'articles.php?lng='.$lang[0].'&amp;pg='.$id;
                    $icon['url2'] = 'articles.php?lng='.$lang[1].'&amp;pg='.$id;
                    $to_reindex['ar'] = 'ar';
                }
                $data     = array_fill(0, 18, '');
                $data[0]  = 'mi';
                $data[2]  = 'a';
                $data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
                $data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
                $data[7]  = 'ificon'.$key;
                $data[9]  = utf8_encode($icon['iconame1']);
                $data[10] = utf8_encode($icon['iconame2']);
                $data[11] = $icon['withiframe'] == 0 || $icon['withiframe'] == 1 ? '_self' : ($icon['withiframe'] == 2 ? '_blank' : '_POPUP');
                $data[12] = '../inc/img/icons/ico_1/links.gif';
                $data[13] = $icon['url1'];
                $data[14] = $icon['url2'];
                $data[15] = 'ALL';
                $data[17] = $icon['prvgrp'] == 'on' ? 'all_members' : '';
                $id = ActionOnFields('migr', $data);
				$to_reindex['mi'] = 'mi';
            }
        }
    }
    
    // reindexation des types de documents
    foreach ($to_reindex as $type)
        ActionOnfields('reindex', array(0 => $type));
	
	// sondage
	if (is_file(CHEMIN.DATAREP.'poll.dtb')) {
		$poll = ReadDBFields(CHEMIN.DATAREP.'poll.dtb');
		for ($i = 0; $i < count($poll); $i++) {
			$poll[$i][0] = utf8_encode($poll[$i][0]);
			$poll[$i][1] = utf8_encode($poll[$i][1]);
		}
		WriteDBFields(DBPOLL, $poll);
	}
	if (is_file(CHEMIN.DATAREP.'ippoll.dtb'))
		copy(CHEMIN.DATAREP.'ippoll.dtb', DBIPPOLL);
    
    // récupération des contacts
    if (is_file(CHEMIN.'plugins/contact/inc/configs.dtb')) {
        DestroyDBFile(CONFIGREP.'ctconfigs.dtb');
        $contacts = ReadDBFields(CHEMIN.'plugins/contact/inc/configs.dtb');
        foreach ($contacts as $contact) {
            $ctname   = $contact[1] == 0 ? 'ctconfig' : $contact[0];
            $ctconfig = array($contact[1], $ctname, $contact[2], utf8_encode($contact[3]), utf8_encode($contact[4]));
            include CHEMIN.'plugins/contact/inc/config'.$contact[1].'.inc';
            $nbdest = count($fdest);
            $mettre = "<?php
if (stristr(\$_SERVER['SCRIPT_NAME'], '".$ctname.".inc')) {
    header('location:../index.php');
    die();
}

// libellé dans boîte latérale
\$ctlbl0 = stripslashes(\"".utf8_encode($contact[3])."\"); // 1ère langue
\$ctlbl1 = stripslashes(\"".utf8_encode($contact[4])."\"); // 2ème langue
// adresses mail
\$fdest[0] = stripslashes(\"$fdest[0]\"); // email en copie
\$fdest[1] = stripslashes(\"$fdest[1]\"); // email destinataire par défaut
//  Noms des rubriques en langue principale
\$fname[0] = stripslashes(\"".utf8_encode($fname[0])."\"); // Choix destinataire
\$fname[1] = stripslashes(\"".utf8_encode($fname[1])."\"); // Nom destinataire par défaut";
            for ($d = 2; $d < $nbdest; $d++)
                if ($fdest[$d] != '' && $fname[$d] != '') $mettre .= "
\$fname[$d] = stripslashes(\"".utf8_encode($fname[$d])."\"); // Nom destinataire $d";
            $mettre .= "
\$fmail[1] = stripslashes(\"".utf8_encode($fmail[1])."\"); // Pseudo expéditeur
\$fmail[2] = stripslashes(\"$fmail[2]\"); // e-mail expéditeur
\$ftxt[1] = stripslashes(\"".utf8_encode($ftxt[1])."\"); // 1er champ texte
\$ftxt[2] = stripslashes(\"".utf8_encode($ftxt[2])."\"); // 2ème champ texte
\$ftxt[3] = stripslashes(\"".utf8_encode($ftxt[3])."\"); // 3ème champ texte
\$ftxt[4] = stripslashes(\"".utf8_encode($ftxt[4])."\"); // 4ème champ texte
\$ftxt[5] = stripslashes(\"".utf8_encode($ftxt[5])."\"); // 5ème champ texte
\$ftxt[6] = stripslashes(\"".utf8_encode($ftxt[6])."\"); // 6ème champ texte
\$fsel[0] = stripslashes(\"".utf8_encode($fsel[0])."\"); // Champ select
\$fsel[1] = stripslashes(\"".utf8_encode($fsel[1])."\"); // Option 1
\$fsel[2] = stripslashes(\"".utf8_encode($fsel[2])."\"); // Option 2
\$fsel[3] = stripslashes(\"".utf8_encode($fsel[3])."\"); // Option 3
\$fsel[4] = stripslashes(\"".utf8_encode($fsel[4])."\"); // Option 4
\$frad[0] = stripslashes(\"".utf8_encode($frad[0])."\"); // Champ bouton radio
\$frad[1] = stripslashes(\"".utf8_encode($frad[1])."\"); // Choix 1
\$frad[2] = stripslashes(\"".utf8_encode($frad[2])."\"); // Choix 2
\$frad[3] = stripslashes(\"".utf8_encode($frad[3])."\"); // Choix 3
\$frad[4] = stripslashes(\"".utf8_encode($frad[4])."\"); // Choix 4
\$fchk[0] = stripslashes(\"".utf8_encode($fchk[0])."\"); // Champ checkbox
\$fchk[1] = stripslashes(\"".utf8_encode($fchk[1])."\"); // Choix 1
\$fchk[2] = stripslashes(\"".utf8_encode($fchk[2])."\"); // Choix 2
\$fchk[3] = stripslashes(\"".utf8_encode($fchk[3])."\"); // Choix 3
\$fchk[4] = stripslashes(\"".utf8_encode($fchk[4])."\"); // Choix 4
\$fmes[1] = stripslashes(\"".utf8_encode($fmes[1])."\"); // Champ message
//  Rubric names in secondary language
\$f2name[0] = stripslashes(\"".utf8_encode($f2name[0])."\"); // Choice of receiver
\$f2name[1] = stripslashes(\"".utf8_encode($f2name[1])."\"); // Name of default receiver";
            for ($d = 2; $d < $nbdest; $d++)
                if ($fdest[$d] != '' && $fname[$d] != '' && $f2name[$d] != '') $mettre .= "
\$f2name[$d] = stripslashes(\"".utf8_encode($f2name[$d])."\"); // Nom destinataire $d";
            $mettre .= "
\$fmail[11] = stripslashes(\"".utf8_encode($fmail[11])."\"); // Nickname sender
\$fmail[12] = stripslashes(\"$fmail[12]\"); // e-mail sender
\$ftxt[11] = stripslashes(\"".utf8_encode($ftxt[11])."\"); // 1st text area
\$ftxt[12] = stripslashes(\"".utf8_encode($ftxt[12])."\"); // 2nd text area
\$ftxt[13] = stripslashes(\"".utf8_encode($ftxt[13])."\"); // 3rd text area
\$ftxt[14] = stripslashes(\"".utf8_encode($ftxt[14])."\"); // 4th text area
\$ftxt[15] = stripslashes(\"".utf8_encode($ftxt[15])."\"); // 5th text area
\$ftxt[16] = stripslashes(\"".utf8_encode($ftxt[16])."\"); // 6th text area
\$fsel[10] = stripslashes(\"".utf8_encode($fsel[10])."\"); // Select area
\$fsel[11] = stripslashes(\"".utf8_encode($fsel[11])."\"); // Option 1
\$fsel[12] = stripslashes(\"".utf8_encode($fsel[12])."\"); // Option 2
\$fsel[13] = stripslashes(\"".utf8_encode($fsel[13])."\"); // Option 3
\$fsel[14] = stripslashes(\"".utf8_encode($fsel[14])."\"); // Option 4
\$frad[10] = stripslashes(\"".utf8_encode($frad[10])."\"); // radio button area
\$frad[11] = stripslashes(\"".utf8_encode($frad[11])."\"); // Choice 1
\$frad[12] = stripslashes(\"".utf8_encode($frad[12])."\"); // Choice 2
\$frad[13] = stripslashes(\"".utf8_encode($frad[13])."\"); // Choice 3
\$frad[14] = stripslashes(\"".utf8_encode($frad[14])."\"); // Choice 4
\$fchk[10] = stripslashes(\"".utf8_encode($fchk[10])."\"); // Checkbox area
\$fchk[11] = stripslashes(\"".utf8_encode($fchk[11])."\"); // Choice 1
\$fchk[12] = stripslashes(\"".utf8_encode($fchk[12])."\"); // Choice 2
\$fchk[13] = stripslashes(\"".utf8_encode($fchk[13])."\"); // Choice 3
\$fchk[14] = stripslashes(\"".utf8_encode($fchk[14])."\"); // Choice 4
\$fmes[11] = stripslashes(\"".utf8_encode($fmes[11])."\"); // Message area
// activation des champs on / off /fix
\$chmail[1] = stripslashes(\"$chmail[1]\"); // Champ nom 
\$chmail[2] = stripslashes(\"$chmail[2]\"); // Champ email
\$chtxt[1] = stripslashes(\"$chtxt[1]\"); // 1er champ
\$chtxt[2] = stripslashes(\"$chtxt[2]\"); // 2ème champ
\$chtxt[3] = stripslashes(\"$chtxt[3]\"); // 3ème champ
\$chtxt[4] = stripslashes(\"$chtxt[4]\"); // 4ème champ
\$chtxt[5] = stripslashes(\"$chtxt[5]\"); // 5ème champ
\$chtxt[6] = stripslashes(\"$chtxt[6]\"); // 6ème champ
\$chsel[0] = stripslashes(\"$chsel[0]\"); // Select
\$chrad[0] = stripslashes(\"$chrad[0]\"); // Boutons radio
\$chchk[0] = stripslashes(\"$chchk[0]\"); // Checkbox
\$chmes[1] = stripslashes(\"$chmes[1]\"); // message
\$chfic[0] = stripslashes(\"$chfic[0]\"); // fichier joint
// contact par téléphone
\$ftel[0] = stripslashes(\"$ftel[0]\"); // on/off
\$ftel[1] = stripslashes(\"".addslashes(utf8_encode($ftel[1]))."\"); // texte en langue 1
\$ftel[11] = stripslashes(\"".addslashes(utf8_encode($ftel[11]))."\"); // text in language 2
// contact par courrier
\$flet[0] = stripslashes(\"$flet[0]\"); // on/off
\$flet[1] = stripslashes(\"".addslashes(utf8_encode($flet[1]))."\"); // texte en langue 1
\$flet[11] = stripslashes(\"".addslashes(utf8_encode($flet[11]))."\"); // text in language 2

\$far = stripslashes(\"$far\"); // receipt on/off
?>
";
            WriteFullDB(CONFIGREP.$ctname.INCEXT, $mettre);
            unset($fdest, $fname, $f2name);
            
            AppendDBFields(CONFIGREP.'ctconfigs.dtb', $ctconfig);
        }
    }
}

function MigrateArchives146() {
	set_time_limit(0);
	
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
		 
	if (is_file(CHEMIN.DATAREP.'archive/docid.dtb'))
		copy(CHEMIN.DATAREP.'archive/docid.dtb', DOCIDARCH);
	if (is_file(CHEMIN.DATAREP.'archive/frarch.dtb'))
		copy(CHEMIN.DATAREP.'archive/frarch.dtb', DBFORUMARCHDATE);
	if (is_file(CHEMIN.DATAREP.'archive/fr.dtb')) {
		copy(CHEMIN.DATAREP.'archive/fr.dtb', DBFORUMARCH);
		$fr = ReadDbFields(DBFORUMARCH);
		for ($i = 0; $i < count($fr); $i++) {
			$fr[$i][5] = utf8_encode($fr[$i][5]);
		}
		WriteDBFields(DBFORUMARCH, $fr);
	}
	if (is_file(CHEMIN.DATAREP.'archive/frth.dtb')) {
		copy(CHEMIN.DATAREP.'archive/frth.dtb', DBTHREADARCH);
		$frth = ReadDbFields(DBTHREADARCH);
		for ($i = 0; $i < count($frth); $i++) {
			$frth[$i][6] = utf8_encode($frth[$i][6]);
		}
		WriteDBFields(DBTHREADARCH, $frth);
	}
}

function MigrateArchives246($deb, $fin) {
	set_time_limit(0);
	
    global $type, $fileid, $status, $creadate, $moddate, $author, $email,
         $fielda1, $fielda2, $fieldb1, $fieldb2, $fieldc1, $fieldc2,
         $fieldd1, $fieldd2, $fieldweb, $fieldmail, $fieldmod;
		 
	if (is_file(CHEMIN.DATAREP.'archive/docid.dtb')) {
		$ids     = ReadDBFields(DOCIDARCH);
		$docsids = array();
		for ($i = $deb; $i < $fin; $i++) $docids[] = $ids[$i];
		foreach($docids as $doc) {
			$docfile = CHEMIN.DATAREP.'archive/doc'.$doc[1].'.inc';
			if ($doc[2] != 'd' && is_file($docfile)) {
				include $docfile;
				$fieldb1 = utf8_encode(addslashes($fieldb1));
				$fieldc1 = utf8_encode(addslashes($fieldc1));
				WriteDoc('mod', ARCHDBBASE);
				if (is_file(CHEMIN.DATAREP.'archive/doc'.$doc[1].'.dtb'))
					copy(CHEMIN.DATAREP.'archive/doc'.$doc[1].'.dtb', ARCHDBCOUNT.TestFileId($doc[1]).DBEXT);
				if (is_file(CHEMIN.DATAREP.'archive/ipdoc'.$doc[1].'.dtb'))
					copy(CHEMIN.DATAREP.'archive/ipdoc'.$doc[1].'.dtb', ARCHDBIPBASE.TestFileId($doc[1]).DBEXT);
			}
		}
	}
}

function MigrateStatsLogs46() {	
	set_time_limit(0);
	
	if (is_file(CHEMIN.DATAREP.'counter.dtb'))
		copy(CHEMIN.DATAREP.'counter.dtb', DBCOUNTER);
	if (is_file(CHEMIN.DATAREP.'stats.dtb'))
		copy(CHEMIN.DATAREP.'stats.dtb', DBSTATS);
	if (is_file(CHEMIN.DATAREP.'statsbk.dtb'))
		copy(CHEMIN.DATAREP.'statsbk.dtb', DBSTATSBK);
	if (is_file(CHEMIN.DATAREP.'ipstats.dtb'))
		copy(CHEMIN.DATAREP.'ipstats.dtb', DBIPSTATS);
	if (is_file(CHEMIN.DATAREP.'log_date.dtb'))
		copy(CHEMIN.DATAREP.'log_date.dtb', DBLOGDATE);
	if (is_file(CHEMIN.DATAREP.'log_stats.dtb'))
		copy(CHEMIN.DATAREP.'log_stats.dtb', DBLOGSTATS);
	if (is_file(CHEMIN.DATAREP.'logbook.dtb'))
		copy(CHEMIN.DATAREP.'logbook.dtb', DBLOGBOOK);
	if (is_file(CHEMIN.DATAREP.'logh.dtb')) {
		copy(CHEMIN.DATAREP.'logh.dtb', DBLOGH);
		$dbh = ReadDBFields(DBLOGH);
		$dbh[0] = array(date('H'), 'H', date('Y-m-d-H '));
	} else
		$dbh = InitDBlog(1);
	WriteDBFields(DBLOGH, $dbh);
	if (is_file(CHEMIN.DATAREP.'logd.dtb')) {
		copy(CHEMIN.DATAREP.'logd.dtb', DBLOGD);
		$dbd = ReadDBFields(DBLOGD);
		$dbd[0] = array(date('D'), 'D', date('Y-m-d'));
	} else
		$dbd = InitDBlog(24);
	WriteDBFields(DBLOGD, $dbd);
	if (is_file(CHEMIN.DATAREP.'logm.dtb')) {
		copy(CHEMIN.DATAREP.'logm.dtb', DBLOGM);
		$dbm = ReadDBFields(DBLOGM);
		$dbm[0] = array(date('M'), 'M', date('Y-m'));
	} else
		$dbm = InitDBlog(31);
	WriteDBFields(DBLOGM, $dbm);
	if (is_file(CHEMIN.DATAREP.'logy.dtb')) {
		copy(CHEMIN.DATAREP.'logy.dtb', DBLOGY);
		$dby = ReadDBFields(DBLOGY);
		$dby[0] = array(date('Y'), 'Y', date('Y'));
	} else
		$dby = InitDBlog(12);
	WriteDBFields(DBLOGY, $dby);
	if (is_file(CHEMIN.DATAREP.'logp.dtb')) {
		$dbp = ReadDBFields(CHEMIN.DATAREP.'logp.dtb');
		$dbp[0] = array($dbp[0][0], 'Y', $dbp[0][0]);
		WriteDBFields(OLDSSTATSREP.$dbp[0][0].DBEXT, $dbp);
	}
	if (is_file(CHEMIN.DATAREP.'logl.dtb')) {
		$dbl = ReadDBFields(CHEMIN.DATAREP.'logl.dtb');
		$dy = date('Y');
		$dy = ($dbl[0][0] == '12' ? $dy - 1 : $dy);
		$dbl[0] = array($dbp[0][0], 'M', $dy.'-'.$dbl[0][0]);
		WriteDBFields(OLDSSTATSREP.$dy.DBEXT, $dbl);
	}
}

function MigrateConfig46() {
	set_time_limit(0);
	
	global $lng, $meskin, $admin;
	
	include CHEMIN.DATAREP.'config.inc';
	$page14       = $page[14];
	$osite        = $site;
	$otexte       = $texte;
	$opage        = $page;
	$olang        = $lang;
	$ouser        = $user;
	$onom         = $nom;
	$oserviz      = $serviz;
	$oforum       = $forum;
	$omembers     = $members;
	$osupervision = $supervision;
	$oeditobox    = $editobox;
	$opage[14]    = 'no_skin';
	$opage[27]    = 'gene_1';
	$oserviz[44]  = 'on'; // mise du site en maintenance
	include CONFIG;
	$ix = array(0,1,2,3,4,5,6,7,8,9,10,12,13,15,16,19,20,21,22,23,24,25,26,27,28,29,30,31,32);
	foreach($ix as $i) $site[$i] = utf8_encode($osite[$i]);
	$ix = array(12,14,23,27);
	foreach($ix as $i) $page[$i] = utf8_encode($opage[$i]);
	$ix = array(0,1,2,3,6,7,8,9,10,11,12,13,16,17,18,19,20,21,22,23,24,25,26,27,28,29,32,33,34,35,36,37,38,39,40,41,42,43,44,45);
	foreach($ix as $i) $nom[$i] = utf8_encode($onom[$i]);
	$ix = array(0,1,2,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,24,27,29,30,31,32,33,34,35,36,37,39,40,41,42,43,44,46,47,48,50,51,52,53,54,55,56,57,58,59,60,61,62);
	foreach($ix as $i) $serviz[$i] = utf8_encode($oserviz[$i]);
	$ix = array(3,4,5,6,7,8,9);
	foreach($ix as $i) $forum[$i] = utf8_encode($oforum[$i]);
	$ix = array(0,1,2,3,4,5,6,7,8,9);
	foreach($ix as $i) $supervision[$i] = utf8_encode($osupervision[$i]);
	$ix = array(0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19);
	foreach($ix as $i) $members[$i] = isset($omembers[$i]) ? utf8_encode($omembers[$i]) : '';
	$ix = array(0,1,2,3,4);
	foreach($ix as $i) $user[$i] = utf8_encode($ouser[$i]);
	$lang  = $olang;
	$texte = $otexte;
	if (file_exists(CHEMIN.DATAREP.'cryptographp/cpconfig.inc')) {
		include CHEMIN.DATAREP.'cryptographp/cpconfig.inc';
		$st = '';
		$cp = array(9,2,3,4,5,6,7,8,10,11,12);
		$ix = array(88,89,90,91,92,93,94,95,96,97,98);
		for($i = 0; $i < 11; $i++) $serviz[$ix[$i]] = $cp_cfg[$cp[$i]];
		$serviz[100] = '2';
	}
	if (is_dir(CHEMIN.'data/plugins/diaporama')) $serviz[9] = 'on';
	if (is_dir(CHEMIN.'data/plugins/adm_members')) {
		$plgs = ReadDBFields(CHEMIN.'data/plugin.dtb');
		$menuico[11] = '';
		foreach ($plgs as $plg) if ($plg[0] == 'adm_membres') $menuico[11] = 'on';
	}
	$serviz[3] = $serviz[42];
	// on initialise les noms de fichier ou on supprime les anciens fichiers puis on renomme les nouveaux
	if (empty($site['PG'])) $site['PG'] = 'postguest'; 
	elseif ($site['PG'] != 'postguest') {
		if (file_exists(CHEMIN.$site['PG'].'.php')) @unlink(CHEMIN.$site['PG'].'.php');
		if (!rename(CHEMIN.'postguest.php', CHEMIN.$site['PG'].'.php')) $site['PG'] = 'postguest';
	}
	if (empty($site['BLS'])) $site['BLS'] = 'blogs';
	elseif ($site['BLS'] != 'blogs') {
		if (file_exists(CHEMIN.$site['BLS'].'.php')) @unlink(CHEMIN.$site['BLS'].'.php');
		if (!rename(CHEMIN.'blogs.php', CHEMIN.$site['BLS'].'.php')) $site['BLS'] = 'blogs';
	}
	if (empty($site['BL'])) $site['BL'] = 'blog';
	elseif ($site['BL'] != 'blog') {
		if (file_exists(CHEMIN.$site['BL'].'.php')) @unlink(CHEMIN.$site['BL'].'.php');
		if (!rename(CHEMIN.'blog.php', CHEMIN.$site['BL'].'.php')) $site['BL'] = 'blog';
	}
	if (empty($site['FR'])) $site['FR'] = 'forum';
	elseif ($site['FR'] != 'forum') {
		if (file_exists(CHEMIN.$site['FR'].'.php')) @unlink(CHEMIN.$site['FR'].'.php');
		if (!rename(CHEMIN.'forum.php', CHEMIN.$site['FR'].'.php')) $site['FR'] = 'forum';
	}
	if (empty($site['FRT'])) $site['FRT'] = 'fortopic';
	elseif ($site['FRT'] != 'fortopic') {
		if (file_exists(CHEMIN.$site['FRT'].'.php')) @unlink(CHEMIN.$site['FRT'].'.php');
		if (!rename(CHEMIN.'fortopic.php', CHEMIN.$site['FRT'].'.php')) $site['FRT'] = 'fortopic';
	}
	if (empty($site['TH'])) $site['TH'] = 'thread';
	elseif ($site['TH'] != 'thread') {
		if (file_exists(CHEMIN.$site['TH'].'.php')) @unlink(CHEMIN.$site['TH'].'.php');
		if (!rename(CHEMIN.'thread.php', CHEMIN.$site['TH'].'.php')) $site['TH'] = 'thread';
	}
	if (empty($site['GB'])) $site['GB'] = 'guestbk';
	elseif ($site['GB'] != 'guestbk') {
		if (file_exists(CHEMIN.$site['GB'].'.php')) @unlink(CHEMIN.$site['GB'].'.php');
		if (!rename(CHEMIN.'guestbk.php', CHEMIN.$site['GB'].'.php')) $site['GB'] = 'guestbk';
	}
	if (empty($site['NE'])) $site['NE'] = 'news';
	elseif ($site['NE'] != 'news') {
		if (file_exists(CHEMIN.$site['NE'].'.php')) @unlink(CHEMIN.$site['NE'].'.php');
		if (!rename(CHEMIN.'news.php', CHEMIN.$site['NE'].'.php')) $site['NE'] = 'news';
	}
	if (empty($site['USR'])) $site['USR'] = 'user';
	elseif ($site['USR'] != 'user') {
		if (file_exists(CHEMIN.$site['USR'].'.php')) @unlink(CHEMIN.$site['USR'].'.php');
		if (!rename(CHEMIN.'user.php', CHEMIN.$site['USR'].'.php')) $site['USR'] = 'user';
	}
	if (empty($site['NL'])) $site['NL'] = 'newsletter';
	elseif ($site['NL'] != 'newsletter') {
		if (file_exists(CHEMIN.$site['NL'].'.php')) @unlink(CHEMIN.$site['NL'].'.php');
		if (!rename(CHEMIN.'newsletter.php', CHEMIN.$site['NL'].'.php')) $site['NL'] = 'newsletter';
	}
	if (empty($site['DN'])) $site['DN'] = 'download';
	elseif ($site['DN'] != 'download') {
		if (file_exists(CHEMIN.$site['DN'].'.php')) @unlink(CHEMIN.$site['DN'].'.php');
		if (!rename(CHEMIN.'download.php', CHEMIN.$site['DN'].'.php')) $site['DN'] = 'download';
	}
	if (empty($site['CT'])) $site['CT'] = 'contact';
	elseif ($site['CT'] != 'contact') {
		if (file_exists(CHEMIN.$site['CT'].'.php')) @unlink(CHEMIN.$site['CT'].'.php');
		if (!rename(CHEMIN.'contact.php', CHEMIN.$site['CT'].'.php')) $site['CT'] = 'contact';
	}
    
    $serviz[31] = empty(trim($serviz[31])) ? ' ' : $serviz[31];
    $serviz[176] = empty(trim($serviz[176])) ? ' ' : $serviz[176];
	
	$mettre = "<?php
if (stristr(\$_SERVER[\"SCRIPT_NAME\"], \"config.inc\")) {
    header(\"location:../index.php\");
    die();
}

\$site[0] = stripslashes(\"$site[0]\"); // Titre du site pour l'Editorial langue principale
\$site[1] = stripslashes(\"$site[1]\"); // Meta Description du site
\$site[2] = stripslashes(\"$site[2]\"); // Meta Mots-clés du site
\$site[3] = stripslashes(\"$site[3]\"); // URL du site
// site[4] is in conskin.inc // Nouvelles sur la page d'accueil
\$site[5] = stripslashes(\"$site[5]\"); // Activation des news ou pas
\$site[6] = stripslashes(\"$site[6]\"); // Hébergement derrière un proxy
\$site[7] = stripslashes(\"$site[7]\"); // Hébergement avec mise en cache
\$site[8] = stripslashes(\"$site[8]\"); // Temporisation en s de lecture du cache
\$site[9] = stripslashes(\"$site[9]\"); // Meta Auteur du site
\$site[10] = stripslashes(\"$site[10]\"); // Page pour la redirection des erreurs 404
\$site[11] = stripslashes(\"$site[11]\"); // Titre du site pour l'Editorial langue secondaire
\$site[12] = stripslashes(\"$site[12]\"); // Page secondaire pour la redirection des erreurs 404
\$site[19] = stripslashes(\"$site[19]\"); // Format Dates
// site[20] is in confskin.inc // Messages Forum sur la page d'accueil
// site[21] is in confskin.inc // ID du message Livre d'or préféré
\$site[22] = stripslashes(\"$site[22]\"); // Format Heure
\$site[23] = stripslashes(\"$site[23]\"); // Séparateur Date & Heure
\$site[24] = stripslashes(\"$site[24]\"); // Logo Copyright
\$site[25] = stripslashes(\"$site[25]\"); // Position Logo Copyright
\$site[26] = stripslashes(\"$site[26]\"); // Compression des Pages
// (supprimé) Temps d'attente popup postage
// (supprimé) Barre de progression attente popup postage
// site[29] is in confskin.inc // Nombre de caractères des nouvelles en page d'accueil
\$site[30] = stripslashes(\"$site[30]\"); // Activation du Blog ou pas
// site[31] is in confskin.inc // Blog sur la page d'accueil
\$site[32] = stripslashes(\"$site[32]\"); // Icônes validator W3C
// site[33] is in confskin.inc // Nombre de caractères des billets en page d'accueil
// site[34] is in confskin.inc // Nombre de caractères des posts forum en page d'accueil
\$site[35] = stripslashes(\"$site[35]\"); // Style du Copyright
\$site[36] = stripslashes(\"$site[36]\"); // Longueur en caractères des billets du blog
\$site['TZ'] = stripslashes(\"".$site['TZ']."\"); // Fuseau horaire
\$site['NTC'] = stripslashes(\"".$site['NTC']."\"); // Nombre de tentatives de connexion
\$site['URLR'] = stripslashes(\"".$site['URLR']."\"); // URL rewriting
\$site['PG'] = stripslashes(\"".$site['PG']."\"); // Alias du script postguest.php
\$site['BLS'] = stripslashes(\"".$site['BLS']."\"); // Alias du script blogs.php
\$site['BL'] = stripslashes(\"".$site['BL']."\"); // Alias du script blog.php
\$site['FR'] = stripslashes(\"".$site['FR']."\"); // Alias du script forum.php
\$site['FRT'] = stripslashes(\"".$site['FRT']."\"); // Alias du script fortopic.php
\$site['TH'] = stripslashes(\"".$site['TH']."\"); // Alias du script thread.php
\$site['GB'] = stripslashes(\"".$site['GB']."\"); // Alias du script guestbk.php
\$site['NE'] = stripslashes(\"".$site['NE']."\"); // Alias du script news.php
\$site['USR'] = stripslashes(\"".$site['USR']."\"); // Alias du script user.php
\$site['NL'] = stripslashes(\"".$site['NL']."\"); // Alias du script newsletter.php
\$site['DN'] = stripslashes(\"".$site['DN']."\"); // Alias du script download.php
\$site['CT'] = stripslashes(\"".$site['CT']."\"); // Alias du script contact.php
\$site['MD'] = stripslashes(\"".$site['MD']."\"); // Mode préconisé pour les dossiers
\$site['MF'] = stripslashes(\"".$site['MF']."\"); // Mode préconisé pour les fichiers

\$urlrw[0] = stripslashes(\"$urlrw[0]\"); // Accueil / Admin / Error
\$urlrw[1] = stripslashes(\"$urlrw[1]\"); // Blog
\$urlrw[2] = stripslashes(\"$urlrw[2]\"); // Contact
\$urlrw[3] = stripslashes(\"$urlrw[3]\"); // Connexion  / Compte
\$urlrw[4] = stripslashes(\"$urlrw[4]\"); // FAQ
\$urlrw[5] = stripslashes(\"$urlrw[5]\"); // Forum
\$urlrw[6] = stripslashes(\"$urlrw[6]\"); // Liens
\$urlrw[7] = stripslashes(\"$urlrw[7]\"); // Livre d'or
\$urlrw[8] = stripslashes(\"$urlrw[8]\"); // Nouvelles
\$urlrw[9] = stripslashes(\"$urlrw[9]\"); // Photos
\$urlrw[10] = stripslashes(\"$urlrw[10]\"); // Statistiques
\$urlrw[11] = stripslashes(\"$urlrw[11]\"); // Téléchargements
\$urlrw[12] = stripslashes(\"$urlrw[12]\"); // Recherches
\$urlrw[13] = stripslashes(\"$urlrw[13]\"); // Messages privés
\$urlrw[14] = stripslashes(\"$urlrw[14]\"); // Mesages publics
\$urlrw[15] = stripslashes(\"$urlrw[15]\"); // Utilisateurs
\$urlrw[16] = stripslashes(\"$urlrw[16]\"); // Sondage
\$urlrw[17] = stripslashes(\"$urlrw[17]\"); // Calendrier / Agenda
\$urlrw[18] = stripslashes(\"$urlrw[18]\"); // Lettre d'information
\$urlrw[19] = stripslashes(\"$urlrw[19]\"); // Documents RSS
\$urlrw[20] = stripslashes(\"$urlrw[20]\"); // Articles

\$page[12] = stripslashes(\"$page[12]\"); // Thème smileys
\$page[14] = stripslashes(\"$page[14]\"); // Thème skins
\$page[23] = stripslashes(\"$page[23]\"); // Thème avatars
\$page[27] = stripslashes(\"$page[27]\"); // Thème général

\$texte[3] = stripslashes(\"$texte[3]\"); // Puce articles

\$lang[0] = stripslashes(\"$lang[0]\"); // Langue principale du site
\$lang[1] = stripslashes(\"$lang[1]\"); // Deuxième langue du site

\$user[0] = stripslashes(\"$user[0]\"); // Webmaster
\$user[1] = stripslashes(\"$user[1]\"); // e-mail du responsable du site
\$user[3] = stripslashes(\"$user[3]\"); // e-mail PHP

\$nom[0] = stripslashes(\"$nom[0]\"); // Nom de l'accueil langue principale
\$nom[1] = stripslashes(\"$nom[1]\"); // Page des téléchargements langue principale
\$nom[2] = stripslashes(\"$nom[2]\"); // Page des images langue principale
\$nom[3] = stripslashes(\"$nom[3]\"); // Page des liens langue principale
// (supprimé) Boite des articles à gauche langue principale
// (supprimé) Boite spéciale langue principale
\$nom[6] = stripslashes(\"$nom[6]\"); // Sondage langue principale WEB
\$nom[7] = stripslashes(\"$nom[7]\"); // Nouvelles langue principale
\$nom[8] = stripslashes(\"$nom[8]\"); // Compteur langue principale WEB
\$nom[9] = stripslashes(\"$nom[9]\"); // Livre d'or langue principale
\$nom[10] = stripslashes(\"$nom[10]\"); // Nom de l'accueil deuxième langue
\$nom[11] = stripslashes(\"$nom[11]\"); // Page des téléchargements deuxième langue
\$nom[12] = stripslashes(\"$nom[12]\"); // Page des images deuxième langue
\$nom[13] = stripslashes(\"$nom[13]\"); // Page des liens deuxième langue
// (supprimé) Boite des articles à gauche deuxième langue
// (supprimé) Boite spéciale deuxième langue
\$nom[16] = stripslashes(\"$nom[16]\"); // Sondage deuxième langue WEB
\$nom[17] = stripslashes(\"$nom[17]\"); // Nouvelles deuxième langue
\$nom[18] = stripslashes(\"$nom[18]\"); // Compteur deuxième langue WEB
\$nom[19] = stripslashes(\"$nom[19]\"); // Livre d'or deuxième langue
\$nom[20] = stripslashes(\"$nom[20]\"); // Recherche langue principale WEB
\$nom[21] = stripslashes(\"$nom[21]\"); // Recherche deuxième langue WEB
\$nom[22] = stripslashes(\"$nom[22]\"); // Forum langue principale
\$nom[23] = stripslashes(\"$nom[23]\"); // Forum deuxième langue
\$nom[24] = stripslashes(\"$nom[24]\"); // FAQ langue principale
\$nom[25] = stripslashes(\"$nom[25]\"); // FAQ deuxième langue
\$nom[26] = stripslashes(\"$nom[26]\"); // Statistiques langue principale
\$nom[27] = stripslashes(\"$nom[27]\"); // Statistiques deuxième langue
// (supprimé) Recommander langue principale
// (supprimé) Recommander deuxième langue
\$nom[30] = stripslashes(\"$nom[30]\"); // Boite Photorama langue principale WEB
\$nom[31] = stripslashes(\"$nom[31]\"); // Boite Photorama deuxième langue WEB
\$nom[32] = stripslashes(\"$nom[32]\"); // Boite Calendrier langue principale WEB
\$nom[33] = stripslashes(\"$nom[33]\"); // Boite Calendrier deuxième langue WEB
\$nom[34] = stripslashes(\"$nom[34]\"); // Boite préférences utilisateur langue principale WEB
\$nom[35] = stripslashes(\"$nom[35]\"); // Boite préférences utilisateur deuxième langue WEB
\$nom[36] = stripslashes(\"$nom[36]\"); // Boite RSS langue principale WEB
\$nom[37] = stripslashes(\"$nom[37]\"); // Boite RSS deuxième langue WEB
\$nom[38] = stripslashes(\"$nom[38]\"); // Boite Newsletter langue principale WEB
\$nom[39] = stripslashes(\"$nom[39]\"); // Boite Newsletter deuxième langue WEB
\$nom[40] = stripslashes(\"$nom[40]\"); // Boite Webmaster - Infos langue principale WEB
\$nom[41] = stripslashes(\"$nom[41]\"); // Boite Webmaster - Infos deuxième langue WEB
\$nom[42] = stripslashes(\"$nom[42]\"); // Blog langue principale
\$nom[43] = stripslashes(\"$nom[43]\"); // Blog deuxième langue
\$nom[44] = stripslashes(\"$nom[44]\"); // Boîte Menu langue principale WEB
\$nom[45] = stripslashes(\"$nom[45]\"); // Boîte Menu deuxième langue WEB
\$nom[46] = stripslashes(\"$nom[46]\"); // Contact langue principale
\$nom[47] = stripslashes(\"$nom[47]\"); // Contact deuxième langue
\$nom[48] = stripslashes(\"$nom[48]\"); // Réseaux sociaux langue principale WEB
\$nom[49] = stripslashes(\"$nom[49]\"); // Réseaux sociaux deuxième langue WEB
\$nom[50] = stripslashes(\"$nom[50]\"); // Bouton connexion langue principale
\$nom[51] = stripslashes(\"$nom[51]\"); // Bouton connexion deuxième langue
\$nom[52] = stripslashes(\"$nom[52]\"); // Bouton déconnexion langue principale
\$nom[53] = stripslashes(\"$nom[53]\"); // Bouton déconnexion deuxième langue
\$nom[54] = stripslashes(\"$nom[54]\"); // Boîte nouveautés langue principale WEB
\$nom[55] = stripslashes(\"$nom[55]\"); // Boîte nouveautés deuxième langue WEB
\$nom[56] = stripslashes(\"$nom[56]\"); // Boîte Contact langue principale WEB
\$nom[57] = stripslashes(\"$nom[57]\"); // Boîte Contact deuxième langue WEB
\$nom[58] = stripslashes(\"$nom[58]\"); // Boîte Menu langue principale MOB
\$nom[59] = stripslashes(\"$nom[59]\"); // Boîte Menu deuxième langue MOB
\$nom[60] = stripslashes(\"$nom[60]\"); // Sondage langue principale MOB
\$nom[61] = stripslashes(\"$nom[61]\"); // Sondage deuxième langue MOB
\$nom[62] = stripslashes(\"$nom[62]\"); // Compteur langue principale MOB
\$nom[63] = stripslashes(\"$nom[63]\"); // Compteur deuxième langue MOB
\$nom[64] = stripslashes(\"$nom[64]\"); // Recherche langue principale MOB
\$nom[65] = stripslashes(\"$nom[65]\"); // Recherche deuxième langue MOB
\$nom[66] = stripslashes(\"$nom[66]\"); // Boite Calendrier langue principale MOB
\$nom[67] = stripslashes(\"$nom[67]\"); // Boite Calendrier deuxième langue MOB
\$nom[68] = stripslashes(\"$nom[68]\"); // Boite préférences utilisateur langue principale MOB
\$nom[69] = stripslashes(\"$nom[69]\"); // Boite préférences utilisateur deuxième langue MOB
\$nom[70] = stripslashes(\"$nom[70]\"); // Boite Newsletter langue principale MOB
\$nom[71] = stripslashes(\"$nom[71]\"); // Boite Newsletter deuxième langue MOB
\$nom[72] = stripslashes(\"$nom[72]\"); // Boite RSS langue principale MOB
\$nom[73] = stripslashes(\"$nom[73]\"); // Boite RSS deuxième langue MOB
\$nom[74] = stripslashes(\"$nom[74]\"); // Boite Webmaster - Infos langue principale MOB
\$nom[75] = stripslashes(\"$nom[75]\"); // Boite Webmaster - Infos deuxième langue MOB
\$nom[76] = stripslashes(\"$nom[76]\"); // Réseaux sociaux langue principale MOB
\$nom[77] = stripslashes(\"$nom[77]\"); // Réseaux sociaux deuxième langue MOB
\$nom[78] = stripslashes(\"$nom[78]\"); // Boîte nouveautés langue principale MOB
\$nom[79] = stripslashes(\"$nom[79]\"); // Boîte nouveautés deuxième langue MOB
\$nom[80] = stripslashes(\"$nom[80]\"); // Boîte Contact langue principale MOB
\$nom[81] = stripslashes(\"$nom[81]\"); // Boîte Contact deuxième langue MOB
\$nom[82] = stripslashes(\"$nom[82]\"); // Boite Photorama langue principale MOB
\$nom[83] = stripslashes(\"$nom[83]\"); // Boite Photorama deuxième langue MOB

\$menuico[0] = stripslashes(\"$menuico[0]\"); // Icône Accueil
\$menuico[1] = stripslashes(\"$menuico[1]\"); // Icône Nouvelles
\$menuico[2] = stripslashes(\"$menuico[2]\"); // Icône Blog
\$menuico[3] = stripslashes(\"$menuico[3]\"); // Icône Photorama
\$menuico[4] = stripslashes(\"$menuico[4]\"); // Icône Téléchargements
\$menuico[5] = stripslashes(\"$menuico[5]\"); // Icône Liens
\$menuico[6] = stripslashes(\"$menuico[6]\"); // Icône FAQ
\$menuico[7] = stripslashes(\"$menuico[7]\"); // Icône Livre d'or
\$menuico[8] = stripslashes(\"$menuico[8]\"); // Icône Forum
\$menuico[9] = stripslashes(\"$menuico[9]\"); // Icône Stats
\$menuico[10] = stripslashes(\"$menuico[10]\"); // Icône Contact avancé
\$menuico[11] = stripslashes(\"$menuico[11]\"); // Icône connexion
\$menuico[12] = stripslashes(\"$menuico[12]\"); // Page exécution Nouvelles 
\$menuico[13] = stripslashes(\"$menuico[13]\"); // Page exécution Blog
\$menuico[14] = stripslashes(\"$menuico[14]\"); // Page exécution Photorama
\$menuico[15] = stripslashes(\"$menuico[15]\"); // Page exécution Téléchargements
\$menuico[16] = stripslashes(\"$menuico[16]\"); // Page exécution Liens
\$menuico[17] = stripslashes(\"$menuico[17]\"); // Page exécution FAQ
\$menuico[18] = stripslashes(\"$menuico[18]\"); // Page exécution Livre d'or
\$menuico[19] = stripslashes(\"$menuico[19]\"); // Page exécution Forum
\$menuico[20] = stripslashes(\"$menuico[20]\"); // Page exécution Stats
\$menuico[21] = stripslashes(\"$menuico[21]\"); // Page exécution Contact avancé
\$menuico[22] = stripslashes(\"$menuico[22]\"); // Page affichage Nouvelles
\$menuico[23] = stripslashes(\"$menuico[23]\"); // Page affichage Blog
\$menuico[24] = stripslashes(\"$menuico[24]\"); // Page affichage Photorama
\$menuico[25] = stripslashes(\"$menuico[25]\"); // Page affichage Téléchargements
\$menuico[26] = stripslashes(\"$menuico[26]\"); // Page affichage Liens
\$menuico[27] = stripslashes(\"$menuico[27]\"); // Page affichage FAQ
\$menuico[28] = stripslashes(\"$menuico[28]\"); // Page affichage Livre d'or
\$menuico[29] = stripslashes(\"$menuico[29]\"); // Page affichage Forum
\$menuico[30] = stripslashes(\"$menuico[30]\"); // Page affichage Stats
\$menuico[31] = stripslashes(\"$menuico[31]\"); // Page affichage Contact avancé

// boites dynamiques partie WEB
\$dynabox[0] = stripslashes(\"$dynabox[0]\"); // Boîte Menu
\$dynabox[1] = stripslashes(\"$dynabox[1]\"); // Boîte Sondage
\$dynabox[2] = stripslashes(\"$dynabox[2]\"); // Boîte Compteur
\$dynabox[3] = stripslashes(\"$dynabox[3]\"); // Boîte Recherche
\$dynabox[4] = stripslashes(\"$dynabox[4]\"); // Boîte Calendrier
\$dynabox[5] = stripslashes(\"$dynabox[5]\"); // Boîte préférences
\$dynabox[6] = stripslashes(\"$dynabox[6]\"); // Boîte Newsletter
\$dynabox[7] = stripslashes(\"$dynabox[7]\"); // Boîte RSS
\$dynabox[8] = stripslashes(\"$dynabox[8]\"); // Boîte Webmaster - Infos
\$dynabox[9] = stripslashes(\"$dynabox[9]\"); // Boîte réseaux sociaux
\$dynabox[10] = stripslashes(\"$dynabox[10]\"); // Boîte Rubriques blog
\$dynabox[11] = stripslashes(\"$dynabox[11]\"); // Boîte Derniers billets blog
\$dynabox[12] = stripslashes(\"$dynabox[12]\"); // Boîte Derniers commentaires blog
\$dynabox[13] = stripslashes(\"$dynabox[13]\"); // Boîte Archives blog
\$dynabox[14] = stripslashes(\"$dynabox[14]\"); // Boîte Billets des amis blog
\$dynabox[15] = stripslashes(\"$dynabox[15]\"); // Boîte Nouveautés du site
\$dynabox[16] = stripslashes(\"$dynabox[16]\"); // Boîte Contacts avancés
\$dynabox[17] = stripslashes(\"$dynabox[17]\"); // Boîte Photorama

// boites dynamiques partie MOB
\$dynabox[20] = stripslashes(\"$dynabox[20]\"); // Boîte Menu
\$dynabox[21] = stripslashes(\"$dynabox[21]\"); // Boîte Sondage
\$dynabox[22] = stripslashes(\"$dynabox[22]\"); // Boîte Compteur
\$dynabox[23] = stripslashes(\"$dynabox[33]\"); // Boîte Recherche
\$dynabox[24] = stripslashes(\"$dynabox[24]\"); // Boîte Calendrier
\$dynabox[25] = stripslashes(\"$dynabox[25]\"); // Boîte préférences
\$dynabox[26] = stripslashes(\"$dynabox[26]\"); // Boîte Newsletter
\$dynabox[27] = stripslashes(\"$dynabox[27]\"); // Boîte RSS
\$dynabox[28] = stripslashes(\"$dynabox[28]\"); // Boîte Webmaster - Infos
\$dynabox[29] = stripslashes(\"$dynabox[29]\"); // Boîte réseaux sociaux
\$dynabox[30] = stripslashes(\"$dynabox[30]\"); // Boîte Rubriques blog
\$dynabox[31] = stripslashes(\"$dynabox[31]\"); // Boîte Derniers billets blog
\$dynabox[32] = stripslashes(\"$dynabox[32]\"); // Boîte Derniers commentaires blog
\$dynabox[33] = stripslashes(\"$dynabox[33]\"); // Boîte Archives blog
\$dynabox[34] = stripslashes(\"$dynabox[34]\"); // Boîte Billets des amis blog
\$dynabox[35] = stripslashes(\"$dynabox[35]\"); // Boîte Nouveautés du site
\$dynabox[36] = stripslashes(\"$dynabox[36]\"); // Boîte Contacts avancés
\$dynabox[37] = stripslashes(\"$dynabox[37]\"); // Boîte Photorama

\$serviz[0] = stripslashes(\"on\"); // Citations ON
\$serviz[1] = stripslashes(\"$serviz[1]\"); // Choix Page d'accueil
\$serviz[2] = stripslashes(\"$serviz[2]\"); // Nb de news / page
\$serviz[3] = stripslashes(\"$serviz[3]\"); // Carnet de bord du site
\$serviz[4] = stripslashes(\"$serviz[4]\"); // Nb de téléchargements / page
\$serviz[5] = stripslashes(\"$serviz[5]\"); // Nb de liens / page
\$serviz[6] = stripslashes(\"$serviz[6]\"); // Nb de FAQ / page
\$serviz[7] = stripslashes(\"$serviz[7]\"); // Nb de messages Guestbook / page
\$serviz[8] = stripslashes(\"$serviz[8]\"); // Nouvelles ON / OFF
\$serviz[9] = stripslashes(\"$serviz[9]\"); // Photos ON / OFF
\$serviz[10] = stripslashes(\"$serviz[10]\"); // Téléchargements ON / OFF
\$serviz[11] = stripslashes(\"$serviz[11]\"); // Liens ON / OFF
\$serviz[12] = stripslashes(\"$serviz[12]\"); // Livre d'or ON / OFF
\$serviz[13] = stripslashes(\"$serviz[13]\"); // Forum ON / OFF
\$serviz[14] = stripslashes(\"$serviz[14]\"); // FAQ ON / OFF
\$serviz[15] = stripslashes(\"$serviz[15]\"); // Statistiques ON / OFF
\$serviz[16] = stripslashes(\"$serviz[16]\"); // Publication Nouvelles RSS ON / OFF
\$serviz[17] = stripslashes(\"$serviz[17]\"); // Nb de messages Forum / page
\$serviz[18] = stripslashes(\"\"); // Inutilisé
\$serviz[19] = stripslashes(\"on\"); // Bannières ON
\$serviz[20] = stripslashes(\"$serviz[20]\"); // Nb de messages Thread / page
\$serviz[21] = stripslashes(\"$serviz[21]\"); // Contact site ON / OFF
\$serviz[22] = stripslashes(\"$serviz[22]\"); // Bouton RSS dans boîte réseaux sociaux ON /OFF
\$serviz[23] = stripslashes(\"$serviz[23]\");  // Sondage ON / OFF
\$serviz[24] = stripslashes(\"on\"); // Recherche ON
\$serviz[25] = stripslashes(\"$serviz[25]\"); // Rotation automatique des bannières
\$serviz[26] = stripslashes(\"$serviz[26]\"); // Durée d'affichage en secondes d'une bannière
\$serviz[27] = stripslashes(\"$serviz[27]\"); // Billets RSS des amis ON /OFF
// serviz[28] is in confskin.inc  // Préférences visiteurs
\$serviz[29] = stripslashes(\"$serviz[29]\"); // Réactions aux articles ON / OFF / Ok Admin
\$serviz[30] = stripslashes(\"$serviz[30]\"); // Nb Commentaires blog - Réactions aux articles / page
\$serviz[31] = stripslashes(\"$serviz[31]\"); // Pseudo préférences webmaster
\$serviz[32] = stripslashes(\"$serviz[32]\"); // Accès à l'administration rapide
\$serviz[33] = stripslashes(\"$serviz[33]\"); // Compteur de lecture Articles
\$serviz[34] = stripslashes(\"$serviz[34]\"); // Compteur de lecture Threads Forum
\$serviz[35] = stripslashes(\"$serviz[35]\"); // Compteur de Nb de téléchargements
\$serviz[36] = stripslashes(\"$serviz[36]\"); // Newsletter ON / OFF /TEST
\$serviz[37] = stripslashes(\"$serviz[37]\"); // Nb de news publiées
// \$serviz[38] is in confskin.inc  // RSS News ON / OFF
\$serviz[39] = stripslashes(\"$serviz[39]\"); // Durée Cache RSS
\$serviz[40] = stripslashes(\"$serviz[40]\"); // Publication dans livre d'or
\$serviz[41] = stripslashes(\"$serviz[41]\"); // Publication dans forum
\$serviz[42] = stripslashes(\"$serviz[42]\"); // Option Rédacteur ON / OFF
\$serviz[43] = stripslashes(\"$serviz[43]\"); // Avatar préférences webmaster
\$serviz[44] = stripslashes(\"$serviz[44]\"); // Mise en maintenance du site
\$serviz[45] = stripslashes(\"on\"); // Masquer l'icône Admin (forcé à on)
\$serviz[46] = stripslashes(\"$serviz[46]\"); // Nb de messages Agenda / page
\$serviz[47] = stripslashes(\"$serviz[47]\"); // Agenda ON / OFF
\$serviz[48] = stripslashes(\"$serviz[48]\"); // Nb de messages maximum dans Tinymessage
\$serviz[49] = stripslashes(\"$serviz[49]\"); // Choix editeur
\$serviz[50] = stripslashes(\"$serviz[50]\"); // Nb maxi de fichiers dans data/error
\$serviz[51] = stripslashes(\"$serviz[51]\"); // Nb maxi de lignes dans l'anti-spam
\$serviz[52] = stripslashes(\"$serviz[52]\"); // Durée maxi de validité du code anti-spam
\$serviz[53] = stripslashes(\"$serviz[53]\"); // Blog ON / OFF
\$serviz[54] = stripslashes(\"$serviz[54]\"); // Publication Blog RSS ON / OFF
\$serviz[55] = stripslashes(\"$serviz[55]\"); // Nb de Blogs / page
\$serviz[56] = stripslashes(\"$serviz[56]\"); // Nb de blogs publiés
\$serviz[57] = stripslashes(\"$serviz[57]\"); // Commentaires sur Blog ON / OFF / Ok Admin
\$serviz[58] = stripslashes(\"$serviz[58]\"); // Blog pleine page ON / OFF
\$serviz[59] = stripslashes(\"$serviz[59]\"); // Menu dynamique Blog WEB
\$serviz[60] = stripslashes(\"$serviz[60]\"); // Publication Articles RSS ON / OFF
\$serviz[61] = stripslashes(\"$serviz[61]\"); // Nb de billets récents/commentaires / page
\$serviz[62] = stripslashes(\"$serviz[62]\"); // Recommander ON/OFF
\$serviz[63] = stripslashes(\"$serviz[63]\"); // Afficher le nombre d'abonnés à la newsletter ON/OFF
\$serviz[64] = stripslashes(\"$serviz[64]\"); // Cacher la date de création dans Articles ON/OFF
\$serviz[65] = stripslashes(\"$serviz[65]\"); // Cacher la date de modification dans Articles ON/OFF
\$serviz[66] = stripslashes(\"$serviz[66]\"); // Cacher la catégorie dans Articles ON/OFF
\$serviz[67] = stripslashes(\"$serviz[67]\"); // Cacher le compteur dans Articles ON/OFF
\$serviz[68] = stripslashes(\"$serviz[68]\"); // Cacher les boutons  Prévisualiser et Imprimer dans Articles ON/OFF
\$serviz[69] = stripslashes(\"$serviz[69]\"); // Cacher la date de création dans Faq ON/OFF
\$serviz[70] = stripslashes(\"$serviz[70]\"); // Cacher la date de modification dans Faq  ON/OFF
\$serviz[71] = stripslashes(\"$serviz[71]\"); // Cacher le bouton Imprimer dans Faq ON/OFF
\$serviz[72] = stripslashes(\"$serviz[72]\"); // Cacher la date de création dans Nouvelles ON/OFF
\$serviz[73] = stripslashes(\"$serviz[73]\"); // Cacher l'auteur dans Nouvelles ON/OFF
// serviz[74] is in confskin.inc // Cacher les boîtes en page d'accueil
\$serviz[75] = stripslashes(\"$serviz[75]\"); // Nombre de documents dans les listes en Admin
\$serviz[76] = stripslashes(\"$serviz[76]\"); // Cacher les boutons  Prévisualiser et Imprimer dans Blog ON/OFF
\$serviz[77] = stripslashes(\"$serviz[77]\"); // Cacher les boutons  Prévisualiser et Imprimer dans Download ON/OFF
\$serviz[78] = stripslashes(\"$serviz[78]\"); // Afficher la liste dépliée dans TéléchargementON/OFF
\$serviz[79] = stripslashes(\"$serviz[79]\"); // Afficher la liste dépliée dans FAQ ON/OFF
\$serviz[80] = stripslashes(\"$serviz[80]\"); // Afficher la liste dépliée dans Liens ON/OFF
\$serviz[81] = stripslashes(\"$serviz[81]\"); // Afficher la liste dépliée dans Photorama ON/OFF
\$serviz[82] = stripslashes(\"$serviz[82]\"); // Nombre d'articles dans le flux RSS articles
\$serviz[83] = stripslashes(\"$serviz[83]\"); // Boite latérale diaporama
\$serviz[84] = stripslashes(\"$serviz[84]\"); // Afficher IP des visiteurs
\$serviz[85] = stripslashes(\"$serviz[85]\"); // Site de contrôle des IP des visiteurs
\$serviz[86] = stripslashes(\"$serviz[86]\"); // Autoriser la liste des membres
\$serviz[87] = stripslashes(\"$serviz[87]\"); // Nombre maximum de galeries par page
\$serviz[88] = stripslashes(\"$serviz[88]\"); // Activer le captcha pour les préférences
\$serviz[89] = stripslashes(\"$serviz[89]\"); // Activer le captcha pour les nouvelles
\$serviz[90] = stripslashes(\"$serviz[90]\"); // Activer le captcha pour le livre d'or
\$serviz[91] = stripslashes(\"$serviz[91]\"); // Activer le captcha pour le forum
\$serviz[92] = stripslashes(\"$serviz[92]\"); // Activer le captcha pour les réactions aux articles
\$serviz[93] = stripslashes(\"$serviz[93]\"); // Activer le captcha pour l'inscription à la newsletter
\$serviz[94] = stripslashes(\"$serviz[94]\"); // Activer le captcha pour recommander
\$serviz[95] = stripslashes(\"$serviz[95]\"); // Activer le captcha pour le contact webmestre
\$serviz[96] = stripslashes(\"$serviz[96]\"); // Activer le captcha pour le blog
\$serviz[97] = stripslashes(\"$serviz[97]\"); // Activer le captcha pour les commentaires blog
\$serviz[98] = stripslashes(\"$serviz[98]\"); // Désactiver le captcha pour les membres
\$serviz[99] = stripslashes(\"$serviz[99]\"); // Contact site avancé
\$serviz[100] = stripslashes(\"$serviz[100]\"); // Type de captcha 0=pas de captcha 1=image 2=texte 3=sélection texte
\$serviz[101] = stripslashes(\"$serviz[101]\"); // Largeur de l'éditeur
\$serviz[102] = stripslashes(\"$serviz[102]\"); // Cacher la barre de navigation dans articles ON/OFF
\$serviz[103] = stripslashes(\"$serviz[103]\"); // Ensemble des publications RSS
\$serviz[104] = stripslashes(\"$serviz[104]\"); // Inclure AddThis dans le blog
\$serviz[105] = stripslashes(\"$serviz[105]\"); // Inclure AddThis dans les articles
\$serviz[106] = stripslashes(\"$serviz[106]\"); // Inclure AddThis dans les nouvelles
\$serviz[107] = stripslashes(\"$serviz[107]\"); // Inclure AddThis dans le forum
\$serviz[108] = stripslashes(\"$serviz[108]\"); // Rotation automatique des citations
\$serviz[109] = stripslashes(\"$serviz[109]\"); // Durée d'affichage en secondes d'une citation
\$serviz[110] = stripslashes(\"$serviz[110]\"); // Délai suppression inscription newsletter 
\$serviz[111] = stripslashes(\"$serviz[111]\"); // Afficher les visites du jour
\$serviz[112] = stripslashes(\"$serviz[112]\"); // Utiliser l'aide intégrée
\$serviz[113] = stripslashes(\"$serviz[113]\"); // Cacher les mots-clés dans Articles ON/OFF
\$serviz[114] = stripslashes(\"$serviz[114]\"); // Cacher l'auteur des billets du blog ON/OFF
\$serviz[115] = stripslashes(\"$serviz[115]\"); // Captcha sensible à la casse ON/OFF
\$serviz[116] = stripslashes(\"$serviz[116]\"); // Nouveautés du site WEB
\$serviz[117] = stripslashes(\"$serviz[117]\"); // Nouveautés depuis la dernière connexion WEB
\$serviz[118] = stripslashes(\"$serviz[118]\"); // Nouveautés depuis un nombre de jours WEB
\$serviz[119] = stripslashes(\"$serviz[119]\"); // Nombre de jours à mémoriser WEB
\$serviz[120] = stripslashes(\"$serviz[120]\"); // Hauteur en pixels des nouveautés WEB
\$serviz[121] = stripslashes(\"$serviz[121]\"); // Inclure le calendrier dans les nouveautés
\$serviz[122] = stripslashes(\"$serviz[122]\"); // Inclure les articles dans les nouveautés
\$serviz[123] = stripslashes(\"$serviz[123]\"); // Inclure le blog dans les nouveautés
\$serviz[124] = stripslashes(\"$serviz[124]\"); // Inclure les téléchargements dans les nouveautés
\$serviz[125] = stripslashes(\"$serviz[125]\"); // Inclure la faq dans les nouveautés
\$serviz[126] = stripslashes(\"$serviz[126]\"); // Inclure le forum dans les nouveautés
\$serviz[127] = stripslashes(\"$serviz[127]\"); // Inclure les liens dans les nouveautés
\$serviz[128] = stripslashes(\"$serviz[128]\"); // Inclure le livre d'or dans les nouveautés
\$serviz[129] = stripslashes(\"$serviz[129]\"); // Inclure les nouvelles dans les nouveautés
\$serviz[130] = stripslashes(\"$serviz[130]\"); // Inclure les photos dans les nouveautés
// \$serviz[131] is in confskin.inc  // Page associée au blog hors pleine page
\$serviz[132] = stripslashes(\"$serviz[132]\"); // Statistiques pleine page ON /OFF
\$serviz[133] = stripslashes(\"$serviz[133]\"); // Hauteur maxi en pixels d'une cellule de fil RSS
\$serviz[135] = stripslashes(\"$serviz[135]\"); // Nb jours affichage image nouveauté
\$serviz[136] = stripslashes(\"$serviz[136]\"); // Image nouveauté articles ON / OFF / Membres
\$serviz[137] = stripslashes(\"$serviz[137]\"); // Image nouveauté nouvelles ON / OFF / Membres
\$serviz[138] = stripslashes(\"$serviz[138]\"); // Image nouveauté blog ON / OFF / Membres
\$serviz[139] = stripslashes(\"$serviz[139]\"); // Image nouveauté forum ON / OFF / Membres
\$serviz[140] = stripslashes(\"$serviz[140]\"); // Image nouveauté faq ON / OFF / Membres
\$serviz[141] = stripslashes(\"$serviz[141]\"); // Image nouveauté livre d'or ON / OFF / Membres
\$serviz[142] = stripslashes(\"$serviz[142]\"); // Image nouveauté photo ON / OFF / Membres
\$serviz[143] = stripslashes(\"$serviz[143]\"); // Image nouveauté téléchargements ON / OFF / Membres
\$serviz[144] = stripslashes(\"$serviz[144]\"); // Image nouveauté liens ON / OFF / Membres
\$serviz[145] = stripslashes(\"$serviz[145]\"); // Image nouveauté agenda ON / OFF / Membres
\$serviz[146] = stripslashes(\"$serviz[146]\"); // Interdire le changement de skin
\$serviz[147] = stripslashes(\"$serviz[147]\"); // inutilisé
\$serviz[148] = stripslashes(\"$serviz[148]\"); // Nombre maxi de caractères du pseudo
\$serviz[149] = stripslashes(\"$serviz[149]\"); // Boîte compteur dans préférences
\$serviz[150] = stripslashes(\"$serviz[150]\"); // Téléchargements les plus récents
\$serviz[151] = stripslashes(\"$serviz[151]\"); // Téléchargements les plus téléchargés
\$serviz[152] = stripslashes(\"$serviz[152]\"); // Position texte et icône inversés pour les nouvelles
\$serviz[153] = stripslashes(\"$serviz[153]\"); // Position texte et icône inversés pour les billets
\$serviz[154] = stripslashes(\"$serviz[154]\"); // Image nouveauté option de menu ON / OFF / Membres
\$serviz[155] = stripslashes(\"$serviz[155]\"); // Type de courriel Contact
\$serviz[156] = stripslashes(\"$serviz[156]\"); // Photorama pleine page ON / OFF
\$serviz[157] = stripslashes(\"$serviz[157]\"); // Page secondaire du photorama
\$serviz[158] = stripslashes(\"$serviz[158]\"); // Cacher le nombre de membres inscrits
\$serviz[159] = stripslashes(\"$serviz[159]\"); // Cacher les membres connectés
\$serviz[160] = stripslashes(\"$serviz[160]\"); // Menu dynamique Blog MOB
\$serviz[161] = stripslashes(\"$serviz[161]\"); // Nouveautés du site MOB
\$serviz[162] = stripslashes(\"$serviz[162]\"); // Nouveautés depuis la dernière connexion MOB
\$serviz[163] = stripslashes(\"$serviz[163]\"); // Nouveautés depuis un nombre de jours MOB
\$serviz[164] = stripslashes(\"$serviz[164]\"); // Nombre de jours à mémoriser MOB
\$serviz[165] = stripslashes(\"$serviz[165]\"); // Hauteur en pixels des nouveautés MOB
\$serviz[166] = stripslashes(\"$serviz[166]\"); // Inclure les réactions articles dans les nouveautés
\$serviz[167] = stripslashes(\"$serviz[167]\"); // Inclure les commentaires blog dans les nouveautés
\$serviz[168] = stripslashes(\"$serviz[168]\"); // Colonne des boîtes du blog inversées ON / OFF
\$serviz[169] = stripslashes(\"$serviz[169]\"); // Cacher la date des nouveautés du site WEB
\$serviz[170] = stripslashes(\"$serviz[170]\"); // Cacher la date des nouveautés du site MOB
\$serviz[171] = stripslashes(\"$serviz[171]\"); // Page secondaire du calendrier
\$serviz[172] = stripslashes(\"$serviz[172]\"); // Page secondaire utilisateur
\$serviz[173] = stripslashes(\"$serviz[173]\"); // Page secondaire connexion
\$serviz[174] = stripslashes(\"$serviz[174]\"); // Interdire le changement de position des boites

\$forum[3]  = stripslashes(\"$forum[3]\"); // Forum pleine page ON / OFF
\$forum[4]  = stripslashes(\"\"); // Inutilisé
\$forum[5]  = stripslashes(\"$forum[5]\"); // Durée thread up (heures)
\$forum[6]  = stripslashes(\"$forum[6]\"); // Durée thread au top (jours)
\$forum[7]  = stripslashes(\"$forum[7]\"); // Echelle des messages
\$forum[8]  = stripslashes(\"$forum[8]\"); // Durée nouveau
\$forum[9]  = stripslashes(\"$forum[9]\"); // Affichage charte du forum ON / OFF
\$forum[10] = stripslashes(\"$forum[10]\"); // Affichage du lien uniquement ON / OFF

\$supervision[0] = stripslashes(\"$supervision[0]\"); // e-mail compteur
\$supervision[1] = stripslashes(\"$supervision[1]\"); // incrément de compteur pour e-mail
\$supervision[2] = stripslashes(\"$supervision[2]\"); // e-mail publication nouvelle
\$supervision[3] = stripslashes(\"$supervision[3]\"); // e-mail publication livre d'or
\$supervision[4] = stripslashes(\"$supervision[4]\"); // e-mail publication forum
\$supervision[5] = stripslashes(\"$supervision[5]\"); // Type d'e-mail PHP
\$supervision[6] = stripslashes(\"$supervision[6]\"); // e-mail réagir aux articles
\$supervision[7] = stripslashes(\"$supervision[7]\"); // e-mail inscription ou résiliation Newsletter
\$supervision[8] = stripslashes(\"$supervision[8]\"); // e-mail publication blog
\$supervision[9] = stripslashes(\"$supervision[9]\"); // e-mail commentaire blog
\$supervision[10] = stripslashes(\"$supervision[10]\"); // liste des e-mails pour la supervision
\$supervision[11] = stripslashes(\"$supervision[11]\"); // e-mail ouverture ou fermeture de compte
\$supervision[12] = stripslashes(\"$supervision[12]\"); // e-mail erreurs de connexion

\$smtp[0] = stripslashes(\"$smtp[0]\"); // serveur SMTP
\$smtp[1] = stripslashes(\"$smtp[1]\"); // avec authentification ON / OFF
\$smtp[2] = stripslashes(\"$smtp[2]\"); // préfixe serveur '' / SSL / TLS
\$smtp[3] = stripslashes(\"$smtp[3]\"); // numéro de port SMTP
\$smtp[4] = stripslashes(\"$smtp[4]\"); // adresse mail utilisateur
\$smtp[5] = stripslashes(\"$smtp[5]\"); // mot de passe utilisateur

\$sitemap['SM'] = stripslashes(\"".$sitemap['SM']."\"); // Création d'un sitemap
\$sitemap['BL'] = stripslashes(\"".$sitemap['BL']."\"); // Inclure le blog dans le sitemap
\$sitemap['AR'] = stripslashes(\"".$sitemap['AR']."\"); // Inclure les articles dans le sitemap
\$sitemap['NE'] = stripslashes(\"".$sitemap['NE']."\"); // Inclure les nouvelles dans le sitemap
\$sitemap['PH'] = stripslashes(\"".$sitemap['PH']."\"); // Inclure les photos dans le sitemap
\$sitemap['DN'] = stripslashes(\"".$sitemap['DN']."\"); // Inclure les téléchargements dans le sitemap
\$sitemap['FA'] = stripslashes(\"".$sitemap['FA']."\"); // Inclure la faq dans le sitemap
\$sitemap['LI'] = stripslashes(\"".$sitemap['LI']."\"); // Inclure les liens dans le sitemap
\$sitemap['GB'] = stripslashes(\"".$sitemap['GB']."\"); // Inclure le livre d'or dans le sitemap
\$sitemap['FR'] = stripslashes(\"".$sitemap['FR']."\"); // Inclure le forum dans le sitemap
\$sitemap['AG'] = stripslashes(\"".$sitemap['AG']."\"); // Inclure l'agenda dans le sitemap

\$statscfg['Y']   = stripslashes(\"${statscfg['Y']}\");   // Mémoriser les fichiers 'année' de statistiques
\$statscfg['M']   = stripslashes(\"${statscfg['M']}\");   // Mémoriser les fichiers 'mois' de statistiques
\$statscfg['D']   = stripslashes(\"${statscfg['D']}\");   // Mémoriser les fichiers 'jour' de statistiques
\$statscfg['NBY'] = stripslashes(\"${statscfg['NBY']}\"); // Nombre d'année à mémoriser

\$members[0] = stripslashes(\"$members[0]\"); // Activation de la zone membres
\$members[1] = stripslashes(\"".($members[1] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Articles
\$members[2] = stripslashes(\"".($members[2] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Photo
\$members[3] = stripslashes(\"".($members[3] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Liens
\$members[4] = stripslashes(\"".($members[4] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section FAQ
\$members[5] = stripslashes(\"".($members[5] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Forum
\$members[6] = stripslashes(\"".($members[6] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Statistiques
\$members[7] = stripslashes(\"".($members[7] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Téléchargement
\$members[8] = stripslashes(\"".($members[8] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Nouvelles
\$members[9] = stripslashes(\"".($members[9] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Livre d'Or
\$members[10] = stripslashes(\"".($members[10] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Forum
\$members[11] = stripslashes(\"".($members[11] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Reactions aux articles
\$members[12] = stripslashes(\"".($members[12] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Livre d'Or
\$members[13] = stripslashes(\"".($members[13] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Nouvelles
\$members[14] = stripslashes(\"".($members[14] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Agenda
\$members[15] = stripslashes(\"".($members[15] == 'on' ? 'all_members' : '')."\"); // Zone membre accès à la section Blog
\$members[16] = stripslashes(\"".($members[16] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Blog
\$members[17] = stripslashes(\"".($members[17] == 'on' ? 'all_members' : '')."\"); // Zone membre accès publication Commentaires blog
\$members[18] = stripslashes(\"".($members[18] == 'on' ? 'all_members' : '')."\"); // Zone membre accès inscription Newsletter
\$members[19] = stripslashes(\"$members[19]\"); // Inscriptions membres on /off / ok mail / ok webmaster
\$members[20] = stripslashes(\"".($members[20] == 'on' ? 'all_members' : '')."\"); // Zone membre accès contact avancé
\$members[21] = stripslashes(\"$members[20]\"); // Délai expiration cookie utilisateur

\$configlogNB = stripslashes(\"$configlogNB\"); // Nombre de lignes dans LogBook

";

	include CHEMIN.INCREP.'lang/'.$lng.'-admin.inc';
	$label = array(1049, 570, 572, 574, 573, 567, 571, 568, 569, 1050, 1051, 552, 551, 1048, 1052, 1053, 1054, 1055, 1056, 1061);
	$n = 0;
	foreach ($configlog as $key=>$value) {
		$mettre .= '
$configlog['.$key.'] = stripslashes("'.$value.'"); // '.$admin[$label[$n]];
		$n++;
	}
	$mettre .= "\n";
	$mettre .= '
?>';
	WriteFullDB(CONFIG, $mettre);

	include CHEMIN.'skin/'.$page14.'/confskin.inc';
	$opage     = $page;
	$otitre    = $titre;
	$otexte    = $texte;
	$olien     = $lien;
	$obarre    = $barre;
	$ocalendar = $calendar;
	$ocitation = $citation;
	$opresform = $presform;
	$oforum    = $forum;
	$oposbox['T']['L'][0] = $posbox[30];
	$oposbox['T']['C'][0] = '';
	$oposbox['T']['R'][0] = $posbox[31];
	$oposbox['T']['L'][1] = '';
	$oposbox['T']['C'][1] = $posbox[32];
	$oposbox['T']['R'][1] = '';
	$oposbox['T']['L'][2] = $posbox[33];
	$oposbox['T']['C'][2] = '';
	$oposbox['T']['R'][2] = $posbox[34];
	include $meskin.'confskin.inc';
	$ix = array(0,1,2,3,4,5,6,7,8,9);
	foreach($ix as $i) $titre[$i] = $otitre[$i];
	$ix = array(0,1,2,3,4,5,6,7,8,9,10,11);
	foreach($ix as $i) $calendar[$i] = $ocalendar[$i];
	$ix = array(0,1,2,3,4,5,6,7,8);
	foreach($ix as $i) $presform[$i] = $opresform[$i];
	$ix = array(0,1,2);
	foreach($ix as $i) $forum[$i] = $oforum[$i];
	$ix = array(23,28,38);
	foreach($ix as $i) $serviz[$i] = 'on';
	$opage[28] = '';
	$page      = $opage;
	$texte     = $otexte;
	$lien      = $olien;
	$barre     = $obarre;
	$citation  
	= $ocitation;
	
	$mettre = '<?php
if (stristr($_SERVER["SCRIPT_NAME"], "confskin.inc")) {
    header("location:../index.php");
    die();
}
$body[0] = stripslashes("'.$body[0].'"); // Arrière-plan du site
$body[1] = stripslashes("'.$body[1].'"); // Image de fond du site
$body[2] = stripslashes("'.$body[2].'"); // Image de fond fixe / mouvante
$body[3] = stripslashes("'.$body[3].'"); // Répétition image de fond
$body[4] = stripslashes("'.$body[4].'"); // Position horizontale
$body[5] = stripslashes("'.$body[5].'"); // Position en bas de page du bouton flottant
$body[6] = stripslashes("'.$body[6].'"); // Décalage avant affichage du bouton flottant
$body[7] = stripslashes("'.$body[7].'"); // Bouton flottant ON/OFF
$body[8] = stripslashes("'.$body[8].'"); // Image de fond pied de page
$body[9] = stripslashes("'.$body[9].'"); // Répétition image pied de page
$body[10] = stripslashes("'.$body[10].'"); // N° de la colonne gauche
$body[11] = stripslashes("'.$body[11].'"); // N° de la colonne centrale
$body[12] = stripslashes("'.$body[12].'"); // N° de la colonne droite

$page[0] = stripslashes("'.$page[0].'"); // Arrière-plan des pages
$page[1] = stripslashes("'.$page[1].'"); // Police des boites centrales
$page[2] = stripslashes("'.$page[2].'"); // Taille des textes des boites centrales
$page[3] = stripslashes("'.$page[3].'"); // Image de fond de la page
$page[4] = stripslashes("'.$page[4].'"); // Logo du site
$page[5] = stripslashes("'.$page[5].'"); // Arrière-plan du pied de page
$page[6] = stripslashes("'.$page[6].'"); // Image de fond du pied de page
// (supprimé) Affichage alerte Javascript désactivé
$page[8] = stripslashes("'.$page[8].'"); // Affichage Temps de chargement de page ON / OFF
$page[9] = stripslashes("'.$page[9].'"); // Thème d\'icônes
$page[10] = stripslashes("'.$page[10].'"); // Image de fond fixe / mouvante
$page[11] = stripslashes("'.$page[11].'"); // Thème de compteur de visites
// Thème smileys for site is in config.inc
// (supprimé) Image Page en cours de chargement
 // Default Thème skins is in config.inc
$page[15] = stripslashes("'.$page[15].'"); // Effet animation liens
$page[16] = stripslashes("'.$page[16].'"); // Police des boites latérales
$page[17] = stripslashes("'.$page[17].'"); // Taille des textes des boites latérales
$page[18] = stripslashes("'.$page[18].'"); // Police du menu de navigation
$page[19] = stripslashes("'.$page[19].'"); // Taille des liens du menu de navigation
$page[20] = stripslashes("'.$page[20].'"); // Rollover sur les icônes
$page[21] = stripslashes("'.$page[21].'"); // Hauteur du footer
$page[22] = stripslashes("'.$page[22].'"); // Utilisation titres longs
 // Thème avatars for the site is in config.inc
$page[28] = stripslashes("'.$page[28].'"); // Largeur de page <=> $screen_choice
$page[29] = stripslashes("'.$page[29].'"); // Arrière-plan du bandeau TOP
$page[30] = stripslashes("'.$page[30].'"); // Image de fond du bandeau TOP
$page[31] = stripslashes("'.$page[31].'"); // Arrière-plan du bandeau BOTTOM
$page[32] = stripslashes("'.$page[32].'"); // Image de fond du bandeau BOTTOM
$page[33] = stripslashes("'.$page[33].'"); // Image de fond de la barre de menu
$page[34] = stripslashes("'.$page[34].'"); // Arrière-plan de la barre de menu
$page[35] = stripslashes("'.$page[35].'"); // Style de la police des boîtes latérales
$page[36] = stripslashes("'.$page[36].'"); // Style de police des boites centrales
$page[37] = stripslashes("'.$page[37].'"); // Style de police du menu icônes
$page[38] = stripslashes("'.$page[38].'"); // Hauteur des icônes du menu
$page[39] = stripslashes("'.$page[39].'"); // Police corps du document
$page[40] = stripslashes("'.$page[40].'"); // Taille des textes corps du document
$page[41] = stripslashes("'.$page[41].'"); // Style de police corps du document
$page[42] = stripslashes("'.$page[42].'"); // Hauteur du header
$page[43] = stripslashes("'.$page[43].'"); // Arrière-plan du header
$page[44] = stripslashes("'.$page[44].'"); // Image de fond du header
$page[45] = stripslashes("'.$page[45].'"); // Police footer
$page[46] = stripslashes("'.$page[46].'"); // Taille des textes footer
$page[47] = stripslashes("'.$page[47].'"); // Style de police footer

$titre[0] = stripslashes("'.$titre[0].'"); // Couleur du titre des boites centrales
$titre[1] = stripslashes("'.$titre[1].'"); // Arrière-plan du titre des boites centrales
$titre[2] = stripslashes("'.$titre[2].'"); // Police des titres des boites centrales
$titre[3] = stripslashes("'.$titre[3].'"); // Taille des titres des boites centrales
$titre[4] = stripslashes("'.$titre[4].'"); // Couleur du titre des boites latérales
$titre[5] = stripslashes("'.$titre[5].'"); // Arrière-plan du titre des boites latérales
$titre[6] = stripslashes("'.$titre[6].'"); // Police des titres des boites latérales
$titre[7] = stripslashes("'.$titre[7].'"); // Taille des titres des boites latérales
$titre[8] = stripslashes("'.$titre[8].'"); // Image de fond titre des boites centrales
$titre[9] = stripslashes("'.$titre[9].'"); // Image de fond titre des boites latérales
$titre[10] = stripslashes("'.$titre[10].'"); // Largeur de la colonne gauche du blog
$titre[11] = stripslashes("'.$titre[11].'"); // Style de police des titres des boites latérales
$titre[12] = stripslashes("'.$titre[12].'"); // Style de police des titres des boites centrales
$titre[13] = stripslashes("'.$titre[13].'"); // Largeur de la colonne latérale gauche
$titre[14] = stripslashes("'.$titre[14].'"); // Arrière-plan de la colonne latérale gauche
$titre[15] = stripslashes("'.$titre[15].'"); // Image de fond de la colonne latérale gauche
$titre[16] = stripslashes("'.$titre[16].'"); // Couleur des bordures de la colonne latérale gauche
$titre[17] = stripslashes("'.$titre[17].'"); // Taille des bordures de la colonne latérale gauche
$titre[18] = stripslashes("'.$titre[18].'"); // Style des bordures de la colonne latérale gauche
$titre[19] = stripslashes("'.$titre[19].'"); // Rayon des coins de la colonne latérale gauche
$titre[20] = stripslashes("'.$titre[20].'"); // Largeur de la colonne latérale droite
$titre[21] = stripslashes("'.$titre[21].'"); // Arrière-plan de la colonne latérale droite
$titre[22] = stripslashes("'.$titre[22].'"); // Image de fond de la colonne latérale droite
$titre[23] = stripslashes("'.$titre[23].'"); // Couleur des bordures de la colonne latérale droite
$titre[24] = stripslashes("'.$titre[24].'"); // Taille des bordures de la colonne latérale droite
$titre[25] = stripslashes("'.$titre[25].'"); // Style des bordures de la colonne latérale droite
$titre[26] = stripslashes("'.$titre[26].'"); // Rayon des coins de la colonne latérale droite
$titre[27] = stripslashes("'.$titre[27].'"); // Arrière-plan des colonnes du blog
$titre[28] = stripslashes("'.$titre[28].'"); // Image de fond des colonnes du blog
$titre[29] = stripslashes("'.$titre[29].'"); // Couleur des bordures des colonnes du blog
$titre[30] = stripslashes("'.$titre[30].'"); // Taille des bordures des colonnes du blog
$titre[31] = stripslashes("'.$titre[31].'"); // Style des bordures des colonnes du blog
$titre[32] = stripslashes("'.$titre[32].'"); // Rayon des coins des colonnes du blog
$titre[33] = stripslashes("'.$titre[33].'"); // Largeur de la colonne droite du blog
$titre[34] = stripslashes("'.$titre[34].'"); // Arrière-plan de la zone principale
$titre[35] = stripslashes("'.$titre[35].'"); // Image de fond de la zone principale
$titre[36] = stripslashes("'.$titre[36].'"); // Couleur des bordures de la zone principale
$titre[37] = stripslashes("'.$titre[37].'"); // Taille des bordures de la zone principale
$titre[38] = stripslashes("'.$titre[38].'"); // Style des bordures de la zone principale
$titre[39] = stripslashes("'.$titre[39].'"); // Rayon des coins de la zone principale
$titre[40] = stripslashes("'.$titre[40].'"); // Largeur de la zone principale
$titre[41] = stripslashes("'.$titre[41].'"); // Arrière-plan de la colonne centrale
$titre[42] = stripslashes("'.$titre[42].'"); // Image de fond de la colonne centrale
$titre[43] = stripslashes("'.$titre[43].'"); // Couleur des bordures de la colonne centrale
$titre[44] = stripslashes("'.$titre[44].'"); // Taille des bordures de la colonne centrale
$titre[45] = stripslashes("'.$titre[45].'"); // Style des bordures de la colonne centrale
$titre[46] = stripslashes("'.$titre[46].'"); // Rayon des coins de la colonne centrale
$titre[47] = stripslashes("'.$titre[47].'"); // Arrière-plan de la zone principale blog
$titre[48] = stripslashes("'.$titre[48].'"); // Image de fond de la zone principale blog
$titre[49] = stripslashes("'.$titre[49].'"); // Couleur des bordures de la zone principale blog
$titre[50] = stripslashes("'.$titre[50].'"); // Taille des bordures de la zone principale blog
$titre[51] = stripslashes("'.$titre[51].'"); // Style des bordures de la zone principale blog
$titre[52] = stripslashes("'.$titre[52].'"); // Rayon des coins de la zone principale blog
$titre[53] = stripslashes("'.$titre[53].'"); // Largeur de la zone principale blog
$titre[54] = stripslashes("'.$titre[54].'"); // Arrière-plan de la colonne centrale blog
$titre[55] = stripslashes("'.$titre[55].'"); // Image de fond de la colonne centrale blog
$titre[56] = stripslashes("'.$titre[56].'"); // Couleur des bordures de la colonne centrale blog
$titre[57] = stripslashes("'.$titre[57].'"); // Taille des bordures de la colonne centrale blog
$titre[58] = stripslashes("'.$titre[58].'"); // Style des bordures de la colonne centrale blog
$titre[59] = stripslashes("'.$titre[59].'"); // Rayon des coins de la colonne centrale blog
$titre[60] = stripslashes("'.$titre[60].'"); // Arrière-plan de la zone au-dessus
$titre[61] = stripslashes("'.$titre[61].'"); // Image de fond de la zone au-dessus
$titre[62] = stripslashes("'.$titre[62].'"); // Couleur des bordures zone au-dessus
$titre[63] = stripslashes("'.$titre[63].'"); // Taille des bordures zone au-dessus
$titre[64] = stripslashes("'.$titre[64].'"); // Style des bordures zone au-dessus
$titre[65] = stripslashes("'.$titre[65].'"); // Rayon des coins zone au-dessus
$titre[66] = stripslashes("'.$titre[66].'"); // Arrière-plan de la zone édito
$titre[67] = stripslashes("'.$titre[67].'"); // Image de fond de la zone édito
$titre[68] = stripslashes("'.$titre[68].'"); // Couleur des bordures de la zone édito
$titre[69] = stripslashes("'.$titre[69].'"); // Taille des bordures de la zone édito
$titre[70] = stripslashes("'.$titre[70].'"); // Style des bordures de la zone édito
$titre[71] = stripslashes("'.$titre[71].'"); // Rayon des coins de la zone édito
$titre[72] = stripslashes("'.$titre[72].'"); // Arrière-plan de la zone au-dessous
$titre[73] = stripslashes("'.$titre[73].'"); // Image de fond de la zone au-dessous
$titre[74] = stripslashes("'.$titre[74].'"); // Couleur des bordures de la zone au-dessous
$titre[75] = stripslashes("'.$titre[75].'"); // Taille des bordures de la zone au-dessous
$titre[76] = stripslashes("'.$titre[76].'"); // Style des bordures de la zone au-dessous
$titre[77] = stripslashes("'.$titre[77].'"); // Rayon des coins de la zone au-dessous
$titre[78] = stripslashes("'.$titre[78].'"); // Largeur du bandeau TOP
$titre[79] = stripslashes("'.$titre[79].'"); // Largeur du bandeau BOTTOM

$texte[0] = stripslashes("'.$texte[0].'"); // Couleur des textes des boites centrales
$texte[1] = stripslashes("'.$texte[1].'"); // Arrière-plan OFF des boites centrales
$texte[2] = stripslashes("'.$texte[2].'"); // Arrière-plan ON des boites centrales
 // Puce articles is in config.inc
$texte[4] = stripslashes("'.$texte[4].'"); // Taille des bordures
$texte[5] = stripslashes("'.$texte[5].'"); // Couleur des textes des boites latérales
$texte[6] = stripslashes("'.$texte[6].'"); // Arrière-plan OFF des boites latérales
$texte[7] = stripslashes("'.$texte[7].'"); // Arrière-plan ON des boites latérales
$texte[8] = stripslashes("'.$texte[8].'"); // Couleur des textes de bas de page
$texte[9] = stripslashes("'.$texte[9].'"); // Couleur des textes corps du document
$texte[10] = stripslashes("'.$texte[10].'"); // Alignement des titres boîtes centrales
$texte[11] = stripslashes("'.$texte[11].'"); // Alignement des titres boîtes latérales
$texte[12] = stripslashes("'.$texte[12].'"); // Alignement des options de menu déroulant
$texte[13] = stripslashes("'.$texte[13].'"); // Couleur des textes footer

$bordure[0] = stripslashes("'.$bordure[0].'"); // Couleur des bordures
$bordure[3] = stripslashes("'.$bordure[3].'"); // Couleur des bordures pied de page
$bordure[4] = stripslashes("'.$bordure[4].'"); // Taille des bordures pied de page
$bordure[5] = stripslashes("'.$bordure[5].'"); // Taille coins arrondis pied de page
$bordure[6] = stripslashes("'.$bordure[6].'"); // Taille coins arrondis pages
$bordure[7] = stripslashes("'.$bordure[7].'"); // Couleur des bordures titre boîtes centrales
$bordure[8] = stripslashes("'.$bordure[8].'"); // Taille des bordures titre boîtes centrales
$bordure[9] = stripslashes("'.$bordure[9].'"); // Taille coins arrondis titre boîtes centrales
$bordure[10] = stripslashes("'.$bordure[10].'"); // Couleur des bordures corps boîtes centrales
$bordure[11] = stripslashes("'.$bordure[11].'"); // Taille des bordures corps boîtes centrales
$bordure[12] = stripslashes("'.$bordure[12].'"); // Taille coins arrondis corps boîtes centrales
$bordure[13] = stripslashes("'.$bordure[13].'"); // Couleur des bordures titre boîtes latérales
$bordure[14] = stripslashes("'.$bordure[14].'"); // Taille des bordures titre boîtes latérales
$bordure[15] = stripslashes("'.$bordure[15].'"); // Taille coins arrondis titre boîtes latérales
$bordure[16] = stripslashes("'.$bordure[16].'"); // Couleur des bordures corps boîtes latérales
$bordure[17] = stripslashes("'.$bordure[17].'"); // Taille des bordures corps boîtes latérales
$bordure[18] = stripslashes("'.$bordure[18].'"); // Taille coins arrondis corps boîtes latérales
$bordure[19] = stripslashes("'.$bordure[19].'"); // Couleur des bordures du bandeau TOP
$bordure[20] = stripslashes("'.$bordure[20].'"); // Taille des bordures du bandeau TOP
$bordure[21] = stripslashes("'.$bordure[21].'"); // Taille coins arrondis du bandeau TOP
$bordure[22] = stripslashes("'.$bordure[22].'"); // Couleur des bordures du bandeau BOTTOM
$bordure[23] = stripslashes("'.$bordure[23].'"); // Taille des bordures du bandeau BOTTOM
$bordure[24] = stripslashes("'.$bordure[24].'"); // Taille coins arrondis du bandeau BOTTOM
$bordure[25] = stripslashes("'.$bordure[25].'"); // Hauteur de la barre de menu
$bordure[26] = stripslashes("'.$bordure[26].'"); // Couleur des bordures de la barre de menu
$bordure[27] = stripslashes("'.$bordure[27].'"); // Taille des bordures de la barre de menu
$bordure[28] = stripslashes("'.$bordure[28].'"); // Taille coins arrondis de la barre de menu
$bordure[29] = stripslashes("'.$bordure[29].'"); // Style des bordures du bandeau TOP
$bordure[30] = stripslashes("'.$bordure[30].'"); // Style des bordures du bandeau BOTTOM
$bordure[31] = stripslashes("'.$bordure[31].'"); // Style des bordures du bandeau pied de page
$bordure[32] = stripslashes("'.$bordure[32].'"); // Style des bordures de la barre de menu
$bordure[33] = stripslashes("'.$bordure[33].'"); // Style des bordures du bloc page
$bordure[34] = stripslashes("'.$bordure[34].'"); // Style des bordures titre boîtes centrales
$bordure[35] = stripslashes("'.$bordure[35].'"); // Style des bordures corps boîtes centrales
$bordure[36] = stripslashes("'.$bordure[36].'"); // Style des bordures titre boîtes latérales
$bordure[37] = stripslashes("'.$bordure[37].'"); // Style des bordures corps boîtes latérales
$bordure[38] = stripslashes("'.$bordure[38].'"); // Style des bordures formulaire
$bordure[39] = stripslashes("'.$bordure[39].'"); // Style des bordures annuaires
$bordure[40] = stripslashes("'.$bordure[40].'"); // Couleur des bordures du header
$bordure[41] = stripslashes("'.$bordure[41].'"); // Taille des bordures du header
$bordure[42] = stripslashes("'.$bordure[42].'"); // Taille coins arrondis du header
$bordure[43] = stripslashes("'.$bordure[43].'"); // Style des bordures du header

$lien[0] = stripslashes("'.$lien[0].'"); // Liens OFF des boites centrales
$lien[1] = stripslashes("'.$lien[1].'"); // Liens ON des boites centrales
$lien[2] = stripslashes("'.$lien[2].'"); // Liens OFF des boites latérales
$lien[3] = stripslashes("'.$lien[3].'"); // Liens ON des boites latérales
$lien[4] = stripslashes("'.$lien[4].'"); // Liens OFF de la barre de menu haute
$lien[5] = stripslashes("'.$lien[5].'"); // Liens ON de la barre de menu haute
$lien[6] = stripslashes("'.$lien[6].'"); // Fond liens ON de la barre de menu haute
$lien[7] = stripslashes("'.$lien[7].'"); // Fond liens OFF de la barre de menu haute
$lien[8] = stripslashes("'.$lien[8].'"); // Fond lien actif de la barre de menu haute
$lien[9] = stripslashes("'.$lien[9].'"); // Liens actif de la barre de menu haute

$barre[0] = stripslashes("'.$barre[0].'"); // Couleur des HR
$barre[1] = stripslashes("'.$barre[1].'"); // Taille des HR
$barre[2] = stripslashes("'.$barre[2].'"); // Style des HR
$barre[3] = stripslashes("'.$barre[3].'"); // Couleur des bordures
$barre[4] = stripslashes("'.$barre[4].'"); // Taille des bordures
$barre[5] = stripslashes("'.$barre[5].'"); // Style des bordures

$forum[0] = stripslashes("'.$forum[0].'"); // Arrière plan entêtes
$forum[1] = stripslashes("'.$forum[1].'"); // Arrière plan question
$forum[2] = stripslashes("'.$forum[2].'"); // Arrière plan réponse
$forum[11] = stripslashes("'.$forum[11].'"); // Couleur texte dans entête
$forum[12] = stripslashes("'.$forum[12].'"); // Police du texte dans entête
$forum[13] = stripslashes("'.$forum[13].'"); // Style du texte dans entête
$forum[14] = stripslashes("'.$forum[14].'"); // Taille du texte dans entête

$calendar[0] = stripslashes("'.$calendar[0].'"); // Couleur de fond des jours libres du mois
$calendar[1] = stripslashes("'.$calendar[1].'"); // Couleur de fond des jours
$calendar[2] = stripslashes("'.$calendar[2].'"); // Couleur de fond de la journée
$calendar[3] = stripslashes("'.$calendar[3].'"); // Couleur de fond des dimanches
$calendar[4] = stripslashes("'.$calendar[4].'"); // Couleur de fond de la journée si dimanche
$calendar[5] = stripslashes("'.$calendar[5].'"); // Police du calendrier
$calendar[6] = stripslashes("'.$calendar[6].'"); // Taille de la police du calendrier
$calendar[7] = stripslashes("'.$calendar[7].'"); // Couleurs de la police des chiffres
$calendar[8] = stripslashes("'.$calendar[8].'"); // Couleurs de la police des jours de la semaine
$calendar[9] = stripslashes("'.$calendar[9].'"); // Espacement des bordures du calendrier
$calendar[10] = stripslashes("'.$calendar[10].'"); // Couleur de fond évènement
$calendar[11] = stripslashes("'.$calendar[11].'"); // Couleur de fond du calendrier
$calendar[12] = stripslashes("'.$calendar[12].'"); // Taille des bordures du calendrier
$calendar[13] = stripslashes("'.$calendar[13].'"); // Couleur bordure calendrier
$calendar[14] = stripslashes("'.$calendar[14].'"); // Taille coins arrondis calendrier
$calendar[15] = stripslashes("'.$calendar[15].'"); // Style de police du calendrier
$calendar[16] = stripslashes("'.$calendar[16].'"); // Couleur de la police évènement
$calendar[17] = stripslashes("'.$calendar[17].'"); // Couleur de fond des jours de la semaine
$calendar[18] = stripslashes("'.$calendar[18].'"); // Couleur de la police de la journée
$calendar[19] = stripslashes("'.$calendar[19].'"); // Couleur de la police des dimanches
$calendar[20] = stripslashes("'.$calendar[20].'"); // Couleur de la police de la journée si dimanche

$citation[0] = stripslashes("'.$citation[0].'"); // Police des citations
$citation[1] = stripslashes("'.$citation[1].'"); // Taille de la police des citations
$citation[2] = stripslashes("'.$citation[2].'"); // Couleur de la police des citations
$citation[3] = stripslashes("'.$citation[3].'"); // Style de la police des citations
$citation[4] = stripslashes("'.$citation[4].'"); // Couleur des adresses actives
$citation[5] = stripslashes("'.$citation[5].'"); // Couleur de la page courante
$citation[6] = stripslashes("'.$citation[6].'"); // Police de la boîte impression
$citation[7] = stripslashes("'.$citation[7].'"); // Style de la police boîte impression
$citation[8] = stripslashes("'.$citation[8].'"); // Taille de la police boîte impression
$citation[9] = stripslashes("'.$citation[9].'"); // Couleur des textes boîte impression
$citation[10] = stripslashes("'.$citation[10].'"); // Arrière-plan des citations
$citation[11] = stripslashes("'.$citation[11].'"); // Image de fond des citations
$citation[12] = stripslashes("'.$citation[12].'"); // Couleur des bordures des citations
$citation[13] = stripslashes("'.$citation[13].'"); // Taille des bordures des citations
$citation[14] = stripslashes("'.$citation[14].'"); // Taille coins arrondis des citations
$citation[15] = stripslashes("'.$citation[15].'"); // Style des bordures des citations

$annuaire[0] = stripslashes("'.$annuaire[0].'"); // Arrière-plan de la catégorie 
$annuaire[1] = stripslashes("'.$annuaire[1].'"); // Police de la catégorie
$annuaire[2] = stripslashes("'.$annuaire[2].'"); // Taille de la police de la catégorie
$annuaire[3] = stripslashes("'.$annuaire[3].'"); // Couleur de la police de la catégorie
$annuaire[4] = stripslashes("'.$annuaire[4].'"); // Couleur de bordure de la catégorie
$annuaire[5] = stripslashes("'.$annuaire[5].'"); // Taille de bordure de la catégorie
$annuaire[6] = stripslashes("'.$annuaire[6].'"); // Taille des coins arrondis de la catégorie
$annuaire[7] = stripslashes("'.$annuaire[7].'"); // Style de police de la catégorie
$annuaire[8] = stripslashes("'.$annuaire[8].'"); // Arrière-plan sous-catégorie 
$annuaire[9] = stripslashes("'.$annuaire[9].'"); // Arrière-plan élément
$annuaire[10] = stripslashes("'.$annuaire[10].'"); // Police de la sous-catégorie
$annuaire[11] = stripslashes("'.$annuaire[11].'"); // Style de police de la sous-catégorie
$annuaire[12] = stripslashes("'.$annuaire[12].'"); // Taille de la police de la sous-catégorie
$annuaire[13] = stripslashes("'.$annuaire[13].'"); // Couleur de la police de la sous-catégorie
$annuaire[14] = stripslashes("'.$annuaire[14].'"); // Police des éléments
$annuaire[15] = stripslashes("'.$annuaire[15].'"); // Style de police des éléments
$annuaire[16] = stripslashes("'.$annuaire[16].'"); // Taille de la police des éléments
$annuaire[17] = stripslashes("'.$annuaire[17].'"); // Couleur de la police des éléments

$dropdown[0] = stripslashes("'.$dropdown[0].'"); // Largeur option menu déroulant
$dropdown[1] = stripslashes("'.$dropdown[1].'"); // Police option menu déroulant
$dropdown[2] = stripslashes("'.$dropdown[2].'"); // Style de police option menu déroulant
$dropdown[3] = stripslashes("'.$dropdown[3].'"); // Taille de police option menu déroulant
$dropdown[4] = stripslashes("'.$dropdown[4].'"); // Couleur de police option menu déroulant
$dropdown[5] = stripslashes("'.$dropdown[5].'"); // Couleur arrière-plan option menu déroulant
$dropdown[6] = stripslashes("'.$dropdown[6].'"); // Image arrière-plan option menu déroulant
$dropdown[7] = stripslashes("'.$dropdown[7].'"); // Couleur de bordure option menu déroulant
$dropdown[8] = stripslashes("'.$dropdown[8].'"); // Taille de bordure option menu déroulant
$dropdown[9] = stripslashes("'.$dropdown[9].'"); // Style de bordure option menu déroulant
$dropdown[10] = stripslashes("'.$dropdown[10].'"); // Taille des coins arrondis option menu déroulant
$dropdown[11] = stripslashes("'.$dropdown[11].'"); // Largeur sous-option menu déroulant
$dropdown[12] = stripslashes("'.$dropdown[12].'"); // Couleur arrière-plan sous-option menu déroulant
$dropdown[13] = stripslashes("'.$dropdown[13].'"); // Image arrière-plan sous-option menu déroulant
$dropdown[14] = stripslashes("'.$dropdown[14].'"); // Couleur arrière-plan option visitée menu déroulant
$dropdown[15] = stripslashes("'.$dropdown[15].'"); // Image arrière-plan option visitée menu déroulant
$dropdown[16] = stripslashes("'.$dropdown[16].'"); // Couleur texte option visitée menu déroulant
$dropdown[17] = stripslashes("'.$dropdown[17].'"); // Largeur panneau menu déroulant linéaire
$dropdown[18] = stripslashes("'.$dropdown[18].'"); // Hauteur panneau option menu déroulant linaire
$dropdown[19] = stripslashes("'.$dropdown[19].'"); // Couleur arrière-plan option menu déroulant linaire
$dropdown[20] = stripslashes("'.$dropdown[20].'"); // Image arrière-plan option menu déroulant linéaire
$dropdown[21] = stripslashes("'.$dropdown[21].'"); // Couleur de bordure option menu déroulant linéaire
$dropdown[22] = stripslashes("'.$dropdown[22].'"); // Taille de bordure option menu déroulant linéaire
$dropdown[23] = stripslashes("'.$dropdown[23].'"); // Style de bordure option menu déroulant linéaire
$dropdown[24] = stripslashes("'.$dropdown[24].'"); // Taille des coins arrondis option menu déroulant linéaire
$dropdown[25] = stripslashes("'.$dropdown[25].'"); // Couleur texte sous-option menu déroulant
$dropdown[26] = stripslashes("'.$dropdown[26].'"); // Couleur texte panneau menu déroulant linéaire
$dropdown[27] = stripslashes("'.$dropdown[27].'"); // Couleur arrière-plan option visitée menu déroulant
$dropdown[28] = stripslashes("'.$dropdown[28].'"); // Image arrière-plan option visitée menu déroulant
$dropdown[29] = stripslashes("'.$dropdown[29].'"); // Couleur texte option visitée menu déroulant

$tabs[0] = stripslashes("'.$tabs[0].'"); // Couleur des textes des onglets inactifs
$tabs[1] = stripslashes("'.$tabs[1].'"); // Couleur arrière-plan des onglets inactifs
$tabs[2] = stripslashes("'.$tabs[2].'"); // Couleur des bordures des onglets inactifs
$tabs[3] = stripslashes("'.$tabs[3].'"); // Taille des bordures des onglets inactifs
$tabs[4] = stripslashes("'.$tabs[4].'"); // Taille des coins arrondis des onglets inactifs
$tabs[5] = stripslashes("'.$tabs[5].'"); // Couleur arrière-plan des onglets actifs
$tabs[6] = stripslashes("'.$tabs[6].'"); // Couleur des textes des onglets actifs
$tabs[7] = stripslashes("'.$tabs[7].'"); // Couleur arrière-plan des panneaux des onglets
$tabs[8] = stripslashes("'.$tabs[8].'"); // Couleur des bordures des panneaux des onglets
$tabs[9] = stripslashes("'.$tabs[9].'"); // Taille des bordures des panneaux des onglets
$tabs[10] = stripslashes("'.$tabs[10].'"); // Taille des coins arrondis des panneaux des onglets
$tabs[11] = stripslashes("'.$tabs[11].'"); // Couleur des textes des accordéons inactifs
$tabs[12] = stripslashes("'.$tabs[12].'"); // Couleur arrière-plan des accordéons inactifs
$tabs[13] = stripslashes("'.$tabs[13].'"); // Couleur des bordures des accordéons inactifs
$tabs[14] = stripslashes("'.$tabs[14].'"); // Taille des bordures des accordéons inactifs
$tabs[15] = stripslashes("'.$tabs[15].'"); // Taille des coins arrondis des accordéons inactifs
$tabs[16] = stripslashes("'.$tabs[16].'"); // Couleur arrière-plan des accordéons actifs
$tabs[17] = stripslashes("'.$tabs[17].'"); // Couleur des textes des accordéons actifs
$tabs[18] = stripslashes("'.$tabs[18].'"); // Couleur arrière-plan des panneaux des accordéons
$tabs[19] = stripslashes("'.$tabs[19].'"); // Couleur des bordures des panneaux des accordéons
$tabs[20] = stripslashes("'.$tabs[20].'"); // Taille des bordures des panneaux des accordéons
$tabs[21] = stripslashes("'.$tabs[21].'"); // Taille des coins arrondis des panneaux des accordéons
$tabs[22] = stripslashes("'.$tabs[22].'"); // Couleur pour le fondu des fenêtre modales
$tabs[23] = stripslashes("'.$tabs[23].'"); // Opacité pour le fondu des fenêtre modales
$tabs[24] = stripslashes("'.$tabs[24].'"); // Couleur arrière-plan des fenêtre modales
$tabs[25] = stripslashes("'.$tabs[25].'"); // Couleur des bordures des fenêtre modales
$tabs[26] = stripslashes("'.$tabs[26].'"); // Taille des bordures des fenêtre modales
$tabs[27] = stripslashes("'.$tabs[27].'"); // Taille des coins arrondis des fenêtre modales

$opacity[0] = stripslashes("'.$opacity[0].'"); // Opacité arrière-plan entête
$opacity[1] = stripslashes("'.$opacity[1].'"); // Opacité arrière-plan bas de page
$opacity[2] = stripslashes("'.$opacity[2].'"); // Opacité arrière-plan pied de page
$opacity[3] = stripslashes("'.$opacity[3].'"); // Opacité arrière-plan menu icônes
$opacity[4] = stripslashes("'.$opacity[4].'"); // Opacité arrière-plan colonne gauche
$opacity[5] = stripslashes("'.$opacity[5].'"); // Opacité arrière-plan colonne droite
$opacity[6] = stripslashes("'.$opacity[6].'"); // Opacité arrière-plan colonnes blog
$opacity[7] = stripslashes("'.$opacity[7].'"); // Opacité arrière-plan zone principale
$opacity[8] = stripslashes("'.$opacity[8].'"); // Opacité arrière-plan colonne centrale
$opacity[9] = stripslashes("'.$opacity[9].'"); // Opacité arrière-plan titres boîtes centrales
$opacity[10] = stripslashes("'.$opacity[10].'"); // Opacité arrière-plan tables boîtes centrales
$opacity[11] = stripslashes("'.$opacity[11].'"); // Opacité arrière-plan titres boîtes latérales
$opacity[12] = stripslashes("'.$opacity[12].'"); // Opacité arrière-plan tables boîtes latérales
$opacity[13] = stripslashes("'.$opacity[13].'"); // Opacité arrière-plan zone principale blog
$opacity[14] = stripslashes("'.$opacity[14].'"); // Opacité arrière-plan colonne centrale blog
$opacity[15] = stripslashes("'.$opacity[15].'"); // Opacité arrière-plan zone au-dessus
$opacity[16] = stripslashes("'.$opacity[16].'"); // Opacité arrière-plan zone édito
$opacity[17] = stripslashes("'.$opacity[17].'"); // Opacité arrière-plan zone au-dessous
$opacity[18] = stripslashes("'.$opacity[18].'"); // Opacité arrière-plan header
$opacity[19] = stripslashes("'.$opacity[19].'"); // Opacité arrière-plan citations
$opacity[20] = stripslashes("'.$opacity[20].'"); // Opacité du bouton flottant

$marge[1] = stripslashes("'.$marge[1].'"); // Marges externes de la colonne gauche
$marge[2] = stripslashes("'.$marge[2].'"); // Marges internes de la colonne gauche
$marge[3] = stripslashes("'.$marge[3].'"); // Marges externes de la colonne droite
$marge[4] = stripslashes("'.$marge[4].'"); // Marges internes de la colonne droite
$marge[5] = stripslashes("'.$marge[5].'"); // Marges externes de la colonne gauche blog
$marge[6] = stripslashes("'.$marge[6].'"); // Marges internes de la colonne gauche blog
$marge[7] = stripslashes("'.$marge[7].'"); // Marges externes de la colonne droite blog
$marge[8] = stripslashes("'.$marge[8].'"); // Marges internes de la colonne droite blog
$marge[9] = stripslashes("'.$marge[9].'"); // Marges externes titre boîtes centrales
$marge[10] = stripslashes("'.$marge[10].'"); // Marges internes titre boîtes centrales
$marge[11] = stripslashes("'.$marge[11].'"); // Marges externes boîtes centrales
$marge[12] = stripslashes("'.$marge[12].'"); // Marges internes boîtes centrales
$marge[13] = stripslashes("'.$marge[13].'"); // Marges externes titre boîtes latérales
$marge[14] = stripslashes("'.$marge[14].'"); // Marges internes titre boîtes latérales
$marge[15] = stripslashes("'.$marge[15].'"); // Marges externes boîtes latérales
$marge[16] = stripslashes("'.$marge[16].'"); // Marges internes boîtes latérales
$marge[17] = stripslashes("'.$marge[17].'"); // Marges internes de la page
$marge[18] = stripslashes("'.$marge[18].'"); // Marges externes du header
$marge[19] = stripslashes("'.$marge[19].'"); // Marges externes du bandeau TOP
$marge[20] = stripslashes("'.$marge[20].'"); // Marges externes du bandeau MAIN
$marge[21] = stripslashes("'.$marge[21].'"); // Marges externes du bandeau BOTTOM
$marge[22] = stripslashes("'.$marge[22].'"); // Marges externes du footer
$marge[23] = stripslashes("'.$marge[23].'"); // Marges internes du footer

$presform[0] = stripslashes("'.$presform[0].'"); // Couleur des textes dans les boites de choix et boutons de commande
$presform[1] = stripslashes("'.$presform[1].'"); // Couleur des boites de choix
$presform[2] = stripslashes("'.$presform[2].'"); // Couleur des boutons de commande
$presform[3] = stripslashes("'.$presform[3].'"); // Couleur des zone de texte
$presform[4] = stripslashes("'.$presform[4].'"); // Police dans la présentation des formulaires
$presform[5] = stripslashes("'.$presform[5].'"); // Taille de la police dans la présentation des formulaires
$presform[6] = stripslashes("'.$presform[6].'"); // Couleur de fond des textarea
$presform[7] = stripslashes("'.$presform[7].'"); // Taille de la bordure
$presform[8] = stripslashes("'.$presform[8].'"); // Couleur de la bordure
$presform[9] = stripslashes("'.$presform[9].'"); // Taille coins arrondis
$presform[10] = stripslashes("'.$presform[10].'"); // Style de la police de présentation
$presform[11] = stripslashes("'.$presform[11].'"); // Couleur du texte des boutons de commande
';

	WriteFullDB(CHEMIN.'skins/no_skin/confskin.inc', $mettre);

    // création des structures web et mobile
	$mettre = '
$site[4]  = stripslashes("'.$site[4].'");  // Nouvelles sur la page d\'accueil
$site[20] = stripslashes("'.$site[20].'"); // Messages Forum sur la page d\'accueil
$site[21] = stripslashes("'.$site[21].'"); // ID du message Livre d\'or préféré
$site[29] = stripslashes("'.$site[29].'"); // Hauteur en pixels des nouvelles en page d\'accueil
$site[31] = stripslashes(""); // Blog sur la page d\'accueil
$site[33] = stripslashes("'.$site[33].'"); // Hauteur en pixels des billets en page d\'accueil
$site[34] = stripslashes("'.$site[34].'"); // Nombre de caractères des posts forum en page d\'accueil

$serviz[28] = stripslashes("'.$serviz[28].'"); // Préférences visiteurs
$serviz[38] = stripslashes("'.$serviz[38].'"); // RSS News ON / OFF
$serviz[74]  = stripslashes(""); // Cacher les boîtes en page d\'accueil
$serviz[131] = stripslashes("0"); // Page associée au blog hors pleine page

// Configurations accueil et pages secondaires';

	function getExtraBox($name, $type, $num) {
		$boxes = ReadDBFields(TEMPREP.'boxes.dtb');
		$nbox  = '';
		$name  = $num == '' ? $name : $name.$num;
		foreach ($boxes as $box)
			if ($box[2] == $name && $type == $box[0]) {
				switch ($type) {
				case TYP_FREEBOX : return '||fbox_freebox||'.$box[1];
				case TYP_MENUBOX : return '||fbox_menubox||'.$box[1];
				}
			}
		return '';
	}
	
	$c = count($oeditobox);
	for ($k = 0; $k < $c; $k++) {
		$fbox     = '';
		$name = substr($oeditobox[$k], 4);
		switch ($name) {
		case 'boxspec'  :
		case 'boxhome'  : $fbox = getExtraBox($name, TYP_FREEBOX, '').'W100'; break;
		case 'boxforum' : $fbox = '||fbox_forum||W100';	break;
		case 'boxnews'  : $fbox = '||fbox_news||W100';  break;
		case 'boxblog'  : $fbox = '||fbox_blog||W100';  break;
		case 'boxguest' : $fbox = '||fbox_guest||W100'; break;
		}
		$oeditobox[$k] = $fbox;
	}
	
	$mettre .= '
// $xposbox["'.BOX_EDITO.'"]["'.BOX_LEFT.'"]';
	for ($k = 0; $k < $c; $k++) {
		$mettre .= '
$xposbox["'.BOX_EDITO.'"]["'.BOX_LEFT.'"]['.$k.'] = stripslashes("'.$oeditobox[$k].'");';
	}
	$mettre .= "\n";
	$mettre .= '
// $xposbox["'.BOX_EDITO.'"]["'.BOX_CENTER.'"]';
	for ($k = 0; $k < $c; $k++) {
		$mettre .= '
$xposbox["'.BOX_EDITO.'"]["'.BOX_CENTER.'"]['.$k.'] = stripslashes("");';
	}
	$mettre .= "\n";
	$mettre .= '
// $xposbox["'.BOX_EDITO.'"]["'.BOX_RIGHT.'"]';
	for ($k = 0; $k < $c; $k++) {
		$mettre .= '
$xposbox["'.BOX_EDITO.'"]["'.BOX_RIGHT.'"]['.$k.'] = stripslashes("");';
	}

$mettre .= "\n".'
// NE PAS SUPPRIMER $templates[0]
$templates[0] = stripslashes("Principale");';

	function getBox($name, $w=NULL) {
		$fbox = $type = $nbox = '';
		$nbox = strpos($name, 'sidebox') !== false ? substr($name, strpos($name, 'sidebox') + 7) : '';
		$type = strpos($name, 'ajoutefreebox') !== false ? TYP_FREEBOX : (strpos($name, 'ajoutemenu') !== false ? TYP_MENUBOX : '');
		$name = substr($name, strrpos($name, '/') + 1);
		$name = in_array(substr($name, 0, 7), array('sidebox', 'boxfree')) ? substr($name, 0, 7) : $name;
		switch ($name) {
		case 'boxban'       : $fbox = '||fbox_ban'.($w !== NULL ? '||W'.$w : '');	    break;
		case 'boxcal'       : $fbox = '||fbox_cal'.($w !== NULL ? '||W'.$w : '');	    break;
		case 'boxcita'      : $fbox = '||fbox_cita'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxcount'     : $fbox = '||fbox_count'.($w !== NULL ? '||W'.$w : '');   break;
		case 'boxlogo'      : $fbox = '||fbox_logo'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxmenu'      : $fbox = '||fbox_menu'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxcpnewslet' :
		case 'boxnewslet'   : $fbox = '||fbox_newslet'.($w !== NULL ? '||W'.$w : '');	break;
		case 'boxpoll'      : $fbox = '||fbox_poll'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxrss'       : $fbox = '||fbox_rss'.($w !== NULL ? '||W'.$w : '');	    break;
		case 'boxsearch'    : $fbox = '||fbox_search'.($w !== NULL ? '||W'.$w : '');	break;
		case 'boxsocnet'    : $fbox = '||fbox_socnet'.($w !== NULL ? '||W'.$w : '');	break;
		case 'boxmemb'      :
		case 'boxuser'      : $fbox = '||fbox_user'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxwebm'      : $fbox = '||fbox_webm'.($w !== NULL ? '||W'.$w : '');    break;
		case 'boxspec'      :
		case 'boxhome'      : $fbox = getExtraBox($name, TYP_FREEBOX, '').($w !== NULL ? 'W'.$w : ''); break;
		case 'boxfree'      : $fbox = getExtraBox($name, TYP_FREEBOX, '').($w !== NULL ? 'W'.$w : ''); break;
		case 'boxartg'      :
		case 'boxartd'      : $fbox = getExtraBox($name, TYP_MENUBOX, $nbox).($w !== NULL ? 'W'.$w : ''); break;
		case 'sidebox'      : $fbox = getExtraBox($name, $type, $nbox).($w !== NULL ? 'W'.$w : '');    break;
		}
		return $fbox;
	}
	$valueconf = 'Principale';
	
	$mettre .= "\n".str_repeat('/', 20).' '.$valueconf.' '.str_repeat('/', 20);
	// colonne gauche
	$mettre .= "\n".'// $xposbox['.$valueconf.'][L]';
	foreach ($xposbox['L'] as $key=>$value) {
		$mettre .= '
$xposbox[0]["L"]['.$key.'] = stripslashes("'.getBox($value).'");';
	}
	$mettre .= "\n";
	// colonne droite
	$mettre .= "\n".'// $xposbox['.$valueconf.'][R]';
	foreach ($xposbox['R'] as $key=>$value) {
		$mettre .= '
$xposbox[0]["R"]['.$key.'] = stripslashes("'.getBox($value).'");';
	}
	$mettre .= "\n";
	// au-dessus dans zone centrale
	$mettre .= "\n".'// $xposbox['.$valueconf.'][A]';
	$mettre .= '
$xposbox[0]["A"][0] = stripslashes("");
$xposbox[0]["A"][1] = stripslashes("");';
	$mettre .= "\n";	
	// en-dessous dans zone centrale
	$mettre .= "\n".'// $xposbox['.$valueconf.'][U]';
	foreach ($xposbox['C'] as $key=>$value) {
		$mettre .= '
$xposbox[0]["U"]['.$key.'] = stripslashes("'.getBox($value).'");';
	}
	$mettre .= "\n";
	// zone header
	foreach(array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $subarray) {
		$mettre .= "\n".'// $xposbox['.$valueconf.'][T]['.$subarray.']';
		foreach ($oposbox['T'][$subarray] as $key=>$value) {
			$mettre .= '
$xposbox[0]["T"]["'.$subarray.'"]['.$key.'] = stripslashes("'.getBox($value, ($key != 2 ? 50 : 100)).'");';
		}
		$mettre .= "\n";
	}
	// zone footer
	foreach(array(BOX_LEFT, BOX_CENTER, BOX_RIGHT) as $subarray) {
		$mettre .= "\n".'// $xposbox['.$valueconf.'][B]['.$subarray.']';
		foreach ($xposbox['B'] as $key=>$value) {
			if (BOX_LEFT == $subarray) 
				$mettre .= '
$xposbox[0]["B"]["'.$subarray.'"]['.$key.'] = stripslashes("'.getBox($value, 100).'");';
			else
				$mettre .= '
$xposbox[0]["B"]["'.$subarray.'"]['.$key.'] = stripslashes("");';
		}
		$mettre .= "\n";
	}
	
	$mettre1 = '<?php
if (stristr($_SERVER["SCRIPT_NAME"], "confweb.inc")) {
    header("location:../index.php");
    die();
}
'.$mettre;
	WriteFullDB(CHEMIN.'skins/no_skin/confweb.inc', $mettre1);
    
	$mettre2 = '<?php
if (stristr($_SERVER["SCRIPT_NAME"], "confmob.inc")) {
    header("location:../index.php");
    die();
}
'.$mettre;
	WriteFullDB(CHEMIN.'skins/no_skin/confmob.inc', $mettre2);
    
	if (file_exists(TEMPREP.'boxes.dtb')) DestroyDBFile(TEMPREP.'boxes.dtb');
	
	// suppression des avatars inutiles
	for ($i = 1; $i < 4; $i++) {
		$dir = CHEMIN.'inc/img/avatars/ava_'.$i.'/';
		for ($j = 1; $j < 21; $j++) {
			@unlink($dir.substr('0'.$j, -2).'.gif');
		}
	}
}
?>
