<?php
/*******************************************************************************
 *   Functions for plugins Ajoutemenu and AjouteFreeBox
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.0.9 (November 28, 2014)  : add iconeframe function
 ******************************************************************************/

function AjouteMenu_getBox($nbox) {
    global $user;
    if (is_file(CHEMIN.'data/plugins/ajoutemenu/config'.$nbox.'.dtb')) {
        $lignes = file(CHEMIN.'data/plugins/ajoutemenu/config'.$nbox.'.dtb');
        $data = array(
            'name0' => trim($lignes[0]), // nom du menu
            'name1' => trim($lignes[1]),
            'note0' => trim($lignes[19]), // note au-dessus
            'note1' => empty($lignes[20]) ? '' : trim($lignes[20]),
            'typemenu' => trim($lignes[2]) // type du menu
        );
        return $data;
    } else {
        return FALSE;
    }
}

function AjouteMenu_getOption($nbox, $nitem) {
    static $am = array();
    if (!array_key_exists($nbox, $am)) {
        if (is_file(CHEMIN.'data/plugins/ajoutemenu/menu'.$nbox.'.dtb')) {
            $tmp = ReadDbFields(CHEMIN.'data/plugins/ajoutemenu/menu'.$nbox.'.dtb');
            foreach ($tmp as $item) {
                $am[$nbox][$item[4]] = $item;
            }
        } else {
            return FALSE;
        }
    }
    if (isset($am[$nbox][$nitem]) && 'd' != $am[$nbox][$nitem][5]) {
        return $am[$nbox][$nitem];
    } else {
        return FALSE;
    }
}

function AjouteFreebox_getBox($nbox) {
    if (is_file(CHEMIN.'data/plugins/ajoutefreebox/config'.$nbox.'.inc')) {
        include CHEMIN.'data/plugins/ajoutefreebox/config'.$nbox.'.inc';
		$data     = array_fill(0, 18, '');
		$data[0]  = 'fb';
		$data[2]  = 'a';
		$data[5]  = (isset($user[0]) && '' != $user[0]) ? $user[0] : 'webmaster';
		$data[6]  = (isset($user[1]) && '' != $user[1]) ? $user[1] : 'webmaster@guppy.cms';
		$data[7]  = 'TBLRAUE';
		$data[9]  = addslashes($freetitle1);
		$data[10] = addslashes($freetitle2);
		$data[11] = addslashes($freetext1);
		$data[12] = addslashes($freetext2);
        return $data;
    } else {
        return FALSE;
    }
}

function Diaporama_getDiaporamas() {
    if (is_file(CHEMIN.'data/plugins/diaporama/liste.dtb')) {
		$datas  = array();
		$diapos = ReadDBFields(CHEMIN.'data/plugins/diaporama/liste.dtb');
		foreach ($diapos as $diapo)
			if ($diapo[2] == 'a') {
				if (is_file(CHEMIN.'data/plugins/diaporama/param'.$diapo[1].'.dtb')) {
					$params  = ReadDBFields(CHEMIN.'data/plugins/diaporama/param'.$diapo[1].'.dtb');
					$datas[] = array($diapo[1], strip_tags($diapo[3]), strip_tags($diapo[4]), 
					                 strip_tags($diapo[5]), strip_tags($diapo[6]), 
					                 $params[13][1], $params[12][1], $params[6][1], $params[7][1], 
									 $params[10][1], $params[11][1], $params[24][1], $params[25][1], $params[36][1]);
				}
			}
        return $datas;
    } else {
        return FALSE;
    }
}

function IFrame_getIcons() {
    $dir = CHEMIN.'data/plugins/iconeframe';
    if (is_dir($dir)) {
        $datas = array();
        $icons = scandir($dir);
        foreach ($icons as $icon) {
            $info = pathinfo($icon);
            if (isset($info['extension']) && $info['extension'] == 'inc') {
                $params  = ReadDBFields($dir.'/'.$icon);
                $datas[] = array(
                    'iconame1'     => $params[0][1],
                    'iconame2'     => $params[1][1],
                    'url1'         => $params[2][1],
                    'url2'         => $params[3][1],
                    'titre1'       => $params[4][1],
                    'titre2'       => $params[5][1],
                    'withiframe'   => $params[6][1],
                    'larg'         => isset($params[7][1]) ? $params[7][1] : 0,
                    'haut'         => isset($params[8][1]) ? $params[8][1] : 0,
                    'txtav1'       => isset($params[9][1]) ? $params[9][1] : '',
                    'txtav2'       => isset($params[10][1]) ? $params[10][1] : '',
                    'txtap1'       => isset($params[11][1]) ? $params[11][1] : '',
                    'txtap2'       => isset($params[12][1]) ? $params[12][1] : '',
                    'membre'       => isset($params[13][1]) ? $params[13][1] : '',
                    'cache'        => isset($params[14][1]) ? $params[14][1] : '',
                    'noleftcol'    => isset($params[15][1]) ? $params[15][1] : '',
                    'norightcol'   => isset($params[16][1]) ? $params[16][1] : '',
                    'noborder'     => isset($params[17][1]) ? $params[17][1] : '',
                    'pwidth'       => isset($params[18][1]) ? $params[18][1] : 0,
                    'pheight'      => isset($params[19][1]) ? $params[19][1] : 0,
                    'ptop'         => isset($params[20][1]) ? $params[20][1] : 0,
                    'pleft'        => isset($params[21][1]) ? $params[21][1] : 0,
                    'ptoolbar'     => isset($params[22][1]) ? $params[22][1] : '',
                    'pdirectories' => isset($params[23][1]) ? $params[23][1] : '',
                    'pmenubar'     => isset($params[24][1]) ? $params[24][1] : '',
                    'pstatus'      => isset($params[25][1]) ? $params[25][1] : '',
                    'plocation'    => isset($params[26][1]) ? $params[26][1] : '',
                    'pscrollbars'  => isset($params[27][1]) ? $params[27][1] : '',
                    'presizable'   => isset($params[28][1]) ? $params[28][1] : '',
                    'prvgrp'       => isset($params[29][1]) ? $params[29][1] : '');
            }
        }
        unset($icons, $icon);
        return $datas;
    } else {
        return false;
    }
}

?>
