<?php
/*******************************************************************************
 *   Maintenance
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2013 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.01 (August 28, 2017)    : correction of page display
 ******************************************************************************/

function ReadFullDB($fic) {
    $DataDB = Array();
    if (is_file($fic)) {
        $DataDB = implode('', file($fic));
    }
    return $DataDB;
}

include 'inc/constantes.php';
include CONFIG;
require 'inc/mobile_detect.php';
$detect = new Mobile_Detect;
define('TYP_SCREEN', $detect->isMobile() ? 'MOB' : 'WEB');
define('TYP_BLANK',  $detect->isMobile() ? '_self' : '_blank');
$reptheme = 'inc/img/general/'.$page[27];
$charset  = 'UTF-8';
$lng      = isset($_GET['lng']) ? strip_tags($_GET['lng']) : $lang[0];
if (empty($serviz[44])) header('location: index.php?lng='.$lng);
include 'inc/lang/'.$lang[0].'-web.inc';
$title0 = ' - '.$web[691];
$texte0 = ' - '.$web[692];
$title1 = $texte1 = '';
include 'inc/lang/'.(!empty($lang[1]) ? $lang[1] : ($lang[1] == 'en' ? 'fr' : 'en')).'-web.inc';
$title1 = ' - '.$web[691];
$texte1 = ' - '.$web[692];

echo '<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset='.$charset.'" />
<title>'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).$title0.$title1.'</title>
<meta http-equiv="Refresh" Content="60; index.php" />
<style>
body {
    background-color: azure;
    text-align: center;
    font-family: Verdana, Arial, Helvetica, sans-serif;
    font-size: 20px;
}
a, img, span, table {
    border-style: none;
    vertical-align: middle;
}
</style>
</head>
<body>
  <div style="width: 640px; border: 1px solid; text-align: center; margin: auto;">
    <div style="margin:auto; padding: 25px;">
      <strong>*** &nbsp;&nbsp;'.stripslashes($site[($lang[0] == $lng ? 0 : 11)]).'&nbsp;&nbsp; ***</strong>
    </div>
    <div style="display:inline-block; padding:5px; width: 200px; font-size: 0.85em;">
      '.$texte0.'
    </div>
    <div style="display:inline-block; padding: 72px 15px 5px 5px; text-align: center; vertical-align: top; width: 160px;">
      <img src="'.$reptheme.'/maintenance.png" alt="" />
    </div>
    <div style="display:inline-block; padding: 5px; width: 200px; font-size: 0.85em;">
      '.$texte1.'
    </div>
    <p style="padding: 10px;">
	  <a href="http://www.freeguppy.org">
	    <img src="'.$reptheme.'/gyslogo.png" alt="" title="" />
	  </a>
	  <br />
	  <a class="copyright" href="http://www.freeguppy.org/" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/gypower.png" alt="" title="" /></a>
	  <span style="font-size: 0.7em; font-weight: normal;">  &nbsp; © '.MP_COPYRIGHT.' &nbsp;</span>
	  <a class="copyright" href="http://www.cecill.info/index.en.html" title="" target="'.TYP_BLANK.'"><img src="'.$reptheme.'/gycecill_e.png" alt="" title="" /></a>
    </p>
  </div>
</body>
</html>';
?>
