<?php
/*******************************************************************************
 *   Mind Plugin
 *******************************************************************************
 *   GuppY PHP Script - version 5.0
 *   CeCILL Copyright (C) 2004-2014 by Laurent Duveau
 *   Initiated by Laurent Duveau and Nicolas Alves
 *   Web site = http://www.freeguppy.org/
 *   e-mail   = guppy@freeguppy.org
 *   V5 developed by Lud Bienaimé
 *      with the participation of Jean-Michel Misrachi and the GuppY Team
 *******************************************************************************
 *   Latest Changes :
 * v5.02.02 (December 15, 2017)  : adaptation GuppY v5.02.02
 ******************************************************************************/

header('Pragma: no-cache');
define("CHEMIN", "../../");
include CHEMIN.'inc/includes.inc';

if (is_file(CHEMIN.'plugins/mind/'.$lng.'-mind.inc')) {
    include CHEMIN.'plugins/mind/'.$lng.'-mind.inc';
} else {
    include CHEMIN.'plugins/mind/en-mind.inc';
}

$alphaArray = array('a', 'n', 'b', 'd', 'f', 'h', '{', 'i', 'l', 'v', 'x', 'z', 'I', 'J', 'M', 'N', 'o', 'O', 'R', 'S', 'T', 'U', 'm', '6', '^', 'u', '_', '[', ']');

function init_seed() {
  list($usec, $sec) = explode(' ', microtime());
  return (float) $sec + ((float) $usec * 100000);
}

function ChooseMind() {
  srand(init_seed());
  $ax = rand(0,26);
  return $ax;
}

function WriteMindTable($ax) {
    global $alphaArray;
    $tablo = '
<div class="tbldiv width100 noborder">';
    $j = 1;
    for ($i = 99 ; $i >= 0 ; $i-- ) {
        $a = rand(0,26);
        if ($i % 9 == 0 &&  $i < 89) {
            $a = $ax;
        }
        if ($j % 10 == 1) {
            $tablo .= '
  <div class="trtbldiv">';
        }
        $tablo .= '
    <div class="tdtbldiv mind1">'.$i.'</div>
    <div class="tdtbldiv mind2">'.$alphaArray[$a].'</div>';
        if ($j % 10 == 0) {
            $tablo .= '
  </div>';
        }
        $j++;
    }
    $tablo .= '
</div>';
    return $tablo;
}

$headinc .= '<link type="text/css" rel="stylesheet" href="mind.css">';
$topmess = '<img src="mind.gif" class="img32x32 f-right" alt="" />'.$mind[10];
include CHEMIN.'inc/hpage.inc';
htable($topmess, "100%");

$guess = import('guess');

if ($guess == 0) {
    $rndax = ChooseMind();
    echo '
<p>'.$mind[3].'</p>
<p>
  '.$mind[11].'<br />
  '.$mind[12].'<br />
  '.$mind[13].'<br />
  '.$mind[14].'<br /><br />
</p>
'.WriteMindTable($rndax).'
<form name="guessmind1" action="'.($site['URLR'] == 'on'? $lng.'-mind1-'.($rndax+1).$z2 : 'mind.php?lng='.$lng.'&amp;guess='.($rndax+1).$z2).'" method="post">
  <div class="textCenter">
  '.SubmitButton($mind[15]).'<br />
  </div>
</form>';
}
else {
    echo '
<p>
  '.$mind[16].'
  <span class="mind3">&nbsp;'.$alphaArray[$guess-1].'&nbsp;</span>
</p>
<form name="guessmind2" action="'.($site['URLR'] == 'on'? $lng.'-mind1-0'.$z2 : 'mind.php?lng='.$lng.'&amp;guess=0'.$z2).'" method="post">
  <div class="textCenter">
    '.SubmitButton($mind[17]).'<br />
  </div>
</form>';
}

btable();
include CHEMIN.'inc/bpage.inc';
?>